#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(crypto_transfer_aead_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_akcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_hash_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_kpp_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_skcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_aead_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_akcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_hash_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_kpp_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_skcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_start, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_stop, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init_and_set, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_exit, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skciphers, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skciphers, "_gpl", "");

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0x84e8c829, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0xab254c7e, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0x342e9f5a, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0xf46bc91a, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0xc3b30327, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0x13b79f8b, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0x0a2b2b7c, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0xd6ba159b, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0x8159cc96, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0x1a77ba40, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0xae9be613, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0x2ff998ae, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0x99a46d4d, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0x631f6651, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0xc62ba853, "_gpl");
SYMBOL_CRC(crypto_engine_register_aead, 0x65448325, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aead, 0xc8500458, "_gpl");
SYMBOL_CRC(crypto_engine_register_aeads, 0x182ee24a, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aeads, 0xbc45875b, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahash, 0x470bd4a8, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahash, 0x8fef03ec, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahashes, 0xb2c619cf, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahashes, 0x25c5129d, "_gpl");
SYMBOL_CRC(crypto_engine_register_akcipher, 0x66f2e75f, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_akcipher, 0xd6e21b29, "_gpl");
SYMBOL_CRC(crypto_engine_register_kpp, 0xae843ab3, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_kpp, 0x1207308b, "_gpl");
SYMBOL_CRC(crypto_engine_register_skcipher, 0xd30a6bcb, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skcipher, 0x910755ae, "_gpl");
SYMBOL_CRC(crypto_engine_register_skciphers, 0x275aafa7, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skciphers, 0x0929fe3f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x7845de72, "crypto_register_aead" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xaef7255b, "crypto_unregister_aead" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x37189f06, "crypto_register_ahash" },
	{ 0x9f8e33cd, "crypto_unregister_ahash" },
	{ 0x3d077bd8, "crypto_register_akcipher" },
	{ 0xd247b29a, "crypto_unregister_akcipher" },
	{ 0x32246737, "crypto_register_kpp" },
	{ 0xe2630831, "crypto_unregister_kpp" },
	{ 0x3d403551, "crypto_register_skcipher" },
	{ 0xcbbceca5, "crypto_unregister_skcipher" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x7feb8bee, "kthread_queue_work" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0xb3789337, "lockdep_recursion" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xa0ec9675, "pcpu_hot" },
	{ 0xf9a482f9, "msleep" },
	{ 0x20674100, "_dev_warn" },
	{ 0xf0556b05, "kthread_destroy_worker" },
	{ 0xafe86688, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x4b4f221e, "kthread_create_worker" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xfb578fc5, "memset" },
	{ 0xf66f693b, "_dev_info" },
	{ 0x45a85068, "sched_set_fifo" },
	{ 0xd3e282fa, "_dev_err" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdf7ccc78, "crypto_enqueue_request" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x15b4c1e2, "crypto_dequeue_request" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xf01967f4, "crypto_enqueue_request_head" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "158C7FFEDA40E7C22A24121");
