#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(simd_skcipher_create_compat, "_gpl", "");
KSYMTAB_FUNC(simd_skcipher_create, "_gpl", "");
KSYMTAB_FUNC(simd_skcipher_free, "_gpl", "");
KSYMTAB_FUNC(simd_register_skciphers_compat, "_gpl", "");
KSYMTAB_FUNC(simd_unregister_skciphers, "_gpl", "");
KSYMTAB_FUNC(simd_aead_create_compat, "_gpl", "");
KSYMTAB_FUNC(simd_aead_create, "_gpl", "");
KSYMTAB_FUNC(simd_aead_free, "_gpl", "");
KSYMTAB_FUNC(simd_register_aeads_compat, "_gpl", "");
KSYMTAB_FUNC(simd_unregister_aeads, "_gpl", "");

SYMBOL_CRC(simd_skcipher_create_compat, 0x88638552, "_gpl");
SYMBOL_CRC(simd_skcipher_create, 0x66983e96, "_gpl");
SYMBOL_CRC(simd_skcipher_free, 0xefe73979, "_gpl");
SYMBOL_CRC(simd_register_skciphers_compat, 0xf5a835de, "_gpl");
SYMBOL_CRC(simd_unregister_skciphers, 0xee4e54a4, "_gpl");
SYMBOL_CRC(simd_aead_create_compat, 0x504cb053, "_gpl");
SYMBOL_CRC(simd_aead_create, 0x851c747c, "_gpl");
SYMBOL_CRC(simd_aead_free, 0xbfd26f15, "_gpl");
SYMBOL_CRC(simd_register_aeads_compat, 0xc216b751, "_gpl");
SYMBOL_CRC(simd_unregister_aeads, 0x9aaf65ae, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x359e4879, "crypto_skcipher_encrypt" },
	{ 0x5e4e0a3d, "cryptd_alloc_aead" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf6adc9fa, "cryptd_aead_child" },
	{ 0x73dd54eb, "irq_fpu_usable" },
	{ 0x7845de72, "crypto_register_aead" },
	{ 0xaef7255b, "crypto_unregister_aead" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x795081c5, "crypto_register_aeads" },
	{ 0xa0ec9675, "pcpu_hot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x67f968d9, "crypto_alloc_aead" },
	{ 0xe75dd082, "crypto_aead_setauthsize" },
	{ 0x9e146340, "crypto_aead_decrypt" },
	{ 0xabf6f14f, "crypto_skcipher_setkey" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3518a961, "crypto_unregister_aeads" },
	{ 0x53e76dbc, "crypto_destroy_tfm" },
	{ 0x62a2856f, "cryptd_skcipher_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x81e9653c, "crypto_skcipher_decrypt" },
	{ 0x523ae9c2, "cryptd_alloc_skcipher" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xac32403, "crypto_aead_setkey" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x3d403551, "crypto_register_skcipher" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x49f92cee, "crypto_aead_encrypt" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x83c1dabf, "cryptd_aead_queued" },
	{ 0x5a921311, "strncmp" },
	{ 0xcbbceca5, "crypto_unregister_skcipher" },
	{ 0x819810ad, "crypto_register_skciphers" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x121a7fa2, "cryptd_skcipher_queued" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x983446de, "cryptd_free_aead" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xa51b7a7, "crypto_unregister_skciphers" },
	{ 0x89edc11, "cryptd_free_skcipher" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0x6b45e597, "crypto_alloc_skcipher" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "cryptd");


MODULE_INFO(srcversion, "5BECD76A995C1C49F0B5701");
