#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x359e4879, "crypto_skcipher_encrypt" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xdee5b7c3, "param_ops_uint" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x866c4ae4, "crypto_shash_tfm_digest" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x69acdf38, "memcpy" },
	{ 0x7845de72, "crypto_register_aead" },
	{ 0xaef7255b, "crypto_unregister_aead" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xabf6f14f, "crypto_skcipher_setkey" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9f8e33cd, "crypto_unregister_ahash" },
	{ 0x53e76dbc, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x81e9653c, "crypto_skcipher_decrypt" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x3d403551, "crypto_register_skcipher" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xd247b29a, "crypto_unregister_akcipher" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xd75b20aa, "rsa_parse_priv_key" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x37189f06, "crypto_register_ahash" },
	{ 0xbac8aeea, "sg_nents_for_len" },
	{ 0x1af9fd9f, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xcbbceca5, "crypto_unregister_skcipher" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xe8a0e847, "crypto_shash_update" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x3a1a3979, "ccp_version" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xc62611e1, "scatterwalk_map_and_copy" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x15255a02, "crypto_shash_finup" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x4773b60, "ccp_present" },
	{ 0xc8958ee2, "ccp_enqueue_cmd" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x78997dc2, "boot_cpu_data" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x3d077bd8, "crypto_register_akcipher" },
	{ 0x13ce87e8, "asn1_ber_decoder" },
	{ 0xb3073c18, "crypto_alloc_shash" },
	{ 0x89ae7aa0, "rsa_parse_pub_key" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0x6b45e597, "crypto_alloc_skcipher" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "ccp");


MODULE_INFO(srcversion, "3D3D816639663EE539160C3");
