#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ccp_present, "_gpl", "");
KSYMTAB_FUNC(ccp_version, "_gpl", "");
KSYMTAB_FUNC(ccp_enqueue_cmd, "_gpl", "");
KSYMTAB_FUNC(sev_platform_init, "_gpl", "");
KSYMTAB_FUNC(psp_copy_user_blob, "_gpl", "");
KSYMTAB_FUNC(sev_platform_status, "_gpl", "");
KSYMTAB_FUNC(sev_guest_deactivate, "_gpl", "");
KSYMTAB_FUNC(sev_guest_activate, "_gpl", "");
KSYMTAB_FUNC(sev_guest_decommission, "_gpl", "");
KSYMTAB_FUNC(sev_guest_df_flush, "_gpl", "");
KSYMTAB_FUNC(sev_issue_cmd_external_user, "_gpl", "");
KSYMTAB_FUNC(psp_tee_process_cmd, "", "");
KSYMTAB_FUNC(psp_check_tee_status, "", "");
KSYMTAB_FUNC(psp_check_platform_access_status, "", "");
KSYMTAB_FUNC(psp_send_platform_access_msg, "_gpl", "");
KSYMTAB_FUNC(psp_ring_platform_doorbell, "_gpl", "");
KSYMTAB_FUNC(psp_mutex_lock_timeout, "_gpl", "");
KSYMTAB_FUNC(psp_mutex_unlock, "_gpl", "");
KSYMTAB_FUNC(vpsp_get_default_vid_permission, "_gpl", "");
KSYMTAB_FUNC(vpsp_get_vid, "_gpl", "");
KSYMTAB_FUNC(hygon_psp_additional_setup, "_gpl", "");
KSYMTAB_FUNC(hygon_psp_exit, "_gpl", "");
KSYMTAB_FUNC(psp_do_cmd, "_gpl", "");
KSYMTAB_FUNC(psp_register_cmd_notifier, "_gpl", "");
KSYMTAB_FUNC(psp_unregister_cmd_notifier, "_gpl", "");
KSYMTAB_FUNC(csv_issue_ringbuf_cmds_external_user, "_gpl", "");
KSYMTAB_FUNC(csv_ring_buffer_queue_init, "_gpl", "");
KSYMTAB_FUNC(csv_ring_buffer_queue_free, "_gpl", "");
KSYMTAB_FUNC(csv_fill_cmd_queue, "_gpl", "");
KSYMTAB_FUNC(csv_check_stat_queue_status, "_gpl", "");
KSYMTAB_FUNC(vpsp_try_get_result, "_gpl", "");
KSYMTAB_FUNC(vpsp_try_do_cmd, "_gpl", "");
KSYMTAB_FUNC(kvm_pv_psp_op, "_gpl", "");
KSYMTAB_FUNC(psp_check_tdm_support, "_gpl", "");
KSYMTAB_FUNC(psp_get_fw_info, "_gpl", "");
KSYMTAB_FUNC(psp_create_measure_task, "_gpl", "");
KSYMTAB_FUNC(psp_query_measure_status, "_gpl", "");
KSYMTAB_FUNC(psp_register_measure_exception_handler, "_gpl", "");
KSYMTAB_FUNC(psp_destroy_measure_task, "_gpl", "");
KSYMTAB_FUNC(psp_update_measure_task, "_gpl", "");
KSYMTAB_FUNC(psp_startstop_measure_task, "_gpl", "");
KSYMTAB_FUNC(tdm_export_cert, "_gpl", "");
KSYMTAB_FUNC(tdm_get_report, "_gpl", "");
KSYMTAB_FUNC(tdm_get_vpcr_audit, "_gpl", "");

SYMBOL_CRC(ccp_present, 0x04773b60, "_gpl");
SYMBOL_CRC(ccp_version, 0x3a1a3979, "_gpl");
SYMBOL_CRC(ccp_enqueue_cmd, 0xc8958ee2, "_gpl");
SYMBOL_CRC(sev_platform_init, 0xd02e197f, "_gpl");
SYMBOL_CRC(psp_copy_user_blob, 0x2e6a6147, "_gpl");
SYMBOL_CRC(sev_platform_status, 0x91722dce, "_gpl");
SYMBOL_CRC(sev_guest_deactivate, 0x4073e924, "_gpl");
SYMBOL_CRC(sev_guest_activate, 0x3e059f28, "_gpl");
SYMBOL_CRC(sev_guest_decommission, 0x843d6541, "_gpl");
SYMBOL_CRC(sev_guest_df_flush, 0x8fac14a2, "_gpl");
SYMBOL_CRC(sev_issue_cmd_external_user, 0xe5caadfa, "_gpl");
SYMBOL_CRC(psp_tee_process_cmd, 0xaa04056c, "");
SYMBOL_CRC(psp_check_tee_status, 0x47d3c97f, "");
SYMBOL_CRC(psp_check_platform_access_status, 0x4a937398, "");
SYMBOL_CRC(psp_send_platform_access_msg, 0x210b12e2, "_gpl");
SYMBOL_CRC(psp_ring_platform_doorbell, 0x6ea40704, "_gpl");
SYMBOL_CRC(psp_mutex_lock_timeout, 0x0e3a0362, "_gpl");
SYMBOL_CRC(psp_mutex_unlock, 0x53895c3f, "_gpl");
SYMBOL_CRC(vpsp_get_default_vid_permission, 0xa5d74947, "_gpl");
SYMBOL_CRC(vpsp_get_vid, 0xe15e1831, "_gpl");
SYMBOL_CRC(hygon_psp_additional_setup, 0x27529eb3, "_gpl");
SYMBOL_CRC(hygon_psp_exit, 0xacc193d0, "_gpl");
SYMBOL_CRC(psp_do_cmd, 0x02fbf414, "_gpl");
SYMBOL_CRC(psp_register_cmd_notifier, 0x31a411de, "_gpl");
SYMBOL_CRC(psp_unregister_cmd_notifier, 0xb9e0e58d, "_gpl");
SYMBOL_CRC(csv_issue_ringbuf_cmds_external_user, 0x31fdd5e9, "_gpl");
SYMBOL_CRC(csv_ring_buffer_queue_init, 0xd6561431, "_gpl");
SYMBOL_CRC(csv_ring_buffer_queue_free, 0xc40de96c, "_gpl");
SYMBOL_CRC(csv_fill_cmd_queue, 0x0283c3cc, "_gpl");
SYMBOL_CRC(csv_check_stat_queue_status, 0x9edc58fe, "_gpl");
SYMBOL_CRC(vpsp_try_get_result, 0xca27d844, "_gpl");
SYMBOL_CRC(vpsp_try_do_cmd, 0x1c12fe58, "_gpl");
SYMBOL_CRC(kvm_pv_psp_op, 0xc13ab919, "_gpl");
SYMBOL_CRC(psp_check_tdm_support, 0xff3c874a, "_gpl");
SYMBOL_CRC(psp_get_fw_info, 0x2eb700c0, "_gpl");
SYMBOL_CRC(psp_create_measure_task, 0x614cf271, "_gpl");
SYMBOL_CRC(psp_query_measure_status, 0x19bf0ff3, "_gpl");
SYMBOL_CRC(psp_register_measure_exception_handler, 0xabeeec9d, "_gpl");
SYMBOL_CRC(psp_destroy_measure_task, 0xdf595b17, "_gpl");
SYMBOL_CRC(psp_update_measure_task, 0x2980b7e7, "_gpl");
SYMBOL_CRC(psp_startstop_measure_task, 0x2c9f5578, "_gpl");
SYMBOL_CRC(tdm_export_cert, 0x3c800612, "_gpl");
SYMBOL_CRC(tdm_get_report, 0xf1871de9, "_gpl");
SYMBOL_CRC(tdm_get_vpcr_audit, 0xf61949f8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x5faf6599, "devm_platform_ioremap_resource" },
	{ 0x85534a53, "revert_creds" },
	{ 0x5693d485, "csv_get_smr_entry_shift" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x66a1e966, "misc_deregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x22004f30, "dma_pool_create" },
	{ 0xdee5b7c3, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafe86688, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x38d0795c, "hwrng_unregister" },
	{ 0x42faee0c, "firmware_request_nowarn" },
	{ 0x7c2efac6, "platform_driver_unregister" },
	{ 0x22e303f1, "dma_async_device_unregister" },
	{ 0x986cddea, "platform_get_irq" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa1e0b3f9, "complete" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0xb69b11e3, "dmam_alloc_attrs" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0x53df7429, "finish_wait" },
	{ 0x2650d8aa, "dma_unmap_page_attrs" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x1057a279, "bsearch" },
	{ 0x8ff50b3c, "__pci_register_driver" },
	{ 0x31b747d2, "pci_disable_msi" },
	{ 0x69acdf38, "memcpy" },
	{ 0x583c6d9d, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x6f1a8f44, "dump_mm" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x7f3ad039, "dma_release_channel" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xa0ec9675, "pcpu_hot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x8b9200fd, "lookup_address" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x85ce233b, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x6ae36ee4, "kmem_cache_create" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xb340763b, "__dynamic_dev_dbg" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x9493fc86, "node_states" },
	{ 0xe8dbeaee, "path_put" },
	{ 0x817823ea, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1e0c1d32, "csv_alloc_from_contiguous" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x4eedfe1c, "wake_up_process" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x62e538e7, "hwrng_register" },
	{ 0xf23fc55, "dev_driver_string" },
	{ 0x7898d44a, "devm_free_pages" },
	{ 0x53e76dbc, "crypto_destroy_tfm" },
	{ 0xe5c027d8, "_raw_read_unlock_irqrestore" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x3f0ffcfa, "dma_map_page_attrs" },
	{ 0x122c3a7e, "_printk" },
	{ 0x7b5a4926, "sha1_zero_message_hash" },
	{ 0x5ab27215, "csv_smr_num" },
	{ 0x946dd559, "sha224_zero_message_hash" },
	{ 0xa67672d2, "platform_irq_count" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb30cade4, "pci_enable_msix_range" },
	{ 0x7a5284a7, "file_open_root" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x58bf70f3, "__free_pages" },
	{ 0x3883421c, "_raw_read_lock_irqsave" },
	{ 0xa9cbed8a, "kmem_cache_alloc" },
	{ 0xf66f693b, "_dev_info" },
	{ 0xf0d830fb, "init_task" },
	{ 0xfb075759, "pci_select_bars" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x9d105eab, "dma_run_dependencies" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x68dde260, "device_get_dma_attr" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x1c40d55b, "pcim_iomap_regions" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x5907a2d8, "prepare_creds" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd14f4959, "pci_enable_msi" },
	{ 0xd21cccf3, "down_write" },
	{ 0xa249fd1c, "devm_kfree" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xd3e282fa, "_dev_err" },
	{ 0x606d8142, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xc5294929, "_raw_write_lock" },
	{ 0x97ebf994, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xbac8aeea, "sg_nents_for_len" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xe8a0e847, "crypto_shash_update" },
	{ 0xe41f2809, "_raw_read_unlock" },
	{ 0xcd0ecc9c, "_raw_write_unlock" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xbe0eb6c2, "kthread_stop" },
	{ 0xfe023a32, "devm_get_free_pages" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x20674100, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xb0898415, "misc_register" },
	{ 0x9e592602, "pci_set_master" },
	{ 0xe565407e, "param_ops_charp" },
	{ 0x1b74e6c0, "kernel_read" },
	{ 0xe5a5244b, "wait_for_completion" },
	{ 0xc893948e, "dmaengine_unmap_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf66f426d, "acpi_match_device" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7655d8dd, "dma_async_device_register" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0xc805f93, "clflush_cache_range" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x4973352a, "_raw_write_unlock_irqrestore" },
	{ 0x51db6ef7, "mutex_trylock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x13a4a8b8, "__platform_driver_register" },
	{ 0x89de3be6, "kthread_create_on_node" },
	{ 0x958b7595, "dma_set_coherent_mask" },
	{ 0xcfe95b43, "devm_kasprintf" },
	{ 0xfc8af0ef, "override_creds" },
	{ 0xc62611e1, "scatterwalk_map_and_copy" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x5a0babb9, "csv_smr" },
	{ 0xcef11e45, "_dev_notice" },
	{ 0x8661b439, "path_get" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x1fa1d95c, "sha256_zero_message_hash" },
	{ 0x39378671, "crypto_shash_final" },
	{ 0xd73e5bbc, "vfs_fsync" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0xd986ecb2, "__rwlock_init" },
	{ 0xaa9751e3, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x5dff4d7c, "dma_async_tx_descriptor_init" },
	{ 0xb6742e52, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x69780dec, "filp_close" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x3f75b01b, "_raw_read_lock" },
	{ 0xfe995153, "pci_disable_msix" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x78997dc2, "boot_cpu_data" },
	{ 0x114385fe, "dma_set_mask" },
	{ 0x8f2703b7, "wbinvd_on_all_cpus" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xd904e370, "dma_unmap_sg_attrs" },
	{ 0x520d8fa0, "pcim_iomap_table" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0xf4195816, "_raw_write_lock_irqsave" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x754d539c, "strlen" },
	{ 0x92e8e77f, "param_ops_int" },
	{ 0x1b5fe4e, "pcim_enable_device" },
	{ 0x5d9e6167, "mutex_destroy" },
	{ 0xb3073c18, "crypto_alloc_shash" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xabdc439, "cc_platform_has" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xd8bc0f35, "csv_release_to_contiguous" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x80a095d8, "scatterwalk_ffwd" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0xfbf280df, "kernel_write" },
	{ 0x2ab54273, "kmem_cache_destroy" },
	{ 0xd38d0af6, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001022d00001537sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00001456sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00001468sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00001486sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d000015DFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d000014CAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d000015C7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00001649sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d000017E0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d0000156Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001D94d00001456sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001D94d00001468sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001D94d00001486sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001D94d000014B8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001D94d000014A6sv*sd*bc*sc*i*");
MODULE_ALIAS("of:N*T*Camd,ccp-seattle-v1a");
MODULE_ALIAS("of:N*T*Camd,ccp-seattle-v1aC*");
MODULE_ALIAS("acpi*:AMDI0C00:*");

MODULE_INFO(srcversion, "B68200A2B2C229A1097C9F3");
