#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x39e3c030, "do_trace_read_msr" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0x57d225a7, "edac_mc_alloc" },
	{ 0x81decaa7, "edac_mc_add_mc_with_groups" },
	{ 0x37a0cba, "kfree" },
	{ 0x6d554787, "edac_mc_free" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xa638e35d, "edac_mc_del_mc" },
	{ 0x670b339c, "ghes_get_devices" },
	{ 0x5ab09745, "edac_get_owner" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x66283031, "x86_match_cpu" },
	{ 0xb51fbd64, "edac_op_state" },
	{ 0xf5a5c84c, "msrs_alloc" },
	{ 0x3441445f, "msrs_free" },
	{ 0x413629f0, "hygon_nb_num" },
	{ 0xefeafcf1, "edac_has_mcs" },
	{ 0x8592d892, "amd_register_ecc_decoder" },
	{ 0x32c2b3b6, "edac_pci_create_generic_ctl" },
	{ 0x70c9abc2, "edac_pci_release_generic_ctl" },
	{ 0xbe1a4d8, "amd_unregister_ecc_decoder" },
	{ 0x92e8e77f, "param_ops_int" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x78997dc2, "boot_cpu_data" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x122c3a7e, "_printk" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x585e14ec, "edac_mc_find" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbb592f47, "edac_mc_handle_error" },
	{ 0x56470118, "__warn_printk" },
	{ 0x81221cad, "amd_nb_num" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xc93a9b1a, "node_to_amd_nb" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x56f6ee65, "pci_write_config_dword" },
	{ 0x3386f72f, "pci_read_config_dword" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0xfb578fc5, "memset" },
	{ 0x86d65c4e, "hygon_f18h_m4h" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xe9810d6e, "pci_get_device" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xfc37562, "amd_smn_read" },
	{ 0x67dc63f0, "pci_dev_put" },
	{ 0x5fdf7b32, "smca_get_bank_type" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x19dcaa87, "cpu_info" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xf05c32ad, "rdmsr_on_cpus" },
	{ 0xf4a565fd, "wrmsr_on_cpus" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x62d5c3f1, "get_df_id" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x80c94e93, "__tracepoint_read_msr" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "edac_mce_amd");

MODULE_ALIAS("cpu:type:x86,ven0002fam000Fmod*:feature:*");
MODULE_ALIAS("cpu:type:x86,ven0002fam0010mod*:feature:*");
MODULE_ALIAS("cpu:type:x86,ven0002fam0015mod*:feature:*");
MODULE_ALIAS("cpu:type:x86,ven0002fam0016mod*:feature:*");
MODULE_ALIAS("cpu:type:x86,ven0002fam0017mod*:feature:*");
MODULE_ALIAS("cpu:type:x86,ven0009fam0018mod*:feature:*");
MODULE_ALIAS("cpu:type:x86,ven0002fam0019mod*:feature:*");
MODULE_ALIAS("cpu:type:x86,ven0002fam001Amod*:feature:*");

MODULE_INFO(srcversion, "2B6B7003AFCC6609A627CD7");
