#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(devm_aperture_acquire_from_firmware, "", "");
KSYMTAB_FUNC(drm_aperture_remove_conflicting_framebuffers, "", "");
KSYMTAB_FUNC(drm_aperture_remove_conflicting_pci_framebuffers, "", "");
KSYMTAB_FUNC(__drm_crtc_commit_free, "", "");
KSYMTAB_FUNC(drm_crtc_commit_wait, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_release, "", "");
KSYMTAB_FUNC(drm_atomic_state_init, "", "");
KSYMTAB_FUNC(drm_atomic_state_alloc, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_clear, "", "");
KSYMTAB_FUNC(drm_atomic_state_clear, "", "");
KSYMTAB_FUNC(__drm_atomic_state_free, "", "");
KSYMTAB_FUNC(drm_atomic_get_crtc_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_init, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_fini, "", "");
KSYMTAB_FUNC(drm_atomic_get_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_add_encoder_bridges, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_connectors, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_planes, "", "");
KSYMTAB_FUNC(drm_atomic_check_only, "", "");
KSYMTAB_FUNC(drm_atomic_commit, "", "");
KSYMTAB_FUNC(drm_atomic_nonblocking_commit, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_print_new_state, "", "");
KSYMTAB_FUNC(drm_state_dump, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_prop_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_fb_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_connector, "", "");
KSYMTAB_FUNC(drm_is_current_master, "", "");
KSYMTAB_FUNC(drm_master_get, "", "");
KSYMTAB_FUNC(drm_file_get_master, "", "");
KSYMTAB_FUNC(drm_master_put, "", "");
KSYMTAB_FUNC(drm_master_internal_acquire, "", "");
KSYMTAB_FUNC(drm_master_internal_release, "", "");
KSYMTAB_FUNC(drm_plane_create_alpha_property, "", "");
KSYMTAB_FUNC(drm_plane_create_rotation_property, "", "");
KSYMTAB_FUNC(drm_rotation_simplify, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_property, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_immutable_property, "", "");
KSYMTAB_FUNC(drm_atomic_normalize_zpos, "", "");
KSYMTAB_FUNC(drm_plane_create_blend_mode_property, "", "");
KSYMTAB_FUNC(drm_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_bridge_add, "", "");
KSYMTAB_FUNC(drm_bridge_remove, "", "");
KSYMTAB_FUNC(drm_bridge_attach, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_fixup, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_valid, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_set, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_post_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_pre_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_check, "", "");
KSYMTAB_FUNC(drm_bridge_detect, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_get_modes, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_edid_read, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_get_edid, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_enable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_disable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_notify, "_gpl", "");
KSYMTAB_FUNC(drm_clflush_pages, "", "");
KSYMTAB_FUNC(drm_clflush_sg, "", "");
KSYMTAB_FUNC(drm_clflush_virt_range, "", "");
KSYMTAB_FUNC(drm_need_swiotlb, "", "");
KSYMTAB_FUNC(drm_memcpy_from_wc, "", "");
KSYMTAB_FUNC(drm_client_init, "", "");
KSYMTAB_FUNC(drm_client_register, "", "");
KSYMTAB_FUNC(drm_client_release, "", "");
KSYMTAB_FUNC(drm_client_dev_hotplug, "", "");
KSYMTAB_FUNC(drm_client_buffer_vmap, "", "");
KSYMTAB_FUNC(drm_client_buffer_vunmap, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_create, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_delete, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_flush, "", "");
KSYMTAB_FUNC(drm_client_modeset_probe, "", "");
KSYMTAB_FUNC(drm_client_rotation, "", "");
KSYMTAB_FUNC(drm_client_modeset_check, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit_locked, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit, "", "");
KSYMTAB_FUNC(drm_client_modeset_dpms, "", "");
KSYMTAB_FUNC(drm_color_ctm_s31_32_to_qm_n, "", "");
KSYMTAB_FUNC(drm_crtc_enable_color_mgmt, "", "");
KSYMTAB_FUNC(drm_mode_crtc_set_gamma_size, "", "");
KSYMTAB_FUNC(drm_plane_create_color_properties, "", "");
KSYMTAB_FUNC(drm_color_lut_check, "", "");
KSYMTAB_FUNC(drm_get_connector_type_name, "", "");
KSYMTAB_FUNC(drm_connector_init, "", "");
KSYMTAB_FUNC(drm_connector_init_with_ddc, "", "");
KSYMTAB_FUNC(drmm_connector_init, "", "");
KSYMTAB_FUNC(drm_connector_attach_edid_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_encoder, "", "");
KSYMTAB_FUNC(drm_connector_has_possible_encoder, "", "");
KSYMTAB_FUNC(drm_connector_cleanup, "", "");
KSYMTAB_FUNC(drm_connector_register, "", "");
KSYMTAB_FUNC(drm_connector_unregister, "", "");
KSYMTAB_FUNC(drm_get_connector_status_name, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_begin, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_next, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_end, "", "");
KSYMTAB_FUNC(drm_get_subpixel_order_name, "", "");
KSYMTAB_FUNC(drm_display_info_set_bus_formats, "", "");
KSYMTAB_FUNC(drm_get_tv_mode_from_name, "", "");
KSYMTAB_FUNC(drm_mode_create_dvi_i_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_dp_subconnector_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_content_type_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties_legacy, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_mode_create_aspect_ratio_property, "", "");
KSYMTAB_FUNC(drm_mode_create_hdmi_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_dp_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_content_type_property, "", "");
KSYMTAB_FUNC(drm_mode_create_suggested_offset_properties, "", "");
KSYMTAB_FUNC(drm_connector_set_path_property, "", "");
KSYMTAB_FUNC(drm_connector_set_tile_property, "", "");
KSYMTAB_FUNC(drm_connector_set_link_status_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_max_bpc_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_hdr_output_metadata_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_colorspace_property, "", "");
KSYMTAB_FUNC(drm_connector_atomic_hdr_metadata_equal, "", "");
KSYMTAB_FUNC(drm_connector_set_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation_with_quirk, "", "");
KSYMTAB_FUNC(drm_connector_set_orientation_from_panel, "", "");
KSYMTAB_FUNC(drm_connector_create_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_provider, "", "");
KSYMTAB_FUNC(drm_connector_update_privacy_screen, "", "");
KSYMTAB_FUNC(drm_connector_oob_hotplug_event, "", "");
KSYMTAB_FUNC(drm_mode_put_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_get_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_create_tile_group, "", "");
KSYMTAB_FUNC(drm_crtc_from_index, "", "");
KSYMTAB_FUNC(drm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(drmm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(__drmm_crtc_alloc_with_planes, "", "");
KSYMTAB_FUNC(drm_crtc_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_set_config_internal, "", "");
KSYMTAB_FUNC(drm_crtc_check_viewport, "", "");
KSYMTAB_FUNC(drm_crtc_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_put_dev, "", "");
KSYMTAB_FUNC(drm_dev_enter, "", "");
KSYMTAB_FUNC(drm_dev_exit, "", "");
KSYMTAB_FUNC(drm_dev_unplug, "", "");
KSYMTAB_FUNC(__devm_drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_get, "", "");
KSYMTAB_FUNC(drm_dev_put, "", "");
KSYMTAB_FUNC(drm_dev_register, "", "");
KSYMTAB_FUNC(drm_dev_unregister, "", "");
KSYMTAB_FUNC(drm_edid_header_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_are_equal, "", "");
KSYMTAB_FUNC(drm_edid_block_valid, "", "");
KSYMTAB_FUNC(drm_edid_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_valid, "", "");
KSYMTAB_FUNC(drm_edid_override_connector_update, "", "");
KSYMTAB_FUNC(drm_do_get_edid, "_gpl", "");
KSYMTAB_FUNC(drm_edid_raw, "", "");
KSYMTAB_FUNC(drm_edid_alloc, "", "");
KSYMTAB_FUNC(drm_edid_dup, "", "");
KSYMTAB_FUNC(drm_edid_free, "", "");
KSYMTAB_FUNC(drm_probe_ddc, "", "");
KSYMTAB_FUNC(drm_get_edid, "", "");
KSYMTAB_FUNC(drm_edid_read_custom, "", "");
KSYMTAB_FUNC(drm_edid_read_ddc, "", "");
KSYMTAB_FUNC(drm_edid_read, "", "");
KSYMTAB_FUNC(drm_edid_get_panel_id, "", "");
KSYMTAB_FUNC(drm_get_edid_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_read_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_find_dmt, "", "");
KSYMTAB_FUNC(drm_match_cea_mode, "", "");
KSYMTAB_FUNC(drm_display_mode_from_cea_vic, "", "");
KSYMTAB_FUNC(drm_edid_get_monitor_name, "", "");
KSYMTAB_FUNC(drm_edid_to_sad, "", "");
KSYMTAB_FUNC(drm_edid_to_speaker_allocation, "", "");
KSYMTAB_FUNC(drm_av_sync_delay, "", "");
KSYMTAB_FUNC(drm_detect_hdmi_monitor, "", "");
KSYMTAB_FUNC(drm_detect_monitor_audio, "", "");
KSYMTAB_FUNC(drm_default_rgb_quant_range, "", "");
KSYMTAB_FUNC(drm_edid_connector_update, "", "");
KSYMTAB_FUNC(drm_edid_connector_add_modes, "", "");
KSYMTAB_FUNC(drm_connector_update_edid_property, "", "");
KSYMTAB_FUNC(drm_add_edid_modes, "", "");
KSYMTAB_FUNC(drm_add_modes_noedid, "", "");
KSYMTAB_FUNC(drm_set_preferred_mode, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_quant_range, "", "");
KSYMTAB_FUNC(drm_hdmi_vendor_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_encoder_init, "", "");
KSYMTAB_FUNC(drm_encoder_cleanup, "", "");
KSYMTAB_FUNC(__drmm_encoder_alloc, "", "");
KSYMTAB_FUNC(drmm_encoder_init, "", "");
KSYMTAB_FUNC(drm_open, "", "");
KSYMTAB_FUNC(drm_release, "", "");
KSYMTAB_FUNC(drm_release_noglobal, "", "");
KSYMTAB_FUNC(drm_read, "", "");
KSYMTAB_FUNC(drm_poll, "", "");
KSYMTAB_FUNC(drm_event_reserve_init_locked, "", "");
KSYMTAB_FUNC(drm_event_reserve_init, "", "");
KSYMTAB_FUNC(drm_event_cancel_free, "", "");
KSYMTAB_FUNC(drm_send_event_timestamp_locked, "", "");
KSYMTAB_FUNC(drm_send_event_locked, "", "");
KSYMTAB_FUNC(drm_send_event, "", "");
KSYMTAB_FUNC(drm_print_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_fdinfo, "", "");
KSYMTAB_FUNC(mock_drm_getfile, "", "");
KSYMTAB_FUNC(drm_mode_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_driver_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_format_info, "", "");
KSYMTAB_FUNC(drm_get_format_info, "", "");
KSYMTAB_FUNC(drm_format_info_block_width, "", "");
KSYMTAB_FUNC(drm_format_info_block_height, "", "");
KSYMTAB_FUNC(drm_format_info_bpp, "", "");
KSYMTAB_FUNC(drm_format_info_min_pitch, "", "");
KSYMTAB_FUNC(drm_internal_framebuffer_create, "", "");
KSYMTAB_FUNC(drm_framebuffer_init, "", "");
KSYMTAB_FUNC(drm_framebuffer_lookup, "", "");
KSYMTAB_FUNC(drm_framebuffer_unregister_private, "", "");
KSYMTAB_FUNC(drm_framebuffer_cleanup, "", "");
KSYMTAB_FUNC(drm_framebuffer_remove, "", "");
KSYMTAB_FUNC(drm_framebuffer_plane_width, "", "");
KSYMTAB_FUNC(drm_framebuffer_plane_height, "", "");
KSYMTAB_FUNC(drm_gem_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_fini, "", "");
KSYMTAB_FUNC(drm_gem_handle_delete, "", "");
KSYMTAB_FUNC(drm_gem_dumb_map_offset, "_gpl", "");
KSYMTAB_FUNC(drm_gem_handle_create, "", "");
KSYMTAB_FUNC(drm_gem_free_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset_size, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_get_pages, "", "");
KSYMTAB_FUNC(drm_gem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_objects_lookup, "", "");
KSYMTAB_FUNC(drm_gem_object_lookup, "", "");
KSYMTAB_FUNC(drm_gem_dma_resv_wait, "", "");
KSYMTAB_FUNC(drm_gem_object_release, "", "");
KSYMTAB_FUNC(drm_gem_object_free, "", "");
KSYMTAB_FUNC(drm_gem_vm_open, "", "");
KSYMTAB_FUNC(drm_gem_vm_close, "", "");
KSYMTAB_FUNC(drm_gem_mmap_obj, "", "");
KSYMTAB_FUNC(drm_gem_mmap, "", "");
KSYMTAB_FUNC(drm_gem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_vunmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_lock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_unlock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_lru_init, "", "");
KSYMTAB_FUNC(drm_gem_lru_remove, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail_locked, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail, "", "");
KSYMTAB_FUNC(drm_gem_lru_scan, "", "");
KSYMTAB_FUNC(drm_gem_evict, "", "");
KSYMTAB_FUNC(drm_noop, "", "");
KSYMTAB_FUNC(drm_invalid_op, "", "");
KSYMTAB_FUNC(drm_ioctl_kernel, "", "");
KSYMTAB_FUNC(drm_ioctl, "", "");
KSYMTAB_FUNC(drm_ioctl_flags, "", "");
KSYMTAB_FUNC(__drmm_add_action, "", "");
KSYMTAB_FUNC(__drmm_add_action_or_reset, "", "");
KSYMTAB_FUNC(drmm_kmalloc, "", "");
KSYMTAB_FUNC(drmm_kstrdup, "_gpl", "");
KSYMTAB_FUNC(drmm_kfree, "", "");
KSYMTAB_FUNC(__drmm_mutex_release, "", "");
KSYMTAB_FUNC(__drm_mm_interval_first, "", "");
KSYMTAB_FUNC(drm_mm_reserve_node, "", "");
KSYMTAB_FUNC(drm_mm_insert_node_in_range, "", "");
KSYMTAB_FUNC(drm_mm_remove_node, "", "");
KSYMTAB_FUNC(drm_mm_replace_node, "", "");
KSYMTAB_FUNC(drm_mm_scan_init_with_range, "", "");
KSYMTAB_FUNC(drm_mm_scan_add_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_remove_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_color_evict, "", "");
KSYMTAB_FUNC(drm_mm_init, "", "");
KSYMTAB_FUNC(drm_mm_takedown, "", "");
KSYMTAB_FUNC(drm_mm_print, "", "");
KSYMTAB_FUNC(drm_mode_config_reset, "", "");
KSYMTAB_FUNC(drmm_mode_config_init, "", "");
KSYMTAB_FUNC(drm_mode_config_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_object_find, "", "");
KSYMTAB_FUNC(drm_mode_object_put, "", "");
KSYMTAB_FUNC(drm_mode_object_get, "", "");
KSYMTAB_FUNC(drm_object_attach_property, "", "");
KSYMTAB_FUNC(drm_object_property_set_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_default_value, "", "");
KSYMTAB_FUNC(drm_mode_debug_printmodeline, "", "");
KSYMTAB_FUNC(drm_mode_create, "", "");
KSYMTAB_FUNC(drm_mode_destroy, "", "");
KSYMTAB_FUNC(drm_mode_probed_add, "", "");
KSYMTAB_FUNC(drm_analog_tv_mode, "", "");
KSYMTAB_FUNC(drm_cvt_mode, "", "");
KSYMTAB_FUNC(drm_gtf_mode_complex, "", "");
KSYMTAB_FUNC(drm_gtf_mode, "", "");
KSYMTAB_FUNC(drm_mode_set_name, "", "");
KSYMTAB_FUNC(drm_mode_vrefresh, "", "");
KSYMTAB_FUNC(drm_mode_get_hv_timing, "", "");
KSYMTAB_FUNC(drm_mode_set_crtcinfo, "", "");
KSYMTAB_FUNC(drm_mode_copy, "", "");
KSYMTAB_FUNC(drm_mode_init, "", "");
KSYMTAB_FUNC(drm_mode_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_match, "", "");
KSYMTAB_FUNC(drm_mode_equal, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks_no_stereo, "", "");
KSYMTAB_FUNC(drm_mode_validate_driver, "", "");
KSYMTAB_FUNC(drm_mode_validate_size, "", "");
KSYMTAB_FUNC(drm_mode_validate_ycbcr420, "", "");
KSYMTAB_FUNC(drm_mode_prune_invalid, "", "");
KSYMTAB_FUNC(drm_mode_sort, "", "");
KSYMTAB_FUNC(drm_connector_list_update, "", "");
KSYMTAB_FUNC(drm_mode_parse_command_line_for_connector, "", "");
KSYMTAB_FUNC(drm_mode_create_from_cmdline_mode, "", "");
KSYMTAB_FUNC(drm_mode_is_420_only, "", "");
KSYMTAB_FUNC(drm_mode_is_420_also, "", "");
KSYMTAB_FUNC(drm_mode_is_420, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all, "", "");
KSYMTAB_FUNC(drm_modeset_unlock_all, "", "");
KSYMTAB_FUNC(drm_warn_on_modeset_not_all_locked, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_init, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_fini, "", "");
KSYMTAB_FUNC(drm_modeset_drop_locks, "", "");
KSYMTAB_FUNC(drm_modeset_backoff, "", "");
KSYMTAB_FUNC(drm_modeset_lock_init, "", "");
KSYMTAB_FUNC(drm_modeset_lock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_single_interruptible, "", "");
KSYMTAB_FUNC(drm_modeset_unlock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all_ctx, "", "");
KSYMTAB_FUNC(drm_universal_plane_init, "", "");
KSYMTAB_FUNC(__drmm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(__drm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(drm_plane_cleanup, "", "");
KSYMTAB_FUNC(drm_plane_from_index, "", "");
KSYMTAB_FUNC(drm_plane_force_disable, "", "");
KSYMTAB_FUNC(drm_mode_plane_set_obj_prop, "", "");
KSYMTAB_FUNC(drm_any_plane_has_format, "", "");
KSYMTAB_FUNC(drm_plane_enable_fb_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips_count, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_export, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_release, "", "");
KSYMTAB_FUNC(drm_gem_prime_fd_to_handle, "", "");
KSYMTAB_FUNC(drm_gem_prime_handle_to_fd, "", "");
KSYMTAB_FUNC(drm_gem_map_attach, "", "");
KSYMTAB_FUNC(drm_gem_map_detach, "", "");
KSYMTAB_FUNC(drm_gem_map_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_unmap_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_prime_mmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_mmap, "", "");
KSYMTAB_FUNC(drm_prime_pages_to_sg, "", "");
KSYMTAB_FUNC(drm_prime_get_contiguous_size, "", "");
KSYMTAB_FUNC(drm_gem_prime_export, "", "");
KSYMTAB_FUNC(drm_gem_prime_import_dev, "", "");
KSYMTAB_FUNC(drm_gem_prime_import, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_page_array, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_dma_addr_array, "", "");
KSYMTAB_FUNC(drm_prime_gem_destroy, "", "");
KSYMTAB_DATA(__drm_debug, "", "");
KSYMTAB_FUNC(__drm_puts_coredump, "", "");
KSYMTAB_FUNC(__drm_printfn_coredump, "", "");
KSYMTAB_FUNC(__drm_puts_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_info, "", "");
KSYMTAB_FUNC(__drm_printfn_debug, "", "");
KSYMTAB_FUNC(__drm_printfn_err, "", "");
KSYMTAB_FUNC(drm_puts, "", "");
KSYMTAB_FUNC(drm_printf, "", "");
KSYMTAB_FUNC(drm_print_bits, "", "");
KSYMTAB_FUNC(drm_dev_printk, "", "");
KSYMTAB_FUNC(__drm_dev_dbg, "", "");
KSYMTAB_FUNC(___drm_dbg, "", "");
KSYMTAB_FUNC(__drm_err, "", "");
KSYMTAB_FUNC(drm_print_regset32, "", "");
KSYMTAB_FUNC(drm_property_create, "", "");
KSYMTAB_FUNC(drm_property_create_enum, "", "");
KSYMTAB_FUNC(drm_property_create_bitmask, "", "");
KSYMTAB_FUNC(drm_property_create_range, "", "");
KSYMTAB_FUNC(drm_property_create_signed_range, "", "");
KSYMTAB_FUNC(drm_property_create_object, "", "");
KSYMTAB_FUNC(drm_property_create_bool, "", "");
KSYMTAB_FUNC(drm_property_add_enum, "", "");
KSYMTAB_FUNC(drm_property_destroy, "", "");
KSYMTAB_FUNC(drm_property_create_blob, "", "");
KSYMTAB_FUNC(drm_property_blob_put, "", "");
KSYMTAB_FUNC(drm_property_blob_get, "", "");
KSYMTAB_FUNC(drm_property_lookup_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_global_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_blob, "", "");
KSYMTAB_FUNC(drm_syncobj_find, "", "");
KSYMTAB_FUNC(drm_syncobj_add_point, "", "");
KSYMTAB_FUNC(drm_syncobj_replace_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_find_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_free, "", "");
KSYMTAB_FUNC(drm_syncobj_create, "", "");
KSYMTAB_FUNC(drm_syncobj_get_handle, "", "");
KSYMTAB_FUNC(drm_syncobj_get_fd, "", "");
KSYMTAB_FUNC(drm_timeout_abs_to_jiffies, "", "");
KSYMTAB_FUNC(drm_sysfs_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_property_event, "", "");
KSYMTAB_FUNC(drm_class_device_register, "_gpl", "");
KSYMTAB_FUNC(drm_class_device_unregister, "_gpl", "");
KSYMTAB_FUNC(drm_crtc_accurate_vblank_count, "", "");
KSYMTAB_FUNC(drm_vblank_init, "", "");
KSYMTAB_FUNC(drm_dev_has_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_waitqueue, "", "");
KSYMTAB_FUNC(drm_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count_and_time, "", "");
KSYMTAB_FUNC(drm_crtc_next_vblank_start, "", "");
KSYMTAB_FUNC(drm_crtc_arm_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_send_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_get, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_put, "", "");
KSYMTAB_FUNC(drm_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_off, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_reset, "", "");
KSYMTAB_FUNC(drm_crtc_set_max_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_on, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_restore, "", "");
KSYMTAB_FUNC(drm_handle_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_handle_vblank, "", "");
KSYMTAB_FUNC(drm_vblank_work_schedule, "", "");
KSYMTAB_FUNC(drm_vblank_work_cancel_sync, "", "");
KSYMTAB_FUNC(drm_vblank_work_flush, "", "");
KSYMTAB_FUNC(drm_vblank_work_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_destroy, "", "");
KSYMTAB_FUNC(drm_vma_offset_lookup_locked, "", "");
KSYMTAB_FUNC(drm_vma_offset_add, "", "");
KSYMTAB_FUNC(drm_vma_offset_remove, "", "");
KSYMTAB_FUNC(drm_vma_node_allow, "", "");
KSYMTAB_FUNC(drm_vma_node_allow_once, "", "");
KSYMTAB_FUNC(drm_vma_node_revoke, "", "");
KSYMTAB_FUNC(drm_vma_node_is_allowed, "", "");
KSYMTAB_FUNC(drm_gpuva_manager_init, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_manager_destroy, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_insert, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_remove, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_link, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_unlink, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_first, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_prev, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_next, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_interval_empty, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_map, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_remap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_unmap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_sm_map, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_sm_unmap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_sm_map_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_sm_unmap_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_prefetch_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_gem_unmap_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_ops_free, "_gpl", "");
KSYMTAB_FUNC(drm_writeback_connector_init, "", "");
KSYMTAB_FUNC(drm_writeback_connector_init_with_encoder, "", "");
KSYMTAB_FUNC(drm_writeback_prepare_job, "", "");
KSYMTAB_FUNC(drm_writeback_queue_job, "", "");
KSYMTAB_FUNC(drm_writeback_cleanup_job, "", "");
KSYMTAB_FUNC(drm_writeback_signal_completion, "", "");
KSYMTAB_FUNC(drm_writeback_get_out_fence, "", "");
KSYMTAB_FUNC(drm_prandom_u32_max_state, "", "");
KSYMTAB_FUNC(drm_random_reorder, "", "");
KSYMTAB_FUNC(drm_random_order, "", "");
KSYMTAB_FUNC(drm_compat_ioctl, "", "");
KSYMTAB_FUNC(drm_panel_init, "", "");
KSYMTAB_FUNC(drm_panel_add, "", "");
KSYMTAB_FUNC(drm_panel_remove, "", "");
KSYMTAB_FUNC(drm_panel_prepare, "", "");
KSYMTAB_FUNC(drm_panel_unprepare, "", "");
KSYMTAB_FUNC(drm_panel_enable, "", "");
KSYMTAB_FUNC(drm_panel_disable, "", "");
KSYMTAB_FUNC(drm_panel_get_modes, "", "");
KSYMTAB_FUNC(drm_is_panel_follower, "", "");
KSYMTAB_FUNC(drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_panel_remove_follower, "", "");
KSYMTAB_FUNC(devm_drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_panel_of_backlight, "", "");
KSYMTAB_FUNC(drm_debugfs_gpuva_info, "", "");
KSYMTAB_FUNC(drm_debugfs_create_files, "", "");
KSYMTAB_FUNC(drm_debugfs_remove_files, "", "");
KSYMTAB_FUNC(drm_debugfs_add_file, "", "");
KSYMTAB_FUNC(drm_debugfs_add_files, "", "");
KSYMTAB_FUNC(drm_crtc_add_crc_entry, "_gpl", "");
KSYMTAB_FUNC(__drm_set_edid_firmware_path, "", "");
KSYMTAB_FUNC(__drm_get_edid_firmware_path, "", "");
KSYMTAB_FUNC(drm_privacy_screen_lookup_add, "", "");
KSYMTAB_FUNC(drm_privacy_screen_lookup_remove, "", "");
KSYMTAB_FUNC(drm_privacy_screen_get, "", "");
KSYMTAB_FUNC(drm_privacy_screen_put, "", "");
KSYMTAB_FUNC(drm_privacy_screen_set_sw_state, "", "");
KSYMTAB_FUNC(drm_privacy_screen_get_state, "", "");
KSYMTAB_FUNC(drm_privacy_screen_register_notifier, "", "");
KSYMTAB_FUNC(drm_privacy_screen_unregister_notifier, "", "");
KSYMTAB_FUNC(drm_privacy_screen_register, "", "");
KSYMTAB_FUNC(drm_privacy_screen_unregister, "", "");
KSYMTAB_FUNC(drm_privacy_screen_call_notifier_chain, "", "");

SYMBOL_CRC(devm_aperture_acquire_from_firmware, 0xf56cf52f, "");
SYMBOL_CRC(drm_aperture_remove_conflicting_framebuffers, 0x92d0de7d, "");
SYMBOL_CRC(drm_aperture_remove_conflicting_pci_framebuffers, 0x448104ea, "");
SYMBOL_CRC(__drm_crtc_commit_free, 0xae277372, "");
SYMBOL_CRC(drm_crtc_commit_wait, 0xcec0e6d8, "");
SYMBOL_CRC(drm_atomic_state_default_release, 0x7316355d, "");
SYMBOL_CRC(drm_atomic_state_init, 0x69dbe24c, "");
SYMBOL_CRC(drm_atomic_state_alloc, 0x3c4b3bc3, "");
SYMBOL_CRC(drm_atomic_state_default_clear, 0x218a2457, "");
SYMBOL_CRC(drm_atomic_state_clear, 0xd22becc8, "");
SYMBOL_CRC(__drm_atomic_state_free, 0xb9cad492, "");
SYMBOL_CRC(drm_atomic_get_crtc_state, 0x2c399e1d, "");
SYMBOL_CRC(drm_atomic_get_plane_state, 0x1d70f500, "");
SYMBOL_CRC(drm_atomic_private_obj_init, 0x23030bae, "");
SYMBOL_CRC(drm_atomic_private_obj_fini, 0x52e8f83f, "");
SYMBOL_CRC(drm_atomic_get_private_obj_state, 0x08e7e982, "");
SYMBOL_CRC(drm_atomic_get_old_private_obj_state, 0x85b77bd4, "");
SYMBOL_CRC(drm_atomic_get_new_private_obj_state, 0x04c639c3, "");
SYMBOL_CRC(drm_atomic_get_old_connector_for_encoder, 0x301804d9, "");
SYMBOL_CRC(drm_atomic_get_new_connector_for_encoder, 0xb16946ce, "");
SYMBOL_CRC(drm_atomic_get_old_crtc_for_encoder, 0xf49c4659, "");
SYMBOL_CRC(drm_atomic_get_new_crtc_for_encoder, 0xfeceee4b, "");
SYMBOL_CRC(drm_atomic_get_connector_state, 0xc6f69f77, "");
SYMBOL_CRC(drm_atomic_get_bridge_state, 0xe23b7c7c, "");
SYMBOL_CRC(drm_atomic_get_old_bridge_state, 0x2b169d13, "");
SYMBOL_CRC(drm_atomic_get_new_bridge_state, 0xd8a5bef3, "");
SYMBOL_CRC(drm_atomic_add_encoder_bridges, 0xa4e037bb, "");
SYMBOL_CRC(drm_atomic_add_affected_connectors, 0x461b0342, "");
SYMBOL_CRC(drm_atomic_add_affected_planes, 0xef043840, "");
SYMBOL_CRC(drm_atomic_check_only, 0x0b41a157, "");
SYMBOL_CRC(drm_atomic_commit, 0xb42cf5f5, "");
SYMBOL_CRC(drm_atomic_nonblocking_commit, 0x3d49cf65, "");
SYMBOL_CRC(__drm_atomic_helper_disable_plane, 0x41280d53, "");
SYMBOL_CRC(__drm_atomic_helper_set_config, 0xc6b4eba2, "");
SYMBOL_CRC(drm_atomic_print_new_state, 0x439b3d4e, "");
SYMBOL_CRC(drm_state_dump, 0x3096fe0b, "");
SYMBOL_CRC(drm_atomic_set_mode_for_crtc, 0xe7098e45, "");
SYMBOL_CRC(drm_atomic_set_mode_prop_for_crtc, 0xd8fe9847, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_plane, 0x971d54b1, "");
SYMBOL_CRC(drm_atomic_set_fb_for_plane, 0x9d64fa54, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_connector, 0xd6c4455e, "");
SYMBOL_CRC(drm_is_current_master, 0x7a18eab2, "");
SYMBOL_CRC(drm_master_get, 0x976e9de1, "");
SYMBOL_CRC(drm_file_get_master, 0x942b762b, "");
SYMBOL_CRC(drm_master_put, 0x8acb6b3f, "");
SYMBOL_CRC(drm_master_internal_acquire, 0x78c88a10, "");
SYMBOL_CRC(drm_master_internal_release, 0xb2cd6a78, "");
SYMBOL_CRC(drm_plane_create_alpha_property, 0xa89fd4c7, "");
SYMBOL_CRC(drm_plane_create_rotation_property, 0xcb48bd4e, "");
SYMBOL_CRC(drm_rotation_simplify, 0xdf666902, "");
SYMBOL_CRC(drm_plane_create_zpos_property, 0xf1c457ba, "");
SYMBOL_CRC(drm_plane_create_zpos_immutable_property, 0x9533382d, "");
SYMBOL_CRC(drm_atomic_normalize_zpos, 0x64a1b825, "");
SYMBOL_CRC(drm_plane_create_blend_mode_property, 0x7eb42688, "");
SYMBOL_CRC(drm_bridge_add, 0x4dc31795, "");
SYMBOL_CRC(devm_drm_bridge_add, 0xd5cbc1d1, "");
SYMBOL_CRC(drm_bridge_remove, 0xcae096d7, "");
SYMBOL_CRC(drm_bridge_attach, 0xa755ce97, "");
SYMBOL_CRC(drm_bridge_chain_mode_fixup, 0xc47d64b7, "");
SYMBOL_CRC(drm_bridge_chain_mode_valid, 0x47632da8, "");
SYMBOL_CRC(drm_bridge_chain_mode_set, 0xa6f6d686, "");
SYMBOL_CRC(drm_atomic_bridge_chain_disable, 0x1d95fc4e, "");
SYMBOL_CRC(drm_atomic_bridge_chain_post_disable, 0xb1b7ee38, "");
SYMBOL_CRC(drm_atomic_bridge_chain_pre_enable, 0x5cb80cea, "");
SYMBOL_CRC(drm_atomic_bridge_chain_enable, 0xe4c57d5d, "");
SYMBOL_CRC(drm_atomic_bridge_chain_check, 0xf7b4a132, "");
SYMBOL_CRC(drm_bridge_detect, 0xe04503cc, "_gpl");
SYMBOL_CRC(drm_bridge_get_modes, 0x369db141, "_gpl");
SYMBOL_CRC(drm_bridge_edid_read, 0xdb05c48a, "_gpl");
SYMBOL_CRC(drm_bridge_get_edid, 0x0d0930a7, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_enable, 0x6cfa70f4, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_disable, 0x4b748d74, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_notify, 0x8620150e, "_gpl");
SYMBOL_CRC(drm_clflush_pages, 0x1c840a6d, "");
SYMBOL_CRC(drm_clflush_sg, 0x69e1bf40, "");
SYMBOL_CRC(drm_clflush_virt_range, 0x0a72f765, "");
SYMBOL_CRC(drm_need_swiotlb, 0xb6127243, "");
SYMBOL_CRC(drm_memcpy_from_wc, 0xa38c4c94, "");
SYMBOL_CRC(drm_client_init, 0x3f24129c, "");
SYMBOL_CRC(drm_client_register, 0x01e878df, "");
SYMBOL_CRC(drm_client_release, 0x4e5a3d44, "");
SYMBOL_CRC(drm_client_dev_hotplug, 0xc12a71f6, "");
SYMBOL_CRC(drm_client_buffer_vmap, 0x0355c406, "");
SYMBOL_CRC(drm_client_buffer_vunmap, 0x469cf941, "");
SYMBOL_CRC(drm_client_framebuffer_create, 0xcb0fc5f5, "");
SYMBOL_CRC(drm_client_framebuffer_delete, 0xd5f56a04, "");
SYMBOL_CRC(drm_client_framebuffer_flush, 0xe8b53d86, "");
SYMBOL_CRC(drm_client_modeset_probe, 0x906552ff, "");
SYMBOL_CRC(drm_client_rotation, 0x2698b3bb, "");
SYMBOL_CRC(drm_client_modeset_check, 0x9b452e2d, "");
SYMBOL_CRC(drm_client_modeset_commit_locked, 0x6eaebe9d, "");
SYMBOL_CRC(drm_client_modeset_commit, 0x171d6128, "");
SYMBOL_CRC(drm_client_modeset_dpms, 0xf70e5d3b, "");
SYMBOL_CRC(drm_color_ctm_s31_32_to_qm_n, 0xad4e902b, "");
SYMBOL_CRC(drm_crtc_enable_color_mgmt, 0x97c57bd5, "");
SYMBOL_CRC(drm_mode_crtc_set_gamma_size, 0x0f85ea2b, "");
SYMBOL_CRC(drm_plane_create_color_properties, 0x8c344ffd, "");
SYMBOL_CRC(drm_color_lut_check, 0xb604a858, "");
SYMBOL_CRC(drm_get_connector_type_name, 0xf406e46a, "");
SYMBOL_CRC(drm_connector_init, 0xb319f19d, "");
SYMBOL_CRC(drm_connector_init_with_ddc, 0x510e6f0c, "");
SYMBOL_CRC(drmm_connector_init, 0x0b3400ca, "");
SYMBOL_CRC(drm_connector_attach_edid_property, 0xdec4ee60, "");
SYMBOL_CRC(drm_connector_attach_encoder, 0xd97937b0, "");
SYMBOL_CRC(drm_connector_has_possible_encoder, 0x539b3bde, "");
SYMBOL_CRC(drm_connector_cleanup, 0x20cf31bc, "");
SYMBOL_CRC(drm_connector_register, 0xae70901b, "");
SYMBOL_CRC(drm_connector_unregister, 0xe9a8d76c, "");
SYMBOL_CRC(drm_get_connector_status_name, 0x0fd60df2, "");
SYMBOL_CRC(drm_connector_list_iter_begin, 0x7558268b, "");
SYMBOL_CRC(drm_connector_list_iter_next, 0x66e9e604, "");
SYMBOL_CRC(drm_connector_list_iter_end, 0xab616c8b, "");
SYMBOL_CRC(drm_get_subpixel_order_name, 0x107742a9, "");
SYMBOL_CRC(drm_display_info_set_bus_formats, 0x7c0d9cad, "");
SYMBOL_CRC(drm_get_tv_mode_from_name, 0xf095dc96, "");
SYMBOL_CRC(drm_mode_create_dvi_i_properties, 0x2f93d3da, "");
SYMBOL_CRC(drm_connector_attach_dp_subconnector_property, 0x92eb78dd, "");
SYMBOL_CRC(drm_connector_attach_content_type_property, 0x3ae47db6, "");
SYMBOL_CRC(drm_connector_attach_tv_margin_properties, 0x5970c79c, "");
SYMBOL_CRC(drm_mode_create_tv_margin_properties, 0x7dbb9156, "");
SYMBOL_CRC(drm_mode_create_tv_properties_legacy, 0xf7e189ab, "");
SYMBOL_CRC(drm_mode_create_tv_properties, 0x9fce655a, "");
SYMBOL_CRC(drm_mode_create_scaling_mode_property, 0x9a5865f0, "");
SYMBOL_CRC(drm_connector_attach_vrr_capable_property, 0x36aec2be, "");
SYMBOL_CRC(drm_connector_attach_scaling_mode_property, 0x59781b5c, "");
SYMBOL_CRC(drm_mode_create_aspect_ratio_property, 0x7127cf0a, "");
SYMBOL_CRC(drm_mode_create_hdmi_colorspace_property, 0x542e8161, "");
SYMBOL_CRC(drm_mode_create_dp_colorspace_property, 0x657988bb, "");
SYMBOL_CRC(drm_mode_create_content_type_property, 0x4f6bad0b, "");
SYMBOL_CRC(drm_mode_create_suggested_offset_properties, 0xe8b78a6e, "");
SYMBOL_CRC(drm_connector_set_path_property, 0x195512b8, "");
SYMBOL_CRC(drm_connector_set_tile_property, 0x3c43ae5e, "");
SYMBOL_CRC(drm_connector_set_link_status_property, 0xe295b1c7, "");
SYMBOL_CRC(drm_connector_attach_max_bpc_property, 0xd5a40689, "");
SYMBOL_CRC(drm_connector_attach_hdr_output_metadata_property, 0x6c23c872, "");
SYMBOL_CRC(drm_connector_attach_colorspace_property, 0xbe698537, "");
SYMBOL_CRC(drm_connector_atomic_hdr_metadata_equal, 0xbfdeed69, "");
SYMBOL_CRC(drm_connector_set_vrr_capable_property, 0x39cd574f, "");
SYMBOL_CRC(drm_connector_set_panel_orientation, 0x491ad7b4, "");
SYMBOL_CRC(drm_connector_set_panel_orientation_with_quirk, 0xce21dbc1, "");
SYMBOL_CRC(drm_connector_set_orientation_from_panel, 0x88e9e676, "");
SYMBOL_CRC(drm_connector_create_privacy_screen_properties, 0xa80451e0, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_properties, 0xed6fcfc6, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_provider, 0x76c0e6f3, "");
SYMBOL_CRC(drm_connector_update_privacy_screen, 0x0d2c2f89, "");
SYMBOL_CRC(drm_connector_oob_hotplug_event, 0x208251ca, "");
SYMBOL_CRC(drm_mode_put_tile_group, 0xe765995d, "");
SYMBOL_CRC(drm_mode_get_tile_group, 0xc366ae3e, "");
SYMBOL_CRC(drm_mode_create_tile_group, 0xd37ef0dc, "");
SYMBOL_CRC(drm_crtc_from_index, 0xd1649567, "");
SYMBOL_CRC(drm_crtc_init_with_planes, 0xcd83b8ea, "");
SYMBOL_CRC(drmm_crtc_init_with_planes, 0xb6bf8580, "");
SYMBOL_CRC(__drmm_crtc_alloc_with_planes, 0x030c5c4c, "");
SYMBOL_CRC(drm_crtc_cleanup, 0x18f5ba2b, "");
SYMBOL_CRC(drm_mode_set_config_internal, 0x0c372916, "");
SYMBOL_CRC(drm_crtc_check_viewport, 0xd7a25c95, "");
SYMBOL_CRC(drm_crtc_create_scaling_filter_property, 0xd55d6aca, "");
SYMBOL_CRC(drm_put_dev, 0xdd36906e, "");
SYMBOL_CRC(drm_dev_enter, 0x0dfd9795, "");
SYMBOL_CRC(drm_dev_exit, 0xe8a034df, "");
SYMBOL_CRC(drm_dev_unplug, 0x98e82dd7, "");
SYMBOL_CRC(__devm_drm_dev_alloc, 0xb60fa678, "");
SYMBOL_CRC(drm_dev_alloc, 0xebaa9f3d, "");
SYMBOL_CRC(drm_dev_get, 0x9beafba0, "");
SYMBOL_CRC(drm_dev_put, 0x1b0bd189, "");
SYMBOL_CRC(drm_dev_register, 0x99bce573, "");
SYMBOL_CRC(drm_dev_unregister, 0x88326eb4, "");
SYMBOL_CRC(drm_edid_header_is_valid, 0x9b9de1c1, "");
SYMBOL_CRC(drm_edid_are_equal, 0x24993e50, "");
SYMBOL_CRC(drm_edid_block_valid, 0xd13f9985, "");
SYMBOL_CRC(drm_edid_is_valid, 0x8d72789e, "");
SYMBOL_CRC(drm_edid_valid, 0xb3750192, "");
SYMBOL_CRC(drm_edid_override_connector_update, 0x1e3a363c, "");
SYMBOL_CRC(drm_do_get_edid, 0x92aa786b, "_gpl");
SYMBOL_CRC(drm_edid_raw, 0x4489a5e9, "");
SYMBOL_CRC(drm_edid_alloc, 0x79c00fa2, "");
SYMBOL_CRC(drm_edid_dup, 0xb212dc3e, "");
SYMBOL_CRC(drm_edid_free, 0x397c3d27, "");
SYMBOL_CRC(drm_probe_ddc, 0x1faf301a, "");
SYMBOL_CRC(drm_get_edid, 0x81d59ee9, "");
SYMBOL_CRC(drm_edid_read_custom, 0x76b62b59, "");
SYMBOL_CRC(drm_edid_read_ddc, 0xe4b74f2c, "");
SYMBOL_CRC(drm_edid_read, 0x4920999e, "");
SYMBOL_CRC(drm_edid_get_panel_id, 0x016179f2, "");
SYMBOL_CRC(drm_get_edid_switcheroo, 0x8bed175b, "");
SYMBOL_CRC(drm_edid_read_switcheroo, 0xff352748, "");
SYMBOL_CRC(drm_edid_duplicate, 0x7edf470b, "");
SYMBOL_CRC(drm_mode_find_dmt, 0x260bd122, "");
SYMBOL_CRC(drm_match_cea_mode, 0x9b285573, "");
SYMBOL_CRC(drm_display_mode_from_cea_vic, 0x1b4a0073, "");
SYMBOL_CRC(drm_edid_get_monitor_name, 0x7c545285, "");
SYMBOL_CRC(drm_edid_to_sad, 0x6ac01ea8, "");
SYMBOL_CRC(drm_edid_to_speaker_allocation, 0x3cdc37e9, "");
SYMBOL_CRC(drm_av_sync_delay, 0x20505b85, "");
SYMBOL_CRC(drm_detect_hdmi_monitor, 0x38690d99, "");
SYMBOL_CRC(drm_detect_monitor_audio, 0xa248afde, "");
SYMBOL_CRC(drm_default_rgb_quant_range, 0x65702bd6, "");
SYMBOL_CRC(drm_edid_connector_update, 0xa774631c, "");
SYMBOL_CRC(drm_edid_connector_add_modes, 0xfcb5a860, "");
SYMBOL_CRC(drm_connector_update_edid_property, 0x79ac1203, "");
SYMBOL_CRC(drm_add_edid_modes, 0xcc1d6562, "");
SYMBOL_CRC(drm_add_modes_noedid, 0x53f054a7, "");
SYMBOL_CRC(drm_set_preferred_mode, 0x489e5987, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_from_display_mode, 0xc43f316a, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_quant_range, 0x40da0cc5, "");
SYMBOL_CRC(drm_hdmi_vendor_infoframe_from_display_mode, 0x76fbab4e, "");
SYMBOL_CRC(drm_encoder_init, 0x9516a141, "");
SYMBOL_CRC(drm_encoder_cleanup, 0xf083164a, "");
SYMBOL_CRC(__drmm_encoder_alloc, 0x3a1be4d3, "");
SYMBOL_CRC(drmm_encoder_init, 0x833f097e, "");
SYMBOL_CRC(drm_open, 0x2f20ffbf, "");
SYMBOL_CRC(drm_release, 0x4d48d441, "");
SYMBOL_CRC(drm_release_noglobal, 0x8abd8a7e, "");
SYMBOL_CRC(drm_read, 0x6ee6e7a3, "");
SYMBOL_CRC(drm_poll, 0x99a01f34, "");
SYMBOL_CRC(drm_event_reserve_init_locked, 0x266a008f, "");
SYMBOL_CRC(drm_event_reserve_init, 0xfbf704ff, "");
SYMBOL_CRC(drm_event_cancel_free, 0x40bbfe4b, "");
SYMBOL_CRC(drm_send_event_timestamp_locked, 0x7200be96, "");
SYMBOL_CRC(drm_send_event_locked, 0x3b4c59bc, "");
SYMBOL_CRC(drm_send_event, 0x29ee9ed2, "");
SYMBOL_CRC(drm_print_memory_stats, 0x16b809c8, "");
SYMBOL_CRC(drm_show_memory_stats, 0x7f854a9f, "");
SYMBOL_CRC(drm_show_fdinfo, 0x3c841b97, "");
SYMBOL_CRC(mock_drm_getfile, 0x2b4a5b79, "");
SYMBOL_CRC(drm_mode_legacy_fb_format, 0x29f078d1, "");
SYMBOL_CRC(drm_driver_legacy_fb_format, 0x169ab549, "");
SYMBOL_CRC(drm_format_info, 0x55eb38da, "");
SYMBOL_CRC(drm_get_format_info, 0x7948f65e, "");
SYMBOL_CRC(drm_format_info_block_width, 0x74fc6fbd, "");
SYMBOL_CRC(drm_format_info_block_height, 0x982d09b3, "");
SYMBOL_CRC(drm_format_info_bpp, 0xe633a4cd, "");
SYMBOL_CRC(drm_format_info_min_pitch, 0x6910e4cd, "");
SYMBOL_CRC(drm_internal_framebuffer_create, 0x913f9180, "");
SYMBOL_CRC(drm_framebuffer_init, 0x15b4f624, "");
SYMBOL_CRC(drm_framebuffer_lookup, 0xaa715e62, "");
SYMBOL_CRC(drm_framebuffer_unregister_private, 0x4d2e2dcc, "");
SYMBOL_CRC(drm_framebuffer_cleanup, 0xa7ce2efa, "");
SYMBOL_CRC(drm_framebuffer_remove, 0x4f43e5bf, "");
SYMBOL_CRC(drm_framebuffer_plane_width, 0x880b14f4, "");
SYMBOL_CRC(drm_framebuffer_plane_height, 0x8b251b71, "");
SYMBOL_CRC(drm_gem_object_init, 0xa67faa22, "");
SYMBOL_CRC(drm_gem_private_object_init, 0x57742918, "");
SYMBOL_CRC(drm_gem_private_object_fini, 0xebd9ea76, "");
SYMBOL_CRC(drm_gem_handle_delete, 0x56ceeea8, "");
SYMBOL_CRC(drm_gem_dumb_map_offset, 0x1914086c, "_gpl");
SYMBOL_CRC(drm_gem_handle_create, 0x503b3fef, "");
SYMBOL_CRC(drm_gem_free_mmap_offset, 0x785af80e, "");
SYMBOL_CRC(drm_gem_create_mmap_offset_size, 0x449ab860, "");
SYMBOL_CRC(drm_gem_create_mmap_offset, 0xe9c0db5d, "");
SYMBOL_CRC(drm_gem_get_pages, 0x37f9e57f, "");
SYMBOL_CRC(drm_gem_put_pages, 0x392ebcac, "");
SYMBOL_CRC(drm_gem_objects_lookup, 0x856f2e86, "");
SYMBOL_CRC(drm_gem_object_lookup, 0xc46acd42, "");
SYMBOL_CRC(drm_gem_dma_resv_wait, 0xc3bb021a, "");
SYMBOL_CRC(drm_gem_object_release, 0x31a682ff, "");
SYMBOL_CRC(drm_gem_object_free, 0xd680a377, "");
SYMBOL_CRC(drm_gem_vm_open, 0xcd5717c6, "");
SYMBOL_CRC(drm_gem_vm_close, 0x75e05414, "");
SYMBOL_CRC(drm_gem_mmap_obj, 0x34816a39, "");
SYMBOL_CRC(drm_gem_mmap, 0x92434e07, "");
SYMBOL_CRC(drm_gem_vmap, 0x773125fe, "");
SYMBOL_CRC(drm_gem_vunmap, 0x2d9d5396, "");
SYMBOL_CRC(drm_gem_vmap_unlocked, 0x9a08b00a, "");
SYMBOL_CRC(drm_gem_vunmap_unlocked, 0x3a92992a, "");
SYMBOL_CRC(drm_gem_lock_reservations, 0x9edbcdd0, "");
SYMBOL_CRC(drm_gem_unlock_reservations, 0xa99f3a63, "");
SYMBOL_CRC(drm_gem_lru_init, 0x6057d2f7, "");
SYMBOL_CRC(drm_gem_lru_remove, 0xc20e8cfd, "");
SYMBOL_CRC(drm_gem_lru_move_tail_locked, 0xeda05754, "");
SYMBOL_CRC(drm_gem_lru_move_tail, 0x76aeec93, "");
SYMBOL_CRC(drm_gem_lru_scan, 0x993463a6, "");
SYMBOL_CRC(drm_gem_evict, 0x073da220, "");
SYMBOL_CRC(drm_noop, 0x20e4c61e, "");
SYMBOL_CRC(drm_invalid_op, 0xded2c0f9, "");
SYMBOL_CRC(drm_ioctl_kernel, 0xd676b9a9, "");
SYMBOL_CRC(drm_ioctl, 0x8c97ecb2, "");
SYMBOL_CRC(drm_ioctl_flags, 0x57b6efe3, "");
SYMBOL_CRC(__drmm_add_action, 0x33cd9824, "");
SYMBOL_CRC(__drmm_add_action_or_reset, 0x343f2b15, "");
SYMBOL_CRC(drmm_kmalloc, 0x1359fb44, "");
SYMBOL_CRC(drmm_kstrdup, 0x8966f92d, "_gpl");
SYMBOL_CRC(drmm_kfree, 0x42ba24aa, "");
SYMBOL_CRC(__drmm_mutex_release, 0x41d07ecb, "");
SYMBOL_CRC(__drm_mm_interval_first, 0x25daad93, "");
SYMBOL_CRC(drm_mm_reserve_node, 0x2754dad8, "");
SYMBOL_CRC(drm_mm_insert_node_in_range, 0xb4032484, "");
SYMBOL_CRC(drm_mm_remove_node, 0x4b7ebf95, "");
SYMBOL_CRC(drm_mm_replace_node, 0x59056243, "");
SYMBOL_CRC(drm_mm_scan_init_with_range, 0x2a962499, "");
SYMBOL_CRC(drm_mm_scan_add_block, 0x2183c08c, "");
SYMBOL_CRC(drm_mm_scan_remove_block, 0x5f7985a5, "");
SYMBOL_CRC(drm_mm_scan_color_evict, 0xdf3f760d, "");
SYMBOL_CRC(drm_mm_init, 0xf0517d7a, "");
SYMBOL_CRC(drm_mm_takedown, 0x57698a50, "");
SYMBOL_CRC(drm_mm_print, 0x0f7acb66, "");
SYMBOL_CRC(drm_mode_config_reset, 0x32e38fd4, "");
SYMBOL_CRC(drmm_mode_config_init, 0x1d3b0803, "");
SYMBOL_CRC(drm_mode_config_cleanup, 0x89e91977, "");
SYMBOL_CRC(drm_mode_object_find, 0x4d944ead, "");
SYMBOL_CRC(drm_mode_object_put, 0x307d77d5, "");
SYMBOL_CRC(drm_mode_object_get, 0x9ccb7bf4, "");
SYMBOL_CRC(drm_object_attach_property, 0xbc980b7c, "");
SYMBOL_CRC(drm_object_property_set_value, 0x5129d26c, "");
SYMBOL_CRC(drm_object_property_get_value, 0xea3094f8, "");
SYMBOL_CRC(drm_object_property_get_default_value, 0xf4247d84, "");
SYMBOL_CRC(drm_mode_debug_printmodeline, 0x2ed3c600, "");
SYMBOL_CRC(drm_mode_create, 0xfafe2dba, "");
SYMBOL_CRC(drm_mode_destroy, 0x32f60025, "");
SYMBOL_CRC(drm_mode_probed_add, 0x68d1548f, "");
SYMBOL_CRC(drm_analog_tv_mode, 0x07fc877f, "");
SYMBOL_CRC(drm_cvt_mode, 0x55f3e8ad, "");
SYMBOL_CRC(drm_gtf_mode_complex, 0xb6028846, "");
SYMBOL_CRC(drm_gtf_mode, 0xea6729cc, "");
SYMBOL_CRC(drm_mode_set_name, 0x4a35d30d, "");
SYMBOL_CRC(drm_mode_vrefresh, 0xf1b5340a, "");
SYMBOL_CRC(drm_mode_get_hv_timing, 0x4403a9c3, "");
SYMBOL_CRC(drm_mode_set_crtcinfo, 0x4575a0ca, "");
SYMBOL_CRC(drm_mode_copy, 0x9ce050be, "");
SYMBOL_CRC(drm_mode_init, 0xcdb99cc9, "");
SYMBOL_CRC(drm_mode_duplicate, 0x9fbcaf70, "");
SYMBOL_CRC(drm_mode_match, 0x9b95c885, "");
SYMBOL_CRC(drm_mode_equal, 0x0d9b4753, "");
SYMBOL_CRC(drm_mode_equal_no_clocks, 0x3ab87110, "");
SYMBOL_CRC(drm_mode_equal_no_clocks_no_stereo, 0x24d124ac, "");
SYMBOL_CRC(drm_mode_validate_driver, 0x5b4eb657, "");
SYMBOL_CRC(drm_mode_validate_size, 0xd7a9cf42, "");
SYMBOL_CRC(drm_mode_validate_ycbcr420, 0x27bbb9ab, "");
SYMBOL_CRC(drm_mode_prune_invalid, 0xd1936fd7, "");
SYMBOL_CRC(drm_mode_sort, 0xf1421d13, "");
SYMBOL_CRC(drm_connector_list_update, 0xa91c7a79, "");
SYMBOL_CRC(drm_mode_parse_command_line_for_connector, 0xdd797bf8, "");
SYMBOL_CRC(drm_mode_create_from_cmdline_mode, 0xc74ca60a, "");
SYMBOL_CRC(drm_mode_is_420_only, 0xe3ac15d5, "");
SYMBOL_CRC(drm_mode_is_420_also, 0xdd3c6afa, "");
SYMBOL_CRC(drm_mode_is_420, 0xdb320a08, "");
SYMBOL_CRC(drm_modeset_lock_all, 0x3edf8081, "");
SYMBOL_CRC(drm_modeset_unlock_all, 0xc4da3714, "");
SYMBOL_CRC(drm_warn_on_modeset_not_all_locked, 0x90ad58e1, "");
SYMBOL_CRC(drm_modeset_acquire_init, 0x1fa38a44, "");
SYMBOL_CRC(drm_modeset_acquire_fini, 0xb8db260a, "");
SYMBOL_CRC(drm_modeset_drop_locks, 0xcee64b5b, "");
SYMBOL_CRC(drm_modeset_backoff, 0xed61bea6, "");
SYMBOL_CRC(drm_modeset_lock_init, 0x0666a8dd, "");
SYMBOL_CRC(drm_modeset_lock, 0xffb7a2cd, "");
SYMBOL_CRC(drm_modeset_lock_single_interruptible, 0x865238d6, "");
SYMBOL_CRC(drm_modeset_unlock, 0xbf71d433, "");
SYMBOL_CRC(drm_modeset_lock_all_ctx, 0x39e0962e, "");
SYMBOL_CRC(drm_universal_plane_init, 0xa1ca76a3, "");
SYMBOL_CRC(__drmm_universal_plane_alloc, 0x58d90913, "");
SYMBOL_CRC(__drm_universal_plane_alloc, 0xbcd93807, "");
SYMBOL_CRC(drm_plane_cleanup, 0x2af52d36, "");
SYMBOL_CRC(drm_plane_from_index, 0x252d2580, "");
SYMBOL_CRC(drm_plane_force_disable, 0x0d73f04e, "");
SYMBOL_CRC(drm_mode_plane_set_obj_prop, 0x8f155a28, "");
SYMBOL_CRC(drm_any_plane_has_format, 0x058576fc, "");
SYMBOL_CRC(drm_plane_enable_fb_damage_clips, 0x41c11181, "");
SYMBOL_CRC(drm_plane_get_damage_clips_count, 0x1b57b716, "");
SYMBOL_CRC(drm_plane_get_damage_clips, 0x5a251ac9, "");
SYMBOL_CRC(drm_plane_create_scaling_filter_property, 0x1baa67e7, "");
SYMBOL_CRC(drm_gem_dmabuf_export, 0xfb019e83, "");
SYMBOL_CRC(drm_gem_dmabuf_release, 0xf5f43e7f, "");
SYMBOL_CRC(drm_gem_prime_fd_to_handle, 0x9bc2707b, "");
SYMBOL_CRC(drm_gem_prime_handle_to_fd, 0x4df554fb, "");
SYMBOL_CRC(drm_gem_map_attach, 0x9d392530, "");
SYMBOL_CRC(drm_gem_map_detach, 0xe4f2e22e, "");
SYMBOL_CRC(drm_gem_map_dma_buf, 0xc9ef058d, "");
SYMBOL_CRC(drm_gem_unmap_dma_buf, 0xf619e223, "");
SYMBOL_CRC(drm_gem_dmabuf_vmap, 0x305d80d8, "");
SYMBOL_CRC(drm_gem_dmabuf_vunmap, 0x4ad634a4, "");
SYMBOL_CRC(drm_gem_prime_mmap, 0x9e8784da, "");
SYMBOL_CRC(drm_gem_dmabuf_mmap, 0x6f9a425c, "");
SYMBOL_CRC(drm_prime_pages_to_sg, 0x9514558f, "");
SYMBOL_CRC(drm_prime_get_contiguous_size, 0xdad9c8b1, "");
SYMBOL_CRC(drm_gem_prime_export, 0xa5e8f34d, "");
SYMBOL_CRC(drm_gem_prime_import_dev, 0x9b58bebd, "");
SYMBOL_CRC(drm_gem_prime_import, 0x1ffa6201, "");
SYMBOL_CRC(drm_prime_sg_to_page_array, 0x4e14f1ac, "");
SYMBOL_CRC(drm_prime_sg_to_dma_addr_array, 0x4e2a621e, "");
SYMBOL_CRC(drm_prime_gem_destroy, 0x385d81f9, "");
SYMBOL_CRC(__drm_debug, 0x69353664, "");
SYMBOL_CRC(__drm_puts_coredump, 0x3b0e5e9c, "");
SYMBOL_CRC(__drm_printfn_coredump, 0xea00fe81, "");
SYMBOL_CRC(__drm_puts_seq_file, 0x513072fe, "");
SYMBOL_CRC(__drm_printfn_seq_file, 0xfeb953b1, "");
SYMBOL_CRC(__drm_printfn_info, 0xe317082a, "");
SYMBOL_CRC(__drm_printfn_debug, 0xf824c7db, "");
SYMBOL_CRC(__drm_printfn_err, 0x3f405489, "");
SYMBOL_CRC(drm_puts, 0x521ad6d0, "");
SYMBOL_CRC(drm_printf, 0x28779e52, "");
SYMBOL_CRC(drm_print_bits, 0x32a0cc37, "");
SYMBOL_CRC(drm_dev_printk, 0x0d381b84, "");
SYMBOL_CRC(__drm_dev_dbg, 0x8dec6796, "");
SYMBOL_CRC(___drm_dbg, 0x7e3277f8, "");
SYMBOL_CRC(__drm_err, 0xb11ac7a7, "");
SYMBOL_CRC(drm_print_regset32, 0x73b13ee5, "");
SYMBOL_CRC(drm_property_create, 0x03efbe62, "");
SYMBOL_CRC(drm_property_create_enum, 0xdf633a26, "");
SYMBOL_CRC(drm_property_create_bitmask, 0xc6c1ea75, "");
SYMBOL_CRC(drm_property_create_range, 0xb3b33116, "");
SYMBOL_CRC(drm_property_create_signed_range, 0x4670bba7, "");
SYMBOL_CRC(drm_property_create_object, 0xd2eec32c, "");
SYMBOL_CRC(drm_property_create_bool, 0x9a3a9c7c, "");
SYMBOL_CRC(drm_property_add_enum, 0x3aa57aa0, "");
SYMBOL_CRC(drm_property_destroy, 0x3f8c3dca, "");
SYMBOL_CRC(drm_property_create_blob, 0x02f95455, "");
SYMBOL_CRC(drm_property_blob_put, 0xa1dbdde0, "");
SYMBOL_CRC(drm_property_blob_get, 0xda911501, "");
SYMBOL_CRC(drm_property_lookup_blob, 0xe25559f2, "");
SYMBOL_CRC(drm_property_replace_global_blob, 0x54177748, "");
SYMBOL_CRC(drm_property_replace_blob, 0xa24bbba2, "");
SYMBOL_CRC(drm_syncobj_find, 0x562ddbb1, "");
SYMBOL_CRC(drm_syncobj_add_point, 0x247c39aa, "");
SYMBOL_CRC(drm_syncobj_replace_fence, 0xac881bfd, "");
SYMBOL_CRC(drm_syncobj_find_fence, 0x5b8c0bb7, "");
SYMBOL_CRC(drm_syncobj_free, 0x1a411479, "");
SYMBOL_CRC(drm_syncobj_create, 0x1ae329ee, "");
SYMBOL_CRC(drm_syncobj_get_handle, 0x766e8ba1, "");
SYMBOL_CRC(drm_syncobj_get_fd, 0x7018f908, "");
SYMBOL_CRC(drm_timeout_abs_to_jiffies, 0x50674de7, "");
SYMBOL_CRC(drm_sysfs_hotplug_event, 0x9326f6bc, "");
SYMBOL_CRC(drm_sysfs_connector_hotplug_event, 0x9ad97a00, "");
SYMBOL_CRC(drm_sysfs_connector_property_event, 0x26d6e393, "");
SYMBOL_CRC(drm_class_device_register, 0x1e391192, "_gpl");
SYMBOL_CRC(drm_class_device_unregister, 0x3a1492d3, "_gpl");
SYMBOL_CRC(drm_crtc_accurate_vblank_count, 0x5899bda0, "");
SYMBOL_CRC(drm_vblank_init, 0xe388d7ec, "");
SYMBOL_CRC(drm_dev_has_vblank, 0xf8841603, "");
SYMBOL_CRC(drm_crtc_vblank_waitqueue, 0x4978c701, "");
SYMBOL_CRC(drm_calc_timestamping_constants, 0x11f75230, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, 0xd6ced0e7, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp, 0x2fe9d909, "");
SYMBOL_CRC(drm_crtc_vblank_count, 0x2da0647f, "");
SYMBOL_CRC(drm_crtc_vblank_count_and_time, 0xd1f8b8d7, "");
SYMBOL_CRC(drm_crtc_next_vblank_start, 0x65cdfbec, "");
SYMBOL_CRC(drm_crtc_arm_vblank_event, 0xc1605d8a, "");
SYMBOL_CRC(drm_crtc_send_vblank_event, 0x0cbe0186, "");
SYMBOL_CRC(drm_crtc_vblank_get, 0xc709eccc, "");
SYMBOL_CRC(drm_crtc_vblank_put, 0x0447dcf8, "");
SYMBOL_CRC(drm_wait_one_vblank, 0xfe818af7, "");
SYMBOL_CRC(drm_crtc_wait_one_vblank, 0x38537412, "");
SYMBOL_CRC(drm_crtc_vblank_off, 0x031ec151, "");
SYMBOL_CRC(drm_crtc_vblank_reset, 0xd789e43b, "");
SYMBOL_CRC(drm_crtc_set_max_vblank_count, 0x6751b5ef, "");
SYMBOL_CRC(drm_crtc_vblank_on, 0x4e8b45ff, "");
SYMBOL_CRC(drm_crtc_vblank_restore, 0x6d2c5a62, "");
SYMBOL_CRC(drm_handle_vblank, 0x2302941e, "");
SYMBOL_CRC(drm_crtc_handle_vblank, 0x6ffd41e7, "");
SYMBOL_CRC(drm_vblank_work_schedule, 0x9ea83a27, "");
SYMBOL_CRC(drm_vblank_work_cancel_sync, 0x95f3ae9c, "");
SYMBOL_CRC(drm_vblank_work_flush, 0x9763c2db, "");
SYMBOL_CRC(drm_vblank_work_init, 0x166eacba, "");
SYMBOL_CRC(drm_vma_offset_manager_init, 0x6689cb55, "");
SYMBOL_CRC(drm_vma_offset_manager_destroy, 0xae5a2b59, "");
SYMBOL_CRC(drm_vma_offset_lookup_locked, 0xbea1e421, "");
SYMBOL_CRC(drm_vma_offset_add, 0x0a1b2eb5, "");
SYMBOL_CRC(drm_vma_offset_remove, 0xb29cd39a, "");
SYMBOL_CRC(drm_vma_node_allow, 0xd0985040, "");
SYMBOL_CRC(drm_vma_node_allow_once, 0x68f209f8, "");
SYMBOL_CRC(drm_vma_node_revoke, 0xb9f76fb3, "");
SYMBOL_CRC(drm_vma_node_is_allowed, 0x988f1543, "");
SYMBOL_CRC(drm_gpuva_manager_init, 0xad5f75ba, "_gpl");
SYMBOL_CRC(drm_gpuva_manager_destroy, 0x9bbb37d4, "_gpl");
SYMBOL_CRC(drm_gpuva_insert, 0x5de6e8a4, "_gpl");
SYMBOL_CRC(drm_gpuva_remove, 0x8ec966db, "_gpl");
SYMBOL_CRC(drm_gpuva_link, 0xbb15e1a0, "_gpl");
SYMBOL_CRC(drm_gpuva_unlink, 0xd520e4b2, "_gpl");
SYMBOL_CRC(drm_gpuva_find_first, 0xe219b476, "_gpl");
SYMBOL_CRC(drm_gpuva_find, 0xc65f0c63, "_gpl");
SYMBOL_CRC(drm_gpuva_find_prev, 0xc0f529c3, "_gpl");
SYMBOL_CRC(drm_gpuva_find_next, 0x6968e78b, "_gpl");
SYMBOL_CRC(drm_gpuva_interval_empty, 0xc4de6e78, "_gpl");
SYMBOL_CRC(drm_gpuva_map, 0x396ce163, "_gpl");
SYMBOL_CRC(drm_gpuva_remap, 0x4d618a55, "_gpl");
SYMBOL_CRC(drm_gpuva_unmap, 0xaae6bf6d, "_gpl");
SYMBOL_CRC(drm_gpuva_sm_map, 0x3cb29dfa, "_gpl");
SYMBOL_CRC(drm_gpuva_sm_unmap, 0xf3f97f12, "_gpl");
SYMBOL_CRC(drm_gpuva_sm_map_ops_create, 0xd1c41934, "_gpl");
SYMBOL_CRC(drm_gpuva_sm_unmap_ops_create, 0x46aaddc6, "_gpl");
SYMBOL_CRC(drm_gpuva_prefetch_ops_create, 0xb112f2e3, "_gpl");
SYMBOL_CRC(drm_gpuva_gem_unmap_ops_create, 0x34d91cd9, "_gpl");
SYMBOL_CRC(drm_gpuva_ops_free, 0xdce8104a, "_gpl");
SYMBOL_CRC(drm_writeback_connector_init, 0xb09c0842, "");
SYMBOL_CRC(drm_writeback_connector_init_with_encoder, 0x24a977b3, "");
SYMBOL_CRC(drm_writeback_prepare_job, 0x8a67e007, "");
SYMBOL_CRC(drm_writeback_queue_job, 0x8ec2ad6e, "");
SYMBOL_CRC(drm_writeback_cleanup_job, 0x962dbd7d, "");
SYMBOL_CRC(drm_writeback_signal_completion, 0x36726896, "");
SYMBOL_CRC(drm_writeback_get_out_fence, 0xa413c0a6, "");
SYMBOL_CRC(drm_prandom_u32_max_state, 0xd392c35c, "");
SYMBOL_CRC(drm_random_reorder, 0x1ce755b6, "");
SYMBOL_CRC(drm_random_order, 0xd5164270, "");
SYMBOL_CRC(drm_compat_ioctl, 0x29ea89db, "");
SYMBOL_CRC(drm_panel_init, 0xb200f58d, "");
SYMBOL_CRC(drm_panel_add, 0x9a6edbb6, "");
SYMBOL_CRC(drm_panel_remove, 0xdcb69f58, "");
SYMBOL_CRC(drm_panel_prepare, 0x6ca852fc, "");
SYMBOL_CRC(drm_panel_unprepare, 0x044219e5, "");
SYMBOL_CRC(drm_panel_enable, 0x71117ed5, "");
SYMBOL_CRC(drm_panel_disable, 0xd71a53ff, "");
SYMBOL_CRC(drm_panel_get_modes, 0x9122e387, "");
SYMBOL_CRC(drm_is_panel_follower, 0x5d51e6f5, "");
SYMBOL_CRC(drm_panel_add_follower, 0xa3358b31, "");
SYMBOL_CRC(drm_panel_remove_follower, 0xc706fcb5, "");
SYMBOL_CRC(devm_drm_panel_add_follower, 0x33550841, "");
SYMBOL_CRC(drm_panel_of_backlight, 0x1a99398e, "");
SYMBOL_CRC(drm_debugfs_gpuva_info, 0x51c4680f, "");
SYMBOL_CRC(drm_debugfs_create_files, 0x51602564, "");
SYMBOL_CRC(drm_debugfs_remove_files, 0x22dfe7e3, "");
SYMBOL_CRC(drm_debugfs_add_file, 0xe407df6c, "");
SYMBOL_CRC(drm_debugfs_add_files, 0xbc8acffc, "");
SYMBOL_CRC(drm_crtc_add_crc_entry, 0xd5282239, "_gpl");
SYMBOL_CRC(__drm_set_edid_firmware_path, 0x31b8a5e3, "");
SYMBOL_CRC(__drm_get_edid_firmware_path, 0x03c63897, "");
SYMBOL_CRC(drm_privacy_screen_lookup_add, 0x2f476172, "");
SYMBOL_CRC(drm_privacy_screen_lookup_remove, 0x0eb7f5eb, "");
SYMBOL_CRC(drm_privacy_screen_get, 0xf9c363b4, "");
SYMBOL_CRC(drm_privacy_screen_put, 0x04440ae7, "");
SYMBOL_CRC(drm_privacy_screen_set_sw_state, 0x0a8678a8, "");
SYMBOL_CRC(drm_privacy_screen_get_state, 0x568fd768, "");
SYMBOL_CRC(drm_privacy_screen_register_notifier, 0x0b129a4d, "");
SYMBOL_CRC(drm_privacy_screen_unregister_notifier, 0x30a7e00a, "");
SYMBOL_CRC(drm_privacy_screen_register, 0xfb5d0d96, "");
SYMBOL_CRC(drm_privacy_screen_unregister, 0xc0ebfc8b, "");
SYMBOL_CRC(drm_privacy_screen_call_notifier_chain, 0x3d91ed1f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x61bba7c4, "ida_alloc_range" },
	{ 0xf92cb872, "try_module_get" },
	{ 0xef236fde, "anon_inode_getfile" },
	{ 0xb70eae87, "ww_mutex_lock_interruptible" },
	{ 0xf38c0744, "__init_rwsem" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xbabc1963, "alloc_anon_inode" },
	{ 0xf1d4a2e0, "show_class_attr_string" },
	{ 0x6e6a3335, "kthread_cancel_work_sync" },
	{ 0x4ab4079e, "is_acpi_device_node" },
	{ 0x4b4f221e, "kthread_create_worker" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x542f1a90, "kthread_flush_work" },
	{ 0xba50cbf, "bpf_trace_run4" },
	{ 0xb917d1be, "ida_destroy" },
	{ 0x7344405a, "idr_find" },
	{ 0x350aae89, "param_ops_ulong" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x11b3de21, "wait_for_completion_timeout" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb1116bb7, "shmem_read_folio_gfp" },
	{ 0x98fe5fe0, "__folio_batch_release" },
	{ 0x640ce521, "dev_set_name" },
	{ 0xb0e602eb, "memmove" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x842317de, "trace_raw_output_prep" },
	{ 0xdc4d7491, "dma_resv_init" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xc8a14d3f, "dma_resv_wait_timeout" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xaa5e488c, "mutex_lock_interruptible_nested" },
	{ 0xd9b5e720, "device_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0x8b618d08, "overflowuid" },
	{ 0xd738977e, "__trace_trigger_soft_disabled" },
	{ 0x3d2e0881, "kthread_flush_worker" },
	{ 0x53df7429, "finish_wait" },
	{ 0x6749d53f, "hdmi_vendor_infoframe_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x143e1e65, "request_firmware" },
	{ 0xa56bb461, "class_destroy" },
	{ 0xa87da128, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x392e013c, "idr_replace" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x97de2b83, "debug_locks_silent" },
	{ 0xfd68ff34, "ww_mutex_unlock" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xb4d1b427, "device_initialize" },
	{ 0x75d0deb9, "nsecs_to_jiffies64" },
	{ 0x439b600c, "fd_install" },
	{ 0xcebb21f4, "dma_fence_chain_ops" },
	{ 0xee32ea6c, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8e69d3ae, "component_del" },
	{ 0xe411a78a, "unmap_mapping_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x6f1a8f44, "dump_mm" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xde660ae9, "iput" },
	{ 0xa0ec9675, "pcpu_hot" },
	{ 0xccf8c8e1, "seq_lseek" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0xee7adcfd, "dma_buf_unmap_attachment_unlocked" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xcc24afb5, "timer_delete_sync" },
	{ 0x85ce233b, "__wake_up" },
	{ 0xa6918488, "dma_fence_add_callback" },
	{ 0x787aa750, "synchronize_srcu" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x36ff997e, "get_device" },
	{ 0xd156bbcc, "dma_buf_attach" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xeabb2a8b, "blocking_notifier_chain_register" },
	{ 0x15016a3e, "class_create_file_ns" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x4eedfe1c, "wake_up_process" },
	{ 0xf23fc55, "dev_driver_string" },
	{ 0x6824f4f9, "dma_buf_map_attachment_unlocked" },
	{ 0xa4d4f11b, "trace_event_buffer_commit" },
	{ 0x242dcb5e, "vga_switcheroo_unlock_ddc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x74c7bffa, "stack_trace_snprint" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x122c3a7e, "_printk" },
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0x549bf65f, "dma_resv_reset_max_fences" },
	{ 0x83478adb, "ww_mutex_trylock" },
	{ 0x5e664802, "register_acpi_bus_type" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x843f04ac, "blocking_notifier_call_chain" },
	{ 0xc1c9a654, "devm_of_find_backlight" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x1986e025, "dma_max_mapping_size" },
	{ 0xb4c1c18e, "put_device" },
	{ 0xf82ec573, "rb_prev" },
	{ 0xb11348ef, "dma_buf_export" },
	{ 0x4129f5ee, "kernel_fpu_begin_mask" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xee0118df, "aperture_remove_conflicting_devices" },
	{ 0x38722f80, "kernel_fpu_end" },
	{ 0x7feb8bee, "kthread_queue_work" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x93228d66, "idr_get_next" },
	{ 0xc624b289, "debug_check_no_locks_freed" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf23137f5, "dma_fence_remove_callback" },
	{ 0xf66f693b, "_dev_info" },
	{ 0x288cd2a9, "folio_mark_dirty" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0xc6cbbc89, "capable" },
	{ 0x5b7a631e, "atomic_dec_and_mutex_lock" },
	{ 0xdebee75d, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0xdb41ca38, "sysfs_create_link" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x5a898a4a, "idr_remove" },
	{ 0xfb1391ce, "dma_fence_chain_walk" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x3e0b236a, "__task_pid_nr_ns" },
	{ 0x131cdf2d, "kobject_uevent_env" },
	{ 0x4ea5d10, "ksize" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x7cd75a4f, "shmem_file_setup" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0xd1426a9b, "dma_fence_get_stub" },
	{ 0x2e439142, "drm_get_panel_orientation_quirk" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xb1f31cbd, "perf_trace_run_bpf_submit" },
	{ 0x10f1fd42, "fput" },
	{ 0xd21cccf3, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xd3e282fa, "_dev_err" },
	{ 0x606d8142, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x99160697, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x19b2bafc, "sysfs_remove_link" },
	{ 0x299d0adb, "idr_alloc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x2f0bfbae, "pid_task" },
	{ 0x91eac08d, "vga_switcheroo_lock_ddc" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xeb2afb1e, "__srcu_read_lock" },
	{ 0x587b0954, "kvasprintf" },
	{ 0xb6954c3b, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xc5b199aa, "mod_timer" },
	{ 0x631cc261, "noop_llseek" },
	{ 0xc2b0aff4, "dma_fence_signal" },
	{ 0xe08a5286, "folio_mark_accessed" },
	{ 0x1a45cb6c, "acpi_disabled" },
	{ 0xe15b177f, "dma_resv_fini" },
	{ 0x4bd3b1af, "class_create" },
	{ 0x954f099c, "idr_preload" },
	{ 0x7ef4bddc, "__sg_page_iter_next" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xc5294929, "_raw_write_lock" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xdf4a7228, "dma_buf_get" },
	{ 0x7ba0c905, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0x84a75f8b, "aperture_remove_conflicting_pci_devices" },
	{ 0x6f2fadcc, "ww_mutex_lock" },
	{ 0x1a5df3a2, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x9ae2bafc, "mutex_is_locked" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xe267db0b, "dma_buf_put" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x2b3aca87, "ida_free" },
	{ 0xc12dc9b9, "dma_buf_fd" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xe41f2809, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0xcd0ecc9c, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x3e48fa6b, "dma_fence_init" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0xfbaeedc3, "device_register" },
	{ 0xf7f1654c, "device_del" },
	{ 0x3bb563ac, "idr_destroy" },
	{ 0xe01b79e5, "sg_alloc_table_from_pages_segment" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x20674100, "_dev_warn" },
	{ 0x2471675a, "unregister_acpi_bus_type" },
	{ 0x544ed968, "lock_acquire" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0xd86ac5c9, "complete_all" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0x4426c264, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x6bd1aa56, "stack_trace_save" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0x4841bdee, "strnchr" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0xa9399682, "devm_aperture_acquire_for_platform_device" },
	{ 0x6714829f, "init_pseudo" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x6982a4bc, "check_move_unevictable_folios" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0x3bdab5ae, "bpf_trace_run3" },
	{ 0x147be32a, "seq_read" },
	{ 0xeb7f6046, "acpi_get_devices" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4eb2b066, "hdmi_avi_infoframe_init" },
	{ 0xea47fcd6, "idr_for_each" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xc575c737, "debug_locks_off" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x7b62a7d7, "debugfs_create_file" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x14fb66d5, "blocking_notifier_chain_unregister" },
	{ 0x913ebd32, "stack_depot_save" },
	{ 0xc3db3982, "trace_event_buffer_reserve" },
	{ 0xb6ae37fa, "dma_map_sgtable" },
	{ 0xf0556b05, "kthread_destroy_worker" },
	{ 0x85df9b6c, "strsep" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0xb2d880b6, "__dma_fence_unwrap_merge" },
	{ 0xd986ecb2, "__rwlock_init" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x2cc0ea11, "dentry_open" },
	{ 0xe091c977, "list_sort" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x588ed22a, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0x8d49788e, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2d298597, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb519f82c, "radix_tree_tagged" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb9d133d1, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xf8acf54e, "__srcu_read_unlock" },
	{ 0x51a0bc1, "stack_depot_fetch" },
	{ 0x3f75b01b, "_raw_read_lock" },
	{ 0xb70789e, "__might_fault" },
	{ 0x73475f93, "__asan_handle_no_return" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x25d1e387, "i2c_transfer" },
	{ 0xd9461169, "dma_fence_allocate_private_stub" },
	{ 0x5b1cf600, "dma_buf_detach" },
	{ 0xe6119936, "dma_fence_signal_timestamp" },
	{ 0x5ff2364f, "dma_fence_chain_init" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x78997dc2, "boot_cpu_data" },
	{ 0xd87c2c46, "seq_puts" },
	{ 0xf1f0b6a0, "single_release" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x1fd54703, "__might_resched" },
	{ 0x54459edf, "pid_vnr" },
	{ 0x8f2703b7, "wbinvd_on_all_cpus" },
	{ 0x45a85068, "sched_set_fifo" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x486b4fa3, "simple_release_fs" },
	{ 0xd904e370, "dma_unmap_sg_attrs" },
	{ 0x544dc3e3, "kill_anon_super" },
	{ 0x96020849, "from_kuid_munged" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xb4db9bb3, "__devm_add_action" },
	{ 0x81188c30, "match_string" },
	{ 0xf8c55228, "component_add" },
	{ 0x2fdd9962, "dma_resv_test_signaled" },
	{ 0xde76dfbd, "srcu_check_nmi_safety" },
	{ 0x14265f98, "fwnode_handle_put" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xc07504e8, "reservation_ww_class" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x754d539c, "strlen" },
	{ 0xdf0f75c6, "eventfd_signal" },
	{ 0xc8fc4dcb, "iomem_resource" },
	{ 0x8e7b66c1, "dma_fence_chain_find_seqno" },
	{ 0x92e8e77f, "param_ops_int" },
	{ 0xa2d8ebe9, "_dev_printk" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x5cc027e4, "single_open" },
	{ 0x5d9e6167, "mutex_destroy" },
	{ 0x349cba85, "strchr" },
	{ 0x6308ec26, "debugfs_create_dir" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xabdc439, "cc_platform_has" },
	{ 0x46bd5d6e, "video_get_options" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0x9db744db, "sync_file_get_fence" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xecca704c, "put_pid" },
	{ 0x10d9f317, "stack_depot_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xad4f6c7, "__dev_fwnode" },
	{ 0xd0347222, "pci_bus_type" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0x89fb3d6d, "class_remove_file_ns" },
	{ 0x8aa1214a, "simple_pin_fs" },
	{ 0x2c781449, "sync_file_create" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5efde415, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "backlight,i2c-core");


MODULE_INFO(srcversion, "C074316E815109B94C42CC6");
