#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(i2c_freq_mode_string, "_gpl", "");
KSYMTAB_FUNC(i2c_match_id, "_gpl", "");
KSYMTAB_FUNC(i2c_get_match_data, "", "");
KSYMTAB_FUNC(i2c_generic_scl_recovery, "_gpl", "");
KSYMTAB_FUNC(i2c_recover_bus, "_gpl", "");
KSYMTAB_DATA(i2c_bus_type, "_gpl", "");
KSYMTAB_DATA(i2c_client_type, "_gpl", "");
KSYMTAB_FUNC(i2c_verify_client, "", "");
KSYMTAB_FUNC(i2c_new_client_device, "_gpl", "");
KSYMTAB_FUNC(i2c_unregister_device, "_gpl", "");
KSYMTAB_FUNC(i2c_find_device_by_fwnode, "", "");
KSYMTAB_FUNC(i2c_new_dummy_device, "_gpl", "");
KSYMTAB_FUNC(devm_i2c_new_dummy_device, "_gpl", "");
KSYMTAB_FUNC(i2c_new_ancillary_device, "_gpl", "");
KSYMTAB_FUNC(i2c_adapter_depth, "_gpl", "");
KSYMTAB_DATA(i2c_adapter_type, "_gpl", "");
KSYMTAB_FUNC(i2c_verify_adapter, "", "");
KSYMTAB_FUNC(i2c_handle_smbus_host_notify, "_gpl", "");
KSYMTAB_FUNC(i2c_add_adapter, "", "");
KSYMTAB_FUNC(i2c_add_numbered_adapter, "_gpl", "");
KSYMTAB_FUNC(i2c_del_adapter, "", "");
KSYMTAB_FUNC(devm_i2c_add_adapter, "_gpl", "");
KSYMTAB_FUNC(i2c_find_adapter_by_fwnode, "", "");
KSYMTAB_FUNC(i2c_get_adapter_by_fwnode, "", "");
KSYMTAB_FUNC(i2c_parse_fw_timings, "_gpl", "");
KSYMTAB_FUNC(i2c_for_each_dev, "_gpl", "");
KSYMTAB_FUNC(i2c_register_driver, "", "");
KSYMTAB_FUNC(i2c_del_driver, "", "");
KSYMTAB_FUNC(i2c_clients_command, "", "");
KSYMTAB_FUNC(__i2c_transfer, "", "");
KSYMTAB_FUNC(i2c_transfer, "", "");
KSYMTAB_FUNC(i2c_transfer_buffer_flags, "", "");
KSYMTAB_FUNC(i2c_get_device_id, "_gpl", "");
KSYMTAB_FUNC(i2c_client_get_device_id, "_gpl", "");
KSYMTAB_FUNC(i2c_probe_func_quick_read, "_gpl", "");
KSYMTAB_FUNC(i2c_new_scanned_device, "_gpl", "");
KSYMTAB_FUNC(i2c_get_adapter, "", "");
KSYMTAB_FUNC(i2c_put_adapter, "", "");
KSYMTAB_FUNC(i2c_get_dma_safe_msg_buf, "_gpl", "");
KSYMTAB_FUNC(i2c_put_dma_safe_msg_buf, "_gpl", "");
KSYMTAB_FUNC(i2c_smbus_pec, "", "");
KSYMTAB_FUNC(i2c_smbus_read_byte, "", "");
KSYMTAB_FUNC(i2c_smbus_write_byte, "", "");
KSYMTAB_FUNC(i2c_smbus_read_byte_data, "", "");
KSYMTAB_FUNC(i2c_smbus_write_byte_data, "", "");
KSYMTAB_FUNC(i2c_smbus_read_word_data, "", "");
KSYMTAB_FUNC(i2c_smbus_write_word_data, "", "");
KSYMTAB_FUNC(i2c_smbus_read_block_data, "", "");
KSYMTAB_FUNC(i2c_smbus_write_block_data, "", "");
KSYMTAB_FUNC(i2c_smbus_read_i2c_block_data, "", "");
KSYMTAB_FUNC(i2c_smbus_write_i2c_block_data, "", "");
KSYMTAB_FUNC(i2c_smbus_xfer, "", "");
KSYMTAB_FUNC(__i2c_smbus_xfer, "", "");
KSYMTAB_FUNC(i2c_smbus_read_i2c_block_data_or_emulated, "", "");
KSYMTAB_FUNC(i2c_new_smbus_alert_device, "_gpl", "");
KSYMTAB_FUNC(i2c_acpi_get_i2c_resource, "_gpl", "");
KSYMTAB_FUNC(i2c_acpi_client_count, "_gpl", "");
KSYMTAB_FUNC(i2c_acpi_find_bus_speed, "_gpl", "");
KSYMTAB_FUNC(i2c_acpi_find_adapter_by_handle, "_gpl", "");
KSYMTAB_FUNC(i2c_acpi_new_device_by_fwnode, "_gpl", "");
KSYMTAB_FUNC(i2c_acpi_waive_d0_probe, "_gpl", "");

SYMBOL_CRC(i2c_freq_mode_string, 0x550f3e05, "_gpl");
SYMBOL_CRC(i2c_match_id, 0x5b5b9c56, "_gpl");
SYMBOL_CRC(i2c_get_match_data, 0x2d559fa5, "");
SYMBOL_CRC(i2c_generic_scl_recovery, 0x46b4bb64, "_gpl");
SYMBOL_CRC(i2c_recover_bus, 0xb1162d8d, "_gpl");
SYMBOL_CRC(i2c_bus_type, 0x60f7dd65, "_gpl");
SYMBOL_CRC(i2c_client_type, 0xe276d8cf, "_gpl");
SYMBOL_CRC(i2c_verify_client, 0x4bcc2a52, "");
SYMBOL_CRC(i2c_new_client_device, 0xe9fb08d8, "_gpl");
SYMBOL_CRC(i2c_unregister_device, 0x23ca26e3, "_gpl");
SYMBOL_CRC(i2c_find_device_by_fwnode, 0x046052de, "");
SYMBOL_CRC(i2c_new_dummy_device, 0xe0faa7fb, "_gpl");
SYMBOL_CRC(devm_i2c_new_dummy_device, 0xc152dee9, "_gpl");
SYMBOL_CRC(i2c_new_ancillary_device, 0x5109813e, "_gpl");
SYMBOL_CRC(i2c_adapter_depth, 0xea2a0b27, "_gpl");
SYMBOL_CRC(i2c_adapter_type, 0xa7c40bf3, "_gpl");
SYMBOL_CRC(i2c_verify_adapter, 0x818dcbba, "");
SYMBOL_CRC(i2c_handle_smbus_host_notify, 0xd662d791, "_gpl");
SYMBOL_CRC(i2c_add_adapter, 0x1852172f, "");
SYMBOL_CRC(i2c_add_numbered_adapter, 0xe50396aa, "_gpl");
SYMBOL_CRC(i2c_del_adapter, 0x44c726b3, "");
SYMBOL_CRC(devm_i2c_add_adapter, 0xf77716cf, "_gpl");
SYMBOL_CRC(i2c_find_adapter_by_fwnode, 0x8b2dc4bb, "");
SYMBOL_CRC(i2c_get_adapter_by_fwnode, 0xa17583f0, "");
SYMBOL_CRC(i2c_parse_fw_timings, 0x56eb6ca6, "_gpl");
SYMBOL_CRC(i2c_for_each_dev, 0xb519371b, "_gpl");
SYMBOL_CRC(i2c_register_driver, 0x56524cf3, "");
SYMBOL_CRC(i2c_del_driver, 0x5944adf6, "");
SYMBOL_CRC(i2c_clients_command, 0x62deab73, "");
SYMBOL_CRC(__i2c_transfer, 0x8f4f5b62, "");
SYMBOL_CRC(i2c_transfer, 0x25d1e387, "");
SYMBOL_CRC(i2c_transfer_buffer_flags, 0xff7bad18, "");
SYMBOL_CRC(i2c_get_device_id, 0xa4965c9b, "_gpl");
SYMBOL_CRC(i2c_client_get_device_id, 0xe8ca3b6e, "_gpl");
SYMBOL_CRC(i2c_probe_func_quick_read, 0x91033763, "_gpl");
SYMBOL_CRC(i2c_new_scanned_device, 0x6a9f0584, "_gpl");
SYMBOL_CRC(i2c_get_adapter, 0x0b302dea, "");
SYMBOL_CRC(i2c_put_adapter, 0x80d9ade6, "");
SYMBOL_CRC(i2c_get_dma_safe_msg_buf, 0x42041512, "_gpl");
SYMBOL_CRC(i2c_put_dma_safe_msg_buf, 0x4dae16e4, "_gpl");
SYMBOL_CRC(i2c_smbus_pec, 0xfa2e5f32, "");
SYMBOL_CRC(i2c_smbus_read_byte, 0x25fa0a08, "");
SYMBOL_CRC(i2c_smbus_write_byte, 0x076b434d, "");
SYMBOL_CRC(i2c_smbus_read_byte_data, 0xfa86ce39, "");
SYMBOL_CRC(i2c_smbus_write_byte_data, 0x42d39b4c, "");
SYMBOL_CRC(i2c_smbus_read_word_data, 0xe2a09ae3, "");
SYMBOL_CRC(i2c_smbus_write_word_data, 0xd96faff9, "");
SYMBOL_CRC(i2c_smbus_read_block_data, 0x9d8db4d1, "");
SYMBOL_CRC(i2c_smbus_write_block_data, 0xcbce8901, "");
SYMBOL_CRC(i2c_smbus_read_i2c_block_data, 0x41b360ea, "");
SYMBOL_CRC(i2c_smbus_write_i2c_block_data, 0x019e9f1e, "");
SYMBOL_CRC(i2c_smbus_xfer, 0xd5f46c6b, "");
SYMBOL_CRC(__i2c_smbus_xfer, 0x3f716006, "");
SYMBOL_CRC(i2c_smbus_read_i2c_block_data_or_emulated, 0x9ad9b6c0, "");
SYMBOL_CRC(i2c_new_smbus_alert_device, 0x2caccb9a, "_gpl");
SYMBOL_CRC(i2c_acpi_get_i2c_resource, 0x7f8839d6, "_gpl");
SYMBOL_CRC(i2c_acpi_client_count, 0x7bf7fb8b, "_gpl");
SYMBOL_CRC(i2c_acpi_find_bus_speed, 0x31213bb1, "_gpl");
SYMBOL_CRC(i2c_acpi_find_adapter_by_handle, 0x1687fafc, "_gpl");
SYMBOL_CRC(i2c_acpi_new_device_by_fwnode, 0x2b764612, "_gpl");
SYMBOL_CRC(i2c_acpi_waive_d0_probe, 0x921ea7b6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xd24e75d4, "gpiod_get_value_cansleep" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xf92cb872, "try_module_get" },
	{ 0x4ab4079e, "is_acpi_device_node" },
	{ 0x6a18b83b, "device_set_wakeup_capable" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xf8c527a9, "gpiod_get_direction" },
	{ 0xe5af9ab, "device_property_match_string" },
	{ 0x79433f5c, "devres_release_group" },
	{ 0x7344405a, "idr_find" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x640ce521, "dev_set_name" },
	{ 0xa1e0b3f9, "complete" },
	{ 0x842317de, "trace_raw_output_prep" },
	{ 0x53fd19c0, "bpf_trace_run6" },
	{ 0x951c7f29, "acpi_driver_match_device" },
	{ 0xd9b5e720, "device_unregister" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0xd738977e, "__trace_trigger_soft_disabled" },
	{ 0xff7cd8f4, "irq_domain_remove" },
	{ 0x3835c79d, "gpiod_set_value_cansleep" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0xa87da128, "trace_event_printf" },
	{ 0xf7370f56, "system_state" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xead894fb, "acpi_set_modalias" },
	{ 0x1137063d, "dummy_irq_chip" },
	{ 0xee32ea6c, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xa0ec9675, "pcpu_hot" },
	{ 0x90922933, "dev_pm_domain_attach" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xb12917ce, "device_for_each_child" },
	{ 0x9bdc7ca8, "bus_for_each_drv" },
	{ 0x343bdf1, "__i2c_board_list" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x787aa750, "synchronize_srcu" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x36ff997e, "get_device" },
	{ 0x8da6df3f, "bpf_trace_run8" },
	{ 0x81e2bdf4, "generic_handle_irq_safe" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xb340763b, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0xf23fc55, "dev_driver_string" },
	{ 0xa4d4f11b, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa0a0961c, "device_match_fwnode" },
	{ 0x598b8160, "acpi_dev_get_resources" },
	{ 0x122c3a7e, "_printk" },
	{ 0x18b00889, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6f50802b, "irq_set_chip_and_handler_name" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xb4c1c18e, "put_device" },
	{ 0x9367b68, "acpi_dev_ready_for_enumeration" },
	{ 0xc9371f66, "pm_runtime_enable" },
	{ 0x48e34a92, "device_property_read_u32_array" },
	{ 0x3fe91b15, "handle_simple_irq" },
	{ 0xbb897368, "bus_for_each_dev" },
	{ 0xf66f693b, "_dev_info" },
	{ 0x8d49d555, "dev_pm_domain_detach" },
	{ 0xdebee75d, "module_put" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0xb1eeb03c, "device_wakeup_disable" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x5a898a4a, "idr_remove" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xb1f31cbd, "perf_trace_run_bpf_submit" },
	{ 0x27b8214, "bus_unregister" },
	{ 0xd21cccf3, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xd3e282fa, "_dev_err" },
	{ 0xbf033926, "device_wakeup_enable" },
	{ 0x606d8142, "up_write" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x664b4192, "bus_find_device" },
	{ 0xe35183be, "acpi_dev_resource_interrupt" },
	{ 0x299d0adb, "idr_alloc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x73fa5a41, "dev_pm_set_wake_irq" },
	{ 0xc00cbe9c, "irq_get_irq_data" },
	{ 0x10a3e765, "rt_mutex_unlock" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xce9968, "rt_mutex_trylock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x1a5df3a2, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xcfc30fde, "driver_unregister" },
	{ 0xe07e5f44, "acpi_reconfig_notifier_unregister" },
	{ 0xa4018694, "devres_open_group" },
	{ 0x50e7193a, "__i2c_first_dynamic_bus_num" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0xfbaeedc3, "device_register" },
	{ 0x3ae1708f, "__irq_resolve_mapping" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x564f7608, "acpi_reconfig_notifier_register" },
	{ 0x25dab296, "tracepoint_srcu" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x20674100, "_dev_warn" },
	{ 0x651037b1, "device_get_match_data" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x554473bf, "acpi_dev_clear_dependencies" },
	{ 0x90d86f3e, "acpi_bus_get_status" },
	{ 0xda1c07dc, "__irq_domain_add" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xe5a5244b, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xab8134af, "device_remove_software_node" },
	{ 0x4323e90e, "acpi_match_device_ids" },
	{ 0x710a93b5, "pm_runtime_no_callbacks" },
	{ 0x74a76053, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5f959c4e, "pinctrl_lookup_state" },
	{ 0x3bdab5ae, "bpf_trace_run3" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0xc3db3982, "trace_event_buffer_reserve" },
	{ 0xe70de0fc, "__pm_runtime_resume" },
	{ 0xc84cdaa9, "rt_mutex_lock_nested" },
	{ 0x235baf5a, "dev_pm_clear_wake_irq" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x469423f2, "acpi_fetch_acpi_dev" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xef3ec9ab, "devm_gpiod_get" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x73cfc7c9, "irq_create_mapping_affinity" },
	{ 0x5df569f7, "acpi_unbind_one" },
	{ 0x98bf7d2f, "__rt_mutex_init" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc7732529, "__i2c_board_lock" },
	{ 0x80498860, "acpi_dev_gpio_irq_wake_get_by" },
	{ 0x7f2a72d5, "pinctrl_select_state" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xdea1893b, "device_add_software_node" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0xb4db9bb3, "__devm_add_action" },
	{ 0xcd09c1be, "acpi_device_modalias" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x24cd3f88, "bpf_trace_run7" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xaa41c5bf, "__pm_runtime_disable" },
	{ 0x3f574336, "device_match_acpi_handle" },
	{ 0x5e0b8428, "gpiod_direction_output" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xb8e1f9ea, "up_read" },
	{ 0x44292bb9, "driver_register" },
	{ 0xfddc976b, "__pm_runtime_idle" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xad4f6c7, "__dev_fwnode" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0xdc6699cb, "acpi_dev_free_resource_list" },
	{ 0xed44313a, "bus_register" },
	{ 0x297014, "acpi_device_uevent_modalias" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2A87CE2AD2EB96000F31C87");
