#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(v4l2_fwnode_endpoint_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_endpoint_free, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_endpoint_alloc_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_parse_link, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_put_link, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_connector_free, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_connector_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_connector_add_link, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_device_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_register_subdev_sensor, "_gpl", "");

SYMBOL_CRC(v4l2_fwnode_endpoint_parse, 0xa03400e6, "_gpl");
SYMBOL_CRC(v4l2_fwnode_endpoint_free, 0x9882d99b, "_gpl");
SYMBOL_CRC(v4l2_fwnode_endpoint_alloc_parse, 0xb707b7e5, "_gpl");
SYMBOL_CRC(v4l2_fwnode_parse_link, 0xde8c11fd, "_gpl");
SYMBOL_CRC(v4l2_fwnode_put_link, 0x6c81a4cf, "_gpl");
SYMBOL_CRC(v4l2_fwnode_connector_free, 0x612ddce5, "_gpl");
SYMBOL_CRC(v4l2_fwnode_connector_parse, 0x784d7cff, "_gpl");
SYMBOL_CRC(v4l2_fwnode_connector_add_link, 0x503967f3, "_gpl");
SYMBOL_CRC(v4l2_fwnode_device_parse, 0x66dd080c, "_gpl");
SYMBOL_CRC(v4l2_async_register_subdev_sensor, 0xe06a7d3a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x7cad2c5e, "fwnode_property_read_u32_array" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xa619809d, "fwnode_property_present" },
	{ 0x122c3a7e, "_printk" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x29e84d3, "fwnode_graph_parse_endpoint" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x37a0cba, "kfree" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x12e3e11, "fwnode_graph_get_port_parent" },
	{ 0x4bff8daa, "fwnode_graph_get_remote_endpoint" },
	{ 0x14265f98, "fwnode_handle_put" },
	{ 0x5e262dfc, "fwnode_property_read_string" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb776d6cc, "fwnode_graph_get_remote_port_parent" },
	{ 0xdfff0b12, "fwnode_get_name" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0xad4f6c7, "__dev_fwnode" },
	{ 0xb340763b, "__dynamic_dev_dbg" },
	{ 0x20674100, "_dev_warn" },
	{ 0xc5a8034d, "fwnode_property_get_reference_args" },
	{ 0x7e619390, "fwnode_get_next_child_node" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x4ab4079e, "is_acpi_device_node" },
	{ 0xd3411f88, "__v4l2_async_nf_add_fwnode" },
	{ 0x36ecba16, "is_acpi_data_node" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xe4113845, "v4l2_async_subdev_nf_init" },
	{ 0x57fa4bfa, "v4l2_subdev_get_privacy_led" },
	{ 0x85c5622b, "v4l2_async_nf_register" },
	{ 0x114cb19, "v4l2_async_register_subdev" },
	{ 0x7397bb12, "v4l2_async_nf_unregister" },
	{ 0x90d49a02, "v4l2_subdev_put_privacy_led" },
	{ 0x4908f5f9, "v4l2_async_nf_cleanup" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x175fabac, "fwnode_property_read_u64_array" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "v4l2-async,videodev");


MODULE_INFO(srcversion, "362B2359BEF0A68843CE823");
