#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(video_device_alloc, "", "");
KSYMTAB_FUNC(video_device_release, "", "");
KSYMTAB_FUNC(video_device_release_empty, "", "");
KSYMTAB_FUNC(video_devdata, "", "");
KSYMTAB_FUNC(v4l2_prio_init, "", "");
KSYMTAB_FUNC(v4l2_prio_change, "", "");
KSYMTAB_FUNC(v4l2_prio_open, "", "");
KSYMTAB_FUNC(v4l2_prio_close, "", "");
KSYMTAB_FUNC(v4l2_prio_max, "", "");
KSYMTAB_FUNC(v4l2_prio_check, "", "");
KSYMTAB_FUNC(__video_register_device, "", "");
KSYMTAB_FUNC(video_unregister_device, "", "");
KSYMTAB_FUNC(video_device_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(__video_device_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(__video_device_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline_alloc_start, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline, "_gpl", "");
KSYMTAB_FUNC(v4l2_norm_to_name, "", "");
KSYMTAB_FUNC(v4l2_video_std_frame_period, "", "");
KSYMTAB_FUNC(v4l2_video_std_construct, "", "");
KSYMTAB_DATA(v4l2_field_names, "", "");
KSYMTAB_DATA(v4l2_type_names, "", "");
KSYMTAB_FUNC(v4l_printk_ioctl, "", "");
KSYMTAB_FUNC(video_ioctl2, "", "");
KSYMTAB_FUNC(v4l2_device_register, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_put, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_set_name, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_disconnect, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_unregister, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_register_subdev, "_gpl", "");
KSYMTAB_FUNC(__v4l2_device_register_subdev_nodes, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_unregister_subdev, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_add, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_open, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_del, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_exit, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_release, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_is_singular, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_dequeue, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_queue, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_queue_fh, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_pending, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_wake_all, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_subscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_unsubscribe_all, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_unsubscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_subdev_unsubscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_src_change_event_subscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_src_change_event_subdev_subscribe, "_gpl", "");
KSYMTAB_DATA(v4l2_subdev_call_wrappers, "", "");
KSYMTAB_FUNC(v4l2_subdev_get_fwnode_pad_1_to_1, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_link_validate_default, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_link_validate, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_has_pad_interdep, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_alloc, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_free, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_init_finalize, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_cleanup, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_fmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_set_routing, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_next_active_route, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_set_routing_with_fmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_get_stream_format, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_get_stream_crop, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_get_stream_compose, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_routing_find_opposite_end, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_get_opposite_stream_format, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_xlate_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_routing_validate, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_enable_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_disable_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_s_stream_helper, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_init, "", "");
KSYMTAB_FUNC(v4l2_subdev_notify_event, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_privacy_led, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_put_privacy_led, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_query_fill, "", "");
KSYMTAB_FUNC(v4l_bound_align_image, "_gpl", "");
KSYMTAB_FUNC(__v4l2_find_nearest_size, "_gpl", "");
KSYMTAB_FUNC(v4l2_g_parm_cap, "_gpl", "");
KSYMTAB_FUNC(v4l2_s_parm_cap, "_gpl", "");
KSYMTAB_FUNC(v4l2_format_info, "", "");
KSYMTAB_FUNC(v4l2_apply_frmsize_constraints, "_gpl", "");
KSYMTAB_FUNC(v4l2_fill_pixfmt_mp, "_gpl", "");
KSYMTAB_FUNC(v4l2_fill_pixfmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_get_link_freq, "_gpl", "");
KSYMTAB_FUNC(v4l2_simplify_fraction, "_gpl", "");
KSYMTAB_FUNC(v4l2_fraction_to_interval, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_equal, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_init, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_log, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_validate, "", "");
KSYMTAB_FUNC(v4l2_ctrl_notify, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_init_class, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_free, "", "");
KSYMTAB_FUNC(v4l2_ctrl_find, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_custom, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_menu_items, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_compound, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_int_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_add_handler, "", "");
KSYMTAB_FUNC(v4l2_ctrl_radio_filter, "", "");
KSYMTAB_FUNC(v4l2_ctrl_cluster, "", "");
KSYMTAB_FUNC(v4l2_ctrl_auto_cluster, "", "");
KSYMTAB_FUNC(v4l2_ctrl_activate, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_grab, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_handler_setup, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_setup, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_fwnode_properties, "", "");
KSYMTAB_FUNC(v4l2_g_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_try_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_s_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_g_ctrl, "", "");
KSYMTAB_FUNC(v4l2_s_ctrl, "", "");
KSYMTAB_FUNC(v4l2_ctrl_g_ctrl, "", "");
KSYMTAB_FUNC(v4l2_ctrl_g_ctrl_int64, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_int64, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_string, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_compound, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_modify_range, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_modify_dimensions, "", "");
KSYMTAB_FUNC(v4l2_query_ext_ctrl, "", "");
KSYMTAB_FUNC(v4l2_queryctrl, "", "");
KSYMTAB_FUNC(v4l2_querymenu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subdev_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_replace, "", "");
KSYMTAB_FUNC(v4l2_ctrl_merge, "", "");
KSYMTAB_DATA(v4l2_ctrl_sub_ev_ops, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subscribe_event, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subdev_subscribe_event, "", "");
KSYMTAB_FUNC(v4l2_ctrl_poll, "", "");
KSYMTAB_FUNC(v4l2_ctrl_request_hdl_find, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_request_hdl_ctrl_find, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_request_complete, "", "");
KSYMTAB_FUNC(v4l2_ctrl_request_setup, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_int_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_name, "", "");
KSYMTAB_FUNC(v4l2_ctrl_fill, "", "");
KSYMTAB_FUNC(v4l2_compat_ioctl32, "_gpl", "");
KSYMTAB_FUNC(v4l2_mc_create_media_graph, "_gpl", "");
KSYMTAB_FUNC(v4l_enable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l_disable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l_vb2q_enable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l2_create_fwnode_links_to_pad, "_gpl", "");
KSYMTAB_FUNC(v4l2_create_fwnode_links, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_pm_get, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_pm_put, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_link_notify, "_gpl", "");
KSYMTAB_FUNC(v4l2_spi_subdev_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_spi_new_subdev, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_set_name, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_new_subdev_board, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_new_subdev, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_addr, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_tuner_addrs, "_gpl", "");

SYMBOL_CRC(video_device_alloc, 0x8bfa1ee3, "");
SYMBOL_CRC(video_device_release, 0x6305c2e2, "");
SYMBOL_CRC(video_device_release_empty, 0xcf85c8c5, "");
SYMBOL_CRC(video_devdata, 0x4ef40005, "");
SYMBOL_CRC(v4l2_prio_init, 0xb77b0159, "");
SYMBOL_CRC(v4l2_prio_change, 0x3bdd0f94, "");
SYMBOL_CRC(v4l2_prio_open, 0x2342f1ae, "");
SYMBOL_CRC(v4l2_prio_close, 0xcda04a5b, "");
SYMBOL_CRC(v4l2_prio_max, 0x8106095a, "");
SYMBOL_CRC(v4l2_prio_check, 0x16244fe5, "");
SYMBOL_CRC(__video_register_device, 0xe25e0ba0, "");
SYMBOL_CRC(video_unregister_device, 0x49e7e0fe, "");
SYMBOL_CRC(video_device_pipeline_start, 0xa2b11f0e, "_gpl");
SYMBOL_CRC(__video_device_pipeline_start, 0x59ee493b, "_gpl");
SYMBOL_CRC(video_device_pipeline_stop, 0x824a3759, "_gpl");
SYMBOL_CRC(__video_device_pipeline_stop, 0xf9b22df2, "_gpl");
SYMBOL_CRC(video_device_pipeline_alloc_start, 0xe4d7bc07, "_gpl");
SYMBOL_CRC(video_device_pipeline, 0x067f5cac, "_gpl");
SYMBOL_CRC(v4l2_norm_to_name, 0xf3251e7b, "");
SYMBOL_CRC(v4l2_video_std_frame_period, 0x0614dd5a, "");
SYMBOL_CRC(v4l2_video_std_construct, 0xe2b92059, "");
SYMBOL_CRC(v4l2_field_names, 0x3adbd595, "");
SYMBOL_CRC(v4l2_type_names, 0x123959a1, "");
SYMBOL_CRC(v4l_printk_ioctl, 0xbc5671dc, "");
SYMBOL_CRC(video_ioctl2, 0xb314d128, "");
SYMBOL_CRC(v4l2_device_register, 0x156222f1, "_gpl");
SYMBOL_CRC(v4l2_device_put, 0x8d2ce12b, "_gpl");
SYMBOL_CRC(v4l2_device_set_name, 0x1740422d, "_gpl");
SYMBOL_CRC(v4l2_device_disconnect, 0x97bb9d7d, "_gpl");
SYMBOL_CRC(v4l2_device_unregister, 0xd2b6dbb5, "_gpl");
SYMBOL_CRC(v4l2_device_register_subdev, 0x00714d44, "_gpl");
SYMBOL_CRC(__v4l2_device_register_subdev_nodes, 0xf32cf702, "_gpl");
SYMBOL_CRC(v4l2_device_unregister_subdev, 0x2ea59e43, "_gpl");
SYMBOL_CRC(v4l2_fh_init, 0x1ce34c8c, "_gpl");
SYMBOL_CRC(v4l2_fh_add, 0xc7785015, "_gpl");
SYMBOL_CRC(v4l2_fh_open, 0x15759e7f, "_gpl");
SYMBOL_CRC(v4l2_fh_del, 0x6c33cfd8, "_gpl");
SYMBOL_CRC(v4l2_fh_exit, 0x53a780d6, "_gpl");
SYMBOL_CRC(v4l2_fh_release, 0xe49f0ed4, "_gpl");
SYMBOL_CRC(v4l2_fh_is_singular, 0x0228ff89, "_gpl");
SYMBOL_CRC(v4l2_event_dequeue, 0xa6992b9b, "_gpl");
SYMBOL_CRC(v4l2_event_queue, 0xce342294, "_gpl");
SYMBOL_CRC(v4l2_event_queue_fh, 0x4701e0dc, "_gpl");
SYMBOL_CRC(v4l2_event_pending, 0xa0a1829d, "_gpl");
SYMBOL_CRC(v4l2_event_wake_all, 0x5eac83a5, "_gpl");
SYMBOL_CRC(v4l2_event_subscribe, 0x4e26fd40, "_gpl");
SYMBOL_CRC(v4l2_event_unsubscribe_all, 0xb9774807, "_gpl");
SYMBOL_CRC(v4l2_event_unsubscribe, 0x7b491112, "_gpl");
SYMBOL_CRC(v4l2_event_subdev_unsubscribe, 0x19d2101a, "_gpl");
SYMBOL_CRC(v4l2_src_change_event_subscribe, 0xa04636c1, "_gpl");
SYMBOL_CRC(v4l2_src_change_event_subdev_subscribe, 0x142f0144, "_gpl");
SYMBOL_CRC(v4l2_subdev_call_wrappers, 0x85bcf217, "");
SYMBOL_CRC(v4l2_subdev_get_fwnode_pad_1_to_1, 0x43d0b8bb, "_gpl");
SYMBOL_CRC(v4l2_subdev_link_validate_default, 0x2b9ec810, "_gpl");
SYMBOL_CRC(v4l2_subdev_link_validate, 0x0e396fda, "_gpl");
SYMBOL_CRC(v4l2_subdev_has_pad_interdep, 0x86a2b166, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_alloc, 0x1c3db6cb, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_free, 0xfbc5c705, "_gpl");
SYMBOL_CRC(__v4l2_subdev_init_finalize, 0x36a65120, "_gpl");
SYMBOL_CRC(v4l2_subdev_cleanup, 0x35b2bc39, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_fmt, 0xb341341a, "_gpl");
SYMBOL_CRC(v4l2_subdev_set_routing, 0x4078b14b, "_gpl");
SYMBOL_CRC(__v4l2_subdev_next_active_route, 0xae3dd8d6, "_gpl");
SYMBOL_CRC(v4l2_subdev_set_routing_with_fmt, 0xaf8ad389, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_stream_format, 0x8a321218, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_stream_crop, 0x48d6e42c, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_stream_compose, 0x1f8a1926, "_gpl");
SYMBOL_CRC(v4l2_subdev_routing_find_opposite_end, 0xcf754c8f, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_opposite_stream_format, 0xca7d24fd, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_xlate_streams, 0x47c53891, "_gpl");
SYMBOL_CRC(v4l2_subdev_routing_validate, 0x5b678b31, "_gpl");
SYMBOL_CRC(v4l2_subdev_enable_streams, 0xfcb9d0ca, "_gpl");
SYMBOL_CRC(v4l2_subdev_disable_streams, 0xc69abb67, "_gpl");
SYMBOL_CRC(v4l2_subdev_s_stream_helper, 0xf8bae5e2, "_gpl");
SYMBOL_CRC(v4l2_subdev_init, 0xaac4ed18, "");
SYMBOL_CRC(v4l2_subdev_notify_event, 0x0c36a178, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_privacy_led, 0x57fa4bfa, "_gpl");
SYMBOL_CRC(v4l2_subdev_put_privacy_led, 0x90d49a02, "_gpl");
SYMBOL_CRC(v4l2_ctrl_query_fill, 0x89e3897d, "");
SYMBOL_CRC(v4l_bound_align_image, 0xf5ef842e, "_gpl");
SYMBOL_CRC(__v4l2_find_nearest_size, 0xe2822320, "_gpl");
SYMBOL_CRC(v4l2_g_parm_cap, 0x0746262b, "_gpl");
SYMBOL_CRC(v4l2_s_parm_cap, 0xe219a272, "_gpl");
SYMBOL_CRC(v4l2_format_info, 0x35ff98bf, "");
SYMBOL_CRC(v4l2_apply_frmsize_constraints, 0x9fef35ac, "_gpl");
SYMBOL_CRC(v4l2_fill_pixfmt_mp, 0x6e9acc41, "_gpl");
SYMBOL_CRC(v4l2_fill_pixfmt, 0xcc501597, "_gpl");
SYMBOL_CRC(v4l2_get_link_freq, 0x3bd6bcc2, "_gpl");
SYMBOL_CRC(v4l2_simplify_fraction, 0xad5c3c93, "_gpl");
SYMBOL_CRC(v4l2_fraction_to_interval, 0x5074e573, "_gpl");
SYMBOL_CRC(v4l2_ctrl_type_op_equal, 0x28ef5441, "");
SYMBOL_CRC(v4l2_ctrl_type_op_init, 0x1af9d3ac, "");
SYMBOL_CRC(v4l2_ctrl_type_op_log, 0xe035784f, "");
SYMBOL_CRC(v4l2_ctrl_type_op_validate, 0xc10dd749, "");
SYMBOL_CRC(v4l2_ctrl_notify, 0xa8c64539, "");
SYMBOL_CRC(v4l2_ctrl_handler_init_class, 0x17913124, "");
SYMBOL_CRC(v4l2_ctrl_handler_free, 0x10d2b6b6, "");
SYMBOL_CRC(v4l2_ctrl_find, 0x836984e8, "");
SYMBOL_CRC(v4l2_ctrl_new_custom, 0x0d099344, "");
SYMBOL_CRC(v4l2_ctrl_new_std, 0x17471a7c, "");
SYMBOL_CRC(v4l2_ctrl_new_std_menu, 0x95c11dc3, "");
SYMBOL_CRC(v4l2_ctrl_new_std_menu_items, 0x3ef7b3f4, "");
SYMBOL_CRC(v4l2_ctrl_new_std_compound, 0x365a5f80, "");
SYMBOL_CRC(v4l2_ctrl_new_int_menu, 0x408de11e, "");
SYMBOL_CRC(v4l2_ctrl_add_handler, 0x156ef94f, "");
SYMBOL_CRC(v4l2_ctrl_radio_filter, 0xbd5f8a7c, "");
SYMBOL_CRC(v4l2_ctrl_cluster, 0x40eeeebc, "");
SYMBOL_CRC(v4l2_ctrl_auto_cluster, 0xbc1f9b05, "");
SYMBOL_CRC(v4l2_ctrl_activate, 0xe4d3eeeb, "");
SYMBOL_CRC(__v4l2_ctrl_grab, 0xbfd3e346, "");
SYMBOL_CRC(__v4l2_ctrl_handler_setup, 0xc61b25fd, "_gpl");
SYMBOL_CRC(v4l2_ctrl_handler_setup, 0xa13f3147, "");
SYMBOL_CRC(v4l2_ctrl_handler_log_status, 0xbd63d55b, "");
SYMBOL_CRC(v4l2_ctrl_new_fwnode_properties, 0x4afaa4c7, "");
SYMBOL_CRC(v4l2_g_ext_ctrls, 0xb8a90fe7, "");
SYMBOL_CRC(v4l2_try_ext_ctrls, 0x5f4bc1eb, "");
SYMBOL_CRC(v4l2_s_ext_ctrls, 0xbd27b40b, "");
SYMBOL_CRC(v4l2_g_ctrl, 0xaf82069a, "");
SYMBOL_CRC(v4l2_s_ctrl, 0x5370ced7, "");
SYMBOL_CRC(v4l2_ctrl_g_ctrl, 0x7a471221, "");
SYMBOL_CRC(v4l2_ctrl_g_ctrl_int64, 0x299c1b08, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl, 0x0518cfe5, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_int64, 0x663bfbd1, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_string, 0x200c95c4, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_compound, 0x229ebc6f, "");
SYMBOL_CRC(__v4l2_ctrl_modify_range, 0xf663dde3, "");
SYMBOL_CRC(__v4l2_ctrl_modify_dimensions, 0x3b22e0f8, "");
SYMBOL_CRC(v4l2_query_ext_ctrl, 0xbf091d6b, "");
SYMBOL_CRC(v4l2_queryctrl, 0xecd3de8c, "");
SYMBOL_CRC(v4l2_querymenu, 0x96a668c8, "");
SYMBOL_CRC(v4l2_ctrl_log_status, 0x8ebaeef5, "");
SYMBOL_CRC(v4l2_ctrl_subdev_log_status, 0x82736418, "");
SYMBOL_CRC(v4l2_ctrl_replace, 0xf50fecbc, "");
SYMBOL_CRC(v4l2_ctrl_merge, 0x082737e8, "");
SYMBOL_CRC(v4l2_ctrl_sub_ev_ops, 0xc2e0b93e, "");
SYMBOL_CRC(v4l2_ctrl_subscribe_event, 0xe421e103, "");
SYMBOL_CRC(v4l2_ctrl_subdev_subscribe_event, 0xacdc1c83, "");
SYMBOL_CRC(v4l2_ctrl_poll, 0xfd4f6024, "");
SYMBOL_CRC(v4l2_ctrl_request_hdl_find, 0xeb48ac34, "_gpl");
SYMBOL_CRC(v4l2_ctrl_request_hdl_ctrl_find, 0x737b0080, "_gpl");
SYMBOL_CRC(v4l2_ctrl_request_complete, 0xb10bc106, "");
SYMBOL_CRC(v4l2_ctrl_request_setup, 0xba9a1649, "");
SYMBOL_CRC(v4l2_ctrl_get_menu, 0x315de2cf, "");
SYMBOL_CRC(v4l2_ctrl_get_int_menu, 0xd16d9c01, "");
SYMBOL_CRC(v4l2_ctrl_get_name, 0x32d43420, "");
SYMBOL_CRC(v4l2_ctrl_fill, 0x3b86cd9a, "");
SYMBOL_CRC(v4l2_compat_ioctl32, 0x29e52c44, "_gpl");
SYMBOL_CRC(v4l2_mc_create_media_graph, 0xd38b9a7c, "_gpl");
SYMBOL_CRC(v4l_enable_media_source, 0xb49e9eec, "_gpl");
SYMBOL_CRC(v4l_disable_media_source, 0x9f4a3a7f, "_gpl");
SYMBOL_CRC(v4l_vb2q_enable_media_source, 0x1cc2cebe, "_gpl");
SYMBOL_CRC(v4l2_create_fwnode_links_to_pad, 0x63854b22, "_gpl");
SYMBOL_CRC(v4l2_create_fwnode_links, 0xdecfa4f8, "_gpl");
SYMBOL_CRC(v4l2_pipeline_pm_get, 0x3b794b4f, "_gpl");
SYMBOL_CRC(v4l2_pipeline_pm_put, 0xb87531d6, "_gpl");
SYMBOL_CRC(v4l2_pipeline_link_notify, 0x8698166a, "_gpl");
SYMBOL_CRC(v4l2_spi_subdev_init, 0x78e46fbd, "_gpl");
SYMBOL_CRC(v4l2_spi_new_subdev, 0x4f95b1d9, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_buf_done, 0x1977ec15, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_buf_done, 0x5d985720, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_buf_done, 0xc59b9d27, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_buf_done, 0xa1893d14, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_buf_queue, 0xbbcadf78, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_buf_queue, 0x4d246284, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_buf_queue, 0x73c16289, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_buf_queue, 0xc8dd867f, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_dqbuf, 0x6be11005, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_dqbuf, 0x8dce1770, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_dqbuf, 0xcb21f776, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_dqbuf, 0xd541e31a, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_qbuf, 0x88be7117, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_qbuf, 0xf6905ac2, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_qbuf, 0x42bb7af7, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_qbuf, 0x6d3d6bc6, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_set_name, 0x46a63b39, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_init, 0x6a35da2c, "_gpl");
SYMBOL_CRC(v4l2_i2c_new_subdev_board, 0xc9e8404f, "_gpl");
SYMBOL_CRC(v4l2_i2c_new_subdev, 0xd1e7f341, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_addr, 0x5b042ab8, "_gpl");
SYMBOL_CRC(v4l2_i2c_tuner_addrs, 0xf2a353ac, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd0e5bf1b, "media_devnode_remove" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xf92cb872, "try_module_get" },
	{ 0x161ca95, "media_request_object_find" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x4e5ec730, "media_request_object_init" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xf507b08c, "led_sysfs_enable" },
	{ 0x640ce521, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4bff8daa, "fwnode_graph_get_remote_endpoint" },
	{ 0x842317de, "trace_raw_output_prep" },
	{ 0x34841c5, "spi_unregister_device" },
	{ 0xaa5e488c, "mutex_lock_interruptible_nested" },
	{ 0xd9b5e720, "device_unregister" },
	{ 0xd738977e, "__trace_trigger_soft_disabled" },
	{ 0x53df7429, "finish_wait" },
	{ 0xa87da128, "trace_event_printf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x81560dc, "media_request_object_unbind" },
	{ 0x373701ae, "led_put" },
	{ 0xbd098254, "led_trigger_remove" },
	{ 0x58664ea1, "fwnode_graph_get_next_endpoint" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xee32ea6c, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x7c61a0f1, "media_request_object_complete" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xa0ec9675, "pcpu_hot" },
	{ 0x12e3e11, "fwnode_graph_get_port_parent" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x2b0ec868, "bpf_trace_run2" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x85ce233b, "__wake_up" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x36ff997e, "get_device" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xb340763b, "__dynamic_dev_dbg" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x847a8466, "media_create_intf_link" },
	{ 0x36bcacc6, "media_create_pad_link" },
	{ 0xa4d4f11b, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0xa0a0961c, "device_match_fwnode" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xb1c2e6fc, "__media_pipeline_stop" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xb4c1c18e, "put_device" },
	{ 0x6a9f0584, "i2c_new_scanned_device" },
	{ 0x10dd5612, "media_pad_pipeline" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xdfe3e0c5, "media_request_object_put" },
	{ 0xdebee75d, "module_put" },
	{ 0x50067a95, "media_pipeline_alloc_start" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x6512a66e, "media_device_register_entity" },
	{ 0xa4732d26, "media_request_get_by_fd" },
	{ 0x748cfb53, "cdev_add" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xf5aa2aa9, "led_get" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xb1f31cbd, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xd3e282fa, "_dev_err" },
	{ 0x23ca26e3, "i2c_unregister_device" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf45cf28e, "media_request_put" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xddcbcfde, "spi_new_device" },
	{ 0x1a5df3a2, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xa5812ea7, "media_request_object_bind" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x554c6024, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x124384f8, "media_graph_walk_next" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0xe9fb08d8, "i2c_new_client_device" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0xfbaeedc3, "device_register" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xbc25aff7, "media_pipeline_start" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x31796945, "media_pipeline_stop" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x20674100, "_dev_warn" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9acfb1af, "media_get_pad_index" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xc3db3982, "trace_event_buffer_reserve" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2d298597, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xb70789e, "__might_fault" },
	{ 0x2791bcfe, "led_set_brightness" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xe4185fda, "media_graph_walk_start" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x69f78da0, "media_devnode_create" },
	{ 0x8b2b5002, "dev_err_probe" },
	{ 0x2568219d, "media_entity_get_fwnode_pad" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0x14265f98, "fwnode_handle_put" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x7fddb52c, "media_device_unregister_entity" },
	{ 0x754d539c, "strlen" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x5d9e6167, "mutex_destroy" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x619ea2a9, "__media_pipeline_start" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0x1c4ae495, "class_register" },
	{ 0xedcf8c5e, "led_sysfs_disable" },
	{ 0x146e84d8, "media_entity_find_link" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xad4f6c7, "__dev_fwnode" },
	{ 0xd0347222, "pci_bus_type" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0x2918bef2, "cdev_del" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x6c016873, "cdev_alloc" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "mc,i2c-core");


MODULE_INFO(srcversion, "E7B8F6024BA329DE371ED39");
