#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mpt_fwfault_debug, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_get_num_paths, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_pg1, "", "");
KSYMTAB_FUNC(mpt_set_taskmgmt_in_progress_flag, "", "");
KSYMTAB_FUNC(mpt_clear_taskmgmt_in_progress_flag, "", "");
KSYMTAB_FUNC(mpt_halt_firmware, "", "");
KSYMTAB_FUNC(mpt_Soft_Hard_ResetHandler, "", "");
KSYMTAB_FUNC(mpt_attach, "", "");
KSYMTAB_FUNC(mpt_detach, "", "");
KSYMTAB_FUNC(mpt_resume, "", "");
KSYMTAB_FUNC(mpt_suspend, "", "");
KSYMTAB_DATA(ioc_list, "", "");
KSYMTAB_FUNC(mpt_register, "", "");
KSYMTAB_FUNC(mpt_deregister, "", "");
KSYMTAB_FUNC(mpt_event_register, "", "");
KSYMTAB_FUNC(mpt_event_deregister, "", "");
KSYMTAB_FUNC(mpt_reset_register, "", "");
KSYMTAB_FUNC(mpt_reset_deregister, "", "");
KSYMTAB_FUNC(mpt_device_driver_register, "", "");
KSYMTAB_FUNC(mpt_device_driver_deregister, "", "");
KSYMTAB_FUNC(mpt_get_msg_frame, "", "");
KSYMTAB_FUNC(mpt_put_msg_frame, "", "");
KSYMTAB_FUNC(mpt_put_msg_frame_hi_pri, "", "");
KSYMTAB_FUNC(mpt_free_msg_frame, "", "");
KSYMTAB_FUNC(mpt_send_handshake_request, "", "");
KSYMTAB_FUNC(mpt_verify_adapter, "", "");
KSYMTAB_FUNC(mpt_GetIocState, "", "");
KSYMTAB_FUNC(mpt_print_ioc_summary, "", "");
KSYMTAB_FUNC(mpt_HardResetHandler, "", "");
KSYMTAB_FUNC(mpt_config, "", "");
KSYMTAB_FUNC(mpt_findImVolumes, "", "");
KSYMTAB_FUNC(mpt_alloc_fw_memory, "", "");
KSYMTAB_FUNC(mpt_free_fw_memory, "", "");
KSYMTAB_FUNC(mptbase_sas_persist_operation, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_pg0, "", "");

SYMBOL_CRC(mpt_fwfault_debug, 0x502108d0, "");
SYMBOL_CRC(mpt_raid_phys_disk_get_num_paths, 0x363898aa, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg1, 0x2f2cdde4, "");
SYMBOL_CRC(mpt_set_taskmgmt_in_progress_flag, 0xdfab96df, "");
SYMBOL_CRC(mpt_clear_taskmgmt_in_progress_flag, 0x17cdfaf0, "");
SYMBOL_CRC(mpt_halt_firmware, 0x91602b9e, "");
SYMBOL_CRC(mpt_Soft_Hard_ResetHandler, 0x0eb7aec0, "");
SYMBOL_CRC(mpt_attach, 0xee900f6f, "");
SYMBOL_CRC(mpt_detach, 0x9d9c855f, "");
SYMBOL_CRC(mpt_resume, 0xc14186d9, "");
SYMBOL_CRC(mpt_suspend, 0x2fa58bd7, "");
SYMBOL_CRC(ioc_list, 0xdd805159, "");
SYMBOL_CRC(mpt_register, 0x30ad9108, "");
SYMBOL_CRC(mpt_deregister, 0x981efe92, "");
SYMBOL_CRC(mpt_event_register, 0x541ce9ce, "");
SYMBOL_CRC(mpt_event_deregister, 0xe6c1e126, "");
SYMBOL_CRC(mpt_reset_register, 0xf8cbcf56, "");
SYMBOL_CRC(mpt_reset_deregister, 0x610b257e, "");
SYMBOL_CRC(mpt_device_driver_register, 0x85f96377, "");
SYMBOL_CRC(mpt_device_driver_deregister, 0x74a0134a, "");
SYMBOL_CRC(mpt_get_msg_frame, 0xe2b38f34, "");
SYMBOL_CRC(mpt_put_msg_frame, 0xb0900c78, "");
SYMBOL_CRC(mpt_put_msg_frame_hi_pri, 0x8e03f026, "");
SYMBOL_CRC(mpt_free_msg_frame, 0xc440c14c, "");
SYMBOL_CRC(mpt_send_handshake_request, 0x4df4de78, "");
SYMBOL_CRC(mpt_verify_adapter, 0xb451f1ba, "");
SYMBOL_CRC(mpt_GetIocState, 0xc5254cf3, "");
SYMBOL_CRC(mpt_print_ioc_summary, 0xd42f217c, "");
SYMBOL_CRC(mpt_HardResetHandler, 0xdeb60909, "");
SYMBOL_CRC(mpt_config, 0x9dadadb3, "");
SYMBOL_CRC(mpt_findImVolumes, 0xc3e258c4, "");
SYMBOL_CRC(mpt_alloc_fw_memory, 0x84472f30, "");
SYMBOL_CRC(mpt_free_fw_memory, 0xe0476495, "");
SYMBOL_CRC(mptbase_sas_persist_operation, 0x952cc932, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg0, 0xde5cc3d6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf9a482f9, "msleep" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb9d133d1, "seq_printf" },
	{ 0xf42de2be, "pci_stop_and_remove_bus_device_locked" },
	{ 0x4ca72fe6, "dma_alloc_attrs" },
	{ 0xbae66bda, "dma_free_attrs" },
	{ 0xfb578fc5, "memset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xfb075759, "pci_select_bars" },
	{ 0xbcb6a32c, "pci_enable_device_mem" },
	{ 0x80a23eec, "pci_request_selected_regions" },
	{ 0xc011ab10, "dma_get_required_mask" },
	{ 0x114385fe, "dma_set_mask" },
	{ 0xbc2c5de9, "pci_release_selected_regions" },
	{ 0x36b4483, "pci_disable_device" },
	{ 0x958b7595, "dma_set_coherent_mask" },
	{ 0xde80cd09, "ioremap" },
	{ 0xf3a81d53, "pci_get_slot" },
	{ 0x67dc63f0, "pci_dev_put" },
	{ 0xb4ab46ed, "remove_proc_entry" },
	{ 0x73475f93, "__asan_handle_no_return" },
	{ 0xf1e046cc, "panic" },
	{ 0xa1e0b3f9, "complete" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x2f0bc60e, "param_set_int" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x754d539c, "strlen" },
	{ 0x69acdf38, "memcpy" },
	{ 0x29d8717a, "seq_putc" },
	{ 0x547b3f, "pci_choose_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xf2949b91, "pci_save_state" },
	{ 0xa99aef02, "pci_set_power_state" },
	{ 0x31b747d2, "pci_disable_msi" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x14027cf2, "proc_mkdir" },
	{ 0x19aaa7f9, "proc_create_single_data" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xdcc3c96a, "pci_read_config_word" },
	{ 0x40d54cd3, "pci_write_config_word" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x50d4dfd0, "cancel_delayed_work" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xedc03953, "iounmap" },
	{ 0x11b3de21, "wait_for_completion_timeout" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x9e592602, "pci_set_master" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0xd14f4959, "pci_enable_msi" },
	{ 0x4a005590, "pci_enable_device" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0x89de3be6, "kthread_create_on_node" },
	{ 0x4eedfe1c, "wake_up_process" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xef0e0f07, "pci_read_config_byte" },
	{ 0xa36ad535, "pci_write_config_byte" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xc600f61, "pci_enable_wake" },
	{ 0xa263ce95, "pci_restore_state" },
	{ 0x92e8e77f, "param_ops_int" },
	{ 0x619c3872, "param_get_int" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0xdd64e639, "strscpy" },
	{ 0x122c3a7e, "_printk" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "62D9AFFB0F808AD664CEA05");
