#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mei_fw_status2str, "_gpl", "");
KSYMTAB_FUNC(mei_cancel_work, "_gpl", "");
KSYMTAB_FUNC(mei_reset, "_gpl", "");
KSYMTAB_FUNC(mei_start, "_gpl", "");
KSYMTAB_FUNC(mei_restart, "_gpl", "");
KSYMTAB_FUNC(mei_stop, "_gpl", "");
KSYMTAB_FUNC(mei_write_is_idle, "_gpl", "");
KSYMTAB_FUNC(mei_device_init, "_gpl", "");
KSYMTAB_FUNC(mei_hbm_pg, "_gpl", "");
KSYMTAB_FUNC(mei_hbm_pg_resume, "_gpl", "");
KSYMTAB_FUNC(mei_irq_compl_handler, "_gpl", "");
KSYMTAB_FUNC(mei_irq_read_handler, "_gpl", "");
KSYMTAB_FUNC(mei_irq_write_handler, "_gpl", "");
KSYMTAB_FUNC(mei_cl_all_disconnect, "_gpl", "");
KSYMTAB_FUNC(mei_register, "_gpl", "");
KSYMTAB_FUNC(mei_deregister, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_send_vtag, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv_vtag, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv_nonblock_vtag, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_send, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv_nonblock, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_register_rx_cb, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_register_notif_cb, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_uuid, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_ver, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_enabled, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_dma_map, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_dma_unmap, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_enable, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_disable, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_send_gsc_command, "_gpl", "");
KSYMTAB_FUNC(__mei_cldev_driver_register, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_driver_unregister, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mei_reg_read, "", "");
KSYMTAB_FUNC(__traceiter_mei_reg_read, "", "");
KSYMTAB_DATA(__SCK__tp_func_mei_reg_read, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mei_reg_read, "", "");
KSYMTAB_DATA(__tracepoint_mei_reg_write, "", "");
KSYMTAB_FUNC(__traceiter_mei_reg_write, "", "");
KSYMTAB_DATA(__SCK__tp_func_mei_reg_write, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mei_reg_write, "", "");
KSYMTAB_DATA(__tracepoint_mei_pci_cfg_read, "", "");
KSYMTAB_FUNC(__traceiter_mei_pci_cfg_read, "", "");
KSYMTAB_DATA(__SCK__tp_func_mei_pci_cfg_read, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mei_pci_cfg_read, "", "");

SYMBOL_CRC(mei_fw_status2str, 0x90a24af4, "_gpl");
SYMBOL_CRC(mei_cancel_work, 0xe63e4832, "_gpl");
SYMBOL_CRC(mei_reset, 0xaf62d561, "_gpl");
SYMBOL_CRC(mei_start, 0xf33241b5, "_gpl");
SYMBOL_CRC(mei_restart, 0x13408be3, "_gpl");
SYMBOL_CRC(mei_stop, 0xb2a9c5af, "_gpl");
SYMBOL_CRC(mei_write_is_idle, 0xe64ff53a, "_gpl");
SYMBOL_CRC(mei_device_init, 0xbfea6332, "_gpl");
SYMBOL_CRC(mei_hbm_pg, 0x5e1aa186, "_gpl");
SYMBOL_CRC(mei_hbm_pg_resume, 0xd8cf1fdc, "_gpl");
SYMBOL_CRC(mei_irq_compl_handler, 0x12ecee16, "_gpl");
SYMBOL_CRC(mei_irq_read_handler, 0xd3aa3090, "_gpl");
SYMBOL_CRC(mei_irq_write_handler, 0x16c1000f, "_gpl");
SYMBOL_CRC(mei_cl_all_disconnect, 0xfac70447, "_gpl");
SYMBOL_CRC(mei_register, 0x593faa32, "_gpl");
SYMBOL_CRC(mei_deregister, 0xb624dd78, "_gpl");
SYMBOL_CRC(mei_cldev_send_vtag, 0x81194340, "_gpl");
SYMBOL_CRC(mei_cldev_recv_vtag, 0x074874fe, "_gpl");
SYMBOL_CRC(mei_cldev_recv_nonblock_vtag, 0xff9832d5, "_gpl");
SYMBOL_CRC(mei_cldev_send, 0x53fbde59, "_gpl");
SYMBOL_CRC(mei_cldev_recv, 0x5a633bb3, "_gpl");
SYMBOL_CRC(mei_cldev_recv_nonblock, 0x00e53235, "_gpl");
SYMBOL_CRC(mei_cldev_register_rx_cb, 0xcc96417e, "_gpl");
SYMBOL_CRC(mei_cldev_register_notif_cb, 0x95024dc4, "_gpl");
SYMBOL_CRC(mei_cldev_get_drvdata, 0x6a14c584, "_gpl");
SYMBOL_CRC(mei_cldev_set_drvdata, 0xe00c04ef, "_gpl");
SYMBOL_CRC(mei_cldev_uuid, 0x35c7ea83, "_gpl");
SYMBOL_CRC(mei_cldev_ver, 0x96c81249, "_gpl");
SYMBOL_CRC(mei_cldev_enabled, 0x68b159c3, "_gpl");
SYMBOL_CRC(mei_cldev_dma_map, 0xf3d139c7, "_gpl");
SYMBOL_CRC(mei_cldev_dma_unmap, 0x06daa9ca, "_gpl");
SYMBOL_CRC(mei_cldev_enable, 0x6c64e815, "_gpl");
SYMBOL_CRC(mei_cldev_disable, 0x2b3ee1f6, "_gpl");
SYMBOL_CRC(mei_cldev_send_gsc_command, 0x0cf5b210, "_gpl");
SYMBOL_CRC(__mei_cldev_driver_register, 0xe78505e8, "_gpl");
SYMBOL_CRC(mei_cldev_driver_unregister, 0xa394be77, "_gpl");
SYMBOL_CRC(__tracepoint_mei_reg_read, 0x0fab514c, "");
SYMBOL_CRC(__traceiter_mei_reg_read, 0x142f76b3, "");
SYMBOL_CRC(__SCK__tp_func_mei_reg_read, 0x5e4c56a1, "");
SYMBOL_CRC(__SCT__tp_func_mei_reg_read, 0x3b0a488d, "");
SYMBOL_CRC(__tracepoint_mei_reg_write, 0x40988351, "");
SYMBOL_CRC(__traceiter_mei_reg_write, 0x14520883, "");
SYMBOL_CRC(__SCK__tp_func_mei_reg_write, 0x9e72fa93, "");
SYMBOL_CRC(__SCT__tp_func_mei_reg_write, 0x0bb25295, "");
SYMBOL_CRC(__tracepoint_mei_pci_cfg_read, 0x983b1863, "");
SYMBOL_CRC(__traceiter_mei_pci_cfg_read, 0x18cb00ae, "");
SYMBOL_CRC(__SCK__tp_func_mei_pci_cfg_read, 0xb432934a, "");
SYMBOL_CRC(__SCT__tp_func_mei_pci_cfg_read, 0x14dc7949, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xf92cb872, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xf38c0744, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xba50cbf, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x640ce521, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0xb69b11e3, "dmam_alloc_attrs" },
	{ 0x842317de, "trace_raw_output_prep" },
	{ 0xd738977e, "__trace_trigger_soft_disabled" },
	{ 0x53df7429, "finish_wait" },
	{ 0x366e239d, "kill_fasync" },
	{ 0xa87da128, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xb4d1b427, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xee32ea6c, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xa0ec9675, "pcpu_hot" },
	{ 0xccf8c8e1, "seq_lseek" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x85ce233b, "__wake_up" },
	{ 0xf93a08dd, "__module_get" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x36ff997e, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xb340763b, "__dynamic_dev_dbg" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x5e52cbaa, "debugfs_read_file_bool" },
	{ 0xa4d4f11b, "trace_event_buffer_commit" },
	{ 0x43e6d1cc, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0xde06743d, "debugfs_write_file_bool" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xb4c1c18e, "put_device" },
	{ 0xf66f693b, "_dev_info" },
	{ 0xdebee75d, "module_put" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0xd1d2e8f4, "compat_ptr_ioctl" },
	{ 0x748cfb53, "cdev_add" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x5a898a4a, "idr_remove" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xb1f31cbd, "perf_trace_run_bpf_submit" },
	{ 0x27b8214, "bus_unregister" },
	{ 0xd21cccf3, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xd3e282fa, "_dev_err" },
	{ 0x606d8142, "up_write" },
	{ 0x180271ae, "simple_open" },
	{ 0x99160697, "device_add" },
	{ 0x299d0adb, "idr_alloc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x7ba0c905, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x34a854c2, "fasync_helper" },
	{ 0x1a5df3a2, "trace_event_reg" },
	{ 0x9ae2bafc, "mutex_is_locked" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xcfc30fde, "driver_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x554c6024, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0xf7f1654c, "device_del" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x569d5a6d, "dmam_free_coherent" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x20674100, "_dev_warn" },
	{ 0xa3d7a61f, "device_match_devt" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0x74a76053, "down_read" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xabbec093, "nonseekable_open" },
	{ 0x147be32a, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3f4b96a5, "device_create_with_groups" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7b62a7d7, "debugfs_create_file" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xc3db3982, "trace_event_buffer_reserve" },
	{ 0xe70de0fc, "__pm_runtime_resume" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x2c539d40, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb9d133d1, "seq_printf" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xd87c2c46, "seq_puts" },
	{ 0xf1f0b6a0, "single_release" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0xe0e71af0, "__pm_runtime_suspend" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x3654410, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x5cc027e4, "single_open" },
	{ 0x6308ec26, "debugfs_create_dir" },
	{ 0xad23d800, "generic_file_llseek" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xb8e1f9ea, "up_read" },
	{ 0x44292bb9, "driver_register" },
	{ 0x1c4ae495, "class_register" },
	{ 0x8f61e7e5, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0x2918bef2, "cdev_del" },
	{ 0xed44313a, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf9707524, "class_find_device" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9D12C8BC8C9541AB132C612");
