#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vmci_context_get_priv_flags, "_gpl", "");
KSYMTAB_FUNC(vmci_is_context_owner, "_gpl", "");
KSYMTAB_FUNC(vmci_datagram_create_handle_priv, "_gpl", "");
KSYMTAB_FUNC(vmci_datagram_create_handle, "_gpl", "");
KSYMTAB_FUNC(vmci_datagram_destroy_handle, "_gpl", "");
KSYMTAB_FUNC(vmci_datagram_send, "_gpl", "");
KSYMTAB_FUNC(vmci_doorbell_create, "_gpl", "");
KSYMTAB_FUNC(vmci_doorbell_destroy, "_gpl", "");
KSYMTAB_FUNC(vmci_doorbell_notify, "_gpl", "");
KSYMTAB_FUNC(vmci_get_context_id, "_gpl", "");
KSYMTAB_FUNC(vmci_register_vsock_callback, "_gpl", "");
KSYMTAB_FUNC(vmci_event_subscribe, "_gpl", "");
KSYMTAB_FUNC(vmci_event_unsubscribe, "_gpl", "");
KSYMTAB_FUNC(vmci_send_datagram, "_gpl", "");
KSYMTAB_FUNC(vmci_qpair_alloc, "_gpl", "");
KSYMTAB_FUNC(vmci_qpair_detach, "_gpl", "");
KSYMTAB_FUNC(vmci_qpair_get_produce_indexes, "_gpl", "");
KSYMTAB_FUNC(vmci_qpair_get_consume_indexes, "_gpl", "");
KSYMTAB_FUNC(vmci_qpair_produce_free_space, "_gpl", "");
KSYMTAB_FUNC(vmci_qpair_consume_free_space, "_gpl", "");
KSYMTAB_FUNC(vmci_qpair_produce_buf_ready, "_gpl", "");
KSYMTAB_FUNC(vmci_qpair_consume_buf_ready, "_gpl", "");
KSYMTAB_FUNC(vmci_qpair_enqueue, "_gpl", "");
KSYMTAB_FUNC(vmci_qpair_dequeue, "_gpl", "");
KSYMTAB_FUNC(vmci_qpair_peek, "_gpl", "");
KSYMTAB_FUNC(vmci_qpair_enquev, "_gpl", "");
KSYMTAB_FUNC(vmci_qpair_dequev, "_gpl", "");
KSYMTAB_FUNC(vmci_qpair_peekv, "_gpl", "");

SYMBOL_CRC(vmci_context_get_priv_flags, 0x5591b58e, "_gpl");
SYMBOL_CRC(vmci_is_context_owner, 0xc403cafe, "_gpl");
SYMBOL_CRC(vmci_datagram_create_handle_priv, 0xde3abc2e, "_gpl");
SYMBOL_CRC(vmci_datagram_create_handle, 0x046dd187, "_gpl");
SYMBOL_CRC(vmci_datagram_destroy_handle, 0x3a22fa8a, "_gpl");
SYMBOL_CRC(vmci_datagram_send, 0xea143610, "_gpl");
SYMBOL_CRC(vmci_doorbell_create, 0xb572e830, "_gpl");
SYMBOL_CRC(vmci_doorbell_destroy, 0x5e949e0a, "_gpl");
SYMBOL_CRC(vmci_doorbell_notify, 0xbcb85f62, "_gpl");
SYMBOL_CRC(vmci_get_context_id, 0x056837fb, "_gpl");
SYMBOL_CRC(vmci_register_vsock_callback, 0x787f0fe8, "_gpl");
SYMBOL_CRC(vmci_event_subscribe, 0x2449459d, "_gpl");
SYMBOL_CRC(vmci_event_unsubscribe, 0xe11895c1, "_gpl");
SYMBOL_CRC(vmci_send_datagram, 0x75fe065a, "_gpl");
SYMBOL_CRC(vmci_qpair_alloc, 0xe0cc9c92, "_gpl");
SYMBOL_CRC(vmci_qpair_detach, 0x612df9ae, "_gpl");
SYMBOL_CRC(vmci_qpair_get_produce_indexes, 0x1fd4782d, "_gpl");
SYMBOL_CRC(vmci_qpair_get_consume_indexes, 0xc04c7e84, "_gpl");
SYMBOL_CRC(vmci_qpair_produce_free_space, 0x024d14bc, "_gpl");
SYMBOL_CRC(vmci_qpair_consume_free_space, 0x676bd843, "_gpl");
SYMBOL_CRC(vmci_qpair_produce_buf_ready, 0xea61eefe, "_gpl");
SYMBOL_CRC(vmci_qpair_consume_buf_ready, 0x7c74d7a6, "_gpl");
SYMBOL_CRC(vmci_qpair_enqueue, 0xe67343c1, "_gpl");
SYMBOL_CRC(vmci_qpair_dequeue, 0x81d61eef, "_gpl");
SYMBOL_CRC(vmci_qpair_peek, 0x4ba5c46b, "_gpl");
SYMBOL_CRC(vmci_qpair_enquev, 0x92af05f8, "_gpl");
SYMBOL_CRC(vmci_qpair_dequev, 0x9d6d64a9, "_gpl");
SYMBOL_CRC(vmci_qpair_peekv, 0xcf0d63d3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8a35b432, "sme_me_mask" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x8463c648, "get_user_pages_fast" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xea46ee90, "_copy_to_iter" },
	{ 0x66a1e966, "misc_deregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafe86688, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb0e602eb, "memmove" },
	{ 0xb34aca9e, "pci_alloc_irq_vectors" },
	{ 0xa1e0b3f9, "complete" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x95897450, "dump_page" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0x53df7429, "finish_wait" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x8ff50b3c, "__pci_register_driver" },
	{ 0x69acdf38, "memcpy" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xa0ec9675, "pcpu_hot" },
	{ 0xb0bd8018, "__put_devmap_managed_page_refs" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x85ce233b, "__wake_up" },
	{ 0x1dd52d0d, "pci_irq_vector" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xb340763b, "__dynamic_dev_dbg" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x817823ea, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbcad99d5, "__put_cred" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0xf66f693b, "_dev_info" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0xd1d2e8f4, "compat_ptr_ioctl" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x1c40d55b, "pcim_iomap_regions" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x285b67f, "pci_iomap_range" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xd3e282fa, "_dev_err" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4ca72fe6, "dma_alloc_attrs" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x34d541d7, "iov_iter_kvec" },
	{ 0x8c65c450, "vmap" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x8cf64344, "pci_iounmap" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x20674100, "_dev_warn" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xb0898415, "misc_register" },
	{ 0x9e592602, "pci_set_master" },
	{ 0xe5a5244b, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x958b7595, "dma_set_coherent_mask" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xbae66bda, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0xaa9751e3, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xe0adf355, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0xf7f30bdc, "set_page_dirty_lock" },
	{ 0xfda53848, "_copy_from_iter" },
	{ 0xb70789e, "__might_fault" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x114385fe, "dma_set_mask" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x520d8fa0, "pcim_iomap_table" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xd8b1995, "iov_iter_revert" },
	{ 0x1b5fe4e, "pcim_enable_device" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x4b43aeba, "pci_free_irq_vectors" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000015ADd00000740sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "21BC7B394A7E72C4DCA71B0");
