#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mtd_table_mutex, "_gpl", "");
KSYMTAB_FUNC(__mtd_next_device, "_gpl", "");
KSYMTAB_FUNC(mtd_check_expert_analysis_mode, "_gpl", "");
KSYMTAB_FUNC(mtd_wunit_to_pairing_info, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_info_to_wunit, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_groups, "_gpl", "");
KSYMTAB_FUNC(mtd_device_parse_register, "_gpl", "");
KSYMTAB_FUNC(mtd_device_unregister, "_gpl", "");
KSYMTAB_FUNC(register_mtd_user, "_gpl", "");
KSYMTAB_FUNC(unregister_mtd_user, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(of_get_mtd_device_by_node, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device_nm, "_gpl", "");
KSYMTAB_FUNC(put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(mtd_erase, "_gpl", "");
KSYMTAB_FUNC(mtd_point, "_gpl", "");
KSYMTAB_FUNC(mtd_unpoint, "_gpl", "");
KSYMTAB_FUNC(mtd_get_unmapped_area, "_gpl", "");
KSYMTAB_FUNC(mtd_read, "_gpl", "");
KSYMTAB_FUNC(mtd_write, "_gpl", "");
KSYMTAB_FUNC(mtd_panic_write, "_gpl", "");
KSYMTAB_FUNC(mtd_read_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_write_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_ecc, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_free, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_find_eccregion, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_freebytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_get_fact_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_fact_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_get_user_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_write_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_erase_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock, "_gpl", "");
KSYMTAB_FUNC(mtd_unlock, "_gpl", "");
KSYMTAB_FUNC(mtd_is_locked, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isreserved, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isbad, "_gpl", "");
KSYMTAB_FUNC(mtd_block_markbad, "_gpl", "");
KSYMTAB_FUNC(mtd_writev, "_gpl", "");
KSYMTAB_FUNC(mtd_kmalloc_up_to, "_gpl", "");
KSYMTAB_FUNC(get_tree_mtd, "_gpl", "");
KSYMTAB_FUNC(kill_mtd_super, "_gpl", "");
KSYMTAB_FUNC(mtd_concat_create, "", "");
KSYMTAB_FUNC(mtd_concat_destroy, "", "");
KSYMTAB_FUNC(mtd_add_partition, "_gpl", "");
KSYMTAB_FUNC(mtd_del_partition, "_gpl", "");
KSYMTAB_FUNC(__register_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(deregister_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(mtd_get_device_size, "_gpl", "");

SYMBOL_CRC(mtd_table_mutex, 0x205901e3, "_gpl");
SYMBOL_CRC(__mtd_next_device, 0x71bb82a3, "_gpl");
SYMBOL_CRC(mtd_check_expert_analysis_mode, 0xb7075882, "_gpl");
SYMBOL_CRC(mtd_wunit_to_pairing_info, 0x9d2c6419, "_gpl");
SYMBOL_CRC(mtd_pairing_info_to_wunit, 0xa775e941, "_gpl");
SYMBOL_CRC(mtd_pairing_groups, 0xf41d7c7c, "_gpl");
SYMBOL_CRC(mtd_device_parse_register, 0xea0ab874, "_gpl");
SYMBOL_CRC(mtd_device_unregister, 0x641f2749, "_gpl");
SYMBOL_CRC(register_mtd_user, 0xe67edaa5, "_gpl");
SYMBOL_CRC(unregister_mtd_user, 0x558a5c01, "_gpl");
SYMBOL_CRC(get_mtd_device, 0x395777a8, "_gpl");
SYMBOL_CRC(__get_mtd_device, 0xf9cfa3f3, "_gpl");
SYMBOL_CRC(of_get_mtd_device_by_node, 0xd2aead0e, "_gpl");
SYMBOL_CRC(get_mtd_device_nm, 0xa52a634e, "_gpl");
SYMBOL_CRC(put_mtd_device, 0x28a570e5, "_gpl");
SYMBOL_CRC(__put_mtd_device, 0xe322060d, "_gpl");
SYMBOL_CRC(mtd_erase, 0x7a17b00f, "_gpl");
SYMBOL_CRC(mtd_point, 0x813dc4cf, "_gpl");
SYMBOL_CRC(mtd_unpoint, 0x34a3efae, "_gpl");
SYMBOL_CRC(mtd_get_unmapped_area, 0x2455daf7, "_gpl");
SYMBOL_CRC(mtd_read, 0x28bff5d3, "_gpl");
SYMBOL_CRC(mtd_write, 0x9aee839d, "_gpl");
SYMBOL_CRC(mtd_panic_write, 0xe6fcaf13, "_gpl");
SYMBOL_CRC(mtd_read_oob, 0x51a9500c, "_gpl");
SYMBOL_CRC(mtd_write_oob, 0x85a0c548, "_gpl");
SYMBOL_CRC(mtd_ooblayout_ecc, 0x3df2ffb0, "_gpl");
SYMBOL_CRC(mtd_ooblayout_free, 0xae0253b2, "_gpl");
SYMBOL_CRC(mtd_ooblayout_find_eccregion, 0xccaa0d05, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_eccbytes, 0x73fe76a6, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_eccbytes, 0x186c0c6a, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_databytes, 0x84be15b1, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_databytes, 0x309e66d6, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_freebytes, 0x0efc840e, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_eccbytes, 0x2207236f, "_gpl");
SYMBOL_CRC(mtd_get_fact_prot_info, 0x7f797aa3, "_gpl");
SYMBOL_CRC(mtd_read_fact_prot_reg, 0xb4d67805, "_gpl");
SYMBOL_CRC(mtd_get_user_prot_info, 0x9a141252, "_gpl");
SYMBOL_CRC(mtd_read_user_prot_reg, 0x0c0084c8, "_gpl");
SYMBOL_CRC(mtd_write_user_prot_reg, 0xf5bf8bd8, "_gpl");
SYMBOL_CRC(mtd_lock_user_prot_reg, 0x3ed5b16d, "_gpl");
SYMBOL_CRC(mtd_erase_user_prot_reg, 0x8698e167, "_gpl");
SYMBOL_CRC(mtd_lock, 0x321509fa, "_gpl");
SYMBOL_CRC(mtd_unlock, 0xfcc752a1, "_gpl");
SYMBOL_CRC(mtd_is_locked, 0x74dcaa54, "_gpl");
SYMBOL_CRC(mtd_block_isreserved, 0x7a8d6fb4, "_gpl");
SYMBOL_CRC(mtd_block_isbad, 0xcfce67f2, "_gpl");
SYMBOL_CRC(mtd_block_markbad, 0xd50d5561, "_gpl");
SYMBOL_CRC(mtd_writev, 0x99e00cc2, "_gpl");
SYMBOL_CRC(mtd_kmalloc_up_to, 0xf2b91923, "_gpl");
SYMBOL_CRC(get_tree_mtd, 0xac107072, "_gpl");
SYMBOL_CRC(kill_mtd_super, 0x65f076a8, "_gpl");
SYMBOL_CRC(mtd_concat_create, 0xbe13d9ac, "");
SYMBOL_CRC(mtd_concat_destroy, 0x6024ae8a, "");
SYMBOL_CRC(mtd_add_partition, 0x1545aba4, "_gpl");
SYMBOL_CRC(mtd_del_partition, 0x72d1f1a2, "_gpl");
SYMBOL_CRC(__register_mtd_parser, 0xe59a191b, "_gpl");
SYMBOL_CRC(deregister_mtd_parser, 0xf90f779d, "_gpl");
SYMBOL_CRC(mtd_get_device_size, 0x51315384, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x496b7b30, "generic_shutdown_super" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xf92cb872, "try_module_get" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x7344405a, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x6c8558ad, "sget_dev" },
	{ 0xbccf4b40, "bdi_unregister" },
	{ 0x640ce521, "dev_set_name" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x77b8ae47, "bdi_register" },
	{ 0xd9b5e720, "device_unregister" },
	{ 0xcc39c03e, "nvmem_unregister" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x242f6cbb, "logfc" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xd42aa65c, "sysfs_remove_files" },
	{ 0xf93a08dd, "__module_get" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x122c3a7e, "_printk" },
	{ 0x426d712e, "bdi_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb4c1c18e, "put_device" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x93228d66, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc6cbbc89, "capable" },
	{ 0xdebee75d, "module_put" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0x5a898a4a, "idr_remove" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x77c06b17, "debugfs_create_bool" },
	{ 0x299d0adb, "idr_alloc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xf0937000, "device_create" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x7ba0c905, "debugfs_remove" },
	{ 0x6a85bc0a, "fixed_size_llseek" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x554c6024, "class_unregister" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x28de011e, "bdi_alloc" },
	{ 0xfbaeedc3, "device_register" },
	{ 0x3bb563ac, "idr_destroy" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x588ed22a, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2c539d40, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb4ab46ed, "remove_proc_entry" },
	{ 0x8f953098, "sysfs_create_files" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb9d133d1, "seq_printf" },
	{ 0x3720d9ef, "lockref_get" },
	{ 0xbe25f6f, "deactivate_locked_super" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xb70789e, "__might_fault" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xd87c2c46, "seq_puts" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x8b2b5002, "dev_err_probe" },
	{ 0x19aaa7f9, "proc_create_single_data" },
	{ 0xb2dbcd28, "nvmem_register" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x6308ec26, "debugfs_create_dir" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x1c4ae495, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F791D9842983DCB762A2866");
