#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(stmmac_bus_clks_config, "_gpl", "");
KSYMTAB_FUNC(stmmac_init_tstamp_counter, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_probe, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_remove, "_gpl", "");
KSYMTAB_FUNC(stmmac_suspend, "_gpl", "");
KSYMTAB_FUNC(stmmac_resume, "_gpl", "");
KSYMTAB_FUNC(stmmac_set_mac_addr, "_gpl", "");
KSYMTAB_FUNC(stmmac_get_mac_addr, "_gpl", "");
KSYMTAB_DATA(dwmac1000_dma_ops, "_gpl", "");

SYMBOL_CRC(stmmac_bus_clks_config, 0x0fad41ef, "_gpl");
SYMBOL_CRC(stmmac_init_tstamp_counter, 0x44c5498b, "_gpl");
SYMBOL_CRC(stmmac_dvr_probe, 0xd1c18120, "_gpl");
SYMBOL_CRC(stmmac_dvr_remove, 0xb31fe13e, "_gpl");
SYMBOL_CRC(stmmac_suspend, 0x68980afe, "_gpl");
SYMBOL_CRC(stmmac_resume, 0xeed61985, "_gpl");
SYMBOL_CRC(stmmac_set_mac_addr, 0x545572d4, "_gpl");
SYMBOL_CRC(stmmac_get_mac_addr, 0x92d778bb, "_gpl");
SYMBOL_CRC(dwmac1000_dma_ops, 0x9ae534bb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4448b7a9, "mdiobus_alloc_size" },
	{ 0x8243877d, "__tracepoint_xdp_exception" },
	{ 0x14a05d29, "xsk_tx_completed" },
	{ 0xd604a7f5, "xp_dma_sync_for_device_slow" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x4cf0e0df, "xp_alloc" },
	{ 0x334dccbd, "device_set_wakeup_enable" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x10b2450b, "bpf_prog_put" },
	{ 0x6a18b83b, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7ab38e81, "xp_dma_map" },
	{ 0xb28d1f72, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafe86688, "devm_kmalloc" },
	{ 0x5b91281, "eth_mac_addr" },
	{ 0xe94ce49a, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xefb5bb5, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xc890e29a, "__napi_alloc_skb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x18721f43, "netdev_update_features" },
	{ 0x20f17b2a, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xb0e602eb, "memmove" },
	{ 0x4aa747b1, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x5264fdc6, "bpf_warn_invalid_xdp_action" },
	{ 0x44ded28a, "unregister_netdev" },
	{ 0xf086f9f5, "xdp_convert_zc_to_xdp_frame" },
	{ 0xcfdb2047, "xdp_features_set_redirect_target" },
	{ 0x2650d8aa, "dma_unmap_page_attrs" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xa83358b9, "dma_sync_single_for_device" },
	{ 0x8e713733, "hrtimer_init" },
	{ 0x6ce525a4, "skb_add_rx_frag" },
	{ 0x91242a2, "get_device_system_crosststamp" },
	{ 0xf0b9d998, "ptp_clock_index" },
	{ 0xcd0295a6, "phy_attached_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xa0ec9675, "pcpu_hot" },
	{ 0xccf8c8e1, "seq_lseek" },
	{ 0xcc74a54f, "page_pool_destroy" },
	{ 0x1c6c4772, "xdp_do_redirect" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd817114a, "netdev_warn" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xcc24afb5, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x85ce233b, "__wake_up" },
	{ 0xc8361dc0, "flow_rule_match_ipv4_addrs" },
	{ 0x1944b2ab, "xdp_rxq_info_unreg_mem_model" },
	{ 0x6b31de58, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x34e0aac7, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xeeed3f69, "phylink_limit_mac_speed" },
	{ 0x97cd9f68, "phylink_create" },
	{ 0x4278d56a, "phylink_expects_phy" },
	{ 0xf23fc55, "dev_driver_string" },
	{ 0x11076f19, "pinctrl_pm_select_default_state" },
	{ 0xc4e6d350, "dev_addr_mod" },
	{ 0xb0e0b7a5, "xdp_rxq_info_reg_mem_model" },
	{ 0xe5c027d8, "_raw_read_unlock_irqrestore" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x7f9bbf0d, "eth_type_trans" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x88182b4e, "__pm_runtime_set_status" },
	{ 0x3f0ffcfa, "dma_map_page_attrs" },
	{ 0x5cccf36b, "napi_complete_done" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xb31ce301, "__devm_alloc_percpu" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x7c22da66, "pm_wakeup_dev_event" },
	{ 0x313807ad, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x4fddbf07, "__napi_schedule" },
	{ 0xc9371f66, "pm_runtime_enable" },
	{ 0x3d9b62b6, "xsk_set_rx_need_wakeup" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0x30962179, "netif_device_detach" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5d92029c, "xpcs_config_eee" },
	{ 0x16ca1a8a, "phylink_suspend" },
	{ 0x3883421c, "_raw_read_lock_irqsave" },
	{ 0xf66f693b, "_dev_info" },
	{ 0x265b112d, "xpcs_create_mdiodev" },
	{ 0x1ac72dde, "napi_gro_receive" },
	{ 0x473a61a6, "netif_device_attach" },
	{ 0x77d50577, "xdp_features_clear_redirect_target" },
	{ 0x2c8e28ee, "phylink_ethtool_get_eee" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x6dbd1001, "netdev_pick_tx" },
	{ 0x3232ca18, "phy_init_eee" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0xc1968d92, "xp_raw_get_dma" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x5687b2e3, "xdp_rxq_info_is_reg" },
	{ 0x787957da, "devm_alloc_etherdev_mqs" },
	{ 0x2ab073a9, "flow_block_cb_setup_simple" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x206b65e1, "flow_rule_match_basic" },
	{ 0x5d0c4dcc, "phylink_speed_up" },
	{ 0xd756e02a, "dev_open" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xd3e282fa, "_dev_err" },
	{ 0x3da4a69c, "xpcs_destroy" },
	{ 0xc4aa942d, "pinctrl_pm_select_sleep_state" },
	{ 0xc2a2cfc2, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x6d7b3997, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x5bda98bb, "ptp_clock_register" },
	{ 0x27a4d2d6, "xp_dma_sync_for_cpu_slow" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xc57aa37c, "xsk_tx_peek_desc" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x789f712a, "netif_set_real_num_tx_queues" },
	{ 0xc5b199aa, "mod_timer" },
	{ 0x16a32dbc, "netif_set_real_num_rx_queues" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xabdcdf5e, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0x4ca72fe6, "dma_alloc_attrs" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x7ba0c905, "debugfs_remove" },
	{ 0xa6af8b3f, "napi_enable" },
	{ 0x5424f778, "xsk_clear_rx_need_wakeup" },
	{ 0xce58f73c, "xpcs_get_interfaces" },
	{ 0x25ceb28, "xsk_uses_need_wakeup" },
	{ 0xadb218fa, "register_netdev" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x1887813e, "xsk_get_pool_from_qid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xd5004541, "mdiobus_free" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0xc0a8f4be, "phylink_resume" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0xbb6883e9, "ethtool_op_get_link" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x30b81d97, "__SCK__tp_func_xdp_exception" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x57727285, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0x8a58a66c, "netif_tx_wake_queue" },
	{ 0x5430a5b2, "fwnode_get_phy_node" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x2710b258, "dma_sync_single_for_cpu" },
	{ 0x39d0fe9e, "page_pool_create" },
	{ 0xd0de5248, "page_pool_put_defragged_page" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x20674100, "_dev_warn" },
	{ 0xa637e293, "flow_rule_match_ports" },
	{ 0x8497aaf9, "phylink_fwnode_phy_connect" },
	{ 0x2a8cbb6e, "hrtimer_start_range_ns" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xf06ba0fb, "ptp_clock_event" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0xeadf9363, "netif_schedule_queue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd6618f6a, "fwnode_get_named_child_node" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0x1182eae0, "ptp_clock_unregister" },
	{ 0xc5e7575d, "xp_dma_unmap" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x2c5b67f6, "xpcs_get_an_mode" },
	{ 0x4973352a, "_raw_write_unlock_irqrestore" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x6626049, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xaaefcc9b, "xdp_return_frame_rx_napi" },
	{ 0x1a14c69f, "netdev_alert" },
	{ 0x958b7595, "dma_set_coherent_mask" },
	{ 0x147be32a, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x501d6042, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa16449b4, "phylink_ethtool_ksettings_set" },
	{ 0xc7197d31, "debugfs_rename" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x7b62a7d7, "debugfs_create_file" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0xab28afa0, "xsk_set_tx_need_wakeup" },
	{ 0xbae66bda, "dma_free_attrs" },
	{ 0xe70de0fc, "__pm_runtime_resume" },
	{ 0x825c7340, "phylink_get_eee_err" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0xd986ecb2, "__rwlock_init" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe8174163, "xp_set_rxq_info" },
	{ 0xcaee4b56, "flow_rule_match_vlan" },
	{ 0x6680dae4, "xdp_rxq_info_unreg" },
	{ 0x680faf30, "page_pool_alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x18c26f6d, "__xdp_rxq_info_reg" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xad99bd2e, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xb9d133d1, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xf59f3af4, "__cant_migrate" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x59e0695d, "phylink_speed_down" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x13e48878, "mdiobus_get_phy" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0xc438306d, "netif_carrier_on" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0x2f261f46, "__mdiobus_register" },
	{ 0x9616a255, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf18008d, "hrtimer_cancel" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x678c7d8f, "xp_free" },
	{ 0xf1f0b6a0, "single_release" },
	{ 0x114385fe, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x8b2b5002, "dev_err_probe" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0x8bb7faab, "xdp_master_redirect" },
	{ 0x14265f98, "fwnode_handle_put" },
	{ 0xd2ef6a40, "phylink_mii_ioctl" },
	{ 0xf4195816, "_raw_write_lock_irqsave" },
	{ 0x931b8305, "napi_schedule_prep" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xf2cba0be, "napi_disable" },
	{ 0x3fdd94e9, "dev_kfree_skb_any_reason" },
	{ 0xb20c18e9, "eth_header_parse_protocol" },
	{ 0x92e8e77f, "param_ops_int" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x5cc027e4, "single_open" },
	{ 0x5d9e6167, "mutex_destroy" },
	{ 0xaa41c5bf, "__pm_runtime_disable" },
	{ 0x6308ec26, "debugfs_create_dir" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x815588a6, "clk_enable" },
	{ 0x6f30d244, "skb_clone_tx_timestamp" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xfddc976b, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf71df131, "ethtool_op_get_ts_info" },
	{ 0x6a138132, "xsk_tx_release" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xad4f6c7, "__dev_fwnode" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0x9cbce98e, "netdev_info" },
	{ 0xba340c16, "phylink_connect_phy" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "ptp,phylink,pcs_xpcs");


MODULE_INFO(srcversion, "D2623C690590339F0A75221");
