#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x48caa64b, "genphy_read_lpa" },
	{ 0xff534b59, "genphy_c37_read_status" },
	{ 0x158de6b5, "phy_resolve_aneg_pause" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x7215060, "mdio_device_reset" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb340763b, "__dynamic_dev_dbg" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x4fbbeaad, "ethnl_cable_test_result" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x1d0e0854, "ethnl_cable_test_fault_length" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9ebe910a, "genphy_c45_pma_read_abilities" },
	{ 0xa5d7cd44, "genphy_c45_pma_setup_forced" },
	{ 0xecf07733, "genphy_setup_forced" },
	{ 0x57dfb51, "genphy_read_status" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xac7d865a, "genphy_read_abilities" },
	{ 0x4e43d451, "genphy_soft_reset" },
	{ 0x83e2d37d, "phy_modify_mmd_changed" },
	{ 0x506fa20e, "__genphy_config_aneg" },
	{ 0x75ef2010, "genphy_c37_config_aneg" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x91aa4f01, "genphy_c45_fast_retrain" },
	{ 0x17ab73be, "genphy_read_master_slave" },
	{ 0x9a2634b7, "genphy_resume" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6ab32a35, "phy_drivers_register" },
	{ 0x8bdb0b7f, "mdiobus_write" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xd43e40f, "mdiobus_read" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xe7d229dc, "phy_read_mmd" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xd3e282fa, "_dev_err" },
	{ 0xeeaa434d, "mdiobus_c45_modify_changed" },
	{ 0xdd64e639, "strscpy" },
	{ 0x4c1ca153, "phy_modify" },
	{ 0x251d7b41, "genphy_suspend" },
	{ 0xdf53e10f, "__phy_modify" },
	{ 0xeca23aa8, "__mdiobus_read" },
	{ 0xbcaa2cd2, "phy_modify_changed" },
	{ 0x337a8d84, "phy_init_hw" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x1c0aa1d8, "phy_write_mmd" },
	{ 0x53d1d7a, "phy_modify_mmd" },
	{ 0x88bbaea, "phy_trigger_machine" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x2c4d21a0, "phy_error" },
	{ 0xafe86688, "devm_kmalloc" },
	{ 0x12572c9, "phy_drivers_unregister" },
	{ 0xb34de030, "genphy_update_link" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("mdio:000000000100110111010000011?0110");
MODULE_ALIAS("mdio:00000000010011011101000001110100");
MODULE_ALIAS("mdio:00000000010011011101000000100011");
MODULE_ALIAS("mdio:00000000010011011101000001110010");
MODULE_ALIAS("mdio:00000000010011011101000001000001");
MODULE_ALIAS("mdio:00000000010011011101000000110110");
MODULE_ALIAS("mdio:00000000010011011101000000110011");
MODULE_ALIAS("mdio:00000000010011011101000000110100");
MODULE_ALIAS("mdio:00000000010011011101000001000010");
MODULE_ALIAS("mdio:00000000010011011101000100000001");

MODULE_INFO(srcversion, "B4F07D939A103B24DF5C54D");
