#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9b16e4ee, "phy_gbit_fibre_features" },
	{ 0x394a1e11, "phy_sfp_attach" },
	{ 0xb6acaa13, "phy_sfp_detach" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6ab32a35, "phy_drivers_register" },
	{ 0x1438b7f7, "phy_read_paged" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xef2d75a3, "phy_modify_paged" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xeca23aa8, "__mdiobus_read" },
	{ 0x5a1e5978, "phy_select_page" },
	{ 0x5a9453f2, "__mdiobus_write" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x85c950c5, "phy_restore_page" },
	{ 0xd02ff9ce, "phy_write_paged" },
	{ 0xd43e40f, "mdiobus_read" },
	{ 0x4c1ca153, "phy_modify" },
	{ 0x4e43d451, "genphy_soft_reset" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x20674100, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb776dc0f, "ethnl_cable_test_pulse" },
	{ 0xe36f1efe, "ethnl_cable_test_step" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xdf53e10f, "__phy_modify" },
	{ 0xf66f693b, "_dev_info" },
	{ 0xd3e282fa, "_dev_err" },
	{ 0x1baef772, "phy_save_page" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x88bbaea, "phy_trigger_machine" },
	{ 0x2c4d21a0, "phy_error" },
	{ 0xafe86688, "devm_kmalloc" },
	{ 0x754d539c, "strlen" },
	{ 0x11089ac7, "_ctype" },
	{ 0x67613f29, "devm_hwmon_device_register_with_info" },
	{ 0x12572c9, "phy_drivers_unregister" },
	{ 0x8bdb0b7f, "mdiobus_write" },
	{ 0x3bc4a02f, "genphy_c45_ethtool_get_eee" },
	{ 0x224c12a3, "phy_config_aneg" },
	{ 0xd655e847, "phy_sfp_probe" },
	{ 0xc251a2c2, "ethnl_cable_test_amplitude" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xfb578fc5, "memset" },
	{ 0x298d52e6, "genphy_read_status_fixed" },
	{ 0xb34de030, "genphy_update_link" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x48caa64b, "genphy_read_lpa" },
	{ 0x158de6b5, "phy_resolve_aneg_pause" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xdd64e639, "strscpy" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0xbcaa2cd2, "phy_modify_changed" },
	{ 0x506fa20e, "__genphy_config_aneg" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x251d7b41, "genphy_suspend" },
	{ 0x9a2634b7, "genphy_resume" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x41232bf6, "genphy_check_and_restart_aneg" },
	{ 0xecf07733, "genphy_setup_forced" },
	{ 0x435b612d, "phy_modify_paged_changed" },
	{ 0xac7d865a, "genphy_read_abilities" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x4fbbeaad, "ethnl_cable_test_result" },
	{ 0x1d0e0854, "ethnl_cable_test_fault_length" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("mdio:0000000101000001000011000110????");
MODULE_ALIAS("mdio:0000000101000001000011001001????");
MODULE_ALIAS("mdio:0000000101000001000011001100????");
MODULE_ALIAS("mdio:0000000111111111000011001100????");
MODULE_ALIAS("mdio:0000000101000001000011100001????");
MODULE_ALIAS("mdio:0000000101000001000011001011????");
MODULE_ALIAS("mdio:0000000101000001000011001101????");
MODULE_ALIAS("mdio:0000000101000001000011100101????");
MODULE_ALIAS("mdio:0000000101000001000011100011????");
MODULE_ALIAS("mdio:0000000101000001000011101001????");
MODULE_ALIAS("mdio:0000000101000001000011100100????");
MODULE_ALIAS("mdio:0000000101000001000011011101????");
MODULE_ALIAS("mdio:0000000101000001000011101011????");
MODULE_ALIAS("mdio:0000000101000001000011101010????");
MODULE_ALIAS("mdio:0000000101000001000011100110????");
MODULE_ALIAS("mdio:0000000101000001000011110100????");
MODULE_ALIAS("mdio:0000000101000001000011111001????");
MODULE_ALIAS("mdio:0000000000101011000010111001????");
MODULE_ALIAS("mdio:0000000101000001000011011100????");
MODULE_ALIAS("mdio:0000000101000001000011101100????");

MODULE_INFO(srcversion, "76C4623A56A7D0794467A7F");
