#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(team_modeop_port_enter, "", "");
KSYMTAB_FUNC(team_modeop_port_change_dev_addr, "", "");
KSYMTAB_FUNC(team_options_register, "", "");
KSYMTAB_FUNC(team_options_unregister, "", "");
KSYMTAB_FUNC(team_option_inst_set_change, "", "");
KSYMTAB_FUNC(team_options_change_check, "", "");
KSYMTAB_FUNC(team_mode_register, "", "");
KSYMTAB_FUNC(team_mode_unregister, "", "");

SYMBOL_CRC(team_modeop_port_enter, 0xd6252264, "");
SYMBOL_CRC(team_modeop_port_change_dev_addr, 0x16e4a063, "");
SYMBOL_CRC(team_options_register, 0x69c161cc, "");
SYMBOL_CRC(team_options_unregister, 0x78286ded, "");
SYMBOL_CRC(team_option_inst_set_change, 0xab698807, "");
SYMBOL_CRC(team_options_change_check, 0xda5bb703, "");
SYMBOL_CRC(team_mode_register, 0x2ba58796, "");
SYMBOL_CRC(team_mode_unregister, 0xfcfcfd9b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x754d539c, "strlen" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xc8badb4e, "skb_trim" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xaab4ec9d, "__netpoll_setup" },
	{ 0x37a0cba, "kfree" },
	{ 0x8a2b7761, "__netpoll_free" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x73dfaeaa, "call_netdevice_notifiers" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x11089ac7, "_ctype" },
	{ 0xc24f0e1, "__nlmsg_put" },
	{ 0xd817114a, "netdev_warn" },
	{ 0x5bea446f, "__ethtool_get_link_ksettings" },
	{ 0xf92cb872, "try_module_get" },
	{ 0x9cbce98e, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x94ab7c90, "netdev_has_upper_dev" },
	{ 0x54ca70b2, "vlan_uses_dev" },
	{ 0xc65e6e56, "dev_uc_flush" },
	{ 0x9396e814, "dev_mc_flush" },
	{ 0xd756e02a, "dev_open" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x142daf02, "vlan_vids_add_by_dev" },
	{ 0x96584f1a, "netdev_rx_handler_register" },
	{ 0x25b1c8e, "netdev_master_upper_dev_link" },
	{ 0x42bf3b20, "vlan_vids_del_by_dev" },
	{ 0xabdcdf5e, "dev_close" },
	{ 0xbe42a39c, "dev_disable_lro" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xd3977998, "netdev_rx_handler_unregister" },
	{ 0xf53947d5, "netdev_upper_dev_unlink" },
	{ 0xb60b3228, "dev_set_promiscuity" },
	{ 0x606831cf, "dev_set_allmulti" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xf48b49c9, "_raw_spin_lock_nested" },
	{ 0x4dd436b6, "dev_uc_sync_multiple" },
	{ 0x18e3fab4, "dev_mc_sync_multiple" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x62332b40, "netdev_change_features" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0x9009a26b, "lockdep_register_key" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7d89af0f, "lockdep_unregister_key" },
	{ 0xbb6883e9, "ethtool_op_get_link" },
	{ 0x2a0141b, "passthru_features_check" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x69acdf38, "memcpy" },
	{ 0x74beca84, "dev_set_mac_address" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x103b1b3f, "netlink_unicast" },
	{ 0x7f4f943, "dev_get_by_index" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xc438306d, "netif_carrier_on" },
	{ 0xad99bd2e, "netif_carrier_off" },
	{ 0x654467a5, "dev_uc_unsync" },
	{ 0xad10b43b, "dev_mc_unsync" },
	{ 0x1712ed78, "dev_set_mtu" },
	{ 0x34e0aac7, "netdev_err" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x3fdd94e9, "dev_kfree_skb_any_reason" },
	{ 0xc4e6d350, "dev_addr_mod" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xf0657065, "vlan_vid_del" },
	{ 0x167d8f6e, "vlan_vid_add" },
	{ 0xfb578fc5, "memset" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xdebee75d, "module_put" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xf4eb89a2, "__alloc_skb" },
	{ 0xa296fd51, "genlmsg_put" },
	{ 0x612e6fc5, "kfree_skb_reason" },
	{ 0x5bbc7774, "register_netdevice" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x9566df1f, "ether_setup" },
	{ 0xdd64e639, "strscpy" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x10b31bbf, "rtnl_link_register" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x52365b34, "genl_register_family" },
	{ 0xd47e8fc, "rtnl_link_unregister" },
	{ 0xf058bc58, "genl_unregister_family" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x8d4b91f2, "lockdep_rtnl_is_held" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x6626049, "__dynamic_netdev_dbg" },
	{ 0x572b6bfb, "__dev_queue_xmit" },
	{ 0xe6441ddc, "netpoll_send_skb" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x7b6daaec, "netlink_broadcast" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x8e878b4a, "skb_clone" },
	{ 0x20f17b2a, "consume_skb" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xd946ca61, "netdev_lower_state_changed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xec183358, "nla_put" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2C936B5FBB2D4C223A93931");
