#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__mt76u_vendor_request, "_gpl", "");
KSYMTAB_FUNC(mt76u_vendor_request, "_gpl", "");
KSYMTAB_FUNC(___mt76u_rr, "_gpl", "");
KSYMTAB_FUNC(___mt76u_wr, "_gpl", "");
KSYMTAB_FUNC(mt76u_read_copy, "_gpl", "");
KSYMTAB_FUNC(mt76u_single_wr, "_gpl", "");
KSYMTAB_FUNC(mt76u_alloc_mcu_queue, "_gpl", "");
KSYMTAB_FUNC(mt76u_stop_rx, "_gpl", "");
KSYMTAB_FUNC(mt76u_resume_rx, "_gpl", "");
KSYMTAB_FUNC(mt76u_stop_tx, "_gpl", "");
KSYMTAB_FUNC(mt76u_queues_deinit, "_gpl", "");
KSYMTAB_FUNC(mt76u_alloc_queues, "_gpl", "");
KSYMTAB_FUNC(__mt76u_init, "_gpl", "");
KSYMTAB_FUNC(mt76u_init, "_gpl", "");

SYMBOL_CRC(__mt76u_vendor_request, 0x0472dc0e, "_gpl");
SYMBOL_CRC(mt76u_vendor_request, 0xb1e2b8fe, "_gpl");
SYMBOL_CRC(___mt76u_rr, 0xbf5581c9, "_gpl");
SYMBOL_CRC(___mt76u_wr, 0x732e2d17, "_gpl");
SYMBOL_CRC(mt76u_read_copy, 0x6bd2c2e9, "_gpl");
SYMBOL_CRC(mt76u_single_wr, 0xa5aa99ac, "_gpl");
SYMBOL_CRC(mt76u_alloc_mcu_queue, 0x9ac112dd, "_gpl");
SYMBOL_CRC(mt76u_stop_rx, 0xc8f8fd2f, "_gpl");
SYMBOL_CRC(mt76u_resume_rx, 0xd5069300, "_gpl");
SYMBOL_CRC(mt76u_stop_tx, 0xe95892b8, "_gpl");
SYMBOL_CRC(mt76u_queues_deinit, 0xd1221f87, "_gpl");
SYMBOL_CRC(mt76u_alloc_queues, 0xf881e419, "_gpl");
SYMBOL_CRC(__mt76u_init, 0x1bb1c4bd, "_gpl");
SYMBOL_CRC(mt76u_init, 0xefa07bfd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x46fc9f0b, "usb_free_urb" },
	{ 0xafe86688, "devm_kmalloc" },
	{ 0xe94ce49a, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe2a8b85f, "page_pool_alloc_frag" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x842317de, "trace_raw_output_prep" },
	{ 0xd738977e, "__trace_trigger_soft_disabled" },
	{ 0x53df7429, "finish_wait" },
	{ 0xa87da128, "trace_event_printf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x6ce525a4, "skb_add_rx_frag" },
	{ 0xee32ea6c, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x2f8b8688, "mt76_has_tx_pending" },
	{ 0xa0ec9675, "pcpu_hot" },
	{ 0xcc74a54f, "page_pool_destroy" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2b0ec868, "bpf_trace_run2" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x85ce233b, "__wake_up" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xde7dd3f5, "kthread_park" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x13501623, "sched_set_fifo_low" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb1411f78, "mt76_tx_status_check" },
	{ 0x4eedfe1c, "wake_up_process" },
	{ 0xa4d4f11b, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x18b00889, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xf4eb89a2, "__alloc_skb" },
	{ 0x8afd5134, "usb_submit_urb" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0xecd0b736, "kthread_unpark" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x5e9bdfa6, "build_skb" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xb1f31cbd, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xd3e282fa, "_dev_err" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x5e3d8cae, "usb_control_msg" },
	{ 0xa97d2ad9, "usb_poison_urb" },
	{ 0x1a5df3a2, "trace_event_reg" },
	{ 0xb2f81256, "usb_unpoison_urb" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xc6634315, "mt76_ac_to_hwq" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbe0eb6c2, "kthread_stop" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xd0de5248, "page_pool_put_defragged_page" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xff5e6d9c, "mt76_queue_tx_complete" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x89de3be6, "kthread_create_on_node" },
	{ 0x3bdab5ae, "bpf_trace_run3" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7aaf2887, "mt76_rx_poll_complete" },
	{ 0xdd64e639, "strscpy" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0xc3db3982, "trace_event_buffer_reserve" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0xaa9751e3, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x401654e4, "usb_kill_urb" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1ec57b4f, "__mt76_worker_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xd9924078, "usb_init_urb" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xab4169d9, "mt76_create_page_pool" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x3f19cbe8, "skb_to_sgvec" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "mt76");


MODULE_INFO(srcversion, "160408FF8171C53C4993C57");
