#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76_set_irq_mask, "_gpl", "");
KSYMTAB_FUNC(mt76_mmio_init, "_gpl", "");
KSYMTAB_FUNC(__mt76_poll, "_gpl", "");
KSYMTAB_FUNC(____mt76_poll_msec, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_get_min_avg_rssi, "_gpl", "");
KSYMTAB_FUNC(__mt76_worker_fn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__traceiter_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__tracepoint_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_dev_irq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_free_pending_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_wed_setup, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_rx_poll, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_attach, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_cleanup, "_gpl", "");
KSYMTAB_DATA(mt76_rates, "_gpl", "");
KSYMTAB_FUNC(mt76_set_stream_caps, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_register_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_create_page_pool, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_device, "_gpl", "");
KSYMTAB_FUNC(mt76_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_device, "_gpl", "");
KSYMTAB_FUNC(mt76_free_device, "_gpl", "");
KSYMTAB_FUNC(mt76_rx, "_gpl", "");
KSYMTAB_FUNC(mt76_has_tx_pending, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey_active_time, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt76_get_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_key_setup, "", "");
KSYMTAB_FUNC(mt76_rx_signal, "", "");
KSYMTAB_FUNC(mt76_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_state, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_pre_rcu_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_get_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76_init_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_get_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_finish, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_check, "_gpl", "");
KSYMTAB_FUNC(mt76_set_tim, "_gpl", "");
KSYMTAB_FUNC(mt76_insert_ccmp_hdr, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76_get_antenna, "_gpl", "");
KSYMTAB_FUNC(mt76_init_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_calculate_default_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_worker, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_page_pool_stats, "_gpl", "");
KSYMTAB_FUNC(mt76_phy_dfs_state, "_gpl", "");
KSYMTAB_FUNC(mt76_queues_read, "_gpl", "");
KSYMTAB_FUNC(mt76_seq_puts_array, "_gpl", "");
KSYMTAB_FUNC(mt76_register_debugfs_fops, "_gpl", "");
KSYMTAB_FUNC(mt76_get_of_eeprom, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_override, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate_power_limits, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_check_agg_ssn, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_lock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_unlock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_done, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_add, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_get, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_check, "_gpl", "");
KSYMTAB_FUNC(__mt76_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_tx, "_gpl", "");
KSYMTAB_FUNC(mt76_release_buffered_frames, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule_all, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_worker_run, "_gpl", "");
KSYMTAB_FUNC(mt76_stop_tx_queues, "_gpl", "");
KSYMTAB_FUNC(mt76_wake_tx_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_ac_to_hwq, "_gpl", "");
KSYMTAB_FUNC(mt76_skb_adjust_pad, "_gpl", "");
KSYMTAB_FUNC(mt76_queue_tx_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_set_tx_blocked, "_gpl", "");
KSYMTAB_FUNC(mt76_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_start, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_stop, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_msg_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_get_response, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_rx_event, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_skb_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_send_firmware, "_gpl", "");
KSYMTAB_FUNC(mt76_pci_disable_aspm, "_gpl", "");

SYMBOL_CRC(mt76_set_irq_mask, 0x043d3dc7, "_gpl");
SYMBOL_CRC(mt76_mmio_init, 0x38cad11a, "_gpl");
SYMBOL_CRC(__mt76_poll, 0xc9a1a474, "_gpl");
SYMBOL_CRC(____mt76_poll_msec, 0xee9fc72f, "_gpl");
SYMBOL_CRC(mt76_wcid_alloc, 0xe40b66ef, "_gpl");
SYMBOL_CRC(mt76_get_min_avg_rssi, 0x3810e764, "_gpl");
SYMBOL_CRC(__mt76_worker_fn, 0x1ec57b4f, "_gpl");
SYMBOL_CRC(__tracepoint_mac_txdone, 0x9d614915, "_gpl");
SYMBOL_CRC(__traceiter_mac_txdone, 0x1bec61ad, "_gpl");
SYMBOL_CRC(__SCK__tp_func_mac_txdone, 0x15d63e56, "_gpl");
SYMBOL_CRC(__SCT__tp_func_mac_txdone, 0xbb31a266, "_gpl");
SYMBOL_CRC(__tracepoint_dev_irq, 0x323f49bc, "_gpl");
SYMBOL_CRC(__traceiter_dev_irq, 0xbfabc1f9, "_gpl");
SYMBOL_CRC(__SCK__tp_func_dev_irq, 0x940800a6, "_gpl");
SYMBOL_CRC(__SCT__tp_func_dev_irq, 0xe45628cb, "_gpl");
SYMBOL_CRC(mt76_get_rxwi, 0x37ffdaf6, "_gpl");
SYMBOL_CRC(mt76_put_txwi, 0xd367bb36, "_gpl");
SYMBOL_CRC(mt76_put_rxwi, 0x33c93769, "_gpl");
SYMBOL_CRC(mt76_free_pending_rxwi, 0xdbe2c490, "_gpl");
SYMBOL_CRC(mt76_dma_wed_setup, 0x56811af9, "_gpl");
SYMBOL_CRC(mt76_dma_rx_poll, 0xc8a019bf, "_gpl");
SYMBOL_CRC(mt76_dma_attach, 0xe98fce5d, "_gpl");
SYMBOL_CRC(mt76_dma_cleanup, 0xc958f885, "_gpl");
SYMBOL_CRC(mt76_rates, 0x17f568e9, "_gpl");
SYMBOL_CRC(mt76_set_stream_caps, 0x40af21c1, "_gpl");
SYMBOL_CRC(mt76_alloc_phy, 0x3d20e452, "_gpl");
SYMBOL_CRC(mt76_register_phy, 0xbf47a385, "_gpl");
SYMBOL_CRC(mt76_unregister_phy, 0x3a160b7b, "_gpl");
SYMBOL_CRC(mt76_create_page_pool, 0xab4169d9, "_gpl");
SYMBOL_CRC(mt76_alloc_device, 0x13c5472b, "_gpl");
SYMBOL_CRC(mt76_register_device, 0xa3f988ac, "_gpl");
SYMBOL_CRC(mt76_unregister_device, 0x365308a1, "_gpl");
SYMBOL_CRC(mt76_free_device, 0x51d9ec43, "_gpl");
SYMBOL_CRC(mt76_rx, 0xb810bd84, "_gpl");
SYMBOL_CRC(mt76_has_tx_pending, 0x2f8b8688, "_gpl");
SYMBOL_CRC(mt76_update_survey_active_time, 0x60e60d9c, "_gpl");
SYMBOL_CRC(mt76_update_survey, 0x84b5309d, "_gpl");
SYMBOL_CRC(mt76_set_channel, 0xf32f0c32, "_gpl");
SYMBOL_CRC(mt76_get_survey, 0xbf046dbd, "_gpl");
SYMBOL_CRC(mt76_wcid_key_setup, 0x08e7cf3b, "");
SYMBOL_CRC(mt76_rx_signal, 0x327a9822, "");
SYMBOL_CRC(mt76_rx_poll_complete, 0x7aaf2887, "_gpl");
SYMBOL_CRC(__mt76_sta_remove, 0xdeb0d7ad, "_gpl");
SYMBOL_CRC(mt76_sta_state, 0x2aabe377, "_gpl");
SYMBOL_CRC(mt76_sta_pre_rcu_remove, 0xd15f2ddf, "_gpl");
SYMBOL_CRC(mt76_get_txpower, 0x9a5f18db, "_gpl");
SYMBOL_CRC(mt76_init_sar_power, 0x91ccb2b4, "_gpl");
SYMBOL_CRC(mt76_get_sar_power, 0x13a3ecba, "_gpl");
SYMBOL_CRC(mt76_csa_finish, 0xf4c14f91, "_gpl");
SYMBOL_CRC(mt76_csa_check, 0xe81c8dbf, "_gpl");
SYMBOL_CRC(mt76_set_tim, 0xc4c1b86f, "_gpl");
SYMBOL_CRC(mt76_insert_ccmp_hdr, 0x60fa221f, "_gpl");
SYMBOL_CRC(mt76_get_rate, 0x1342458b, "_gpl");
SYMBOL_CRC(mt76_sw_scan, 0x30e96e3d, "_gpl");
SYMBOL_CRC(mt76_sw_scan_complete, 0x276cc7bd, "_gpl");
SYMBOL_CRC(mt76_get_antenna, 0x41619da3, "_gpl");
SYMBOL_CRC(mt76_init_queue, 0x98c53f93, "_gpl");
SYMBOL_CRC(mt76_calculate_default_rate, 0xa8fed4af, "_gpl");
SYMBOL_CRC(mt76_ethtool_worker, 0xab9d88b8, "_gpl");
SYMBOL_CRC(mt76_ethtool_page_pool_stats, 0x22229376, "_gpl");
SYMBOL_CRC(mt76_phy_dfs_state, 0x91b22e38, "_gpl");
SYMBOL_CRC(mt76_queues_read, 0x96f0a8f3, "_gpl");
SYMBOL_CRC(mt76_seq_puts_array, 0x84b9dda8, "_gpl");
SYMBOL_CRC(mt76_register_debugfs_fops, 0x1186d23d, "_gpl");
SYMBOL_CRC(mt76_get_of_eeprom, 0xf45f709b, "_gpl");
SYMBOL_CRC(mt76_eeprom_override, 0x8fa6fcaa, "_gpl");
SYMBOL_CRC(mt76_get_rate_power_limits, 0xe45aef64, "_gpl");
SYMBOL_CRC(mt76_eeprom_init, 0x3ea924c0, "_gpl");
SYMBOL_CRC(mt76_tx_check_agg_ssn, 0xc765a7ae, "_gpl");
SYMBOL_CRC(mt76_tx_status_lock, 0x87996b62, "_gpl");
SYMBOL_CRC(mt76_tx_status_unlock, 0xfa4c7a6b, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_done, 0xb46c2875, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_add, 0xbd80f796, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_get, 0x9ccdde35, "_gpl");
SYMBOL_CRC(mt76_tx_status_check, 0xb1411f78, "_gpl");
SYMBOL_CRC(__mt76_tx_complete_skb, 0x5bdf7a1f, "_gpl");
SYMBOL_CRC(mt76_tx, 0x48934d63, "_gpl");
SYMBOL_CRC(mt76_release_buffered_frames, 0x995547ba, "_gpl");
SYMBOL_CRC(mt76_txq_schedule, 0x932f8a17, "_gpl");
SYMBOL_CRC(mt76_txq_schedule_all, 0x7ac8fde2, "_gpl");
SYMBOL_CRC(mt76_tx_worker_run, 0x0bac6d30, "_gpl");
SYMBOL_CRC(mt76_stop_tx_queues, 0x54f169bf, "_gpl");
SYMBOL_CRC(mt76_wake_tx_queue, 0xc375196c, "_gpl");
SYMBOL_CRC(mt76_ac_to_hwq, 0xc6634315, "_gpl");
SYMBOL_CRC(mt76_skb_adjust_pad, 0xb07208b0, "_gpl");
SYMBOL_CRC(mt76_queue_tx_complete, 0xff5e6d9c, "_gpl");
SYMBOL_CRC(__mt76_set_tx_blocked, 0x49ce0954, "_gpl");
SYMBOL_CRC(mt76_token_consume, 0x50b8bf2d, "_gpl");
SYMBOL_CRC(mt76_rx_token_consume, 0xc0def873, "_gpl");
SYMBOL_CRC(mt76_token_release, 0x20822734, "_gpl");
SYMBOL_CRC(mt76_rx_token_release, 0x3850dbba, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_start, 0xa9d499b2, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_stop, 0x3debc8d5, "_gpl");
SYMBOL_CRC(__mt76_mcu_msg_alloc, 0xc8e90456, "_gpl");
SYMBOL_CRC(mt76_mcu_get_response, 0x677f55d8, "_gpl");
SYMBOL_CRC(mt76_mcu_rx_event, 0xadd80081, "_gpl");
SYMBOL_CRC(mt76_mcu_send_and_get_msg, 0xcc1750b4, "_gpl");
SYMBOL_CRC(mt76_mcu_skb_send_and_get_msg, 0x0ed72d72, "_gpl");
SYMBOL_CRC(__mt76_mcu_send_firmware, 0x843defbe, "_gpl");
SYMBOL_CRC(mt76_pci_disable_aspm, 0xef142268, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaa55fe95, "ieee80211_sta_register_airtime" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xa2604fb9, "pcie_capability_read_word" },
	{ 0xb63f2c61, "__skb_pad" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x1d4560a5, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x281272a7, "__ieee80211_schedule_txq" },
	{ 0x99368fdd, "debugfs_attr_write" },
	{ 0xafe86688, "devm_kmalloc" },
	{ 0xe94ce49a, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe2a8b85f, "page_pool_alloc_frag" },
	{ 0x20f17b2a, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x4aa747b1, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb69b11e3, "dmam_alloc_attrs" },
	{ 0x842317de, "trace_raw_output_prep" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x862f3c32, "skb_dequeue" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0xd738977e, "__trace_trigger_soft_disabled" },
	{ 0x53df7429, "finish_wait" },
	{ 0x367d90ca, "ieee80211_free_hw" },
	{ 0x2650d8aa, "dma_unmap_page_attrs" },
	{ 0xf7c996e, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xa87da128, "trace_event_printf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xa83358b9, "dma_sync_single_for_device" },
	{ 0x6ce525a4, "skb_add_rx_frag" },
	{ 0x55ff8d0f, "ieee80211_tx_status_ext" },
	{ 0xa72cc798, "debugfs_create_blob" },
	{ 0xee32ea6c, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xa0ec9675, "pcpu_hot" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0xcc74a54f, "page_pool_destroy" },
	{ 0x4ea526ea, "ieee80211_register_hw" },
	{ 0x2c220a3c, "led_classdev_unregister" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x4a2f814f, "__ieee80211_create_tpt_led_trigger" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x27fc433c, "ieee80211_sta_eosp" },
	{ 0xf9590ffb, "ieee80211_get_hdrlen_from_skb" },
	{ 0x85ce233b, "__wake_up" },
	{ 0x6b31de58, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xde7dd3f5, "kthread_park" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x13501623, "sched_set_fifo_low" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4eedfe1c, "wake_up_process" },
	{ 0xf23fc55, "dev_driver_string" },
	{ 0xa4d4f11b, "trace_event_buffer_commit" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x3f0ffcfa, "dma_map_page_attrs" },
	{ 0x5cccf36b, "napi_complete_done" },
	{ 0xfb2127d1, "ieee80211_get_tx_rates" },
	{ 0x3a515bbd, "ieee80211_send_bar" },
	{ 0xaeb9a917, "ieee80211_get_key_rx_seq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x5b9d5349, "ieee80211_sta_uapsd_trigger" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc0449979, "debugfs_create_devm_seqfile" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xf4eb89a2, "__alloc_skb" },
	{ 0x93228d66, "idr_get_next" },
	{ 0xdbe47acf, "pci_disable_link_state" },
	{ 0xf66f693b, "_dev_info" },
	{ 0x1ac72dde, "napi_gro_receive" },
	{ 0xcbf2b448, "skb_queue_tail" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0xd70e5d03, "dev_set_threaded" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x5a898a4a, "idr_remove" },
	{ 0x3651007, "debugfs_attr_read" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9cf37c44, "__iowrite32_copy" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x57c005c4, "ieee80211_queue_delayed_work" },
	{ 0x81b1c1f7, "devm_kmemdup" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xb1f31cbd, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xcb922d48, "debugfs_create_file_unsafe" },
	{ 0x299d0adb, "idr_alloc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xda3bf069, "simple_attr_release" },
	{ 0xaed5e281, "ieee80211_calc_rx_airtime" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc49b20f5, "ieee80211_find_sta_by_ifaddr" },
	{ 0xf4ac33d1, "ieee80211_next_txq" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xc1f21b8b, "pcie_capability_clear_and_set_word_locked" },
	{ 0xe063483b, "skb_push" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xa6af8b3f, "napi_enable" },
	{ 0x248d2c75, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x1a5df3a2, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xb90cf52b, "ieee80211_sta_pspoll" },
	{ 0x3801776b, "__ioread32_copy" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbe0eb6c2, "kthread_stop" },
	{ 0x4810c43d, "led_classdev_register_ext" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x6e6e2a6f, "ieee80211_alloc_hw_nm" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x3bb563ac, "idr_destroy" },
	{ 0xe1c41621, "ieee80211_tx_dequeue" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xdd6b91b4, "ieee80211_rx_list" },
	{ 0x2710b258, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x39d0fe9e, "page_pool_create" },
	{ 0xd0de5248, "page_pool_put_defragged_page" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2b4aba44, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0x89de3be6, "kthread_create_on_node" },
	{ 0xf431f8e2, "cfg80211_reg_can_beacon" },
	{ 0x3bdab5ae, "bpf_trace_run3" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc3db3982, "trace_event_buffer_reserve" },
	{ 0x4619cc3e, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2ff7ca28, "ieee80211_unregister_hw" },
	{ 0x45dbc568, "napi_build_skb" },
	{ 0xb519f82c, "radix_tree_tagged" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb9d133d1, "seq_printf" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xd87c2c46, "seq_puts" },
	{ 0x1fd54703, "__might_resched" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x91540ace, "ieee80211_sta_ps_transition" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x5cc5dc56, "debugfs_create_u8" },
	{ 0x6308ec26, "debugfs_create_dir" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0x5f9c2b4f, "init_dummy_netdev" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0xc30a6f3d, "ieee80211_csa_finish" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "5F96115480E1880EDA5B5CB");
