#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mt76x02_rates, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_device, "_gpl", "");
KSYMTAB_FUNC(mt76x02_configure_filter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_key, "_gpl", "");
KSYMTAB_FUNC(mt76x02_conf_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_tx_ackto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_coverage_class, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_rate_tbl_update, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_hdr_pad, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_ps, "_gpl", "");
KSYMTAB_FUNC(mt76x02_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(mt76x02_config_mac_addr_list, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_reset_counters, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_shared_key_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_wcid_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_setaddr, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x02_edcca_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_cc_reset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_msg_send, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_function_select, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_set_radio_state, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_calibrate, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_ethtool_fwver, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_copy, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_efuse_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_parse_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ext_pa_enabled, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_rx_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_lna_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_rxpath, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txdac, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_max_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_limit_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_rate_power_offset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_bw, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_band, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_adjust_vga_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_agc_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02e_init_beacon_config, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_irq_handler, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_disable, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_start, "_gpl", "");
KSYMTAB_FUNC(mt76x02_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_set_txpwr_auto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_debugfs, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_dfs_adjust_agc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dfs_init_params, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_set_beacon, "_gpl", "");
KSYMTAB_FUNC(mt76x02_resync_beacon_timer, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_beacon_iter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_enqueue_buffered_bc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_beacon_config, "_gpl", "");

SYMBOL_CRC(mt76x02_rates, 0x5bd84fd5, "_gpl");
SYMBOL_CRC(mt76x02_init_device, 0xd5c21282, "_gpl");
SYMBOL_CRC(mt76x02_configure_filter, 0x76edd272, "_gpl");
SYMBOL_CRC(mt76x02_sta_add, 0x45597c92, "_gpl");
SYMBOL_CRC(mt76x02_sta_remove, 0x1dc89641, "_gpl");
SYMBOL_CRC(mt76x02_add_interface, 0x78f0aed4, "_gpl");
SYMBOL_CRC(mt76x02_remove_interface, 0x3709ed98, "_gpl");
SYMBOL_CRC(mt76x02_ampdu_action, 0x98312a9c, "_gpl");
SYMBOL_CRC(mt76x02_set_key, 0x96afb636, "_gpl");
SYMBOL_CRC(mt76x02_conf_tx, 0xe89bac1d, "_gpl");
SYMBOL_CRC(mt76x02_set_tx_ackto, 0x149568f2, "_gpl");
SYMBOL_CRC(mt76x02_set_coverage_class, 0x0e00e418, "_gpl");
SYMBOL_CRC(mt76x02_set_rts_threshold, 0x00e92436, "_gpl");
SYMBOL_CRC(mt76x02_sta_rate_tbl_update, 0xd5f0ca11, "_gpl");
SYMBOL_CRC(mt76x02_remove_hdr_pad, 0x81732e85, "_gpl");
SYMBOL_CRC(mt76x02_sw_scan_complete, 0x433124da, "_gpl");
SYMBOL_CRC(mt76x02_sta_ps, 0x5c4d41e4, "_gpl");
SYMBOL_CRC(mt76x02_bss_info_changed, 0x35340629, "_gpl");
SYMBOL_CRC(mt76x02_config_mac_addr_list, 0xafbf61ec, "_gpl");
SYMBOL_CRC(mt76x02_mac_reset_counters, 0xd5e4b438, "_gpl");
SYMBOL_CRC(mt76x02_mac_shared_key_setup, 0x93e3e4d7, "_gpl");
SYMBOL_CRC(mt76x02_mac_wcid_setup, 0xbab99ee1, "_gpl");
SYMBOL_CRC(mt76x02_mac_write_txwi, 0xc7d10953, "_gpl");
SYMBOL_CRC(mt76x02_mac_setaddr, 0x7f04db93, "_gpl");
SYMBOL_CRC(mt76x02_tx_complete_skb, 0x1524a314, "_gpl");
SYMBOL_CRC(mt76x02_update_channel, 0x4aaecc0f, "_gpl");
SYMBOL_CRC(mt76x02_edcca_init, 0x2f83859f, "_gpl");
SYMBOL_CRC(mt76x02_mac_cc_reset, 0x906caa96, "_gpl");
SYMBOL_CRC(mt76x02_mcu_parse_response, 0xe3ac0e68, "_gpl");
SYMBOL_CRC(mt76x02_mcu_msg_send, 0xa852405d, "_gpl");
SYMBOL_CRC(mt76x02_mcu_function_select, 0xf6777058, "_gpl");
SYMBOL_CRC(mt76x02_mcu_set_radio_state, 0x14b2da07, "_gpl");
SYMBOL_CRC(mt76x02_mcu_calibrate, 0x39c95e52, "_gpl");
SYMBOL_CRC(mt76x02_mcu_cleanup, 0x6559a0c9, "_gpl");
SYMBOL_CRC(mt76x02_set_ethtool_fwver, 0xd83e3201, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_copy, 0x14c1519e, "_gpl");
SYMBOL_CRC(mt76x02_get_efuse_data, 0x63217dff, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_parse_hw_cap, 0x13a0c9bd, "_gpl");
SYMBOL_CRC(mt76x02_ext_pa_enabled, 0xad1e642b, "_gpl");
SYMBOL_CRC(mt76x02_get_rx_gain, 0x60345572, "_gpl");
SYMBOL_CRC(mt76x02_get_lna_gain, 0x3f227e6c, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_rxpath, 0x634084f9, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txdac, 0x98e63ea4, "_gpl");
SYMBOL_CRC(mt76x02_get_max_rate_power, 0xad5d3ba8, "_gpl");
SYMBOL_CRC(mt76x02_limit_rate_power, 0x93c479bc, "_gpl");
SYMBOL_CRC(mt76x02_add_rate_power_offset, 0x75fef85d, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txpower, 0xd0376417, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_bw, 0x7b9b6060, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_band, 0xdc7f8052, "_gpl");
SYMBOL_CRC(mt76x02_phy_adjust_vga_gain, 0xb3841188, "_gpl");
SYMBOL_CRC(mt76x02_init_agc_gain, 0xd7c04747, "_gpl");
SYMBOL_CRC(mt76x02e_init_beacon_config, 0x0583d208, "_gpl");
SYMBOL_CRC(mt76x02_dma_init, 0x713a9112, "_gpl");
SYMBOL_CRC(mt76x02_rx_poll_complete, 0x4df378f7, "_gpl");
SYMBOL_CRC(mt76x02_irq_handler, 0x91d5b9ee, "_gpl");
SYMBOL_CRC(mt76x02_dma_disable, 0x81f1f382, "_gpl");
SYMBOL_CRC(mt76x02_mac_start, 0x8ab760d5, "_gpl");
SYMBOL_CRC(mt76x02_reconfig_complete, 0xe57691d7, "_gpl");
SYMBOL_CRC(mt76x02_tx, 0x4f8584cd, "_gpl");
SYMBOL_CRC(mt76x02_queue_rx_skb, 0xa088e6c8, "_gpl");
SYMBOL_CRC(mt76x02_tx_set_txpwr_auto, 0xe7f62b3c, "_gpl");
SYMBOL_CRC(mt76x02_tx_status_data, 0xfadfa04e, "_gpl");
SYMBOL_CRC(mt76x02_tx_prepare_skb, 0xfa638061, "_gpl");
SYMBOL_CRC(mt76x02_init_debugfs, 0xa4334680, "_gpl");
SYMBOL_CRC(mt76x02_phy_dfs_adjust_agc, 0xe64c9b0f, "_gpl");
SYMBOL_CRC(mt76x02_dfs_init_params, 0xe7a5595f, "_gpl");
SYMBOL_CRC(mt76x02_mac_set_beacon, 0x891f87d6, "_gpl");
SYMBOL_CRC(mt76x02_resync_beacon_timer, 0x26cf5271, "_gpl");
SYMBOL_CRC(mt76x02_update_beacon_iter, 0xf2a21769, "_gpl");
SYMBOL_CRC(mt76x02_enqueue_buffered_bc, 0x6d4b0ede, "_gpl");
SYMBOL_CRC(mt76x02_init_beacon_config, 0x85cc684f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaa55fe95, "ieee80211_sta_register_airtime" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc8a019bf, "mt76_dma_rx_poll" },
	{ 0xfa4c7a6b, "mt76_tx_status_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x1d4560a5, "simple_attr_open" },
	{ 0x99368fdd, "debugfs_attr_write" },
	{ 0xafe86688, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x20f17b2a, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x4aa747b1, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9ccdde35, "mt76_tx_status_skb_get" },
	{ 0x842317de, "trace_raw_output_prep" },
	{ 0x87996b62, "mt76_tx_status_lock" },
	{ 0x862f3c32, "skb_dequeue" },
	{ 0xd738977e, "__trace_trigger_soft_disabled" },
	{ 0xa87da128, "trace_event_printf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xe81c8dbf, "mt76_csa_check" },
	{ 0xbd80f796, "mt76_tx_status_skb_add" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x9d614915, "__tracepoint_mac_txdone" },
	{ 0xc765a7ae, "mt76_tx_check_agg_ssn" },
	{ 0x55ff8d0f, "ieee80211_tx_status_ext" },
	{ 0x54f169bf, "mt76_stop_tx_queues" },
	{ 0x58ca5909, "___pskb_trim" },
	{ 0xee32ea6c, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x5bdf7a1f, "__mt76_tx_complete_skb" },
	{ 0xa0ec9675, "pcpu_hot" },
	{ 0xccf8c8e1, "seq_lseek" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x93957516, "ieee80211_restart_hw" },
	{ 0x2b0ec868, "bpf_trace_run2" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xf9590ffb, "ieee80211_get_hdrlen_from_skb" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xde7dd3f5, "kthread_park" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xadd80081, "mt76_mcu_rx_event" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb1411f78, "mt76_tx_status_check" },
	{ 0x4eedfe1c, "wake_up_process" },
	{ 0xa4d4f11b, "trace_event_buffer_commit" },
	{ 0xe8c7b171, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x5cccf36b, "napi_complete_done" },
	{ 0xfb2127d1, "ieee80211_get_tx_rates" },
	{ 0x3a515bbd, "ieee80211_send_bar" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc0449979, "debugfs_create_devm_seqfile" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x48934d63, "mt76_tx" },
	{ 0x4fddbf07, "__napi_schedule" },
	{ 0xf4c14f91, "mt76_csa_finish" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x8e7cf3b, "mt76_wcid_key_setup" },
	{ 0xf66f693b, "_dev_info" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x34a2507b, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xb810bd84, "mt76_rx" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0xecd0b736, "kthread_unpark" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x91b22e38, "mt76_phy_dfs_state" },
	{ 0x1e30b511, "wiphy_to_ieee80211_hw" },
	{ 0x98c53f93, "mt76_init_queue" },
	{ 0x3651007, "debugfs_attr_read" },
	{ 0xdeb0d7ad, "__mt76_sta_remove" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xb46c2875, "mt76_tx_status_skb_done" },
	{ 0x57c005c4, "ieee80211_queue_delayed_work" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xb1f31cbd, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xd3e282fa, "_dev_err" },
	{ 0x77c06b17, "debugfs_create_bool" },
	{ 0xc2a2cfc2, "skb_pull" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xda3bf069, "simple_attr_release" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x940800a6, "__SCK__tp_func_dev_irq" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xe063483b, "skb_push" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xa6af8b3f, "napi_enable" },
	{ 0x1a5df3a2, "trace_event_reg" },
	{ 0x84b5309d, "mt76_update_survey" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xc6634315, "mt76_ac_to_hwq" },
	{ 0xd372db1d, "ieee80211_wake_queues" },
	{ 0xcc1750b4, "mt76_mcu_send_and_get_msg" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x38fd9ff, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfeacee4d, "_raw_spin_trylock" },
	{ 0xc8e90456, "__mt76_mcu_msg_alloc" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x43d3dc7, "mt76_set_irq_mask" },
	{ 0xb69c17f5, "bpf_trace_run1" },
	{ 0x3bb563ac, "idr_destroy" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xd93eb4ab, "ieee80211_calc_tx_airtime" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2b4aba44, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0x15d63e56, "__SCK__tp_func_mac_txdone" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0x84b9dda8, "mt76_seq_puts_array" },
	{ 0x207cc8ed, "ieee80211_stop_queues" },
	{ 0xbd462b55, "__kfifo_init" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0x323f49bc, "__tracepoint_dev_irq" },
	{ 0x147be32a, "seq_read" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x677f55d8, "mt76_mcu_get_response" },
	{ 0x7b62a7d7, "debugfs_create_file" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0xc3db3982, "trace_event_buffer_reserve" },
	{ 0x4619cc3e, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x7ac8fde2, "mt76_txq_schedule_all" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa9d499b2, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee9fc72f, "____mt76_poll_msec" },
	{ 0xb9d133d1, "seq_printf" },
	{ 0xa69bc061, "ieee80211_beacon_get_tim" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xd87c2c46, "seq_puts" },
	{ 0x9048df87, "ieee80211_radar_detected" },
	{ 0xf1f0b6a0, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x96f0a8f3, "mt76_queues_read" },
	{ 0x1186d23d, "mt76_register_debugfs_fops" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x931b8305, "napi_schedule_prep" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xf2cba0be, "napi_disable" },
	{ 0x3fdd94e9, "dev_kfree_skb_any_reason" },
	{ 0xc9a1a474, "__mt76_poll" },
	{ 0x3debc8d5, "mt76_rx_aggr_stop" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x5cc5dc56, "debugfs_create_u8" },
	{ 0x5cc027e4, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xe98fce5d, "mt76_dma_attach" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "mac80211,mt76,cfg80211");


MODULE_INFO(srcversion, "FD229E656F7B0E92162B15B");
