#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2800_mcu_request, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_csr_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_wpdma_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_wpdma, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_txwi_rxwi_size, "_gpl", "");
KSYMTAB_FUNC(rt2800_check_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_load_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_tx_data, "_gpl", "");
KSYMTAB_FUNC(rt2800_process_rxwi, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_entry, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_timeout, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_pending, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_nostatus, "_gpl", "");
KSYMTAB_FUNC(rt2800_watchdog, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_beacon, "_gpl", "");
KSYMTAB_FUNC(rt2800_clear_beacon, "_gpl", "");
KSYMTAB_DATA(rt2800_rt2x00debug, "_gpl", "");
KSYMTAB_FUNC(rt2800_rfkill_poll, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_shared_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_pairwise_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_add, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_remove, "_gpl", "");
KSYMTAB_FUNC(rt2800_pre_reset_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_filter, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_intf, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_erp, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_ant, "_gpl", "");
KSYMTAB_FUNC(rt2800_gain_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_vco_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_config, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_stats, "_gpl", "");
KSYMTAB_FUNC(rt2800_reset_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_enable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_efuse_detect, "_gpl", "");
KSYMTAB_FUNC(rt2800_read_eeprom_efuse, "_gpl", "");
KSYMTAB_FUNC(rt2800_probe_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_key_seq, "_gpl", "");
KSYMTAB_FUNC(rt2800_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(rt2800_conf_tx, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_tsf, "_gpl", "");
KSYMTAB_FUNC(rt2800_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_survey, "_gpl", "");

SYMBOL_CRC(rt2800_mcu_request, 0x76fe4f64, "_gpl");
SYMBOL_CRC(rt2800_wait_csr_ready, 0xa33d739a, "_gpl");
SYMBOL_CRC(rt2800_wait_wpdma_ready, 0x2730e301, "_gpl");
SYMBOL_CRC(rt2800_disable_wpdma, 0x3afa5cd4, "_gpl");
SYMBOL_CRC(rt2800_get_txwi_rxwi_size, 0x28b892bd, "_gpl");
SYMBOL_CRC(rt2800_check_firmware, 0x925c362a, "_gpl");
SYMBOL_CRC(rt2800_load_firmware, 0x942147f0, "_gpl");
SYMBOL_CRC(rt2800_write_tx_data, 0x1efe711c, "_gpl");
SYMBOL_CRC(rt2800_process_rxwi, 0xa00034e1, "_gpl");
SYMBOL_CRC(rt2800_txdone_entry, 0xdb007e31, "_gpl");
SYMBOL_CRC(rt2800_txdone, 0x57b6b526, "_gpl");
SYMBOL_CRC(rt2800_txstatus_timeout, 0x739bc7b1, "_gpl");
SYMBOL_CRC(rt2800_txstatus_pending, 0x5858188c, "_gpl");
SYMBOL_CRC(rt2800_txdone_nostatus, 0x81eeda00, "_gpl");
SYMBOL_CRC(rt2800_watchdog, 0x20f995ad, "_gpl");
SYMBOL_CRC(rt2800_write_beacon, 0x49036535, "_gpl");
SYMBOL_CRC(rt2800_clear_beacon, 0x809f8358, "_gpl");
SYMBOL_CRC(rt2800_rt2x00debug, 0x8109f2ec, "_gpl");
SYMBOL_CRC(rt2800_rfkill_poll, 0xe4031c93, "_gpl");
SYMBOL_CRC(rt2800_config_shared_key, 0xc248f1ac, "_gpl");
SYMBOL_CRC(rt2800_config_pairwise_key, 0x1ef0d44b, "_gpl");
SYMBOL_CRC(rt2800_sta_add, 0x78dc5c67, "_gpl");
SYMBOL_CRC(rt2800_sta_remove, 0x2f2bab0c, "_gpl");
SYMBOL_CRC(rt2800_pre_reset_hw, 0x4ae6e398, "_gpl");
SYMBOL_CRC(rt2800_config_filter, 0x888feb85, "_gpl");
SYMBOL_CRC(rt2800_config_intf, 0xf0d9f800, "_gpl");
SYMBOL_CRC(rt2800_config_erp, 0xe6f1d06f, "_gpl");
SYMBOL_CRC(rt2800_config_ant, 0x37780ac4, "_gpl");
SYMBOL_CRC(rt2800_gain_calibration, 0x35cf6e52, "_gpl");
SYMBOL_CRC(rt2800_vco_calibration, 0x36060612, "_gpl");
SYMBOL_CRC(rt2800_config, 0x9e06cbe2, "_gpl");
SYMBOL_CRC(rt2800_link_stats, 0x294895a0, "_gpl");
SYMBOL_CRC(rt2800_reset_tuner, 0xb4fbd2f7, "_gpl");
SYMBOL_CRC(rt2800_link_tuner, 0x26f62504, "_gpl");
SYMBOL_CRC(rt2800_enable_radio, 0xdc85931a, "_gpl");
SYMBOL_CRC(rt2800_disable_radio, 0x6e722138, "_gpl");
SYMBOL_CRC(rt2800_efuse_detect, 0x04270ea1, "_gpl");
SYMBOL_CRC(rt2800_read_eeprom_efuse, 0x34cb7a60, "_gpl");
SYMBOL_CRC(rt2800_probe_hw, 0x82b542f0, "_gpl");
SYMBOL_CRC(rt2800_get_key_seq, 0x6837bfab, "_gpl");
SYMBOL_CRC(rt2800_set_rts_threshold, 0xb869acd0, "_gpl");
SYMBOL_CRC(rt2800_conf_tx, 0x906e2b10, "_gpl");
SYMBOL_CRC(rt2800_get_tsf, 0x860f79d3, "_gpl");
SYMBOL_CRC(rt2800_ampdu_action, 0x90dad4bc, "_gpl");
SYMBOL_CRC(rt2800_get_survey, 0xd997e64a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x3383d62, "rt2x00lib_txdone_noinfo" },
	{ 0xe063483b, "skb_push" },
	{ 0x804baee8, "rt2x00debug_dump_frame" },
	{ 0x3fdd94e9, "dev_kfree_skb_any_reason" },
	{ 0xb63f2c61, "__skb_pad" },
	{ 0x93957516, "ieee80211_restart_hw" },
	{ 0x69acdf38, "memcpy" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xc2a2cfc2, "skb_pull" },
	{ 0xdfb1e269, "rt2x00lib_set_mac_address" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xec4d9e3a, "clk_get_sys" },
	{ 0x2e1ca751, "clk_put" },
	{ 0xaa9751e3, "param_ops_bool" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0xf9a482f9, "msleep" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x18b00889, "___ratelimit" },
	{ 0xd3e282fa, "_dev_err" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0xb340763b, "__dynamic_dev_dbg" },
	{ 0x5a3cde54, "rt2x00queue_get_entry" },
	{ 0xfb578fc5, "memset" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x20674100, "_dev_warn" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xf66f693b, "_dev_info" },
	{ 0x7de5b307, "rt2x00mac_conf_tx" },
	{ 0x34a2507b, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x56470118, "__warn_printk" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x85fb6a49, "rt2x00lib_get_bssidx" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x51ca5fd0, "rt2x00lib_txdone_nomatch" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0xc052708b, "rt2x00lib_txdone" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,mac80211");


MODULE_INFO(srcversion, "C4A7C108BE26B9366EE3D16");
