#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xff7a0fdf, "eeprom_93cx6_multiread" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9cf37c44, "__iowrite32_copy" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x817823ea, "pci_unregister_driver" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x18b00889, "___ratelimit" },
	{ 0xd3e282fa, "_dev_err" },
	{ 0x7b586415, "rt2800mmio_toggle_irq" },
	{ 0x76fe4f64, "rt2800_mcu_request" },
	{ 0x3a0a7f4b, "rt2800mmio_enable_radio" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x9863a861, "rt2x00pci_remove" },
	{ 0x23198a1e, "rt2x00pci_pm_ops" },
	{ 0x3b4bbf1b, "rt2800mmio_queue_init" },
	{ 0x8109f2ec, "rt2800_rt2x00debug" },
	{ 0x5fa4db64, "rt2800mmio_interrupt" },
	{ 0x9f3c8921, "rt2800mmio_txstatus_tasklet" },
	{ 0x3d741c87, "rt2800mmio_pretbtt_tasklet" },
	{ 0x5028bbb2, "rt2800mmio_tbtt_tasklet" },
	{ 0x32ac3645, "rt2800mmio_rxdone_tasklet" },
	{ 0x97e3c029, "rt2800mmio_autowake_tasklet" },
	{ 0xae5dbf73, "rt2800mmio_probe_hw" },
	{ 0x925c362a, "rt2800_check_firmware" },
	{ 0x942147f0, "rt2800_load_firmware" },
	{ 0xb69cd902, "rt2x00mmio_initialize" },
	{ 0xe8bd517f, "rt2x00mmio_uninitialize" },
	{ 0x89e4b83, "rt2800mmio_get_entry_state" },
	{ 0x6b8250e0, "rt2800mmio_clear_entry" },
	{ 0xe4031c93, "rt2800_rfkill_poll" },
	{ 0x294895a0, "rt2800_link_stats" },
	{ 0xb4fbd2f7, "rt2800_reset_tuner" },
	{ 0x26f62504, "rt2800_link_tuner" },
	{ 0x35cf6e52, "rt2800_gain_calibration" },
	{ 0x36060612, "rt2800_vco_calibration" },
	{ 0x20f995ad, "rt2800_watchdog" },
	{ 0x92104577, "rt2800mmio_start_queue" },
	{ 0x998a9f46, "rt2800mmio_kick_queue" },
	{ 0x3b12e4a0, "rt2800mmio_stop_queue" },
	{ 0xa296f1e3, "rt2800mmio_flush_queue" },
	{ 0xf3f72141, "rt2800mmio_write_tx_desc" },
	{ 0x1efe711c, "rt2800_write_tx_data" },
	{ 0x49036535, "rt2800_write_beacon" },
	{ 0x809f8358, "rt2800_clear_beacon" },
	{ 0xa6411704, "rt2800mmio_fill_rxdone" },
	{ 0xc248f1ac, "rt2800_config_shared_key" },
	{ 0x1ef0d44b, "rt2800_config_pairwise_key" },
	{ 0x888feb85, "rt2800_config_filter" },
	{ 0xf0d9f800, "rt2800_config_intf" },
	{ 0xe6f1d06f, "rt2800_config_erp" },
	{ 0x37780ac4, "rt2800_config_ant" },
	{ 0x9e06cbe2, "rt2800_config" },
	{ 0x4ae6e398, "rt2800_pre_reset_hw" },
	{ 0x8428964b, "rt2x00mmio_regbusy_read" },
	{ 0x8c9280c2, "rt2800mmio_init_registers" },
	{ 0xab5295c, "rt2800mmio_get_txwi" },
	{ 0x5a336f32, "rt2800mmio_get_dma_done" },
	{ 0xcaa29303, "rt2x00mac_tx" },
	{ 0x774b6452, "rt2x00mac_start" },
	{ 0x12917a22, "rt2x00mac_stop" },
	{ 0xde83115, "rt2x00mac_add_interface" },
	{ 0x94f813cc, "rt2x00mac_remove_interface" },
	{ 0x8693ff19, "rt2x00mac_config" },
	{ 0xb1d0ace, "rt2x00mac_bss_info_changed" },
	{ 0x1eb4176, "rt2x00mac_configure_filter" },
	{ 0x5500b7bd, "rt2x00mac_set_key" },
	{ 0x84934e72, "rt2x00mac_sw_scan_start" },
	{ 0xdf61eac4, "rt2x00mac_sw_scan_complete" },
	{ 0x7096f73b, "rt2x00mac_get_stats" },
	{ 0x6837bfab, "rt2800_get_key_seq" },
	{ 0xb869acd0, "rt2800_set_rts_threshold" },
	{ 0x78dc5c67, "rt2800_sta_add" },
	{ 0x2f2bab0c, "rt2800_sta_remove" },
	{ 0x906e2b10, "rt2800_conf_tx" },
	{ 0x860f79d3, "rt2800_get_tsf" },
	{ 0x90dad4bc, "rt2800_ampdu_action" },
	{ 0xd997e64a, "rt2800_get_survey" },
	{ 0x5b097e37, "rt2x00mac_rfkill_poll" },
	{ 0x4f89280b, "rt2x00mac_flush" },
	{ 0x383c3a06, "rt2x00mac_get_ringparam" },
	{ 0x20a47d8c, "rt2x00mac_tx_frames_pending" },
	{ 0xca8cec7b, "rt2x00mac_reconfig_complete" },
	{ 0x281da443, "ieee80211_handle_wake_tx_queue" },
	{ 0xaa9751e3, "param_ops_bool" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x8ff50b3c, "__pci_register_driver" },
	{ 0x1b379e9a, "rt2x00pci_probe" },
	{ 0x4270ea1, "rt2800_efuse_detect" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x34cb7a60, "rt2800_read_eeprom_efuse" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "rt2800mmio,rt2800lib,rt2x00pci,rt2x00mmio,rt2x00lib,mac80211");

MODULE_ALIAS("pci:v00001814d00000601sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000681sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000701sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000781sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003090sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003091sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003092sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007708sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007728sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007738sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007748sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007758sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007768sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001462d0000891Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001A3Bd00001059sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003290sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003390sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007711sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007722sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003060sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003062sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003562sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000359Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005362sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005390sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005392sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Fsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "E9BF56BB404C69688673417");
