#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2x00lib_get_bssidx, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_beacondone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_pretbtt, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_dmastart, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_dmadone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone_nomatch, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone_noinfo, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_rxdone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_set_mac_address, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_probe_dev, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_remove_dev, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_suspend, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_resume, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_tx, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_start, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_stop, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_add_interface, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_remove_interface, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_config, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_configure_filter, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_tim, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_key, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_sw_scan_start, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_stats, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_conf_tx, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_rfkill_poll, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_flush, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_antenna, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_antenna, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_ringparam, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_tx_frames_pending, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_map_txskb, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_unmap_skb, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_for_each_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_get_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_pause_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_unpause_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_start_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_stop_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_start_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_stop_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_flush_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00debug_dump_frame, "_gpl", "");

SYMBOL_CRC(rt2x00lib_get_bssidx, 0x85fb6a49, "_gpl");
SYMBOL_CRC(rt2x00lib_beacondone, 0x328798aa, "_gpl");
SYMBOL_CRC(rt2x00lib_pretbtt, 0x96f99761, "_gpl");
SYMBOL_CRC(rt2x00lib_dmastart, 0xc4372186, "_gpl");
SYMBOL_CRC(rt2x00lib_dmadone, 0xd270d2fb, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone_nomatch, 0x51ca5fd0, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone, 0xc052708b, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone_noinfo, 0x03383d62, "_gpl");
SYMBOL_CRC(rt2x00lib_rxdone, 0x5f54ba1b, "_gpl");
SYMBOL_CRC(rt2x00lib_set_mac_address, 0xdfb1e269, "_gpl");
SYMBOL_CRC(rt2x00lib_probe_dev, 0x0f991eb1, "_gpl");
SYMBOL_CRC(rt2x00lib_remove_dev, 0x4b1e70d5, "_gpl");
SYMBOL_CRC(rt2x00lib_suspend, 0xdc3cc7a9, "_gpl");
SYMBOL_CRC(rt2x00lib_resume, 0x3cfb1322, "_gpl");
SYMBOL_CRC(rt2x00mac_tx, 0xcaa29303, "_gpl");
SYMBOL_CRC(rt2x00mac_start, 0x774b6452, "_gpl");
SYMBOL_CRC(rt2x00mac_stop, 0x12917a22, "_gpl");
SYMBOL_CRC(rt2x00mac_reconfig_complete, 0xca8cec7b, "_gpl");
SYMBOL_CRC(rt2x00mac_add_interface, 0x0de83115, "_gpl");
SYMBOL_CRC(rt2x00mac_remove_interface, 0x94f813cc, "_gpl");
SYMBOL_CRC(rt2x00mac_config, 0x8693ff19, "_gpl");
SYMBOL_CRC(rt2x00mac_configure_filter, 0x01eb4176, "_gpl");
SYMBOL_CRC(rt2x00mac_set_tim, 0x0bad95a2, "_gpl");
SYMBOL_CRC(rt2x00mac_set_key, 0x5500b7bd, "_gpl");
SYMBOL_CRC(rt2x00mac_sw_scan_start, 0x84934e72, "_gpl");
SYMBOL_CRC(rt2x00mac_sw_scan_complete, 0xdf61eac4, "_gpl");
SYMBOL_CRC(rt2x00mac_get_stats, 0x7096f73b, "_gpl");
SYMBOL_CRC(rt2x00mac_bss_info_changed, 0x0b1d0ace, "_gpl");
SYMBOL_CRC(rt2x00mac_conf_tx, 0x7de5b307, "_gpl");
SYMBOL_CRC(rt2x00mac_rfkill_poll, 0x5b097e37, "_gpl");
SYMBOL_CRC(rt2x00mac_flush, 0x4f89280b, "_gpl");
SYMBOL_CRC(rt2x00mac_set_antenna, 0xd7cf77d1, "_gpl");
SYMBOL_CRC(rt2x00mac_get_antenna, 0x8e89d465, "_gpl");
SYMBOL_CRC(rt2x00mac_get_ringparam, 0x383c3a06, "_gpl");
SYMBOL_CRC(rt2x00mac_tx_frames_pending, 0x20a47d8c, "_gpl");
SYMBOL_CRC(rt2x00queue_map_txskb, 0x57a6514c, "_gpl");
SYMBOL_CRC(rt2x00queue_unmap_skb, 0xee555e99, "_gpl");
SYMBOL_CRC(rt2x00queue_for_each_entry, 0x283108bd, "_gpl");
SYMBOL_CRC(rt2x00queue_get_entry, 0x5a3cde54, "_gpl");
SYMBOL_CRC(rt2x00queue_pause_queue, 0xc1938bff, "_gpl");
SYMBOL_CRC(rt2x00queue_unpause_queue, 0x7d5a6dba, "_gpl");
SYMBOL_CRC(rt2x00queue_start_queue, 0x8474e602, "_gpl");
SYMBOL_CRC(rt2x00queue_stop_queue, 0x337ed47f, "_gpl");
SYMBOL_CRC(rt2x00queue_flush_queue, 0x9a8eb4e1, "_gpl");
SYMBOL_CRC(rt2x00queue_start_queues, 0xafd6e871, "_gpl");
SYMBOL_CRC(rt2x00queue_stop_queues, 0x81d5efc2, "_gpl");
SYMBOL_CRC(rt2x00queue_flush_queues, 0x8456ca99, "_gpl");
SYMBOL_CRC(rt2x00debug_dump_frame, 0x804baee8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xf92cb872, "try_module_get" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x87163fd1, "ieee80211_iterate_interfaces" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe94ce49a, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x20f17b2a, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x862f3c32, "skb_dequeue" },
	{ 0x53df7429, "finish_wait" },
	{ 0x2650d8aa, "dma_unmap_page_attrs" },
	{ 0x143e1e65, "request_firmware" },
	{ 0xd937b172, "led_classdev_suspend" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x8e713733, "hrtimer_init" },
	{ 0x55ff8d0f, "ieee80211_tx_status_ext" },
	{ 0xa72cc798, "debugfs_create_blob" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x2c220a3c, "led_classdev_unregister" },
	{ 0x4ea526ea, "ieee80211_register_hw" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x4a2f814f, "__ieee80211_create_tpt_led_trigger" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x93957516, "ieee80211_restart_hw" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xf9590ffb, "ieee80211_get_hdrlen_from_skb" },
	{ 0x85ce233b, "__wake_up" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x32eabcce, "ieee80211_wake_queue" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xb340763b, "__dynamic_dev_dbg" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x257a7188, "skb_queue_purge_reason" },
	{ 0xf23fc55, "dev_driver_string" },
	{ 0xe8c7b171, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x3f0ffcfa, "dma_map_page_attrs" },
	{ 0x18b00889, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xf4eb89a2, "__alloc_skb" },
	{ 0xf66f693b, "_dev_info" },
	{ 0xcbf2b448, "skb_queue_tail" },
	{ 0xdebee75d, "module_put" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x57c005c4, "ieee80211_queue_delayed_work" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xd3e282fa, "_dev_err" },
	{ 0x180271ae, "simple_open" },
	{ 0xbd87c55, "ieee80211_ctstoself_get" },
	{ 0xc2a2cfc2, "skb_pull" },
	{ 0x3939f8f0, "rfkill_pause_polling" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x612e6fc5, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe063483b, "skb_push" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x7ba0c905, "debugfs_remove" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8553e1e2, "ieee80211_free_txskb" },
	{ 0x4810c43d, "led_classdev_register_ext" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0xc86d171b, "default_llseek" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x20674100, "_dev_warn" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2b4aba44, "debugfs_create_u32" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0x6fbc627a, "ieee80211_tx_status" },
	{ 0xd7d8b96, "ieee80211_stop_queue" },
	{ 0xb62de504, "__netdev_alloc_skb" },
	{ 0x207cc8ed, "ieee80211_stop_queues" },
	{ 0xc8badb4e, "skb_trim" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x62c5c873, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xc3e9aaae, "wiphy_rfkill_start_polling" },
	{ 0x7b62a7d7, "debugfs_create_file" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4619cc3e, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0xda419d8, "led_classdev_resume" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x2ff7ca28, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa69bc061, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xe4e7f44e, "ieee80211_rts_get" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0xf18008d, "hrtimer_cancel" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xf069827a, "ieee80211_queue_work" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x754d539c, "strlen" },
	{ 0x3fdd94e9, "dev_kfree_skb_any_reason" },
	{ 0x6308ec26, "debugfs_create_dir" },
	{ 0xad23d800, "generic_file_llseek" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0x4b208758, "ieee80211_rx_napi" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,rfkill");


MODULE_INFO(srcversion, "85E3D6DC14C47ED1A12AEAF");
