#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rtw_pm_ops, "", "");
KSYMTAB_FUNC(rtw_pci_probe, "", "");
KSYMTAB_FUNC(rtw_pci_remove, "", "");
KSYMTAB_FUNC(rtw_pci_shutdown, "", "");

SYMBOL_CRC(rtw_pm_ops, 0x0632cf2b, "");
SYMBOL_CRC(rtw_pci_probe, 0x426d1874, "");
SYMBOL_CRC(rtw_pci_remove, 0x44c621ff, "");
SYMBOL_CRC(rtw_pci_shutdown, 0xf3f6eb07, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb1301711, "rtw_tx_report_enqueue" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xa3f76114, "rtw_tx_queue_mapping" },
	{ 0xa2604fb9, "pcie_capability_read_word" },
	{ 0xfdecc903, "devm_request_threaded_irq" },
	{ 0x4a005590, "pci_enable_device" },
	{ 0xe94ce49a, "skb_put" },
	{ 0x20f17b2a, "consume_skb" },
	{ 0xaa78e3ac, "pci_iomap" },
	{ 0xb34aca9e, "pci_alloc_irq_vectors" },
	{ 0x4aa747b1, "netif_napi_add_weight" },
	{ 0x862f3c32, "skb_dequeue" },
	{ 0x367d90ca, "ieee80211_free_hw" },
	{ 0x2650d8aa, "dma_unmap_page_attrs" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xa83358b9, "dma_sync_single_for_device" },
	{ 0xfd028564, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x1dc2d072, "rtw_tx_ac_to_hwq" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x2967623f, "dev_kfree_skb_irq_reason" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa99aef02, "pci_set_power_state" },
	{ 0x6b31de58, "__netif_napi_del" },
	{ 0x32eabcce, "ieee80211_wake_queue" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf23fc55, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x3f0ffcfa, "dma_map_page_attrs" },
	{ 0x5cccf36b, "napi_complete_done" },
	{ 0xd6eaa01, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x755fbfad, "devm_free_irq" },
	{ 0x4fddbf07, "__napi_schedule" },
	{ 0xcbf2b448, "skb_queue_tail" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x3e958752, "rtw_chip_info_setup" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xfe76b0fc, "rtw_fw_c2h_cmd_isr" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x4a28cfd4, "rtw_unregister_hw" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xd3e282fa, "_dev_err" },
	{ 0xc2a2cfc2, "skb_pull" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xb37fd50a, "rtw_tx_fill_tx_desc" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xe063483b, "skb_push" },
	{ 0x4ca72fe6, "dma_alloc_attrs" },
	{ 0xa6af8b3f, "napi_enable" },
	{ 0xa55e787b, "rtw_core_init" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x6e6e2a6f, "ieee80211_alloc_hw_nm" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x8cf64344, "pci_iounmap" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x2710b258, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcc9814e, "rtw_tx_write_data_rsvd_page_get" },
	{ 0xfb578fc5, "memset" },
	{ 0x20674100, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x9e592602, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd7d8b96, "ieee80211_stop_queue" },
	{ 0xb62de504, "__netdev_alloc_skb" },
	{ 0xefeb0f83, "rtw_rx_stats" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0x70b9ebb1, "pcie_capability_clear_and_set_word_unlocked" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xf1a5ee12, "rtw_register_hw" },
	{ 0xbae66bda, "dma_free_attrs" },
	{ 0xaa9751e3, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xbc096c8a, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2ff7ca28, "ieee80211_unregister_hw" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0x89dc7570, "rtw_core_deinit" },
	{ 0x681cbe68, "rtw_ops" },
	{ 0x36b4483, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x931b8305, "napi_schedule_prep" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xf2cba0be, "napi_disable" },
	{ 0x3fdd94e9, "dev_kfree_skb_any_reason" },
	{ 0x441b6c5b, "rtw_power_mode_change" },
	{ 0xd05fe24, "rtw_tx_write_data_h2c_get" },
	{ 0x4b43aeba, "pci_free_irq_vectors" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0x5f9c2b4f, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4ed4846, "rtw_fw_c2h_cmd_rx_irqsafe" },
	{ 0x4b208758, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "rtw88_core,mac80211");


MODULE_INFO(srcversion, "90DC99D9FC974C42492204B");
