#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvdimm_namespace_attach_btt, "", "");
KSYMTAB_FUNC(nvdimm_namespace_detach_btt, "", "");

SYMBOL_CRC(nvdimm_namespace_attach_btt, 0x8089e716, "");
SYMBOL_CRC(nvdimm_namespace_detach_btt, 0x3dbd08f7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x41c603ac, "bio_integrity_prep" },
	{ 0x6f94b8a8, "__blk_alloc_disk" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x1c1cc512, "blk_queue_logical_block_size" },
	{ 0xafe86688, "devm_kmalloc" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x60b62d3c, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7f3f7b2d, "devm_namespace_enable" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x8188818d, "debugfs_create_u16" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x6755a85, "to_nd_region" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xa0ec9675, "pcpu_hot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x499f0ecf, "nd_sb_checksum" },
	{ 0x12a309db, "nd_btt_arena_is_valid" },
	{ 0xb340763b, "__dynamic_dev_dbg" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x3ff84e6, "bio_end_io_acct_remapped" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf23fc55, "dev_driver_string" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x7cfa4e76, "put_disk" },
	{ 0x18b00889, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x576def3a, "debugfs_create_x64" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x45bf119, "blk_queue_flag_set" },
	{ 0x9a17cdad, "nd_dev_to_uuid" },
	{ 0xf66f693b, "_dev_info" },
	{ 0x52d8e838, "bio_start_io_acct" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x121b00ad, "bio_endio" },
	{ 0x772c2cf9, "nd_region_release_lane" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xd3e282fa, "_dev_err" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xdcd3f639, "set_capacity" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x7ba0c905, "debugfs_remove" },
	{ 0x9166fada, "strncpy" },
	{ 0x9ae2bafc, "mutex_is_locked" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x65be0ba2, "del_gendisk" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0xfa09f448, "to_nd_btt" },
	{ 0x63655ccc, "nd_region_acquire_lane" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x20674100, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2b4aba44, "debugfs_create_u32" },
	{ 0xc7168be0, "nvdimm_namespace_disk_name" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9e5fb438, "debugfs_create_x32" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x6709f10b, "nvdimm_namespace_capacity" },
	{ 0xa4720184, "nd_integrity_init" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xcbd2e47c, "nvdimm_check_and_set_ro" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x1fd54703, "__might_resched" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xf381fe82, "badblocks_check" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0xcecbcb09, "nd_btt_version" },
	{ 0x23f64986, "blk_queue_max_hw_sectors" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x6308ec26, "debugfs_create_dir" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "BAD3DECE6CEE9A046ABB0A3");
