#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x18044769, "devm_rtc_allocate_device" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xfdecc903, "devm_request_threaded_irq" },
	{ 0x6da8e9f5, "__devm_rtc_register_device" },
	{ 0x48e34a92, "device_property_read_u32_array" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7a030a22, "device_property_present" },
	{ 0x6a18b83b, "device_set_wakeup_capable" },
	{ 0xf66f693b, "_dev_info" },
	{ 0xf66f3c39, "rtc_add_group" },
	{ 0xd0dea42f, "watchdog_init_timeout" },
	{ 0x671e3aed, "devm_watchdog_register_device" },
	{ 0xe1dfc92f, "devm_hwmon_device_register_with_groups" },
	{ 0xe0ff3a86, "device_property_read_string_array" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x81295d18, "devm_clk_register" },
	{ 0xbda35c1a, "devm_rtc_nvmem_register" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x56524cf3, "i2c_register_driver" },
	{ 0xdf5e5a9e, "regmap_bulk_read" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xb6936ffe, "_bcd2bin" },
	{ 0xb340763b, "__dynamic_dev_dbg" },
	{ 0xd3e282fa, "_dev_err" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xec37481d, "regmap_read" },
	{ 0x5f01d4fd, "regmap_write" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xe8bcc6ae, "regmap_bulk_write" },
	{ 0x80ca5026, "_bin2bcd" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x1cfe2656, "regmap_update_bits_base" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0xe015a193, "rtc_update_irq" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x5944adf6, "i2c_del_driver" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x20674100, "_dev_warn" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x4f2250ba, "rtc_tm_to_time64" },
	{ 0xe8ca3b6e, "i2c_client_get_device_id" },
	{ 0xafe86688, "devm_kmalloc" },
	{ 0x6fd3846f, "__devm_regmap_init_i2c" },
	{ 0x651037b1, "device_get_match_data" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "i2c-core,regmap-i2c");

MODULE_ALIAS("of:N*T*Cdallas,ds1307");
MODULE_ALIAS("of:N*T*Cdallas,ds1307C*");
MODULE_ALIAS("of:N*T*Cdallas,ds1308");
MODULE_ALIAS("of:N*T*Cdallas,ds1308C*");
MODULE_ALIAS("of:N*T*Cdallas,ds1337");
MODULE_ALIAS("of:N*T*Cdallas,ds1337C*");
MODULE_ALIAS("of:N*T*Cdallas,ds1338");
MODULE_ALIAS("of:N*T*Cdallas,ds1338C*");
MODULE_ALIAS("of:N*T*Cdallas,ds1339");
MODULE_ALIAS("of:N*T*Cdallas,ds1339C*");
MODULE_ALIAS("of:N*T*Cdallas,ds1388");
MODULE_ALIAS("of:N*T*Cdallas,ds1388C*");
MODULE_ALIAS("of:N*T*Cdallas,ds1340");
MODULE_ALIAS("of:N*T*Cdallas,ds1340C*");
MODULE_ALIAS("of:N*T*Cdallas,ds1341");
MODULE_ALIAS("of:N*T*Cdallas,ds1341C*");
MODULE_ALIAS("of:N*T*Cmaxim,ds3231");
MODULE_ALIAS("of:N*T*Cmaxim,ds3231C*");
MODULE_ALIAS("of:N*T*Cst,m41t0");
MODULE_ALIAS("of:N*T*Cst,m41t0C*");
MODULE_ALIAS("of:N*T*Cst,m41t00");
MODULE_ALIAS("of:N*T*Cst,m41t00C*");
MODULE_ALIAS("of:N*T*Cst,m41t11");
MODULE_ALIAS("of:N*T*Cst,m41t11C*");
MODULE_ALIAS("of:N*T*Cmicrochip,mcp7940x");
MODULE_ALIAS("of:N*T*Cmicrochip,mcp7940xC*");
MODULE_ALIAS("of:N*T*Cmicrochip,mcp7941x");
MODULE_ALIAS("of:N*T*Cmicrochip,mcp7941xC*");
MODULE_ALIAS("of:N*T*Cpericom,pt7c4338");
MODULE_ALIAS("of:N*T*Cpericom,pt7c4338C*");
MODULE_ALIAS("of:N*T*Cepson,rx8025");
MODULE_ALIAS("of:N*T*Cepson,rx8025C*");
MODULE_ALIAS("of:N*T*Cisil,isl12057");
MODULE_ALIAS("of:N*T*Cisil,isl12057C*");
MODULE_ALIAS("of:N*T*Cepson,rx8130");
MODULE_ALIAS("of:N*T*Cepson,rx8130C*");
MODULE_ALIAS("i2c:ds1307");
MODULE_ALIAS("i2c:ds1308");
MODULE_ALIAS("i2c:ds1337");
MODULE_ALIAS("i2c:ds1338");
MODULE_ALIAS("i2c:ds1339");
MODULE_ALIAS("i2c:ds1388");
MODULE_ALIAS("i2c:ds1340");
MODULE_ALIAS("i2c:ds1341");
MODULE_ALIAS("i2c:ds3231");
MODULE_ALIAS("i2c:m41t0");
MODULE_ALIAS("i2c:m41t00");
MODULE_ALIAS("i2c:m41t11");
MODULE_ALIAS("i2c:mcp7940x");
MODULE_ALIAS("i2c:mcp7941x");
MODULE_ALIAS("i2c:pt7c4338");
MODULE_ALIAS("i2c:rx8025");
MODULE_ALIAS("i2c:isl12057");
MODULE_ALIAS("i2c:rx8130");

MODULE_INFO(srcversion, "3EA372A6251E9017C7F726C");
