#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xe015a193, "rtc_update_irq" },
	{ 0x5944adf6, "i2c_del_driver" },
	{ 0x66a1e966, "misc_deregister" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xb70789e, "__might_fault" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x122c3a7e, "_printk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xafe86688, "devm_kmalloc" },
	{ 0x18044769, "devm_rtc_allocate_device" },
	{ 0x6da8e9f5, "__devm_rtc_register_device" },
	{ 0xad4f6c7, "__dev_fwnode" },
	{ 0xfdecc903, "devm_request_threaded_irq" },
	{ 0x6a18b83b, "device_set_wakeup_capable" },
	{ 0xbf033926, "device_wakeup_enable" },
	{ 0xb0898415, "misc_register" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x7b189391, "clk_register" },
	{ 0x5b5b9c56, "i2c_match_id" },
	{ 0xf66f693b, "_dev_info" },
	{ 0x20674100, "_dev_warn" },
	{ 0xd1d2e8f4, "compat_ptr_ioctl" },
	{ 0x92e8e77f, "param_ops_int" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x56524cf3, "i2c_register_driver" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x25d1e387, "i2c_transfer" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0xc39d5ec7, "stream_open" },
	{ 0xfa86ce39, "i2c_smbus_read_byte_data" },
	{ 0x42d39b4c, "i2c_smbus_write_byte_data" },
	{ 0xd3e282fa, "_dev_err" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xb9d133d1, "seq_printf" },
	{ 0x80ca5026, "_bin2bcd" },
	{ 0x19e9f1e, "i2c_smbus_write_i2c_block_data" },
	{ 0x41b360ea, "i2c_smbus_read_i2c_block_data" },
	{ 0xb6936ffe, "_bcd2bin" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "i2c-core");

MODULE_ALIAS("of:N*T*Cst,m41t62");
MODULE_ALIAS("of:N*T*Cst,m41t62C*");
MODULE_ALIAS("of:N*T*Cst,m41t65");
MODULE_ALIAS("of:N*T*Cst,m41t65C*");
MODULE_ALIAS("of:N*T*Cst,m41t80");
MODULE_ALIAS("of:N*T*Cst,m41t80C*");
MODULE_ALIAS("of:N*T*Cst,m41t81");
MODULE_ALIAS("of:N*T*Cst,m41t81C*");
MODULE_ALIAS("of:N*T*Cst,m41t81s");
MODULE_ALIAS("of:N*T*Cst,m41t81sC*");
MODULE_ALIAS("of:N*T*Cst,m41t82");
MODULE_ALIAS("of:N*T*Cst,m41t82C*");
MODULE_ALIAS("of:N*T*Cst,m41t83");
MODULE_ALIAS("of:N*T*Cst,m41t83C*");
MODULE_ALIAS("of:N*T*Cst,m41t84");
MODULE_ALIAS("of:N*T*Cst,m41t84C*");
MODULE_ALIAS("of:N*T*Cst,m41t85");
MODULE_ALIAS("of:N*T*Cst,m41t85C*");
MODULE_ALIAS("of:N*T*Cst,m41t87");
MODULE_ALIAS("of:N*T*Cst,m41t87C*");
MODULE_ALIAS("of:N*T*Cmicrocrystal,rv4162");
MODULE_ALIAS("of:N*T*Cmicrocrystal,rv4162C*");
MODULE_ALIAS("of:N*T*Cst,rv4162");
MODULE_ALIAS("of:N*T*Cst,rv4162C*");
MODULE_ALIAS("of:N*T*Crv4162");
MODULE_ALIAS("of:N*T*Crv4162C*");
MODULE_ALIAS("i2c:m41t62");
MODULE_ALIAS("i2c:m41t65");
MODULE_ALIAS("i2c:m41t80");
MODULE_ALIAS("i2c:m41t81");
MODULE_ALIAS("i2c:m41t81s");
MODULE_ALIAS("i2c:m41t82");
MODULE_ALIAS("i2c:m41t83");
MODULE_ALIAS("i2c:m41st84");
MODULE_ALIAS("i2c:m41st85");
MODULE_ALIAS("i2c:m41st87");
MODULE_ALIAS("i2c:rv4162");

MODULE_INFO(srcversion, "75080124EF00B213B3E34F9");
