#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qlt_unreg_sess, "", "");
KSYMTAB_FUNC(qlt_stop_phase1, "", "");
KSYMTAB_FUNC(qlt_stop_phase2, "", "");
KSYMTAB_FUNC(qlt_free_mcmd, "", "");
KSYMTAB_FUNC(qlt_xmit_tm_rsp, "", "");
KSYMTAB_FUNC(qlt_xmit_response, "", "");
KSYMTAB_FUNC(qlt_rdy_to_xfer, "", "");
KSYMTAB_FUNC(qlt_abort_cmd, "", "");
KSYMTAB_FUNC(qlt_free_cmd, "", "");
KSYMTAB_FUNC(qlt_lport_register, "", "");
KSYMTAB_FUNC(qlt_lport_deregister, "", "");
KSYMTAB_FUNC(qlt_enable_vha, "", "");

SYMBOL_CRC(qlt_unreg_sess, 0xccad11e9, "");
SYMBOL_CRC(qlt_stop_phase1, 0x5cc05ead, "");
SYMBOL_CRC(qlt_stop_phase2, 0x145e5656, "");
SYMBOL_CRC(qlt_free_mcmd, 0x5a1aa13e, "");
SYMBOL_CRC(qlt_xmit_tm_rsp, 0xec3982af, "");
SYMBOL_CRC(qlt_xmit_response, 0xd921b7b2, "");
SYMBOL_CRC(qlt_rdy_to_xfer, 0xf1748089, "");
SYMBOL_CRC(qlt_abort_cmd, 0x1eb492df, "");
SYMBOL_CRC(qlt_free_cmd, 0xa9feeb2c, "");
SYMBOL_CRC(qlt_lport_register, 0x9d9c26a9, "");
SYMBOL_CRC(qlt_lport_deregister, 0x7b22dafe, "");
SYMBOL_CRC(qlt_enable_vha, 0x6308aca7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x32c80197, "param_ops_ullong" },
	{ 0xe914e41e, "strcpy" },
	{ 0xf2949b91, "pci_save_state" },
	{ 0xa86a4478, "btree_last" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xa2604fb9, "pcie_capability_read_word" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x27ca633b, "fc_attach_transport" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x1d4560a5, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa3a04602, "btree_geo64" },
	{ 0x99368fdd, "debugfs_attr_write" },
	{ 0xdee5b7c3, "param_ops_uint" },
	{ 0x22004f30, "dma_pool_create" },
	{ 0x80a23eec, "pci_request_selected_regions" },
	{ 0xbc2c5de9, "pci_release_selected_regions" },
	{ 0x8a9cf5a7, "nvme_fc_set_remoteport_devloss" },
	{ 0x11b3de21, "wait_for_completion_timeout" },
	{ 0x4a005590, "pci_enable_device" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77bc13a0, "strim" },
	{ 0xbcb6a32c, "pci_enable_device_mem" },
	{ 0xc1b808db, "bsg_job_done" },
	{ 0xe026cf9f, "btree_insert" },
	{ 0xb34aca9e, "pci_alloc_irq_vectors" },
	{ 0x36ca0dec, "fc_remote_port_add" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa1e0b3f9, "complete" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x842317de, "trace_raw_output_prep" },
	{ 0x5096a07d, "scsi_remove_host" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0xd738977e, "__trace_trigger_soft_disabled" },
	{ 0x53df7429, "finish_wait" },
	{ 0x270e2b91, "scsi_build_sense" },
	{ 0x2650d8aa, "dma_unmap_page_attrs" },
	{ 0x2aabcdc8, "vmalloc_array" },
	{ 0x143e1e65, "request_firmware" },
	{ 0xa87da128, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x8691166d, "fc_remove_host" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x8ff50b3c, "__pci_register_driver" },
	{ 0xc545c07b, "set_user_nice" },
	{ 0xa83358b9, "dma_sync_single_for_device" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x886f0a14, "sysfs_create_bin_file" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xfd028564, "pci_request_regions" },
	{ 0xee32ea6c, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x7c521334, "scsi_dma_unmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xa0ec9675, "pcpu_hot" },
	{ 0xccf8c8e1, "seq_lseek" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x45b42a15, "pci_clear_mwi" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x3c01cfd5, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2b0ec868, "bpf_trace_run2" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xcc24afb5, "timer_delete_sync" },
	{ 0x379d03d4, "fc_eh_timed_out" },
	{ 0x85ce233b, "__wake_up" },
	{ 0x400a4327, "btree_remove" },
	{ 0x1dd52d0d, "pci_irq_vector" },
	{ 0x148653, "vsnprintf" },
	{ 0x151a1538, "pci_try_set_mwi" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x6ae36ee4, "kmem_cache_create" },
	{ 0x36ff997e, "get_device" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbb0e18a6, "nvme_fc_rcv_ls_req" },
	{ 0xd8a00066, "mempool_free" },
	{ 0x817823ea, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4eedfe1c, "wake_up_process" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xf23fc55, "dev_driver_string" },
	{ 0xa4d4f11b, "trace_event_buffer_commit" },
	{ 0xa3cb9ff7, "trace_array_put" },
	{ 0x3386f72f, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x3f0ffcfa, "dma_map_page_attrs" },
	{ 0x26431912, "irq_set_affinity_notifier" },
	{ 0x5336a321, "blk_mq_pci_map_queues" },
	{ 0x93f9f55e, "fc_block_scsi_eh" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xf331236f, "btree_geo32" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x122c3a7e, "_printk" },
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0xb707b887, "mempool_create" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x18b00889, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x722c5a2b, "fc_remote_port_delete" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xc6933603, "scsi_host_get" },
	{ 0xf10f8b50, "mempool_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4f963ed6, "timer_shutdown" },
	{ 0x6ce1a3bc, "fc_host_post_event" },
	{ 0xa9cbed8a, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xf66f693b, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0xfb075759, "pci_select_bars" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x61513854, "fc_release_transport" },
	{ 0x5aa170a3, "pci_set_mwi" },
	{ 0x7b2da6c8, "btree_lookup" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xf70899e8, "pci_find_capability" },
	{ 0x61651be, "strcat" },
	{ 0x3651007, "debugfs_attr_read" },
	{ 0xc07ede46, "btree_init" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x131cdf2d, "kobject_uevent_env" },
	{ 0xea179697, "pci_clear_master" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xb1f31cbd, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xd3e282fa, "_dev_err" },
	{ 0xea06e09d, "blk_queue_update_dma_alignment" },
	{ 0xa2a17ce2, "fc_vport_create" },
	{ 0x9f8ba5d7, "scsi_host_put" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xda3bf069, "simple_attr_release" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xa67cfc0, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xc5b199aa, "mod_timer" },
	{ 0x631cc261, "noop_llseek" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7037195a, "fc_remote_port_rolechg" },
	{ 0x97ebf994, "kmem_cache_free" },
	{ 0x4ca72fe6, "dma_alloc_attrs" },
	{ 0x65cdcea4, "scsi_scan_host" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xfca9dc99, "nvme_fc_unregister_remoteport" },
	{ 0x65e0d6d7, "memory_read_from_buffer" },
	{ 0x7ba0c905, "debugfs_remove" },
	{ 0xdcc3c96a, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0x29d8717a, "seq_putc" },
	{ 0x1a5df3a2, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xb6600277, "fc_vport_terminate" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xe41f2809, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7fd28442, "fc_block_rport" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xbe0eb6c2, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x5b74c315, "trace_array_get_by_name" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x6eecfaf4, "sg_copy_buffer" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0xa263ce95, "pci_restore_state" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xc61be939, "pci_alloc_irq_vectors_affinity" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x2975cd23, "scsi_is_host_device" },
	{ 0x9e592602, "pci_set_master" },
	{ 0xe565407e, "param_ops_charp" },
	{ 0xe5a5244b, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc011ab10, "dma_get_required_mask" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0x2ba123e, "blk_mq_unique_tag" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0x4973352a, "_raw_write_unlock_irqrestore" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x89de3be6, "kthread_create_on_node" },
	{ 0x958b7595, "dma_set_coherent_mask" },
	{ 0x147be32a, "seq_read" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x82723f86, "trace_array_set_clr_event" },
	{ 0xdd64e639, "strscpy" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x375f8bbd, "fc_get_event_number" },
	{ 0x7b62a7d7, "debugfs_create_file" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0xbae66bda, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x2608dd8b, "fc_host_fpin_rcv" },
	{ 0xc3db3982, "trace_event_buffer_reserve" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0x620f3d01, "btree_destroy" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0xd986ecb2, "__rwlock_init" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x7f69bd89, "scmd_printk" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xc131c985, "btree_update" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa36ad535, "pci_write_config_byte" },
	{ 0xfe1c9ea5, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x588ed22a, "__register_chrdev" },
	{ 0xc8dcdfd7, "mempool_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1fcc126c, "fc_eh_should_retry_cmd" },
	{ 0xe1775aa8, "pcie_capability_read_dword" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb9d133d1, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x3f75b01b, "_raw_read_lock" },
	{ 0x3884f8b8, "nvme_fc_unregister_localport" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xde18a035, "scsi_is_fc_rport" },
	{ 0x36b4483, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xd87c2c46, "seq_puts" },
	{ 0xe906f464, "scsi_done" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xe31e9c74, "btree_get_prev" },
	{ 0xf1f0b6a0, "single_release" },
	{ 0x907409e6, "scsi_unblock_requests" },
	{ 0x572803d2, "pcie_set_readrq" },
	{ 0x1fd54703, "__might_resched" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x114385fe, "dma_set_mask" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xf5e0dbf6, "pci_disable_rom" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xd904e370, "dma_unmap_sg_attrs" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0xf4af2d41, "pci_irq_get_affinity" },
	{ 0x358d70b1, "scsi_block_requests" },
	{ 0x84c633f, "scsi_add_host_with_dma" },
	{ 0xf4195816, "_raw_write_lock_irqsave" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xef0e0f07, "pci_read_config_byte" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x754d539c, "strlen" },
	{ 0x92e8e77f, "param_ops_int" },
	{ 0xd12e564, "nvme_fc_register_remoteport" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x5cc027e4, "single_open" },
	{ 0xb8d1af95, "scsi_host_alloc" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x6308ec26, "debugfs_create_dir" },
	{ 0x40d54cd3, "pci_write_config_word" },
	{ 0xe957d3ab, "sysfs_remove_bin_file" },
	{ 0x4b43aeba, "pci_free_irq_vectors" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0xd1fb195a, "nvme_fc_register_localport" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x84243697, "scsi_change_queue_depth" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb8b7f367, "pcix_set_mmrbc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x2ab54273, "kmem_cache_destroy" },
	{ 0xd38d0af6, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5efde415, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_fc,nvme-fc");

MODULE_ALIAS("pci:v00001077d00002100sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002200sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002300sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00006312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00006322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002422sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002432sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008432sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00005422sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00005432sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002532sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d0000F001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008044sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002071sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002271sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002261sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002061sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002081sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002281sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002089sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002289sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "5A06F0D904DCA675DB1FD0C");
