#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(sdw_bus_type, "_gpl", "");
KSYMTAB_FUNC(__sdw_register_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_bus_master_add, "", "");
KSYMTAB_FUNC(sdw_bus_master_delete, "", "");
KSYMTAB_FUNC(sdw_show_ping_status, "", "");
KSYMTAB_FUNC(sdw_nread_no_pm, "", "");
KSYMTAB_FUNC(sdw_nwrite_no_pm, "", "");
KSYMTAB_FUNC(sdw_write_no_pm, "", "");
KSYMTAB_FUNC(sdw_bread_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_bwrite_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_read_no_pm, "", "");
KSYMTAB_FUNC(sdw_update_no_pm, "", "");
KSYMTAB_FUNC(sdw_update, "", "");
KSYMTAB_FUNC(sdw_nread, "", "");
KSYMTAB_FUNC(sdw_nwrite, "", "");
KSYMTAB_FUNC(sdw_read, "", "");
KSYMTAB_FUNC(sdw_write, "", "");
KSYMTAB_FUNC(sdw_compare_devid, "", "");
KSYMTAB_FUNC(sdw_extract_slave_id, "", "");
KSYMTAB_FUNC(sdw_bus_prep_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_exit_clk_stop, "", "");
KSYMTAB_FUNC(sdw_handle_slave_status, "", "");
KSYMTAB_FUNC(sdw_clear_slave_status, "", "");
KSYMTAB_FUNC(sdw_slave_add, "", "");
KSYMTAB_FUNC(sdw_master_read_prop, "", "");
KSYMTAB_FUNC(sdw_slave_read_prop, "", "");
KSYMTAB_DATA(sdw_rows, "", "");
KSYMTAB_DATA(sdw_cols, "", "");
KSYMTAB_FUNC(sdw_find_col_index, "", "");
KSYMTAB_FUNC(sdw_find_row_index, "", "");
KSYMTAB_FUNC(sdw_prepare_stream, "", "");
KSYMTAB_FUNC(sdw_enable_stream, "", "");
KSYMTAB_FUNC(sdw_disable_stream, "", "");
KSYMTAB_FUNC(sdw_deprepare_stream, "", "");
KSYMTAB_FUNC(sdw_alloc_stream, "", "");
KSYMTAB_FUNC(sdw_startup_stream, "", "");
KSYMTAB_FUNC(sdw_shutdown_stream, "", "");
KSYMTAB_FUNC(sdw_release_stream, "", "");
KSYMTAB_FUNC(sdw_stream_add_master, "", "");
KSYMTAB_FUNC(sdw_stream_remove_master, "", "");
KSYMTAB_FUNC(sdw_stream_add_slave, "", "");
KSYMTAB_FUNC(sdw_stream_remove_slave, "", "");

SYMBOL_CRC(sdw_bus_type, 0xaa926af1, "_gpl");
SYMBOL_CRC(__sdw_register_driver, 0x3953b368, "_gpl");
SYMBOL_CRC(sdw_unregister_driver, 0x9c6bf7f3, "_gpl");
SYMBOL_CRC(sdw_bus_master_add, 0xdd92069c, "");
SYMBOL_CRC(sdw_bus_master_delete, 0x8523090f, "");
SYMBOL_CRC(sdw_show_ping_status, 0x273e3fb5, "");
SYMBOL_CRC(sdw_nread_no_pm, 0xa9df0b1a, "");
SYMBOL_CRC(sdw_nwrite_no_pm, 0x47c4e0a5, "");
SYMBOL_CRC(sdw_write_no_pm, 0xada8f966, "");
SYMBOL_CRC(sdw_bread_no_pm_unlocked, 0xdf315bf7, "");
SYMBOL_CRC(sdw_bwrite_no_pm_unlocked, 0x3a478ec5, "");
SYMBOL_CRC(sdw_read_no_pm, 0x8acff2ff, "");
SYMBOL_CRC(sdw_update_no_pm, 0x0095230e, "");
SYMBOL_CRC(sdw_update, 0x11a39b86, "");
SYMBOL_CRC(sdw_nread, 0x9e7ca49f, "");
SYMBOL_CRC(sdw_nwrite, 0xbef1d148, "");
SYMBOL_CRC(sdw_read, 0x7f16653f, "");
SYMBOL_CRC(sdw_write, 0xc115d199, "");
SYMBOL_CRC(sdw_compare_devid, 0x41170da3, "");
SYMBOL_CRC(sdw_extract_slave_id, 0xc1c82a79, "");
SYMBOL_CRC(sdw_bus_prep_clk_stop, 0xb3f27074, "");
SYMBOL_CRC(sdw_bus_clk_stop, 0x89276aa9, "");
SYMBOL_CRC(sdw_bus_exit_clk_stop, 0x612e331a, "");
SYMBOL_CRC(sdw_handle_slave_status, 0x907d0244, "");
SYMBOL_CRC(sdw_clear_slave_status, 0x712c77cb, "");
SYMBOL_CRC(sdw_slave_add, 0x3e490331, "");
SYMBOL_CRC(sdw_master_read_prop, 0x5dc09621, "");
SYMBOL_CRC(sdw_slave_read_prop, 0xf23e2c47, "");
SYMBOL_CRC(sdw_rows, 0xf53ba0b8, "");
SYMBOL_CRC(sdw_cols, 0xba54b904, "");
SYMBOL_CRC(sdw_find_col_index, 0x60e31fbb, "");
SYMBOL_CRC(sdw_find_row_index, 0x1deee061, "");
SYMBOL_CRC(sdw_prepare_stream, 0x16d1706b, "");
SYMBOL_CRC(sdw_enable_stream, 0xbbec2c2e, "");
SYMBOL_CRC(sdw_disable_stream, 0x4cde88bf, "");
SYMBOL_CRC(sdw_deprepare_stream, 0x71891d59, "");
SYMBOL_CRC(sdw_alloc_stream, 0x9e122d79, "");
SYMBOL_CRC(sdw_startup_stream, 0x3b0a8582, "");
SYMBOL_CRC(sdw_shutdown_stream, 0x6f95b16b, "");
SYMBOL_CRC(sdw_release_stream, 0xda5bce09, "");
SYMBOL_CRC(sdw_stream_add_master, 0x9bdac8a5, "");
SYMBOL_CRC(sdw_stream_remove_master, 0x3df617b6, "");
SYMBOL_CRC(sdw_stream_add_slave, 0x5e66f783, "");
SYMBOL_CRC(sdw_stream_remove_slave, 0x2dd2af8b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x61bba7c4, "ida_alloc_range" },
	{ 0x7a030a22, "device_property_present" },
	{ 0xecaac5f2, "devm_device_add_groups" },
	{ 0x4ab4079e, "is_acpi_device_node" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x11b3de21, "wait_for_completion_timeout" },
	{ 0xafe86688, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x640ce521, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x9009a26b, "lockdep_register_key" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa1e0b3f9, "complete" },
	{ 0xd9b5e720, "device_unregister" },
	{ 0x5205cbd6, "pm_runtime_set_autosuspend_delay" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0xff7cd8f4, "irq_domain_remove" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xccf8c8e1, "seq_lseek" },
	{ 0x90922933, "dev_pm_domain_attach" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x4cd2546f, "devm_device_add_group" },
	{ 0xb12917ce, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xb340763b, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc07599d6, "pm_generic_runtime_resume" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x88182b4e, "__pm_runtime_set_status" },
	{ 0x122c3a7e, "_printk" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xb4c1c18e, "put_device" },
	{ 0xc9371f66, "pm_runtime_enable" },
	{ 0x48e34a92, "device_property_read_u32_array" },
	{ 0x7cad2c5e, "fwnode_property_read_u32_array" },
	{ 0x8d49d555, "dev_pm_domain_detach" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x9a385995, "pm_generic_runtime_suspend" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x27b8214, "bus_unregister" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xd3e282fa, "_dev_err" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x7ba0c905, "debugfs_remove" },
	{ 0x9ae2bafc, "mutex_is_locked" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x2b3aca87, "ida_free" },
	{ 0xcfc30fde, "driver_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0xfbaeedc3, "device_register" },
	{ 0x3ae1708f, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x20674100, "_dev_warn" },
	{ 0xda1c07dc, "__irq_domain_add" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd86ac5c9, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xcfe95b43, "devm_kasprintf" },
	{ 0x147be32a, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xa619809d, "fwnode_property_present" },
	{ 0x7b62a7d7, "debugfs_create_file" },
	{ 0xe70de0fc, "__pm_runtime_resume" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x8eff516b, "device_get_named_child_node" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xb9d133d1, "seq_printf" },
	{ 0x73cfc7c9, "irq_create_mapping_affinity" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xf1f0b6a0, "single_release" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0x8c263b71, "acpi_dev_for_each_child" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0xe0e71af0, "__pm_runtime_suspend" },
	{ 0xcee727b, "irq_set_chip" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x5ab8febf, "__pm_runtime_use_autosuspend" },
	{ 0x5cc027e4, "single_open" },
	{ 0x5d9e6167, "mutex_destroy" },
	{ 0xaa41c5bf, "__pm_runtime_disable" },
	{ 0x6308ec26, "debugfs_create_dir" },
	{ 0x44292bb9, "driver_register" },
	{ 0xfddc976b, "__pm_runtime_idle" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0x7d89af0f, "lockdep_unregister_key" },
	{ 0xed44313a, "bus_register" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0666F09C6D217B5B73A6775");
