#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usb_cdc_wdm_register, "", "");

SYMBOL_CRC(usb_cdc_wdm_register, 0x05f69266, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0xa97d2ad9, "usb_poison_urb" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xb2f81256, "usb_unpoison_urb" },
	{ 0xb340763b, "__dynamic_dev_dbg" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x18b00889, "___ratelimit" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xb3757520, "usb_register_driver" },
	{ 0xd55634ab, "usb_deregister" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x73c4fc6c, "usb_alloc_urb" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xd2ce9326, "usb_register_dev" },
	{ 0xf66f693b, "_dev_info" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x9fea6ac9, "cdc_parse_cdc_header" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xb0e602eb, "memmove" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x53df7429, "finish_wait" },
	{ 0x44269178, "usb_deregister_dev" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xaa5e488c, "mutex_lock_interruptible_nested" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x1000e51, "schedule" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x631cc261, "noop_llseek" },
	{ 0xd1d2e8f4, "compat_ptr_ioctl" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0x8afd5134, "usb_submit_urb" },
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0xd3e282fa, "_dev_err" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x85ce233b, "__wake_up" },
	{ 0xe42b04a5, "usb_autopm_get_interface" },
	{ 0xb6778c3c, "usb_autopm_put_interface" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x37a0cba, "kfree" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x46fc9f0b, "usb_free_urb" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc09ip*in*");

MODULE_INFO(srcversion, "AE4220D91B8ABC3E9AB66DF");
