#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x46fc9f0b, "usb_free_urb" },
	{ 0x44269178, "usb_deregister_dev" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb70789e, "__might_fault" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xd3e282fa, "_dev_err" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0xf66f693b, "_dev_info" },
	{ 0xa0668cbe, "usb_find_interface" },
	{ 0xc05f2fc, "usb_check_bulk_endpoints" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0xd2ce9326, "usb_register_dev" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x73c4fc6c, "usb_alloc_urb" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0x9b956aec, "usb_get_dev" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb3757520, "usb_register_driver" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x85ce233b, "__wake_up" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x74173355, "no_seek_end_llseek" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd55634ab, "usb_deregister" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x53df7429, "finish_wait" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x401654e4, "usb_kill_urb" },
	{ 0x8afd5134, "usb_submit_urb" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xfb578fc5, "memset" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x6461cefd, "usb_put_dev" },
	{ 0x37a0cba, "kfree" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("usb:v0711p0550d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0711p0900d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0711p0901d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0711p0902d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0711p0903d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0711p0918d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0711p0920d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0711p0950d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0711p5200d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v182Dp021Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v182Dp0269d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "70730353062D7230E8061F0");
