#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vfio_pci_core_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_close_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_finish_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_dev_region, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl_feature, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_read, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_write, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_mmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_request, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_match, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_init_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_release_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_aer_err_detected, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_sriov_configure, "_gpl", "");
KSYMTAB_DATA(vfio_pci_core_err_handlers, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_set_params, "_gpl", "");

SYMBOL_CRC(vfio_pci_core_enable, 0xdae5ead3, "_gpl");
SYMBOL_CRC(vfio_pci_core_disable, 0xd2a200d6, "_gpl");
SYMBOL_CRC(vfio_pci_core_close_device, 0x68fd2638, "_gpl");
SYMBOL_CRC(vfio_pci_core_finish_enable, 0x70a542a0, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_dev_region, 0x54032928, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl, 0xaea8ef48, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl_feature, 0x1caec214, "_gpl");
SYMBOL_CRC(vfio_pci_core_read, 0x6012c2ca, "_gpl");
SYMBOL_CRC(vfio_pci_core_write, 0x3a57fb6c, "_gpl");
SYMBOL_CRC(vfio_pci_core_mmap, 0x8f8aa7cc, "_gpl");
SYMBOL_CRC(vfio_pci_core_request, 0xd71f51c2, "_gpl");
SYMBOL_CRC(vfio_pci_core_match, 0xe25458c9, "_gpl");
SYMBOL_CRC(vfio_pci_core_init_dev, 0x81cbacd8, "_gpl");
SYMBOL_CRC(vfio_pci_core_release_dev, 0x84d24a54, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_device, 0x36f14840, "_gpl");
SYMBOL_CRC(vfio_pci_core_unregister_device, 0x64adcfd1, "_gpl");
SYMBOL_CRC(vfio_pci_core_aer_err_detected, 0x08a7d660, "_gpl");
SYMBOL_CRC(vfio_pci_core_sriov_configure, 0x20af5c70, "_gpl");
SYMBOL_CRC(vfio_pci_core_err_handlers, 0x2499ddfb, "_gpl");
SYMBOL_CRC(vfio_pci_core_set_params, 0x4cf699b8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf2949b91, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x84c930d2, "request_resource" },
	{ 0xf38c0744, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xc5f51f88, "pci_read_vpd" },
	{ 0xc3d581bc, "bus_unregister_notifier" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x80a23eec, "pci_request_selected_regions" },
	{ 0xbc2c5de9, "pci_release_selected_regions" },
	{ 0xa53b8ed3, "pci_user_write_config_byte" },
	{ 0x4a005590, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x4b0c0569, "pci_bus_max_busnr" },
	{ 0xafc34f27, "pci_check_and_mask_intx" },
	{ 0xaa78e3ac, "pci_iomap" },
	{ 0x19567d06, "vfio_info_cap_shift" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xb34aca9e, "pci_alloc_irq_vectors" },
	{ 0xadc044b7, "vfio_set_irqs_validate_and_prepare" },
	{ 0xe4c89692, "pci_enable_atomic_ops_to_root" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x67dc63f0, "pci_dev_put" },
	{ 0x3091e3e9, "iommu_group_get" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x9504bd3a, "vfio_virqfd_disable" },
	{ 0xeace4e2c, "vfio_iommufd_get_dev_id" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xe33a6ae3, "__mmap_lock_do_trace_acquire_returned" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x9a8a0d0a, "fget" },
	{ 0x8416ad95, "pci_num_vf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4ea64d5c, "pci_user_read_config_dword" },
	{ 0x583c6d9d, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x6f1a8f44, "dump_mm" },
	{ 0x796cf710, "pci_user_read_config_word" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x127d0be4, "pci_probe_reset_bus" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xeb9ec1d0, "pci_probe_reset_slot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xf88390ce, "zap_vma_ptes" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa99aef02, "pci_set_power_state" },
	{ 0x37ebb5f2, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0x1dd52d0d, "pci_irq_vector" },
	{ 0xf2c53d53, "pci_write_msi_msg" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xe6047a0e, "__tracepoint_mmap_lock_released" },
	{ 0xb340763b, "__dynamic_dev_dbg" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x2c41b000, "down_read_trylock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3386f72f, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x848d372e, "iowrite8" },
	{ 0x18b00889, "___ratelimit" },
	{ 0xeb8d1f35, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x6fe6df98, "pci_user_write_config_word" },
	{ 0x6d704d01, "vfio_iommufd_device_ictx" },
	{ 0x24319401, "bus_register_notifier" },
	{ 0xf66f693b, "_dev_info" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x4bc1f8d, "vfio_file_is_group" },
	{ 0x36a51ed, "pci_msix_can_alloc_dyn" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x961f32fa, "vfio_file_has_dev" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xea179697, "pci_clear_master" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x958aac52, "__pci_reset_function_locked" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x10f1fd42, "fput" },
	{ 0xd21cccf3, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x606d8142, "up_write" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xa1655192, "xa_load" },
	{ 0xc52137ab, "fs_reclaim_release" },
	{ 0x418873cc, "irq_bypass_register_producer" },
	{ 0x8559059c, "pci_write_vpd" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x43cf02cc, "vfio_virqfd_enable" },
	{ 0xf7e286e9, "vga_client_register" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xdcc3c96a, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0x84a75f8b, "aperture_remove_conflicting_pci_devices" },
	{ 0xe038f735, "vfio_unregister_group_dev" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xf74836c2, "pci_map_rom" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x50472887, "pci_store_saved_state" },
	{ 0xabb7c7c2, "get_cached_msi_msg" },
	{ 0xe163a684, "fs_reclaim_acquire" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x8cf64344, "pci_iounmap" },
	{ 0xa263ce95, "pci_restore_state" },
	{ 0xb19b445, "ioread8" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x20674100, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x10ad10b8, "pcie_get_mps" },
	{ 0xc5d9d316, "pci_dev_trylock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x90cc0ac4, "down_write_trylock" },
	{ 0x74a76053, "down_read" },
	{ 0x51db6ef7, "mutex_trylock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x6c28be5a, "vfio_info_add_capability" },
	{ 0xcbfa92f3, "pci_dev_driver" },
	{ 0xde779b7b, "__xa_insert" },
	{ 0xa0aa0e96, "xa_erase" },
	{ 0x5b53c5db, "__mmap_lock_do_trace_start_locking" },
	{ 0xa5ccbdde, "vfio_find_device_in_devset" },
	{ 0xf6e772c3, "irq_bypass_unregister_producer" },
	{ 0xcef11e45, "_dev_notice" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xee8d0f6d, "pm_runtime_forbid" },
	{ 0x7f8fb6bb, "pm_runtime_allow" },
	{ 0x5fce1c8b, "pci_reset_bus" },
	{ 0x82b308ec, "mmput" },
	{ 0xe70de0fc, "__pm_runtime_resume" },
	{ 0x16121cdb, "vfio_register_group_dev" },
	{ 0xa2b2743d, "vfio_assign_device_set" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x5f396fec, "pci_user_read_config_byte" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xf16a3224, "pci_try_reset_function" },
	{ 0x64e0a9ce, "xa_find" },
	{ 0x55d072e2, "__tracepoint_mmap_lock_start_locking" },
	{ 0x5071cf3d, "pci_get_class" },
	{ 0x34df71b8, "pci_user_write_config_dword" },
	{ 0xe1775aa8, "pcie_capability_read_dword" },
	{ 0x1cca156d, "__mmap_lock_do_trace_released" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x9388ee18, "pci_load_and_free_saved_state" },
	{ 0xf134e486, "pci_disable_sriov" },
	{ 0xb0c99d5a, "vfio_device_set_open_count" },
	{ 0x36b4483, "pci_disable_device" },
	{ 0x5a2ef896, "pci_match_id" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x78997dc2, "boot_cpu_data" },
	{ 0x454e3fff, "pci_check_and_unmask_intx" },
	{ 0x572803d2, "pcie_set_readrq" },
	{ 0xa548c062, "pci_walk_bus" },
	{ 0xdf3d6cb0, "pci_msix_alloc_irq_at" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xf930b65, "xa_find_after" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xfaa8f36b, "pci_unmap_rom" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0xef0e0f07, "pci_read_config_byte" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x1366fe77, "release_resource" },
	{ 0x754d539c, "strlen" },
	{ 0xdf0f75c6, "eventfd_signal" },
	{ 0x32372779, "vga_set_legacy_decoding" },
	{ 0x5d9e6167, "mutex_destroy" },
	{ 0xbbb603c0, "pci_dev_unlock" },
	{ 0x40d54cd3, "pci_write_config_word" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x4b43aeba, "pci_free_irq_vectors" },
	{ 0xa5bf5fa6, "pci_enable_sriov" },
	{ 0xb8e1f9ea, "up_read" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0xfddc976b, "__pm_runtime_idle" },
	{ 0x60687a52, "vfio_virqfd_flush_thread" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd0347222, "pci_bus_type" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "vfio,irqbypass");


MODULE_INFO(srcversion, "2E7DF53C1FD7245CDE457C9");
