#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vfio_assign_device_set, "_gpl", "");
KSYMTAB_FUNC(vfio_device_set_open_count, "_gpl", "");
KSYMTAB_FUNC(vfio_find_device_in_devset, "_gpl", "");
KSYMTAB_FUNC(_vfio_alloc_device, "_gpl", "");
KSYMTAB_FUNC(vfio_register_group_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_register_emulated_iommu_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_unregister_group_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_mig_get_next_state, "_gpl", "");
KSYMTAB_FUNC(vfio_combine_iova_ranges, "_gpl", "");
KSYMTAB_FUNC(vfio_file_is_valid, "_gpl", "");
KSYMTAB_FUNC(vfio_file_enforced_coherent, "_gpl", "");
KSYMTAB_FUNC(vfio_file_set_kvm, "_gpl", "");
KSYMTAB_FUNC(vfio_info_cap_add, "_gpl", "");
KSYMTAB_FUNC(vfio_info_cap_shift, "", "");
KSYMTAB_FUNC(vfio_info_add_capability, "", "");
KSYMTAB_FUNC(vfio_set_irqs_validate_and_prepare, "", "");
KSYMTAB_FUNC(vfio_pin_pages, "", "");
KSYMTAB_FUNC(vfio_unpin_pages, "", "");
KSYMTAB_FUNC(vfio_dma_rw, "", "");
KSYMTAB_FUNC(vfio_file_iommu_group, "_gpl", "");
KSYMTAB_FUNC(vfio_file_is_group, "_gpl", "");
KSYMTAB_FUNC(vfio_file_has_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_device_ictx, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_get_dev_id, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_bind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_unbind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_attach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_detach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_bind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_unbind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_attach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_detach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_register_iommu_driver, "_gpl", "");
KSYMTAB_FUNC(vfio_unregister_iommu_driver, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_flush_thread, "_gpl", "");

SYMBOL_CRC(vfio_assign_device_set, 0xa2b2743d, "_gpl");
SYMBOL_CRC(vfio_device_set_open_count, 0xb0c99d5a, "_gpl");
SYMBOL_CRC(vfio_find_device_in_devset, 0xa5ccbdde, "_gpl");
SYMBOL_CRC(_vfio_alloc_device, 0x1ea84ca4, "_gpl");
SYMBOL_CRC(vfio_register_group_dev, 0x16121cdb, "_gpl");
SYMBOL_CRC(vfio_register_emulated_iommu_dev, 0x75a76ae0, "_gpl");
SYMBOL_CRC(vfio_unregister_group_dev, 0xe038f735, "_gpl");
SYMBOL_CRC(vfio_mig_get_next_state, 0x60e363e9, "_gpl");
SYMBOL_CRC(vfio_combine_iova_ranges, 0x6e2aa0f0, "_gpl");
SYMBOL_CRC(vfio_file_is_valid, 0xdffd4d70, "_gpl");
SYMBOL_CRC(vfio_file_enforced_coherent, 0x81dbfd14, "_gpl");
SYMBOL_CRC(vfio_file_set_kvm, 0xec483ea2, "_gpl");
SYMBOL_CRC(vfio_info_cap_add, 0x60a634c4, "_gpl");
SYMBOL_CRC(vfio_info_cap_shift, 0x19567d06, "");
SYMBOL_CRC(vfio_info_add_capability, 0x6c28be5a, "");
SYMBOL_CRC(vfio_set_irqs_validate_and_prepare, 0xadc044b7, "");
SYMBOL_CRC(vfio_pin_pages, 0x6b2cade8, "");
SYMBOL_CRC(vfio_unpin_pages, 0xaab61088, "");
SYMBOL_CRC(vfio_dma_rw, 0x2a76f859, "");
SYMBOL_CRC(vfio_file_iommu_group, 0x50294752, "_gpl");
SYMBOL_CRC(vfio_file_is_group, 0x04bc1f8d, "_gpl");
SYMBOL_CRC(vfio_file_has_dev, 0x961f32fa, "_gpl");
SYMBOL_CRC(vfio_iommufd_device_ictx, 0x6d704d01, "_gpl");
SYMBOL_CRC(vfio_iommufd_get_dev_id, 0xeace4e2c, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_bind, 0x95209b8c, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_unbind, 0xc2f0ba8b, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_attach_ioas, 0x150699d3, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_detach_ioas, 0x51abe449, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_bind, 0x47a5f129, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_unbind, 0x5917e771, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_attach_ioas, 0xa05638be, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_detach_ioas, 0x5450ee3e, "_gpl");
SYMBOL_CRC(vfio_register_iommu_driver, 0x7ed3d7d2, "_gpl");
SYMBOL_CRC(vfio_unregister_iommu_driver, 0x7212d77a, "_gpl");
SYMBOL_CRC(vfio_virqfd_enable, 0x43cf02cc, "_gpl");
SYMBOL_CRC(vfio_virqfd_disable, 0x9504bd3a, "_gpl");
SYMBOL_CRC(vfio_virqfd_flush_thread, 0x60687a52, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x680bea5b, "iova_bitmap_free" },
	{ 0xc92e52d5, "iommufd_vfio_compat_ioas_get_id" },
	{ 0x66faa10b, "iommufd_access_unpin_pages" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x61bba7c4, "ida_alloc_range" },
	{ 0x4d6d0bbc, "iommu_group_ref_get" },
	{ 0xf92cb872, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xef236fde, "anon_inode_getfile" },
	{ 0xf38c0744, "__init_rwsem" },
	{ 0x66a1e966, "misc_deregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xfe0d5daf, "iommufd_access_detach" },
	{ 0xb917d1be, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x11b3de21, "wait_for_completion_timeout" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x640ce521, "dev_set_name" },
	{ 0xbcdd5b99, "iommu_group_set_name" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xa1e0b3f9, "complete" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x8bee1176, "cdev_device_del" },
	{ 0x3091e3e9, "iommu_group_get" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0xa56bb461, "class_destroy" },
	{ 0xf5a067bf, "iommu_group_dma_owner_claimed" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc4508ed9, "__xa_erase" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x5e6bde8e, "refcount_dec_and_mutex_lock" },
	{ 0xb4d1b427, "device_initialize" },
	{ 0xd04517b7, "iommufd_device_attach" },
	{ 0x439b600c, "fd_install" },
	{ 0x8d22bb58, "iommu_group_alloc" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf386ed28, "iommufd_access_pin_pages" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xa0ec9675, "pcpu_hot" },
	{ 0xc2dbb623, "add_wait_queue" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xd4ab54cf, "iommufd_access_replace" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x89485687, "iommu_group_put" },
	{ 0xc7a03a8, "iova_bitmap_alloc" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xb340763b, "__dynamic_dev_dbg" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0x44873ffa, "iommufd_vfio_compat_set_no_iommu" },
	{ 0xdd7c4c64, "iommufd_vfio_compat_ioas_create" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x26bad4d3, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0x76c90208, "cdev_device_add" },
	{ 0x18b00889, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xb4c1c18e, "put_device" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x15f07ff6, "iommufd_ctx_from_file" },
	{ 0xf66f693b, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0xc6cbbc89, "capable" },
	{ 0xdebee75d, "module_put" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xd1d2e8f4, "compat_ptr_ioctl" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0xe3e423ac, "iommu_group_release_dma_owner" },
	{ 0x10f1fd42, "fput" },
	{ 0xd21cccf3, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x41482d8b, "strndup_user" },
	{ 0x606d8142, "up_write" },
	{ 0x99160697, "device_add" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xa1655192, "xa_load" },
	{ 0x3c460d73, "iommufd_access_attach" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x4bd3b1af, "class_create" },
	{ 0x240da70f, "iommufd_device_bind" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0x611565b4, "iova_bitmap_for_each" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x2b3aca87, "ida_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x815d6dd1, "iommufd_access_rw" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0xf7f1654c, "device_del" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x20674100, "_dev_warn" },
	{ 0x41ed3cec, "eventfd_ctx_remove_wait_queue" },
	{ 0x73577233, "iommufd_access_destroy" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xb0898415, "misc_register" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x74a76053, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x6d74982b, "__xa_cmpxchg" },
	{ 0xd5aee4c7, "iommufd_device_to_id" },
	{ 0x98ca64aa, "iommufd_device_to_ictx" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xe70de0fc, "__pm_runtime_resume" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0xaa9751e3, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x19b95610, "xa_destroy" },
	{ 0x24051f58, "iommufd_ctx_put" },
	{ 0x572d26e8, "iommufd_access_create" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xcc9d36c, "iommu_group_claim_dma_owner" },
	{ 0xb70789e, "__might_fault" },
	{ 0xad0249c2, "iommufd_device_detach" },
	{ 0x39d41f27, "device_iommu_capable" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xf318eb3d, "iommufd_device_unbind" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xcbad0a03, "iommufd_ctx_has_group" },
	{ 0x5d9e6167, "mutex_destroy" },
	{ 0xe911df29, "eventfd_ctx_do_read" },
	{ 0x6f454d9d, "iommu_group_add_device" },
	{ 0xcc36ef45, "try_wait_for_completion" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xb8e1f9ea, "up_read" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0xfddc976b, "__pm_runtime_idle" },
	{ 0x8f61e7e5, "cdev_init" },
	{ 0x7f30f880, "iommufd_device_replace" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x32371e7e, "eventfd_ctx_fileget" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0x6af9685, "iommu_group_remove_device" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5efde415, "flush_work" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "43CADB915812901EAE398B5");
