#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfs41_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_session_trunk, "_gpl", "");
KSYMTAB_FUNC(nfs4_proc_getdeviceinfo, "_gpl", "");
KSYMTAB_DATA(nfs41_maxgetdevinfo_overhead, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_session_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_or_create_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_ds_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(pnfs_register_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_unregister_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_put_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_destroy_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_layout_insert_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_update_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_error_mark_layout_for_return, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_range, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_cleanup, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(pnfs_write_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_write_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_writepages, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_read_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_resend_pnfs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_readpages, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_lo_fail, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_layoutcommit, "_gpl", "");
KSYMTAB_FUNC(pnfs_layoutcommit_inode, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(pnfs_report_layoutstat, "_gpl", "");
KSYMTAB_DATA(layoutstats_timer, "_gpl", "");
KSYMTAB_FUNC(nfs4_print_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_get_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_delete_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_put_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_available, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_rw_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_prepare_to_resend_writes, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_write_commit_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_clear_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_alloc_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_free_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_add_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_release_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_destroy, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_scan_commit_lists, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_recover_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_search_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_pagelist, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_put, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_add, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_connect, "_gpl", "");
KSYMTAB_FUNC(nfs4_decode_mp_ds_addr, "_gpl", "");
KSYMTAB_FUNC(pnfs_layout_mark_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_nfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(nfs42_proc_layouterror, "_gpl", "");

SYMBOL_CRC(nfs41_sequence_done, 0xe605a09d, "_gpl");
SYMBOL_CRC(nfs4_sequence_done, 0x47be8f68, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0x8a32a141, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0xa2e8f377, "_gpl");
SYMBOL_CRC(nfs4_test_session_trunk, 0x87be4a36, "_gpl");
SYMBOL_CRC(nfs4_proc_getdeviceinfo, 0xef5499ed, "_gpl");
SYMBOL_CRC(nfs41_maxgetdevinfo_overhead, 0xf7801360, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0x52cc9112, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0xe9702fe7, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0xf6d4b8d4, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0xf1098cc7, "_gpl");
SYMBOL_CRC(nfs4_schedule_session_recovery, 0xb07cf66a, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0x9e548306, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0x6085edbd, "_gpl");
SYMBOL_CRC(nfs4_find_or_create_ds_client, 0xa67c8519, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0xf6692fba, "_gpl");
SYMBOL_CRC(nfs4_init_ds_session, 0xaa8c12b4, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_read, 0xa5f7b09c, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_read, 0x242e4e05, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_read, 0xf87af020, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_read, 0x63826d35, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_write, 0xc6e10d64, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_write, 0x53576c23, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_write, 0x046b7f83, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_write, 0xadeca730, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_commit_ds, 0xf4e105e5, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_commit_ds, 0x73912a4c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_commit_ds, 0x5c3a1307, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_commit_ds, 0x2b16e909, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_read, 0x0db0862a, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_read, 0xe27352d3, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, 0xb7a34e3e, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, 0x6a5eb444, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_write, 0xe44b5ceb, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_write, 0x3f991daf, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, 0xfe2b9b5e, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, 0xdeb5edce, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, 0x178d5d26, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, 0x59822717, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x2c283a8e, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x96c4643f, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_done, 0x778b6c69, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_done, 0x6e7166c0, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_done, 0x8adedf3a, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_done, 0xc361c3c5, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_done, 0x82aa3792, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_done, 0x3232b877, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_done, 0x7035626f, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_done, 0x930a94fd, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_pagelist, 0xbc28f3a0, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_pagelist, 0x67dad600, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, 0xa6483415, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, 0x6a925097, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_pagelist, 0xcceeb027, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_pagelist, 0xd9e1b900, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, 0x77ff97e3, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, 0x18e75751, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_read_error, 0x7144e891, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_read_error, 0x1fcde7f5, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_read_error, 0x3fe8b0d3, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_read_error, 0x7e42bd3f, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_write_error, 0xf6a18b9f, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_write_error, 0x2dc04279, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_write_error, 0x6e3d077b, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_write_error, 0xf32fa2b7, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_commit_error, 0x6aa9dc79, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_commit_error, 0x998f399d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_commit_error, 0xcd566694, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_commit_error, 0xcc21ce5c, "_gpl");
SYMBOL_CRC(pnfs_register_layoutdriver, 0xbca1e195, "_gpl");
SYMBOL_CRC(pnfs_unregister_layoutdriver, 0x7f771d11, "_gpl");
SYMBOL_CRC(pnfs_put_lseg, 0x68eef3ae, "_gpl");
SYMBOL_CRC(pnfs_destroy_layout, 0xa39aff0a, "_gpl");
SYMBOL_CRC(pnfs_generic_layout_insert_lseg, 0x728d64f3, "_gpl");
SYMBOL_CRC(pnfs_update_layout, 0x001d4911, "_gpl");
SYMBOL_CRC(pnfs_error_mark_layout_for_return, 0xff307d24, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_layout, 0x15b9c506, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_range, 0x84459984, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_read, 0x011a4a78, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_write, 0xea4443a5, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_cleanup, 0xbbed49c4, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_test, 0x575dc2f7, "_gpl");
SYMBOL_CRC(pnfs_write_done_resend_to_mds, 0xd698caf8, "_gpl");
SYMBOL_CRC(pnfs_ld_write_done, 0x4a376a2e, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_writepages, 0xe3829213, "_gpl");
SYMBOL_CRC(pnfs_read_done_resend_to_mds, 0x84999d33, "_gpl");
SYMBOL_CRC(pnfs_ld_read_done, 0x081c31fa, "_gpl");
SYMBOL_CRC(pnfs_read_resend_pnfs, 0x7e51686f, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_readpages, 0xb4a2bad5, "_gpl");
SYMBOL_CRC(pnfs_set_lo_fail, 0x1b0e79a3, "_gpl");
SYMBOL_CRC(pnfs_set_layoutcommit, 0xd456f1fb, "_gpl");
SYMBOL_CRC(pnfs_layoutcommit_inode, 0xfb7dca9d, "_gpl");
SYMBOL_CRC(pnfs_generic_sync, 0x9f8fd375, "_gpl");
SYMBOL_CRC(pnfs_report_layoutstat, 0xa5ce4e4a, "_gpl");
SYMBOL_CRC(layoutstats_timer, 0x054bef45, "_gpl");
SYMBOL_CRC(nfs4_print_deviceid, 0xed15fb41, "_gpl");
SYMBOL_CRC(nfs4_find_get_deviceid, 0xae8e10d9, "_gpl");
SYMBOL_CRC(nfs4_delete_deviceid, 0xc013141b, "_gpl");
SYMBOL_CRC(nfs4_init_deviceid_node, 0x336167d5, "_gpl");
SYMBOL_CRC(nfs4_put_deviceid_node, 0x5c07264a, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_available, 0xee5624c3, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_unavailable, 0xa92f9470, "_gpl");
SYMBOL_CRC(nfs4_test_deviceid_unavailable, 0x825e6466, "_gpl");
SYMBOL_CRC(pnfs_generic_rw_release, 0x69d3558d, "_gpl");
SYMBOL_CRC(pnfs_generic_prepare_to_resend_writes, 0x5e987e74, "_gpl");
SYMBOL_CRC(pnfs_generic_write_commit_done, 0x68accb10, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_release, 0xf999267e, "_gpl");
SYMBOL_CRC(pnfs_generic_clear_request_commit, 0xa11acdd8, "_gpl");
SYMBOL_CRC(pnfs_alloc_commit_array, 0x79b6341a, "_gpl");
SYMBOL_CRC(pnfs_free_commit_array, 0x9e955533, "_gpl");
SYMBOL_CRC(pnfs_add_commit_array, 0x3d95eb31, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_release_lseg, 0xd9ff5a7c, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_destroy, 0xc24e3d49, "_gpl");
SYMBOL_CRC(pnfs_generic_scan_commit_lists, 0x133c7b3e, "_gpl");
SYMBOL_CRC(pnfs_generic_recover_commit_reqs, 0xbad84f87, "_gpl");
SYMBOL_CRC(pnfs_generic_search_commit_reqs, 0x35471e30, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_pagelist, 0x4011e86d, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_put, 0x5407e7e8, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_add, 0xba97a686, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_connect, 0x9b449acd, "_gpl");
SYMBOL_CRC(nfs4_decode_mp_ds_addr, 0xf7448997, "_gpl");
SYMBOL_CRC(pnfs_layout_mark_request_commit, 0x20f36934, "_gpl");
SYMBOL_CRC(pnfs_nfs_generic_sync, 0x7f0c941a, "_gpl");
SYMBOL_CRC(nfs42_proc_layouterror, 0x99be5513, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xba68d592, "rpc_put_task" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x4844e88c, "generic_copy_file_range" },
	{ 0xca8a14aa, "svc_generic_rpcbind_set" },
	{ 0x49c009a7, "nfs_clone_server" },
	{ 0xa4db69de, "nfs_access_add_cache" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc4e3c4cc, "filemap_fdatawrite" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0xab400eb3, "nfs_show_stats" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x61bba7c4, "ida_alloc_range" },
	{ 0xb4bfce30, "nfs_server_remove_lists" },
	{ 0xfb7ae007, "nfs42_ssc_unregister" },
	{ 0x2d5ee8d6, "generic_listxattr" },
	{ 0xf92cb872, "try_module_get" },
	{ 0x85534a53, "revert_creds" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x2bf4997f, "nfs_writeback_update_inode" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x251b43fe, "clear_inode" },
	{ 0x7f78aa5b, "inode_to_bdi" },
	{ 0xba50cbf, "bpf_trace_run4" },
	{ 0x2422e83e, "user_destroy" },
	{ 0x7344405a, "idr_find" },
	{ 0xdee5b7c3, "param_ops_uint" },
	{ 0x4ee0722f, "user_revoke" },
	{ 0xce30ba6e, "d_exact_alias" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x308f43c4, "nfs_alloc_client" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0xe79f5511, "list_lru_del" },
	{ 0xb28d6f6a, "nfs_mark_client_ready" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xef4cf686, "rpc_clnt_probe_trunked_xprts" },
	{ 0xd1b407c9, "nfs_pageio_reset_read_mds" },
	{ 0x867010af, "xdr_write_pages" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0xca981c09, "rpc_shutdown_client" },
	{ 0xb675d01a, "svc_bind" },
	{ 0xcb793722, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x40739385, "nfs_wait_bit_killable" },
	{ 0xd36f0246, "nfs_free_inode" },
	{ 0xb0cef9dd, "nfs_access_zap_cache" },
	{ 0xe968a094, "nfs_sb_deactive" },
	{ 0xdc903456, "nfs_wb_all" },
	{ 0x3c7e4bed, "__break_lease" },
	{ 0x43e64827, "nfs_pageio_init_write" },
	{ 0x76ac8048, "svc_recv" },
	{ 0x78290a8e, "nfs_drop_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa1e0b3f9, "complete" },
	{ 0xa4ed6aea, "xdr_inline_decode" },
	{ 0x95897450, "dump_page" },
	{ 0x24d76cdf, "nfs_pageio_init_read" },
	{ 0x842317de, "trace_raw_output_prep" },
	{ 0xa4140b57, "nfs_wait_client_init_complete" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x910ad6a, "nfs_init_commit" },
	{ 0x800fe6de, "nfs_commitdata_release" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x53fd19c0, "bpf_trace_run6" },
	{ 0xdb136479, "list_lru_destroy" },
	{ 0xca9360b5, "rb_next" },
	{ 0x339e437e, "rpc_net_ns" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0xd738977e, "__trace_trigger_soft_disabled" },
	{ 0x4914dd6a, "nfs_mknod" },
	{ 0x84e7f185, "nfs_inode_attach_open_context" },
	{ 0x53df7429, "finish_wait" },
	{ 0x715275bd, "nfs4_label_alloc" },
	{ 0xf8ed36a7, "rpc_localaddr" },
	{ 0x1570da64, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0xa87da128, "trace_event_printf" },
	{ 0xca6e3d64, "nfs_access_get_cached" },
	{ 0x96848186, "scnprintf" },
	{ 0x392e013c, "idr_replace" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x97de2b83, "debug_locks_silent" },
	{ 0xa1e69445, "nfs_lock" },
	{ 0xca7d8764, "kthread_freezable_should_stop" },
	{ 0xba6fc685, "unregister_key_type" },
	{ 0x2f915cbf, "nfs_client_init_is_complete" },
	{ 0x314a60ad, "nfs_file_splice_read" },
	{ 0x37d1050e, "register_shrinker" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x28a87581, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x2ad5ff2d, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0xee32ea6c, "trace_event_raw_init" },
	{ 0x1e424d61, "user_preparse" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0xc05696ec, "ihold" },
	{ 0x210966bd, "truncate_pagecache_range" },
	{ 0x112b85c5, "rpc_peeraddr" },
	{ 0x37a0cba, "kfree" },
	{ 0x24031e44, "invalidate_inode_pages2_range" },
	{ 0x2b32acdd, "nfs_post_op_update_inode" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x1cb05e8, "svc_exit_thread" },
	{ 0xde660ae9, "iput" },
	{ 0xa89da76b, "xdr_set_pagelen" },
	{ 0xa0ec9675, "pcpu_hot" },
	{ 0xd57dbbec, "nfs_pgio_header_free" },
	{ 0x263faf90, "nfs_request_add_commit_list_locked" },
	{ 0xc2dbb623, "add_wait_queue" },
	{ 0x242f6cbb, "logfc" },
	{ 0xa95bea39, "nfs_pgio_header_alloc" },
	{ 0xb0bd8018, "__put_devmap_managed_page_refs" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x136d8b57, "iter_file_splice_write" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x7d994224, "rpc_pton" },
	{ 0x258d9562, "nfs_sb_active" },
	{ 0x44460b82, "mod_node_page_state" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0x9227529a, "rpc_wake_up_queued_task" },
	{ 0x2b0ec868, "bpf_trace_run2" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xd771d455, "xdr_stream_zero" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x4ade5d9e, "rpc_restart_call_prepare" },
	{ 0x85ce233b, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x62b6f9c7, "_copy_from_pages" },
	{ 0xf93a08dd, "__module_get" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x6ae36ee4, "kmem_cache_create" },
	{ 0x31b0b7b8, "rpc_task_release_transport" },
	{ 0x3d0b7682, "xdr_page_pos" },
	{ 0xaf0f5bea, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x7bb02cc9, "nfs_pgio_current_mirror" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x848372d0, "key_instantiate_and_link" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0x3539f11b, "match_strlcpy" },
	{ 0x1a207f53, "xdr_read_pages" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x168a36b5, "register_key_type" },
	{ 0xaf8582bf, "rpc_sleep_on" },
	{ 0x87c4a00a, "rpc_run_task" },
	{ 0xee246f98, "nfs_pageio_resend" },
	{ 0x1128144e, "keyring_alloc" },
	{ 0xeb56badd, "vfs_setpos" },
	{ 0x1f14b581, "nfs_create" },
	{ 0xb9d5476d, "complete_request_key" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbcad99d5, "__put_cred" },
	{ 0x1a0a26ef, "swapcache_mapping" },
	{ 0x1b0390a2, "nfs_statfs" },
	{ 0x4eedfe1c, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x973fa4f, "rpc_max_bc_payload" },
	{ 0xa4d4f11b, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0x44e00bbd, "rpc_clnt_xprt_switch_add_xprt" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0xc54cf2ae, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x998f88d1, "nfs_mkdir" },
	{ 0x9a9b85e7, "nfs_revalidate_inode" },
	{ 0xda11393, "inode_newsize_ok" },
	{ 0x35f8cd1, "nfs_file_mmap" },
	{ 0x85394e3c, "nfs_get_lock_context" },
	{ 0x4a7f4a0a, "d_drop" },
	{ 0x122c3a7e, "_printk" },
	{ 0x723ae100, "nfs_set_cache_invalid" },
	{ 0x782fd5b7, "rpc_release_client" },
	{ 0x60aa7c9a, "rpc_clnt_manage_trunked_xprts" },
	{ 0x18b00889, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x708d567a, "xdr_enter_page" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7f861c65, "rpc_clnt_setup_test_and_add_xprt" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0xff7a2dc6, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x83d88460, "nfs_generic_pgio" },
	{ 0x92aa65, "make_kuid" },
	{ 0x3ccd1746, "truncate_inode_pages_final" },
	{ 0xed2e440a, "generic_setlease" },
	{ 0x9cdd12cb, "xprt_destroy_backchannel" },
	{ 0x183f5375, "rpc_switch_client_transport" },
	{ 0x18eac277, "bc_svc_process" },
	{ 0xa916b694, "strnlen" },
	{ 0xe3102320, "nfs_scan_commit_list" },
	{ 0x6cecd8fd, "xdr_stream_decode_string_dup" },
	{ 0x377eedff, "nfs_commit_inode" },
	{ 0xa83cbbbb, "locks_init_lock" },
	{ 0x5e594a14, "unregister_shrinker" },
	{ 0x9ce6e245, "rpc_destroy_pipe_data" },
	{ 0x6b6e7e2b, "nfs_get_client" },
	{ 0x58bf70f3, "__free_pages" },
	{ 0xa9cbed8a, "kmem_cache_alloc" },
	{ 0x9f984513, "strrchr" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xf0d830fb, "init_task" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xe6339314, "nfs_atomic_open" },
	{ 0xc12ecd73, "rpc_pipe_generic_upcall" },
	{ 0x6620d2f1, "nfs_file_fsync" },
	{ 0xdebee75d, "module_put" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x4b3cd3f6, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x750925cd, "mntput" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xac1bf79a, "nfs_put_lock_context" },
	{ 0x4517a236, "nfs_rename" },
	{ 0xd913cc7c, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xc2bda5a4, "nfs_sysfs_link_rpc_client" },
	{ 0xf95cabee, "nfs_put_client" },
	{ 0xda4ff221, "nfs_show_options" },
	{ 0x4975c0e5, "dns_query" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0x187bce4b, "key_put" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x8a00ee3b, "mount_subtree" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xdb754693, "get_nfs_open_context" },
	{ 0xb1f31cbd, "perf_trace_run_bpf_submit" },
	{ 0xbaaa106e, "nfs_clear_verifier_delegated" },
	{ 0xc4114da2, "nfs_sysfs_add_server" },
	{ 0x10f1fd42, "fput" },
	{ 0xd21cccf3, "down_write" },
	{ 0xcf514cac, "rpc_machine_cred" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0x56855e70, "nfs_do_submount" },
	{ 0x4198b6c9, "vfs_dup_fs_context" },
	{ 0x606d8142, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x2c09046a, "request_key_with_auxdata" },
	{ 0xdce349fd, "rpc_clone_client_set_auth" },
	{ 0x66f1127d, "rpc_clone_client" },
	{ 0xbd20a6e4, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0x9cc69621, "nfs_client_init_status" },
	{ 0x299d0adb, "idr_alloc" },
	{ 0xac892c41, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xb6954c3b, "radix_tree_preloads" },
	{ 0xf05e9573, "user_describe" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x7e2405e7, "put_fs_context" },
	{ 0x14675a1, "nfs_retry_commit" },
	{ 0x49c1c97c, "nfs4_dentry_operations" },
	{ 0x8eaf53d7, "__module_put_and_kthread_exit" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xd5d98b91, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xa31052d3, "nfs_client_for_each_server" },
	{ 0xdbe88556, "nfs_clear_inode" },
	{ 0xf9504ef6, "rpc_sleep_on_priority" },
	{ 0xfb55a5c9, "nfs_invalidate_atime" },
	{ 0xc9037406, "bpf_trace_run5" },
	{ 0x954f099c, "idr_preload" },
	{ 0xe141ff61, "nfs_umount_begin" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x8e0a0b78, "nfs_getattr" },
	{ 0x4a2efeb3, "nfs_pageio_reset_write_mds" },
	{ 0x97ebf994, "kmem_cache_free" },
	{ 0x21bad943, "nfs_generic_pg_test" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x5a921311, "strncmp" },
	{ 0x4f141a41, "xdr_stream_subsegment" },
	{ 0xff2d3cc4, "nfs_zap_acl_cache" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0x2d2150a6, "nfs_fscache_open_file" },
	{ 0xc761ba72, "from_kgid" },
	{ 0x1a5df3a2, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xca685869, "nfs_write_inode" },
	{ 0xfdc5b3df, "nfs_request_remove_commit_list" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x2b3aca87, "ida_free" },
	{ 0x1a623c34, "wait_for_completion_interruptible" },
	{ 0xbd0c93d5, "rpc_wake_up_first" },
	{ 0xd7fb9dc5, "alloc_nfs_open_context" },
	{ 0x6636c9c3, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xe8abe88e, "vfs_parse_fs_param" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xfe3de0b1, "nfs_path" },
	{ 0x3dd78fde, "rpc_sleep_on_priority_timeout" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xd4f30524, "nfs_create_rpc_client" },
	{ 0xfeacee4d, "_raw_spin_trylock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x1cd49cb6, "register_nfs_version" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0xa8056403, "rpc_sleep_on_timeout" },
	{ 0xb11e026d, "list_lru_count_one" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x6cd7a802, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x749ab6cb, "rpc_call_start" },
	{ 0xf4259798, "xprt_setup_backchannel" },
	{ 0xb69c17f5, "bpf_trace_run1" },
	{ 0x875bf2f5, "svc_create" },
	{ 0x7d46a2f6, "rpc_clnt_iterate_for_each_xprt" },
	{ 0x6e275ac0, "nfs_file_set_open_context" },
	{ 0xf4c2b032, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0x35674653, "rpc_call_sync" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x9ec53fce, "from_kuid" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xcc18d7f8, "rpc_put_task_async" },
	{ 0xf6e0d7fa, "rpc_prepare_reply_pages" },
	{ 0x5b3dd0f3, "rpc_queue_upcall" },
	{ 0x589526dd, "nfs_free_server" },
	{ 0x6f2744c1, "fc_mount" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x438df1f2, "register_sysctl_sz" },
	{ 0x3f2e968d, "nfs_setattr" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xd24699b4, "xdr_terminate_string" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x9a812eaa, "nfs4_fs_type" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xca915b32, "key_revoke" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0x4e4c7425, "rpc_delay" },
	{ 0x5cc275fb, "nfs_flock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1ca4aad9, "__list_lru_init" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0x5bdf16e3, "svc_generic_init_request" },
	{ 0xbca3f13a, "_atomic_dec_and_lock" },
	{ 0x351f5ad8, "key_validate" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0x17a083ea, "rpc_exit" },
	{ 0x68343fef, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x30ff5372, "rpc_remove_pipe_dir_object" },
	{ 0x687e4228, "nfs_may_open" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0xad56d9a5, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x1b6d4aa3, "nfs_server_copy_userdata" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x74a76053, "down_read" },
	{ 0x27e0ea0f, "xdr_reserve_space" },
	{ 0xc0d30b67, "down_write_nested" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x4acb6764, "rpcauth_lookupcred" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0x89de3be6, "kthread_create_on_node" },
	{ 0xabc640f3, "list_lru_isolate" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x4d36df0c, "nfs_rmdir" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0x3bdab5ae, "bpf_trace_run3" },
	{ 0xfc8af0ef, "override_creds" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0xfb0f331e, "nfs_filemap_write_and_wait_range" },
	{ 0xc575c737, "debug_locks_off" },
	{ 0x71d1e788, "rpc_mkpipe_dentry" },
	{ 0xfde6b455, "alloc_file_pseudo" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb9efeea8, "rpc_mkpipe_data" },
	{ 0xb772c9f5, "rpc_add_pipe_dir_object" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x7dd049dd, "igrab" },
	{ 0x1648d30e, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x2778d040, "nfs_async_iocounter_wait" },
	{ 0xd5c72ef4, "nfs_file_read" },
	{ 0xc3db3982, "trace_event_buffer_reserve" },
	{ 0x37e7b797, "nfs_alloc_fattr_with_label" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x2c197778, "filemap_fdatawait_range" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0x4afd4e33, "percpu_counter_add_batch" },
	{ 0xe6313769, "nfs_commitdata_alloc" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0xf1e4ab73, "nfs_setattr_update_inode" },
	{ 0x6e83ddd0, "nfs_instantiate" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x391333cd, "init_user_ns" },
	{ 0x8280eb94, "rpc_uaddr2sockaddr" },
	{ 0x66ca22e2, "user_read" },
	{ 0x81ec3622, "rpc_restart_call" },
	{ 0x1badab0b, "request_key_tag" },
	{ 0x893bbc35, "xprt_force_disconnect" },
	{ 0x8ead800c, "user_free_preparse" },
	{ 0xb6742e52, "alloc_pages" },
	{ 0x7f4875d9, "rpc_clnt_xprt_switch_remove_xprt" },
	{ 0x2213069b, "svc_xprt_destroy_all" },
	{ 0x16557a3c, "generic_key_instantiate" },
	{ 0xa88610db, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0x987dfe60, "nfs_link" },
	{ 0xe0adf355, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x8234ab49, "list_lru_walk_one" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0x8fdb7ab8, "rpcauth_stringify_acceptor" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6010e083, "dput" },
	{ 0x3720d9ef, "lockref_get" },
	{ 0x352c21e6, "rpc_init_wait_queue" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x58e661dc, "xdr_stream_move_subsegment" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xb345fab5, "put_rpccred" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0x294c6a2, "nfs_callback_nr_threads" },
	{ 0x3058ac7b, "nfs_post_op_update_inode_force_wcc" },
	{ 0x1fbbee23, "nfs_pgheader_init" },
	{ 0x73475f93, "__asan_handle_no_return" },
	{ 0x86497d6f, "put_nfs_open_context" },
	{ 0xa4d85a49, "nfs_show_path" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xda23ac30, "nfs_show_devname" },
	{ 0x860d6723, "nfs_permission" },
	{ 0x8b3e4aaf, "nfs_initiate_commit" },
	{ 0x54758a43, "truncate_inode_pages_range" },
	{ 0xc46f67ac, "__put_user_ns" },
	{ 0x4ae14053, "cred_fscmp" },
	{ 0x8a1e6fb9, "rpc_unlink" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x5c251de1, "nfs_sync_inode" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x2bfed471, "proc_dointvec" },
	{ 0xc4688d9e, "remove_wait_queue" },
	{ 0x5d78d67e, "nfs_file_write" },
	{ 0xaafd4acc, "max_session_cb_slots" },
	{ 0x6c2511db, "node_data" },
	{ 0xae1a05de, "nfs_probe_server" },
	{ 0xe6193d88, "nfs_setsecurity" },
	{ 0x1fd54703, "__might_resched" },
	{ 0x1d565d97, "rpc_clnt_xprt_switch_has_addr" },
	{ 0xdc46e32f, "rpc_clnt_test_and_add_xprt" },
	{ 0xcb435d9, "file_ra_state_init" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x183a3724, "nfs_force_lookup_revalidate" },
	{ 0xa397918d, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf6a75fc4, "rpc_clnt_add_xprt" },
	{ 0xf53c850f, "dget_parent" },
	{ 0x96020849, "from_kuid_munged" },
	{ 0x174c9c58, "prepare_kernel_cred" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0x5fa234c3, "nfs_alloc_server" },
	{ 0x612c098b, "rpc_call_async" },
	{ 0x5fe757d8, "security_dentry_init_security" },
	{ 0x6ffcbe0e, "filemap_write_and_wait_range" },
	{ 0x90c40a1f, "nfs_server_insert_lists" },
	{ 0x61716e1, "nfs_dreq_bytes_left" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x754d539c, "strlen" },
	{ 0xc3cd752, "nfs_free_client" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x47e79c81, "rpc_init_pipe_dir_object" },
	{ 0x24cd3f88, "bpf_trace_run7" },
	{ 0x22d63739, "nfs_refresh_inode" },
	{ 0xa04f7db6, "refcount_dec_and_lock" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x91d1fe52, "max_session_slots" },
	{ 0x349cba85, "strchr" },
	{ 0xc6c8b8f1, "nfs_access_set_mask" },
	{ 0xc5a2480c, "nfs_init_server_rpcclient" },
	{ 0x35cca1eb, "__mark_inode_dirty" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x5b92869c, "rpc_set_connect_timeout" },
	{ 0x1fc1cfeb, "rpcauth_create" },
	{ 0x1304138d, "list_lru_add" },
	{ 0xe9a47fb4, "xdr_stream_pos" },
	{ 0x6d40c89e, "key_set_timeout" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0xb8e1f9ea, "up_read" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0x3d16aff1, "svc_xprt_create" },
	{ 0x24fb1d25, "nfs42_ssc_register" },
	{ 0x6ffcdde7, "rpc_wait_for_completion_task" },
	{ 0x4bd54299, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc213b2ae, "rpc_num_bc_slots" },
	{ 0xcef3a904, "nfs_alloc_inode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x71526ea4, "rpc_destroy_wait_queue" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0xb215bf38, "security_inode_listsecurity" },
	{ 0xb014299, "nfs_fhget" },
	{ 0xc21bac13, "nfs_symlink" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x58aa0d42, "locks_copy_lock" },
	{ 0x2ab54273, "kmem_cache_destroy" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0xadf144a0, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x38f7d76a, "nfs_set_verifier" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x94dee2e4, "proc_dointvec_minmax" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,nfs");


MODULE_INFO(srcversion, "8BD5C3A146107C27535DADC");
