#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ocfs2_stack_glue_register, "_gpl", "");
KSYMTAB_FUNC(ocfs2_stack_glue_unregister, "_gpl", "");
KSYMTAB_FUNC(ocfs2_stack_glue_set_max_proto_version, "_gpl", "");
KSYMTAB_FUNC(ocfs2_dlm_lock, "_gpl", "");
KSYMTAB_FUNC(ocfs2_dlm_unlock, "_gpl", "");
KSYMTAB_FUNC(ocfs2_dlm_lock_status, "_gpl", "");
KSYMTAB_FUNC(ocfs2_dlm_lvb_valid, "_gpl", "");
KSYMTAB_FUNC(ocfs2_dlm_lvb, "_gpl", "");
KSYMTAB_FUNC(ocfs2_dlm_dump_lksb, "_gpl", "");
KSYMTAB_FUNC(ocfs2_stack_supports_plocks, "_gpl", "");
KSYMTAB_FUNC(ocfs2_plock, "_gpl", "");
KSYMTAB_FUNC(ocfs2_cluster_connect, "_gpl", "");
KSYMTAB_FUNC(ocfs2_cluster_connect_agnostic, "_gpl", "");
KSYMTAB_FUNC(ocfs2_cluster_disconnect, "_gpl", "");
KSYMTAB_FUNC(ocfs2_cluster_hangup, "_gpl", "");
KSYMTAB_FUNC(ocfs2_cluster_this_node, "_gpl", "");
KSYMTAB_DATA(ocfs2_kset, "_gpl", "");

SYMBOL_CRC(ocfs2_stack_glue_register, 0x7e44c5f4, "_gpl");
SYMBOL_CRC(ocfs2_stack_glue_unregister, 0x56cb9331, "_gpl");
SYMBOL_CRC(ocfs2_stack_glue_set_max_proto_version, 0xd344e4ee, "_gpl");
SYMBOL_CRC(ocfs2_dlm_lock, 0xaf969565, "_gpl");
SYMBOL_CRC(ocfs2_dlm_unlock, 0xc5196999, "_gpl");
SYMBOL_CRC(ocfs2_dlm_lock_status, 0xcafdd707, "_gpl");
SYMBOL_CRC(ocfs2_dlm_lvb_valid, 0x1475f64b, "_gpl");
SYMBOL_CRC(ocfs2_dlm_lvb, 0x76f40744, "_gpl");
SYMBOL_CRC(ocfs2_dlm_dump_lksb, 0xd806a273, "_gpl");
SYMBOL_CRC(ocfs2_stack_supports_plocks, 0xbbc4ef97, "_gpl");
SYMBOL_CRC(ocfs2_plock, 0xb1d6b856, "_gpl");
SYMBOL_CRC(ocfs2_cluster_connect, 0xc9fae756, "_gpl");
SYMBOL_CRC(ocfs2_cluster_connect_agnostic, 0x0cfd3fc5, "_gpl");
SYMBOL_CRC(ocfs2_cluster_disconnect, 0x9507547f, "_gpl");
SYMBOL_CRC(ocfs2_cluster_hangup, 0x4d3af7fa, "_gpl");
SYMBOL_CRC(ocfs2_cluster_this_node, 0x0a726931, "_gpl");
SYMBOL_CRC(ocfs2_kset, 0xad39a0a8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xf92cb872, "try_module_get" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xc7fbc629, "kset_unregister" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xff7a2dc6, "unregister_sysctl_table" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x52d6b1af, "fs_kobj" },
	{ 0xa916b694, "strnlen" },
	{ 0xdebee75d, "module_put" },
	{ 0x300e9c17, "proc_dostring" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x5a921311, "strncmp" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x335df807, "sysfs_create_group" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x438df1f2, "register_sysctl_sz" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xdd64e639, "strscpy" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x12db91de, "kset_create_and_add" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7C5284D59138083E971D250");
