#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(libceph_compatible, "", "");
KSYMTAB_FUNC(ceph_msg_type_name, "", "");
KSYMTAB_FUNC(ceph_check_fsid, "", "");
KSYMTAB_FUNC(ceph_compare_options, "", "");
KSYMTAB_FUNC(ceph_parse_fsid, "", "");
KSYMTAB_FUNC(ceph_alloc_options, "", "");
KSYMTAB_FUNC(ceph_destroy_options, "", "");
KSYMTAB_FUNC(ceph_parse_mon_ips, "", "");
KSYMTAB_FUNC(ceph_parse_param, "", "");
KSYMTAB_FUNC(ceph_print_client_options, "", "");
KSYMTAB_FUNC(ceph_client_addr, "", "");
KSYMTAB_FUNC(ceph_client_gid, "", "");
KSYMTAB_FUNC(ceph_create_client, "", "");
KSYMTAB_FUNC(ceph_destroy_client, "", "");
KSYMTAB_FUNC(ceph_reset_client_addr, "", "");
KSYMTAB_FUNC(__ceph_open_session, "", "");
KSYMTAB_FUNC(ceph_open_session, "", "");
KSYMTAB_FUNC(ceph_wait_for_latest_osdmap, "", "");
KSYMTAB_FUNC(ceph_pr_addr, "", "");
KSYMTAB_FUNC(ceph_msgr_flush, "", "");
KSYMTAB_FUNC(ceph_con_close, "", "");
KSYMTAB_FUNC(ceph_con_open, "", "");
KSYMTAB_FUNC(ceph_con_init, "", "");
KSYMTAB_FUNC(ceph_addr_is_blank, "", "");
KSYMTAB_FUNC(ceph_con_send, "", "");
KSYMTAB_FUNC(ceph_con_keepalive, "", "");
KSYMTAB_FUNC(ceph_msg_data_add_pages, "", "");
KSYMTAB_FUNC(ceph_msg_data_add_pagelist, "", "");
KSYMTAB_FUNC(ceph_msg_data_add_bio, "", "");
KSYMTAB_FUNC(ceph_msg_data_add_bvecs, "", "");
KSYMTAB_FUNC(ceph_msg_new2, "", "");
KSYMTAB_FUNC(ceph_msg_new, "", "");
KSYMTAB_FUNC(ceph_msg_get, "", "");
KSYMTAB_FUNC(ceph_msg_put, "", "");
KSYMTAB_FUNC(ceph_msg_dump, "", "");
KSYMTAB_FUNC(ceph_buffer_new, "", "");
KSYMTAB_FUNC(ceph_buffer_release, "", "");
KSYMTAB_FUNC(ceph_pagelist_alloc, "", "");
KSYMTAB_FUNC(ceph_pagelist_release, "", "");
KSYMTAB_FUNC(ceph_pagelist_append, "", "");
KSYMTAB_FUNC(ceph_pagelist_reserve, "", "");
KSYMTAB_FUNC(ceph_pagelist_free_reserve, "", "");
KSYMTAB_FUNC(ceph_pagelist_set_cursor, "", "");
KSYMTAB_FUNC(ceph_pagelist_truncate, "", "");
KSYMTAB_FUNC(ceph_monc_want_map, "", "");
KSYMTAB_FUNC(ceph_monc_got_map, "", "");
KSYMTAB_FUNC(ceph_monc_renew_subs, "", "");
KSYMTAB_FUNC(ceph_monc_wait_osdmap, "", "");
KSYMTAB_FUNC(ceph_monc_open_session, "", "");
KSYMTAB_FUNC(ceph_monc_do_statfs, "", "");
KSYMTAB_FUNC(ceph_monc_get_version, "", "");
KSYMTAB_FUNC(ceph_monc_get_version_async, "", "");
KSYMTAB_FUNC(ceph_monc_blocklist_add, "", "");
KSYMTAB_FUNC(ceph_monc_init, "", "");
KSYMTAB_FUNC(ceph_monc_stop, "", "");
KSYMTAB_FUNC(ceph_monc_validate_auth, "", "");
KSYMTAB_FUNC(ceph_decode_entity_addr, "", "");
KSYMTAB_FUNC(ceph_decode_entity_addrvec, "", "");
KSYMTAB_FUNC(ceph_cls_lock, "", "");
KSYMTAB_FUNC(ceph_cls_unlock, "", "");
KSYMTAB_FUNC(ceph_cls_break_lock, "", "");
KSYMTAB_FUNC(ceph_cls_set_cookie, "", "");
KSYMTAB_FUNC(ceph_free_lockers, "", "");
KSYMTAB_FUNC(ceph_cls_lock_info, "", "");
KSYMTAB_FUNC(ceph_cls_assert_locked, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data, "", "");
KSYMTAB_FUNC(osd_req_op_raw_data_in_pages, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data_pages, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data_pagelist, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data_bio, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data_bvecs, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data_bvec_pos, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_iter, "", "");
KSYMTAB_FUNC(osd_req_op_cls_request_data_pagelist, "", "");
KSYMTAB_FUNC(osd_req_op_cls_request_data_pages, "", "");
KSYMTAB_FUNC(osd_req_op_cls_request_data_bvecs, "", "");
KSYMTAB_FUNC(osd_req_op_cls_response_data_pages, "", "");
KSYMTAB_FUNC(ceph_osdc_get_request, "", "");
KSYMTAB_FUNC(ceph_osdc_put_request, "", "");
KSYMTAB_FUNC(ceph_osdc_alloc_request, "", "");
KSYMTAB_FUNC(ceph_osdc_alloc_messages, "", "");
KSYMTAB_FUNC(osd_req_op_init, "", "");
KSYMTAB_FUNC(osd_req_op_extent_init, "", "");
KSYMTAB_FUNC(osd_req_op_extent_update, "", "");
KSYMTAB_FUNC(osd_req_op_extent_dup_last, "", "");
KSYMTAB_FUNC(osd_req_op_cls_init, "", "");
KSYMTAB_FUNC(osd_req_op_xattr_init, "", "");
KSYMTAB_FUNC(osd_req_op_alloc_hint_init, "", "");
KSYMTAB_FUNC(ceph_osdc_new_request, "", "");
KSYMTAB_FUNC(__ceph_alloc_sparse_ext_map, "", "");
KSYMTAB_FUNC(ceph_osdc_abort_requests, "", "");
KSYMTAB_FUNC(ceph_osdc_clear_abort_err, "", "");
KSYMTAB_FUNC(ceph_osdc_update_epoch_barrier, "", "");
KSYMTAB_FUNC(ceph_osdc_start_request, "", "");
KSYMTAB_FUNC(ceph_osdc_cancel_request, "", "");
KSYMTAB_FUNC(ceph_osdc_wait_request, "", "");
KSYMTAB_FUNC(ceph_osdc_sync, "", "");
KSYMTAB_FUNC(ceph_osdc_watch, "", "");
KSYMTAB_FUNC(ceph_osdc_unwatch, "", "");
KSYMTAB_FUNC(ceph_osdc_notify_ack, "", "");
KSYMTAB_FUNC(ceph_osdc_notify, "", "");
KSYMTAB_FUNC(ceph_osdc_list_watchers, "", "");
KSYMTAB_FUNC(ceph_osdc_flush_notifies, "", "");
KSYMTAB_FUNC(ceph_osdc_maybe_request_map, "", "");
KSYMTAB_FUNC(ceph_osdc_call, "", "");
KSYMTAB_FUNC(osd_req_op_copy_from_init, "", "");
KSYMTAB_FUNC(ceph_pg_pool_name_by_id, "", "");
KSYMTAB_FUNC(ceph_pg_poolid_by_name, "", "");
KSYMTAB_FUNC(ceph_pg_pool_flags, "", "");
KSYMTAB_FUNC(ceph_oloc_copy, "", "");
KSYMTAB_FUNC(ceph_oloc_destroy, "", "");
KSYMTAB_FUNC(ceph_oid_copy, "", "");
KSYMTAB_FUNC(ceph_oid_printf, "", "");
KSYMTAB_FUNC(ceph_oid_aprintf, "", "");
KSYMTAB_FUNC(ceph_oid_destroy, "", "");
KSYMTAB_FUNC(ceph_object_locator_to_pg, "", "");
KSYMTAB_FUNC(ceph_pg_to_acting_primary, "", "");
KSYMTAB_FUNC(ceph_calc_file_object_mapping, "", "");
KSYMTAB_FUNC(ceph_file_to_extents, "", "");
KSYMTAB_FUNC(ceph_iterate_extents, "", "");
KSYMTAB_FUNC(ceph_extent_to_file, "", "");
KSYMTAB_FUNC(ceph_get_num_objects, "", "");
KSYMTAB_FUNC(ceph_auth_is_authenticated, "", "");
KSYMTAB_FUNC(__ceph_auth_get_authorizer, "", "");
KSYMTAB_FUNC(ceph_auth_destroy_authorizer, "", "");
KSYMTAB_FUNC(ceph_auth_add_authorizer_challenge, "", "");
KSYMTAB_FUNC(ceph_auth_verify_authorizer_reply, "", "");
KSYMTAB_FUNC(ceph_auth_invalidate_authorizer, "", "");
KSYMTAB_FUNC(ceph_auth_get_authorizer, "", "");
KSYMTAB_FUNC(ceph_auth_handle_svc_reply_more, "", "");
KSYMTAB_FUNC(ceph_auth_handle_svc_reply_done, "", "");
KSYMTAB_FUNC(ceph_auth_handle_bad_authorizer, "", "");
KSYMTAB_FUNC(ceph_entity_type_name, "", "");
KSYMTAB_FUNC(ceph_str_hash, "", "");
KSYMTAB_FUNC(ceph_str_hash_name, "", "");
KSYMTAB_FUNC(ceph_put_page_vector, "", "");
KSYMTAB_FUNC(ceph_release_page_vector, "", "");
KSYMTAB_FUNC(ceph_alloc_page_vector, "", "");
KSYMTAB_FUNC(ceph_copy_user_to_page_vector, "", "");
KSYMTAB_FUNC(ceph_copy_to_page_vector, "", "");
KSYMTAB_FUNC(ceph_copy_from_page_vector, "", "");
KSYMTAB_FUNC(ceph_zero_page_vector_range, "", "");
KSYMTAB_FUNC(ceph_create_snap_context, "", "");
KSYMTAB_FUNC(ceph_get_snap_context, "", "");
KSYMTAB_FUNC(ceph_put_snap_context, "", "");
KSYMTAB_FUNC(ceph_find_or_create_string, "", "");
KSYMTAB_FUNC(ceph_release_string, "", "");

SYMBOL_CRC(libceph_compatible, 0x466b85b8, "");
SYMBOL_CRC(ceph_msg_type_name, 0xb54676fa, "");
SYMBOL_CRC(ceph_check_fsid, 0x87e64135, "");
SYMBOL_CRC(ceph_compare_options, 0xa25c358e, "");
SYMBOL_CRC(ceph_parse_fsid, 0x4affd6c2, "");
SYMBOL_CRC(ceph_alloc_options, 0x987d3968, "");
SYMBOL_CRC(ceph_destroy_options, 0xd4d736db, "");
SYMBOL_CRC(ceph_parse_mon_ips, 0x19855295, "");
SYMBOL_CRC(ceph_parse_param, 0x0314ad0a, "");
SYMBOL_CRC(ceph_print_client_options, 0x6be0d39a, "");
SYMBOL_CRC(ceph_client_addr, 0x620229d6, "");
SYMBOL_CRC(ceph_client_gid, 0x23def66c, "");
SYMBOL_CRC(ceph_create_client, 0xb950f41f, "");
SYMBOL_CRC(ceph_destroy_client, 0x98da5e04, "");
SYMBOL_CRC(ceph_reset_client_addr, 0xe2b4a62c, "");
SYMBOL_CRC(__ceph_open_session, 0x3671f442, "");
SYMBOL_CRC(ceph_open_session, 0xe2d5ed62, "");
SYMBOL_CRC(ceph_wait_for_latest_osdmap, 0x7e78f8b5, "");
SYMBOL_CRC(ceph_pr_addr, 0x6a7a38a0, "");
SYMBOL_CRC(ceph_msgr_flush, 0xafb8a407, "");
SYMBOL_CRC(ceph_con_close, 0x1b6c8e64, "");
SYMBOL_CRC(ceph_con_open, 0x20b2274f, "");
SYMBOL_CRC(ceph_con_init, 0xddbc0083, "");
SYMBOL_CRC(ceph_addr_is_blank, 0xf254297e, "");
SYMBOL_CRC(ceph_con_send, 0xfa236a98, "");
SYMBOL_CRC(ceph_con_keepalive, 0x68faf6d4, "");
SYMBOL_CRC(ceph_msg_data_add_pages, 0x8c4b7967, "");
SYMBOL_CRC(ceph_msg_data_add_pagelist, 0x1f702c1a, "");
SYMBOL_CRC(ceph_msg_data_add_bio, 0x4ed65e85, "");
SYMBOL_CRC(ceph_msg_data_add_bvecs, 0x040ed0e0, "");
SYMBOL_CRC(ceph_msg_new2, 0x519d6ec4, "");
SYMBOL_CRC(ceph_msg_new, 0x25241dd0, "");
SYMBOL_CRC(ceph_msg_get, 0xdd8bc535, "");
SYMBOL_CRC(ceph_msg_put, 0x31d16f0a, "");
SYMBOL_CRC(ceph_msg_dump, 0x4e43bcc1, "");
SYMBOL_CRC(ceph_buffer_new, 0x9fbba67f, "");
SYMBOL_CRC(ceph_buffer_release, 0xb72c162e, "");
SYMBOL_CRC(ceph_pagelist_alloc, 0xe76e7226, "");
SYMBOL_CRC(ceph_pagelist_release, 0x2a983d26, "");
SYMBOL_CRC(ceph_pagelist_append, 0xefce991c, "");
SYMBOL_CRC(ceph_pagelist_reserve, 0xefce3c3b, "");
SYMBOL_CRC(ceph_pagelist_free_reserve, 0x165b1948, "");
SYMBOL_CRC(ceph_pagelist_set_cursor, 0xf03fe862, "");
SYMBOL_CRC(ceph_pagelist_truncate, 0xc366bfa1, "");
SYMBOL_CRC(ceph_monc_want_map, 0x72161f62, "");
SYMBOL_CRC(ceph_monc_got_map, 0x036a4b02, "");
SYMBOL_CRC(ceph_monc_renew_subs, 0xe0a45fd0, "");
SYMBOL_CRC(ceph_monc_wait_osdmap, 0x96c52f5b, "");
SYMBOL_CRC(ceph_monc_open_session, 0x4363966a, "");
SYMBOL_CRC(ceph_monc_do_statfs, 0x4540d6f3, "");
SYMBOL_CRC(ceph_monc_get_version, 0x18a5c2b2, "");
SYMBOL_CRC(ceph_monc_get_version_async, 0xcbb44606, "");
SYMBOL_CRC(ceph_monc_blocklist_add, 0x500de174, "");
SYMBOL_CRC(ceph_monc_init, 0xb1f8fe17, "");
SYMBOL_CRC(ceph_monc_stop, 0xc68c02b7, "");
SYMBOL_CRC(ceph_monc_validate_auth, 0x4442eb1f, "");
SYMBOL_CRC(ceph_decode_entity_addr, 0xd4eb7735, "");
SYMBOL_CRC(ceph_decode_entity_addrvec, 0x50603ce3, "");
SYMBOL_CRC(ceph_cls_lock, 0x84cab8a5, "");
SYMBOL_CRC(ceph_cls_unlock, 0xde65ff48, "");
SYMBOL_CRC(ceph_cls_break_lock, 0x783d3cdf, "");
SYMBOL_CRC(ceph_cls_set_cookie, 0xddc1fc55, "");
SYMBOL_CRC(ceph_free_lockers, 0xa698f998, "");
SYMBOL_CRC(ceph_cls_lock_info, 0x5a6c0df5, "");
SYMBOL_CRC(ceph_cls_assert_locked, 0x4a6ecff4, "");
SYMBOL_CRC(osd_req_op_extent_osd_data, 0x4164f123, "");
SYMBOL_CRC(osd_req_op_raw_data_in_pages, 0x0566ad7e, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_pages, 0x3e4dca7e, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_pagelist, 0xa168522d, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_bio, 0x2bd84be4, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_bvecs, 0xbb94ddf2, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_bvec_pos, 0x22b09b41, "");
SYMBOL_CRC(osd_req_op_extent_osd_iter, 0xd404ccc1, "");
SYMBOL_CRC(osd_req_op_cls_request_data_pagelist, 0x98b44e89, "");
SYMBOL_CRC(osd_req_op_cls_request_data_pages, 0xae48744e, "");
SYMBOL_CRC(osd_req_op_cls_request_data_bvecs, 0x0cf7ebd5, "");
SYMBOL_CRC(osd_req_op_cls_response_data_pages, 0xde68622c, "");
SYMBOL_CRC(ceph_osdc_get_request, 0x81b0d400, "");
SYMBOL_CRC(ceph_osdc_put_request, 0xa72b1a3a, "");
SYMBOL_CRC(ceph_osdc_alloc_request, 0xe667961f, "");
SYMBOL_CRC(ceph_osdc_alloc_messages, 0x7c7882cc, "");
SYMBOL_CRC(osd_req_op_init, 0x0423a2ba, "");
SYMBOL_CRC(osd_req_op_extent_init, 0xf89d211a, "");
SYMBOL_CRC(osd_req_op_extent_update, 0xaec90003, "");
SYMBOL_CRC(osd_req_op_extent_dup_last, 0xf4781437, "");
SYMBOL_CRC(osd_req_op_cls_init, 0x0e58d378, "");
SYMBOL_CRC(osd_req_op_xattr_init, 0xb3f85af4, "");
SYMBOL_CRC(osd_req_op_alloc_hint_init, 0x80f0fec6, "");
SYMBOL_CRC(ceph_osdc_new_request, 0x2dc35bdf, "");
SYMBOL_CRC(__ceph_alloc_sparse_ext_map, 0xef5b0568, "");
SYMBOL_CRC(ceph_osdc_abort_requests, 0xdfe4a466, "");
SYMBOL_CRC(ceph_osdc_clear_abort_err, 0x1c1696c6, "");
SYMBOL_CRC(ceph_osdc_update_epoch_barrier, 0x339f1dc3, "");
SYMBOL_CRC(ceph_osdc_start_request, 0xd8d55213, "");
SYMBOL_CRC(ceph_osdc_cancel_request, 0x76b67277, "");
SYMBOL_CRC(ceph_osdc_wait_request, 0xcd692536, "");
SYMBOL_CRC(ceph_osdc_sync, 0xb3768ce8, "");
SYMBOL_CRC(ceph_osdc_watch, 0x3f56cd5f, "");
SYMBOL_CRC(ceph_osdc_unwatch, 0xf0d19218, "");
SYMBOL_CRC(ceph_osdc_notify_ack, 0xca339a98, "");
SYMBOL_CRC(ceph_osdc_notify, 0xbcf14b4f, "");
SYMBOL_CRC(ceph_osdc_list_watchers, 0x5183ec48, "");
SYMBOL_CRC(ceph_osdc_flush_notifies, 0x5ade57ef, "");
SYMBOL_CRC(ceph_osdc_maybe_request_map, 0x5cfd1d93, "");
SYMBOL_CRC(ceph_osdc_call, 0x78191b3d, "");
SYMBOL_CRC(osd_req_op_copy_from_init, 0x0e7f6dce, "");
SYMBOL_CRC(ceph_pg_pool_name_by_id, 0x32b54974, "");
SYMBOL_CRC(ceph_pg_poolid_by_name, 0xfaca1e43, "");
SYMBOL_CRC(ceph_pg_pool_flags, 0x8500b26e, "");
SYMBOL_CRC(ceph_oloc_copy, 0xbd2f79ae, "");
SYMBOL_CRC(ceph_oloc_destroy, 0x417a9131, "");
SYMBOL_CRC(ceph_oid_copy, 0x2087719e, "");
SYMBOL_CRC(ceph_oid_printf, 0xdf6ef4a1, "");
SYMBOL_CRC(ceph_oid_aprintf, 0x5aeeee62, "");
SYMBOL_CRC(ceph_oid_destroy, 0x2101cbc9, "");
SYMBOL_CRC(ceph_object_locator_to_pg, 0xf36f2136, "");
SYMBOL_CRC(ceph_pg_to_acting_primary, 0x16b4dbe9, "");
SYMBOL_CRC(ceph_calc_file_object_mapping, 0x9fefa3cb, "");
SYMBOL_CRC(ceph_file_to_extents, 0x38f2d94e, "");
SYMBOL_CRC(ceph_iterate_extents, 0xeef6cfa3, "");
SYMBOL_CRC(ceph_extent_to_file, 0xca80437b, "");
SYMBOL_CRC(ceph_get_num_objects, 0x3c8d7111, "");
SYMBOL_CRC(ceph_auth_is_authenticated, 0x9504ab32, "");
SYMBOL_CRC(__ceph_auth_get_authorizer, 0x74295557, "");
SYMBOL_CRC(ceph_auth_destroy_authorizer, 0xad703657, "");
SYMBOL_CRC(ceph_auth_add_authorizer_challenge, 0xd2f76b26, "");
SYMBOL_CRC(ceph_auth_verify_authorizer_reply, 0x65986104, "");
SYMBOL_CRC(ceph_auth_invalidate_authorizer, 0x0b2c8b0a, "");
SYMBOL_CRC(ceph_auth_get_authorizer, 0x8fafd255, "");
SYMBOL_CRC(ceph_auth_handle_svc_reply_more, 0x8c725e56, "");
SYMBOL_CRC(ceph_auth_handle_svc_reply_done, 0x385ed614, "");
SYMBOL_CRC(ceph_auth_handle_bad_authorizer, 0xfb7e7f0c, "");
SYMBOL_CRC(ceph_entity_type_name, 0xdfc091f9, "");
SYMBOL_CRC(ceph_str_hash, 0x57baf885, "");
SYMBOL_CRC(ceph_str_hash_name, 0x63758856, "");
SYMBOL_CRC(ceph_put_page_vector, 0xba714c16, "");
SYMBOL_CRC(ceph_release_page_vector, 0xe57c74a7, "");
SYMBOL_CRC(ceph_alloc_page_vector, 0xf499853d, "");
SYMBOL_CRC(ceph_copy_user_to_page_vector, 0x3bcb7843, "");
SYMBOL_CRC(ceph_copy_to_page_vector, 0x6f5b8edd, "");
SYMBOL_CRC(ceph_copy_from_page_vector, 0x7742bd47, "");
SYMBOL_CRC(ceph_zero_page_vector_range, 0xb6721f58, "");
SYMBOL_CRC(ceph_create_snap_context, 0x9ca95932, "");
SYMBOL_CRC(ceph_get_snap_context, 0xbe3879aa, "");
SYMBOL_CRC(ceph_put_snap_context, 0x86fca7e4, "");
SYMBOL_CRC(ceph_find_or_create_string, 0x9bc6b539, "");
SYMBOL_CRC(ceph_release_string, 0xee120c03, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x359e4879, "crypto_skcipher_encrypt" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xff0b90ac, "completion_done" },
	{ 0x781fb65f, "tcp_sock_set_cork" },
	{ 0xf38c0744, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x78b887ed, "vsprintf" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xfd873c2b, "fs_param_is_string" },
	{ 0x3c2f4483, "vmalloc_to_page" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x95897450, "dump_page" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xca9360b5, "rb_next" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0x53df7429, "finish_wait" },
	{ 0xac920937, "iov_iter_advance" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x609bcd98, "in6_pton" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xba6fc685, "unregister_key_type" },
	{ 0x2ad5ff2d, "prepare_to_wait" },
	{ 0x83a39fb5, "iov_iter_get_pages2" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xa0ec9675, "pcpu_hot" },
	{ 0xccf8c8e1, "seq_lseek" },
	{ 0x554f3f0a, "fs_param_is_enum" },
	{ 0x242f6cbb, "logfc" },
	{ 0xb0bd8018, "__put_devmap_managed_page_refs" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x67f968d9, "crypto_alloc_aead" },
	{ 0x88b953f5, "__tracepoint_sk_data_ready" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0xe75dd082, "crypto_aead_setauthsize" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x9e146340, "crypto_aead_decrypt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x85ce233b, "__wake_up" },
	{ 0xabf6f14f, "crypto_skcipher_setkey" },
	{ 0x148653, "vsnprintf" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x6ae36ee4, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xd8a00066, "mempool_free" },
	{ 0x168a36b5, "register_key_type" },
	{ 0x2c41b000, "down_read_trylock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x53e76dbc, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0xc65b5b22, "fs_param_is_u32" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x122c3a7e, "_printk" },
	{ 0xb707b887, "mempool_create" },
	{ 0xac5fcec0, "in4_pton" },
	{ 0x18b00889, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xde255316, "filemap_alloc_folio" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0xff7a2dc6, "unregister_sysctl_table" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x81e9653c, "crypto_skcipher_decrypt" },
	{ 0xf10f8b50, "mempool_alloc" },
	{ 0x58bf70f3, "__free_pages" },
	{ 0xa9cbed8a, "kmem_cache_alloc" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x6516eb15, "seq_escape_mem" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x187bce4b, "key_put" },
	{ 0xac32403, "crypto_aead_setkey" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xd21cccf3, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0x606d8142, "up_write" },
	{ 0xd43ca7ff, "crypto_shash_setkey" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x49f92cee, "crypto_aead_encrypt" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xa7bc7502, "__SCK__tp_func_sk_data_ready" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x97ebf994, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x7ba0c905, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x29d8717a, "seq_putc" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x9ae2bafc, "mutex_is_locked" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xa1aae0b4, "proc_douintvec_minmax" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x34d541d7, "iov_iter_kvec" },
	{ 0x1a623c34, "wait_for_completion_interruptible" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x6636c9c3, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x8b89fcac, "sock_sendmsg" },
	{ 0xe8a0e847, "crypto_shash_update" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xea9df3ec, "wait_for_completion_killable" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x11089ac7, "_ctype" },
	{ 0x1d1d2a9d, "tcp_stream_memory_free" },
	{ 0xe01b79e5, "sg_alloc_table_from_pages_segment" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x50d4dfd0, "cancel_delayed_work" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x9db825f8, "kernel_connect" },
	{ 0x438df1f2, "register_sysctl_sz" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x246d3046, "iov_iter_bvec" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xe5a5244b, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0xece784c2, "rb_first" },
	{ 0xd86ac5c9, "complete_all" },
	{ 0x7da218f6, "crypto_alloc_sync_skcipher" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x74a76053, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0x147be32a, "seq_read" },
	{ 0x3ffbf444, "__put_net" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x7b62a7d7, "debugfs_create_file" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x39378671, "crypto_shash_final" },
	{ 0x85df9b6c, "strsep" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0x3a6111fe, "sock_create_kern" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x3ba723bd, "wait_for_completion_killable_timeout" },
	{ 0x1badab0b, "request_key_tag" },
	{ 0xb6742e52, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x16557a3c, "generic_key_instantiate" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xc8dcdfd7, "mempool_destroy" },
	{ 0xe0adf355, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb9d133d1, "seq_printf" },
	{ 0xd16a3313, "sock_recvmsg" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xf7f30bdc, "set_page_dirty_lock" },
	{ 0x2450879c, "sock_release" },
	{ 0xaf82b9d8, "iov_iter_discard" },
	{ 0x73475f93, "__asan_handle_no_return" },
	{ 0xaaedc21a, "downgrade_write" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xd87c2c46, "seq_puts" },
	{ 0xf1f0b6a0, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x8bccb13c, "tcp_sock_set_nodelay" },
	{ 0x1993c6d5, "__fs_parse" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x754d539c, "strlen" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0xd8b1995, "iov_iter_revert" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x5cc027e4, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0xb3073c18, "crypto_alloc_shash" },
	{ 0x6308ec26, "debugfs_create_dir" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x3c37926b, "kernel_sendmsg" },
	{ 0xb8e1f9ea, "up_read" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0x2ab54273, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x188ea314, "jiffies_to_timespec64" },
	{ 0x94dee2e4, "proc_dointvec_minmax" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4E20F1773F89EAFAA268D8F");
