#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ieee802154_alloc_hw, "", "");
KSYMTAB_FUNC(ieee802154_configure_durations, "", "");
KSYMTAB_FUNC(ieee802154_free_hw, "", "");
KSYMTAB_FUNC(ieee802154_register_hw, "", "");
KSYMTAB_FUNC(ieee802154_unregister_hw, "", "");
KSYMTAB_FUNC(ieee802154_rx_irqsafe, "", "");
KSYMTAB_FUNC(ieee802154_xmit_complete, "", "");
KSYMTAB_FUNC(ieee802154_xmit_error, "", "");
KSYMTAB_FUNC(ieee802154_xmit_hw_error, "", "");

SYMBOL_CRC(ieee802154_alloc_hw, 0x79d6f822, "");
SYMBOL_CRC(ieee802154_configure_durations, 0xd24fc897, "");
SYMBOL_CRC(ieee802154_free_hw, 0x9f051be5, "");
SYMBOL_CRC(ieee802154_register_hw, 0xde19f7f8, "");
SYMBOL_CRC(ieee802154_unregister_hw, 0x9e9110b2, "");
SYMBOL_CRC(ieee802154_rx_irqsafe, 0xeb651a62, "");
SYMBOL_CRC(ieee802154_xmit_complete, 0x90ec1f05, "");
SYMBOL_CRC(ieee802154_xmit_error, 0x54f98d1b, "");
SYMBOL_CRC(ieee802154_xmit_hw_error, 0x01d29318, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x359e4879, "crypto_skcipher_encrypt" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x87e2553b, "ieee802154_max_payload" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xba50cbf, "bpf_trace_run4" },
	{ 0xd7d3ede8, "nl802154_beaconing_done" },
	{ 0xe94ce49a, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x20f17b2a, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x842317de, "trace_raw_output_prep" },
	{ 0x862f3c32, "skb_dequeue" },
	{ 0xd738977e, "__trace_trigger_soft_disabled" },
	{ 0x53df7429, "finish_wait" },
	{ 0xd9227e6, "_raw_write_lock_bh" },
	{ 0xa87da128, "trace_event_printf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x8e713733, "hrtimer_init" },
	{ 0x59e7a624, "dev_alloc_name" },
	{ 0xee32ea6c, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x8683ae58, "_raw_read_unlock_bh" },
	{ 0x2cb8ab83, "ieee802154_mac_cmd_push" },
	{ 0x8dde51c9, "_raw_read_lock_bh" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xa0ec9675, "pcpu_hot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x67f968d9, "crypto_alloc_aead" },
	{ 0x2df9c270, "_raw_write_unlock_bh" },
	{ 0x2b0ec868, "bpf_trace_run2" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0xd817114a, "netdev_warn" },
	{ 0xe75dd082, "crypto_aead_setauthsize" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x9e146340, "crypto_aead_decrypt" },
	{ 0x85ce233b, "__wake_up" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0xabf6f14f, "crypto_skcipher_setkey" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xfcebd6f6, "unregister_netdevice_queue" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xb340763b, "__dynamic_dev_dbg" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x5036c73, "ieee802154_hdr_peek_addrs" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4a415d6c, "wpan_phy_unregister" },
	{ 0xa4d4f11b, "trace_event_buffer_commit" },
	{ 0xc4e6d350, "dev_addr_mod" },
	{ 0x53e76dbc, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x46505568, "alloc_netdev_mqs" },
	{ 0xe7540498, "nl802154_scan_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0x18b00889, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x8b89228d, "nl802154_scan_started" },
	{ 0x81e9653c, "crypto_skcipher_decrypt" },
	{ 0xf4eb89a2, "__alloc_skb" },
	{ 0x5df39d90, "skb_copy_expand" },
	{ 0xcbf2b448, "skb_queue_tail" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xac32403, "crypto_aead_setkey" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xb1f31cbd, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xd3e282fa, "_dev_err" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc2542f18, "wpan_phy_register" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x49f92cee, "crypto_aead_encrypt" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x612e6fc5, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe063483b, "skb_push" },
	{ 0xa1fdfd77, "ieee802154_hdr_peek" },
	{ 0xbb3435c9, "wpan_phy_free" },
	{ 0xafd173e3, "netif_receive_skb" },
	{ 0x1a5df3a2, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xf70631d8, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0xb69c17f5, "bpf_trace_run1" },
	{ 0x8a58a66c, "netif_tx_wake_queue" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x50d4dfd0, "cancel_delayed_work" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x20674100, "_dev_warn" },
	{ 0x2a8cbb6e, "hrtimer_start_range_ns" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5dfd12a4, "ieee802154_hdr_pull" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0xefa0b8e1, "nl802154_scan_event" },
	{ 0x7da218f6, "crypto_alloc_sync_skcipher" },
	{ 0xc8badb4e, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x6626049, "__dynamic_netdev_dbg" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0x3bdab5ae, "bpf_trace_run3" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc3db3982, "trace_event_buffer_reserve" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0xd986ecb2, "__rwlock_init" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x2a6ed407, "ieee802154_beacon_push" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc29d21b, "ieee802154_mac_cmd_pl_pull" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x4b1b1a45, "wpan_phy_new" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x8e878b4a, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf18008d, "hrtimer_cancel" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x685d2554, "ieee802154_hdr_push" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x3fdd94e9, "dev_kfree_skb_any_reason" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x5d9e6167, "mutex_destroy" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x5bbc7774, "register_netdevice" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "ieee802154");


MODULE_INFO(srcversion, "4C2E548343A2E171D18BAF4");
