#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_set_type_register, "_gpl", "");
KSYMTAB_FUNC(ip_set_type_unregister, "_gpl", "");
KSYMTAB_FUNC(ip_set_alloc, "_gpl", "");
KSYMTAB_FUNC(ip_set_free, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ipaddr4, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ipaddr6, "_gpl", "");
KSYMTAB_FUNC(ip_set_init_comment, "_gpl", "");
KSYMTAB_DATA(ip_set_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_elem_len, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_put_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_match_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_test, "_gpl", "");
KSYMTAB_FUNC(ip_set_add, "_gpl", "");
KSYMTAB_FUNC(ip_set_del, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_byname, "_gpl", "");
KSYMTAB_FUNC(ip_set_put_byindex, "_gpl", "");
KSYMTAB_FUNC(ip_set_name_byindex, "_gpl", "");
KSYMTAB_FUNC(ip_set_nfnl_get_byindex, "_gpl", "");
KSYMTAB_FUNC(ip_set_nfnl_put, "_gpl", "");
KSYMTAB_FUNC(ip_set_put_flags, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ip4_port, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ip6_port, "_gpl", "");
KSYMTAB_DATA(ip_set_netmask_map, "_gpl", "");
KSYMTAB_DATA(ip_set_hostmask_map, "_gpl", "");
KSYMTAB_FUNC(ip_set_range_to_cidr, "_gpl", "");

SYMBOL_CRC(ip_set_type_register, 0x307b89ab, "_gpl");
SYMBOL_CRC(ip_set_type_unregister, 0xd6529a28, "_gpl");
SYMBOL_CRC(ip_set_alloc, 0xf3b4d4ae, "_gpl");
SYMBOL_CRC(ip_set_free, 0x397f6231, "_gpl");
SYMBOL_CRC(ip_set_get_ipaddr4, 0xa293f8a6, "_gpl");
SYMBOL_CRC(ip_set_get_ipaddr6, 0x9e98722b, "_gpl");
SYMBOL_CRC(ip_set_init_comment, 0x9c75a8cb, "_gpl");
SYMBOL_CRC(ip_set_extensions, 0x20c3a6eb, "_gpl");
SYMBOL_CRC(ip_set_elem_len, 0x880f1163, "_gpl");
SYMBOL_CRC(ip_set_get_extensions, 0xa79d8ef3, "_gpl");
SYMBOL_CRC(ip_set_put_extensions, 0x5672b00c, "_gpl");
SYMBOL_CRC(ip_set_match_extensions, 0xb77c2196, "_gpl");
SYMBOL_CRC(ip_set_test, 0x14508657, "_gpl");
SYMBOL_CRC(ip_set_add, 0x166060a5, "_gpl");
SYMBOL_CRC(ip_set_del, 0x3e973778, "_gpl");
SYMBOL_CRC(ip_set_get_byname, 0x06918782, "_gpl");
SYMBOL_CRC(ip_set_put_byindex, 0x43e6bd5e, "_gpl");
SYMBOL_CRC(ip_set_name_byindex, 0xff0e4c7f, "_gpl");
SYMBOL_CRC(ip_set_nfnl_get_byindex, 0xe990f9e1, "_gpl");
SYMBOL_CRC(ip_set_nfnl_put, 0x79cf1f08, "_gpl");
SYMBOL_CRC(ip_set_put_flags, 0x614a8a75, "_gpl");
SYMBOL_CRC(ip_set_get_ip4_port, 0xbd25ced3, "_gpl");
SYMBOL_CRC(ip_set_get_ip6_port, 0x52594833, "_gpl");
SYMBOL_CRC(ip_set_netmask_map, 0x81fff2d1, "_gpl");
SYMBOL_CRC(ip_set_hostmask_map, 0x7924b6de, "_gpl");
SYMBOL_CRC(ip_set_range_to_cidr, 0x22d966c6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x340248ac, "__netlink_dump_start" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xf92cb872, "try_module_get" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xb28d1f72, "skb_copy_bits" },
	{ 0xc24f0e1, "__nlmsg_put" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x77ca813, "nf_register_sockopt" },
	{ 0xaf65fe0d, "nla_put_64bit" },
	{ 0xd9227e6, "_raw_write_lock_bh" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x8683ae58, "_raw_read_unlock_bh" },
	{ 0x9bd74410, "nfnetlink_subsys_register" },
	{ 0x8dde51c9, "_raw_read_lock_bh" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x2df9c270, "_raw_write_unlock_bh" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x5a72443e, "lockdep_nfnl_is_held" },
	{ 0xba625108, "netlink_ack" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x72e2a82e, "register_pernet_subsys" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x2f33b7d4, "nf_unregister_sockopt" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x7153f51a, "ipv6_skip_exthdr" },
	{ 0xf4eb89a2, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xdebee75d, "module_put" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa30de34c, "rcu_bh_lock_map" },
	{ 0x612e6fc5, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x5002df60, "nfnetlink_unicast" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x5a921311, "strncmp" },
	{ 0xec183358, "nla_put" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xd60db2c8, "ns_capable" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xdb065657, "nfnl_unlock" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xf143cd72, "unregister_pernet_subsys" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0xc804ca55, "nfnetlink_subsys_unregister" },
	{ 0xc8badb4e, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0x5ce3b588, "nfnl_lock" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x1fd54703, "__might_resched" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x754d539c, "strlen" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x92e8e77f, "param_ops_int" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "nfnetlink");


MODULE_INFO(srcversion, "9E3221C43D61D04A027F2B2");
