#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_conntrack_locks, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_expect_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_hash, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_htable_size, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_max, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_tuplepr, "_gpl", "");
KSYMTAB_FUNC(nf_ct_invert_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_id, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_free, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy, "", "");
KSYMTAB_FUNC(nf_ct_delete, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_hash_check_insert, "_gpl", "");
KSYMTAB_FUNC(nf_ct_acct_add, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_tuple_taken, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_free, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_in, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alter_reply, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_refresh_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_kill_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_tuple_to_nlattr, "_gpl", "");
KSYMTAB_DATA(nf_ct_port_nla_policy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_to_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_tuple_size, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_cleanup_net, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_alloc_hashtable, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_timeout, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_status, "_gpl", "");
KSYMTAB_FUNC(nf_ct_change_status_common, "_gpl", "");
KSYMTAB_FUNC(print_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_count, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hsize, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hash, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unlink_expect_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expect, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_expect_find, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expectations, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unexpect_related, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_related_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_net, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hash, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hsize, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_helper_find, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_ext_add, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_try_assign_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_name, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_symbol, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_log, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_init, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_find, "_gpl", "");
KSYMTAB_FUNC(nf_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ext_add, "", "");
KSYMTAB_FUNC(__nf_ct_ext_find, "", "");
KSYMTAB_FUNC(nf_ct_seqadj_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tcp_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_adjust, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_offset, "_gpl", "");
KSYMTAB_DATA(nf_ct_timeout_hook, "_gpl", "");
KSYMTAB_FUNC(nf_ct_untimeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_conn_pernet_ecache, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_eventmask_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_deliver_cached_events, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_register_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ecache_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_replace, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_get, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_add_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_skb_network_trim, "_gpl", "");
KSYMTAB_FUNC(nf_ct_handle_fragments, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_add, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_destroy, "_gpl", "");

SYMBOL_CRC(nf_conntrack_locks, 0x2b905759, "_gpl");
SYMBOL_CRC(nf_conntrack_expect_lock, 0xd53ea541, "_gpl");
SYMBOL_CRC(nf_conntrack_hash, 0x28eff409, "_gpl");
SYMBOL_CRC(nf_conntrack_lock, 0xa7d6ca97, "_gpl");
SYMBOL_CRC(nf_conntrack_htable_size, 0x8ffe7e89, "_gpl");
SYMBOL_CRC(nf_conntrack_max, 0xf38bcdf3, "_gpl");
SYMBOL_CRC(nf_ct_get_tuplepr, 0x72ccdd73, "_gpl");
SYMBOL_CRC(nf_ct_invert_tuple, 0x0460ec0f, "_gpl");
SYMBOL_CRC(nf_ct_get_id, 0x79f9e740, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_alloc, 0x461a98c3, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_free, 0x1fedbc0c, "_gpl");
SYMBOL_CRC(nf_ct_destroy, 0x3b08a8f0, "");
SYMBOL_CRC(nf_ct_delete, 0xd60ef1d7, "_gpl");
SYMBOL_CRC(nf_conntrack_find_get, 0xd98a5bd4, "_gpl");
SYMBOL_CRC(nf_conntrack_hash_check_insert, 0x8cdb889f, "_gpl");
SYMBOL_CRC(nf_ct_acct_add, 0x549f0a98, "_gpl");
SYMBOL_CRC(__nf_conntrack_confirm, 0xf80e7194, "_gpl");
SYMBOL_CRC(nf_conntrack_tuple_taken, 0x2ceaa7a4, "_gpl");
SYMBOL_CRC(nf_conntrack_alloc, 0x72d4b800, "_gpl");
SYMBOL_CRC(nf_conntrack_free, 0xa16fff6b, "_gpl");
SYMBOL_CRC(nf_conntrack_in, 0x67bf0109, "_gpl");
SYMBOL_CRC(nf_conntrack_alter_reply, 0x9aec9d5f, "_gpl");
SYMBOL_CRC(__nf_ct_refresh_acct, 0xffde9da3, "_gpl");
SYMBOL_CRC(nf_ct_kill_acct, 0xec91d914, "_gpl");
SYMBOL_CRC(nf_ct_port_tuple_to_nlattr, 0x47c8d814, "_gpl");
SYMBOL_CRC(nf_ct_port_nla_policy, 0xb39356f5, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_to_tuple, 0x752f0aa2, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_tuple_size, 0xd505c3e0, "_gpl");
SYMBOL_CRC(nf_ct_iterate_cleanup_net, 0x47a02e3c, "_gpl");
SYMBOL_CRC(nf_ct_iterate_destroy, 0x494411e1, "_gpl");
SYMBOL_CRC(nf_ct_alloc_hashtable, 0x289c3714, "_gpl");
SYMBOL_CRC(__nf_ct_change_timeout, 0x7c9a6fc7, "_gpl");
SYMBOL_CRC(__nf_ct_change_status, 0xd436d4e6, "_gpl");
SYMBOL_CRC(nf_ct_change_status_common, 0x717027bc, "_gpl");
SYMBOL_CRC(print_tuple, 0xf994a8b8, "_gpl");
SYMBOL_CRC(nf_conntrack_count, 0x51f5c508, "_gpl");
SYMBOL_CRC(nf_ct_expect_hsize, 0xc18ac88d, "_gpl");
SYMBOL_CRC(nf_ct_expect_hash, 0xec8beba6, "_gpl");
SYMBOL_CRC(nf_ct_unlink_expect_report, 0x084a4e48, "_gpl");
SYMBOL_CRC(nf_ct_remove_expect, 0x44f1ae73, "_gpl");
SYMBOL_CRC(__nf_ct_expect_find, 0xdadab171, "_gpl");
SYMBOL_CRC(nf_ct_expect_find_get, 0xdaaff505, "_gpl");
SYMBOL_CRC(nf_ct_remove_expectations, 0x00945045, "_gpl");
SYMBOL_CRC(nf_ct_unexpect_related, 0xd57ff3ef, "_gpl");
SYMBOL_CRC(nf_ct_expect_alloc, 0x491ebfc7, "_gpl");
SYMBOL_CRC(nf_ct_expect_init, 0x32fed100, "_gpl");
SYMBOL_CRC(nf_ct_expect_put, 0xe6dc723b, "_gpl");
SYMBOL_CRC(nf_ct_expect_related_report, 0x68aa428d, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_destroy, 0x3f2b1653, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_net, 0x88fcefef, "_gpl");
SYMBOL_CRC(nf_ct_helper_hash, 0x693c3961, "_gpl");
SYMBOL_CRC(nf_ct_helper_hsize, 0xc40f284c, "_gpl");
SYMBOL_CRC(__nf_conntrack_helper_find, 0xb6069ea4, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_try_module_get, 0x3d46b271, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_put, 0x9866d76f, "_gpl");
SYMBOL_CRC(nf_nat_helper_try_module_get, 0x0bc00f80, "_gpl");
SYMBOL_CRC(nf_nat_helper_put, 0x073d01db, "_gpl");
SYMBOL_CRC(nf_ct_helper_ext_add, 0x1943b37f, "_gpl");
SYMBOL_CRC(__nf_ct_try_assign_helper, 0xb18a22f7, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_register, 0x32ca1bb3, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_unregister, 0x036b8bd9, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_name, 0x7786c3a0, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_symbol, 0xbc9221e8, "_gpl");
SYMBOL_CRC(nf_ct_helper_log, 0x4e3208eb, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_register, 0x2ab7e474, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_unregister, 0xbdda7f21, "_gpl");
SYMBOL_CRC(nf_ct_helper_init, 0xcec32d54, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_register, 0xf63b5fdc, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_unregister, 0xdf5392ca, "_gpl");
SYMBOL_CRC(nf_nat_helper_register, 0x86aba3e0, "_gpl");
SYMBOL_CRC(nf_nat_helper_unregister, 0x55006dd8, "_gpl");
SYMBOL_CRC(nf_l4proto_log_invalid, 0xb0dbc2c6, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_log_invalid, 0x346182fd, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_find, 0x37acb463, "_gpl");
SYMBOL_CRC(nf_confirm, 0xe12c3c41, "_gpl");
SYMBOL_CRC(nf_ct_netns_get, 0x14992ad7, "_gpl");
SYMBOL_CRC(nf_ct_netns_put, 0x63d0eed5, "_gpl");
SYMBOL_CRC(nf_ct_bridge_register, 0x43cd0bf2, "_gpl");
SYMBOL_CRC(nf_ct_bridge_unregister, 0x550f8ece, "_gpl");
SYMBOL_CRC(nf_ct_ext_add, 0x3f8ef0bb, "");
SYMBOL_CRC(__nf_ct_ext_find, 0x85675e0c, "");
SYMBOL_CRC(nf_ct_seqadj_init, 0x94bdcda3, "_gpl");
SYMBOL_CRC(nf_ct_seqadj_set, 0x55727194, "_gpl");
SYMBOL_CRC(nf_ct_tcp_seqadj_set, 0xbf30b182, "_gpl");
SYMBOL_CRC(nf_ct_seq_adjust, 0x04ee6135, "_gpl");
SYMBOL_CRC(nf_ct_seq_offset, 0xab071f98, "_gpl");
SYMBOL_CRC(nf_ct_timeout_hook, 0x9550b7f1, "_gpl");
SYMBOL_CRC(nf_ct_untimeout, 0x9c6254d6, "_gpl");
SYMBOL_CRC(nf_ct_set_timeout, 0x29226cbb, "_gpl");
SYMBOL_CRC(nf_ct_destroy_timeout, 0x2cd8f188, "_gpl");
SYMBOL_CRC(nf_conn_pernet_ecache, 0xa5233388, "_gpl");
SYMBOL_CRC(nf_conntrack_eventmask_report, 0x6d9ff93d, "_gpl");
SYMBOL_CRC(nf_ct_deliver_cached_events, 0x1c61e689, "_gpl");
SYMBOL_CRC(nf_conntrack_register_notifier, 0x489df558, "_gpl");
SYMBOL_CRC(nf_conntrack_unregister_notifier, 0xd8e312cc, "_gpl");
SYMBOL_CRC(nf_ct_ecache_ext_add, 0xfd9bff60, "_gpl");
SYMBOL_CRC(nf_connlabels_replace, 0x256b2454, "_gpl");
SYMBOL_CRC(nf_connlabels_get, 0x23fbeb9a, "_gpl");
SYMBOL_CRC(nf_connlabels_put, 0x53ad0e0c, "_gpl");
SYMBOL_CRC(nf_ct_helper, 0xddcfe3f0, "_gpl");
SYMBOL_CRC(nf_ct_add_helper, 0x49c96931, "_gpl");
SYMBOL_CRC(nf_ct_skb_network_trim, 0x28f6924a, "_gpl");
SYMBOL_CRC(nf_ct_handle_fragments, 0x1cc947a4, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_add, 0x97b4e4fc, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_destroy, 0xe99fc8d7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8d7992cc, "__do_once_done" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xf92cb872, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xdd3d15da, "nf_defrag_ipv4_disable" },
	{ 0x255b19e7, "nf_ip6_checksum" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x16099bce, "proc_dou8vec_minmax" },
	{ 0xb28d1f72, "skb_copy_bits" },
	{ 0xdee5b7c3, "param_ops_uint" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0xdc019d85, "proc_dointvec_jiffies" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x77ca813, "nf_register_sockopt" },
	{ 0xaf65fe0d, "nla_put_64bit" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x36e37fa1, "nfct_btf_struct_access" },
	{ 0x77e20b7f, "param_set_uint" },
	{ 0x85e23077, "nf_defrag_ipv4_enable" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xbe553223, "nf_ct_frag6_gather" },
	{ 0xe043842d, "get_net_ns_by_id" },
	{ 0xa0ec9675, "pcpu_hot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3c01cfd5, "timer_delete" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x6ae36ee4, "kmem_cache_create" },
	{ 0xc948de9b, "nf_ct_hook" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xa4da93b5, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x751d2e97, "bpf_log" },
	{ 0x72e2a82e, "register_pernet_subsys" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xe9cd8f4a, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0x18b00889, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x2f33b7d4, "nf_unregister_sockopt" },
	{ 0x6432bcdc, "param_get_uint" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x92aa65, "make_kuid" },
	{ 0x9e873e4a, "nf_defrag_ipv6_disable" },
	{ 0x7153f51a, "ipv6_skip_exthdr" },
	{ 0x56463e5, "nf_register_net_hooks" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0xa9cbed8a, "kmem_cache_alloc" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xdebee75d, "module_put" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x72367f71, "nf_checksum" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x785d504a, "init_net" },
	{ 0x5f9d6627, "nf_ip6_check_hbh_len" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xa67cfc0, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x612e6fc5, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x97ebf994, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x29d8717a, "seq_putc" },
	{ 0xec183358, "nla_put" },
	{ 0x8b15ffd, "nf_checksum_partial" },
	{ 0xfdc8bbe0, "skb_ensure_writable" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x6636c9c3, "mod_delayed_work_on" },
	{ 0xf48b49c9, "_raw_spin_lock_nested" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xba27792c, "nf_unregister_net_hooks" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x52cdf5d1, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xf143cd72, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xab385f92, "ip_defrag" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x19f33626, "nf_ctnetlink_has_listener" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0x91477b03, "nf_log_packet" },
	{ 0x68343fef, "make_kgid" },
	{ 0x7054a205, "nf_ip_checksum" },
	{ 0x223b8b9c, "register_btf_kfunc_id_set" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0xe4262c6, "__siphash_unaligned" },
	{ 0xad1c5cb8, "nf_conn_btf_access_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x74a76053, "down_read" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0xe8d285b2, "nla_policy_len" },
	{ 0x3ffbf444, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xa6da3076, "__skb_checksum" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0xaa98cbb5, "proc_set_user" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0xaa9751e3, "param_ops_bool" },
	{ 0xd327ea48, "inet_proto_csum_replace4" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb4ab46ed, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb9d133d1, "seq_printf" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x2fd84129, "nf_defrag_ipv6_enable" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0xecfea88, "btf_type_by_id" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x2bfed471, "proc_dointvec" },
	{ 0xd87c2c46, "seq_puts" },
	{ 0xaa22bf39, "nf_nat_hook" },
	{ 0x1fd54703, "__might_resched" },
	{ 0xf44a904a, "net_ns_barrier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x9abc3839, "unregister_net_sysctl_table" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x754d539c, "strlen" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xadc07c0, "nf_queue_nf_hook_drop" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xac29e82e, "pskb_trim_rcsum_slow" },
	{ 0xb8e1f9ea, "up_read" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0xb64cdd73, "net_rwsem" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2ab54273, "kmem_cache_destroy" },
	{ 0xcfd5cda2, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "nf_defrag_ipv4,nf_defrag_ipv6");


MODULE_INFO(srcversion, "5EFC91646ADB6A5245684DE");
