#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x51f5c508, "nf_conntrack_count" },
	{ 0xf38bcdf3, "nf_conntrack_max" },
	{ 0x5002df60, "nfnetlink_unicast" },
	{ 0x612e6fc5, "kfree_skb_reason" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x79f9e740, "nf_ct_get_id" },
	{ 0x40a62432, "__nla_validate" },
	{ 0xfb578fc5, "memset" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x491ebfc7, "nf_ct_expect_alloc" },
	{ 0x7786c3a0, "nf_ct_helper_expectfn_find_by_name" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0xb6069ea4, "__nf_conntrack_helper_find" },
	{ 0x68aa428d, "nf_ct_expect_related_report" },
	{ 0xdaaff505, "nf_ct_expect_find_get" },
	{ 0xd53ea541, "nf_conntrack_expect_lock" },
	{ 0x3c01cfd5, "timer_delete" },
	{ 0x84a4e48, "nf_ct_unlink_expect_report" },
	{ 0x88fcefef, "nf_ct_expect_iterate_net" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xd98a5bd4, "nf_conntrack_find_get" },
	{ 0x69acdf38, "memcpy" },
	{ 0xbc9221e8, "nf_ct_helper_expectfn_find_by_symbol" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xc3fdd615, "nfnetlink_has_listeners" },
	{ 0xdf209487, "nfnetlink_set_err" },
	{ 0xf1f4f01b, "nfnetlink_send" },
	{ 0xc18ac88d, "nf_ct_expect_hsize" },
	{ 0xec8beba6, "nf_ct_expect_hash" },
	{ 0x945045, "nf_ct_remove_expectations" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x7c9a6fc7, "__nf_ct_change_timeout" },
	{ 0xd436d4e6, "__nf_ct_change_status" },
	{ 0x717027bc, "nf_ct_change_status_common" },
	{ 0xaa22bf39, "nf_nat_hook" },
	{ 0xdb065657, "nfnl_unlock" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5ce3b588, "nfnl_lock" },
	{ 0xd60ef1d7, "nf_ct_delete" },
	{ 0x47a02e3c, "nf_ct_iterate_cleanup_net" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0x28eff409, "nf_conntrack_hash" },
	{ 0x2b905759, "nf_conntrack_locks" },
	{ 0xa7d6ca97, "nf_conntrack_lock" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xa5233388, "nf_conn_pernet_ecache" },
	{ 0x72d4b800, "nf_conntrack_alloc" },
	{ 0x1943b37f, "nf_ct_helper_ext_add" },
	{ 0x3f8ef0bb, "nf_ct_ext_add" },
	{ 0xfd9bff60, "nf_ct_ecache_ext_add" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x8cdb889f, "nf_conntrack_hash_check_insert" },
	{ 0xa16fff6b, "nf_conntrack_free" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d9ff93d, "nf_conntrack_eventmask_report" },
	{ 0xdadab171, "__nf_ct_expect_find" },
	{ 0xa67cfc0, "add_timer" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9bd74410, "nfnetlink_subsys_register" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x72e2a82e, "register_pernet_subsys" },
	{ 0xb31e96cc, "nfnl_ct_hook" },
	{ 0x122c3a7e, "_printk" },
	{ 0xc804ca55, "nfnetlink_subsys_unregister" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xbf30b182, "nf_ct_tcp_seqadj_set" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xe6dc723b, "nf_ct_expect_put" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x256b2454, "nf_connlabels_replace" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xe8d285b2, "nla_policy_len" },
	{ 0x37acb463, "nf_ct_l4proto_find" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xd8e312cc, "nf_conntrack_unregister_notifier" },
	{ 0x489df558, "nf_conntrack_register_notifier" },
	{ 0xe4262c6, "__siphash_unaligned" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x8d7992cc, "__do_once_done" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x340248ac, "__netlink_dump_start" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xf143cd72, "unregister_pernet_subsys" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xec183358, "nla_put" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xaf65fe0d, "nla_put_64bit" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x85675e0c, "__nf_ct_ext_find" },
	{ 0x754d539c, "strlen" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xc24f0e1, "__nlmsg_put" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xc8badb4e, "skb_trim" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x37a0cba, "kfree" },
	{ 0xf4eb89a2, "__alloc_skb" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nfnetlink");


MODULE_INFO(srcversion, "7029FE01AF694656E103094");
