#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qrtr_endpoint_post, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_register, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_unregister, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_init, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_remove, "_gpl", "");

SYMBOL_CRC(qrtr_endpoint_post, 0xe5ec510d, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0xc7c8eeed, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0xd5a594e7, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc727c94b, "skb_free_datagram" },
	{ 0xe914e41e, "strcpy" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x423f49e2, "sock_queue_rcv_skb_reason" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xb63f2c61, "__skb_pad" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xba50cbf, "bpf_trace_run4" },
	{ 0xb28d1f72, "skb_copy_bits" },
	{ 0x4af0225d, "radix_tree_insert" },
	{ 0xe94ce49a, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x20f17b2a, "consume_skb" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x842317de, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x80816f26, "get_user_ifreq" },
	{ 0xd738977e, "__trace_trigger_soft_disabled" },
	{ 0xd8523d44, "radix_tree_lookup" },
	{ 0xd9227e6, "_raw_write_lock_bh" },
	{ 0xa87da128, "trace_event_printf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x27f2af8c, "kernel_bind" },
	{ 0x5e6bde8e, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xee32ea6c, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xa0ec9675, "pcpu_hot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x2df9c270, "_raw_write_unlock_bh" },
	{ 0x88b953f5, "__tracepoint_sk_data_ready" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x85ce233b, "__wake_up" },
	{ 0xf93a08dd, "__module_get" },
	{ 0x31de1ed9, "kernel_recvmsg" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf05bfdc7, "sk_error_report" },
	{ 0x257a7188, "skb_queue_purge_reason" },
	{ 0x4b1cc84c, "radix_tree_iter_delete" },
	{ 0xa4d4f11b, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0x2b4d7c09, "proto_unregister" },
	{ 0x663cd19e, "sock_register" },
	{ 0xeae0c5e9, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xf4eb89a2, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xa3cfa8a6, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0xdebee75d, "module_put" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x1e1a0bcf, "__xa_alloc" },
	{ 0x1585f665, "sock_no_shutdown" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xb1f31cbd, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x785d504a, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x3e40090a, "radix_tree_next_chunk" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa1655192, "xa_load" },
	{ 0xc52137ab, "fs_reclaim_release" },
	{ 0xa7bc7502, "__SCK__tp_func_sk_data_ready" },
	{ 0x42ef840, "kernel_getsockname" },
	{ 0x8d40c3b5, "do_wait_intr_irq" },
	{ 0x5ffca90a, "sk_free" },
	{ 0x612e6fc5, "kfree_skb_reason" },
	{ 0xee0378a, "sock_no_accept" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe063483b, "skb_push" },
	{ 0xca14bb13, "sock_no_listen" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0x1a5df3a2, "trace_event_reg" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x52cdf5d1, "lock_sock_nested" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x62efed9, "skb_copy_datagram_iter" },
	{ 0xe163a684, "fs_reclaim_acquire" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x42cffe7e, "sk_alloc" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xcec8bdca, "sock_no_socketpair" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb231c1a9, "sock_no_mmap" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0xb62de504, "__netdev_alloc_skb" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xde779b7b, "__xa_insert" },
	{ 0xa0aa0e96, "xa_erase" },
	{ 0x3bdab5ae, "bpf_trace_run3" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x39cf99b2, "skb_set_owner_w" },
	{ 0xc3db3982, "trace_event_buffer_reserve" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x3a6111fe, "sock_create_kern" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x64e0a9ce, "xa_find" },
	{ 0x305d4cdf, "skb_recv_datagram" },
	{ 0xca15040f, "sock_alloc_send_pskb" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0x673f72da, "xa_store" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x8e878b4a, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xfda53848, "_copy_from_iter" },
	{ 0x2450879c, "sock_release" },
	{ 0xb70789e, "__might_fault" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x2809a719, "sock_gettstamp" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf930b65, "xa_find_after" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x754d539c, "strlen" },
	{ 0xd8b1995, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x3c37926b, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x7739796, "sock_init_data" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x87809aeb, "put_user_ifreq" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0xcfd5cda2, "release_sock" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "397EFC3C41FD84762A14389");
