#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sctp_get_sctp_info, "_gpl", "");
KSYMTAB_FUNC(sctp_for_each_endpoint, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_lookup_process, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_traverse_process, "_gpl", "");
KSYMTAB_FUNC(sctp_do_peeloff, "", "");

SYMBOL_CRC(sctp_get_sctp_info, 0x1f0f6d3d, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0xbff3616b, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0x64eb22d0, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0x63109907, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0x0e5f4022, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8de2bc9d, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xca2f82e0, "sock_i_uid" },
	{ 0xce4f07cb, "ip6_dst_check" },
	{ 0x938e91d4, "inet_addr_type_table" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xda4b86c9, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xb28d1f72, "skb_copy_bits" },
	{ 0xcc3f40a3, "inet_unregister_protosw" },
	{ 0x7344405a, "idr_find" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8afb0155, "sock_wfree" },
	{ 0xe94ce49a, "skb_put" },
	{ 0x1e83e856, "__percpu_counter_init_many" },
	{ 0x50fb5de8, "__fl6_sock_lookup" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x3c2572df, "ip6_dst_hoplimit" },
	{ 0x20f17b2a, "consume_skb" },
	{ 0x38ef5d07, "inet6_add_offload" },
	{ 0x866c4ae4, "crypto_shash_tfm_digest" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x2b6cf154, "inet6_bind" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x842317de, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x71329a30, "l3mdev_fib_table_by_index" },
	{ 0x6a5f37ea, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x862f3c32, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x77796cb8, "inet6_unregister_protosw" },
	{ 0x5be63c5b, "crc32c_csum_stub" },
	{ 0xd738977e, "__trace_trigger_soft_disabled" },
	{ 0x53df7429, "finish_wait" },
	{ 0xbd28ba4e, "skb_segment" },
	{ 0xa87da128, "trace_event_printf" },
	{ 0xc2c6e9b3, "__ip_dev_find" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x40b3c05b, "udp_tunnel6_xmit_skb" },
	{ 0x97de2b83, "debug_locks_silent" },
	{ 0xab244645, "sock_common_getsockopt" },
	{ 0xb79accde, "inet_bind" },
	{ 0xb712c42f, "sock_create" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x6b7c069a, "percpu_counter_destroy_many" },
	{ 0x2ad5ff2d, "prepare_to_wait" },
	{ 0x439b600c, "fd_install" },
	{ 0xee32ea6c, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf5a20ed2, "__genradix_prealloc" },
	{ 0xc9668a06, "lockdep_rht_bucket_is_held" },
	{ 0x37a0cba, "kfree" },
	{ 0xb2b23ed1, "inet_register_protosw" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x8683ae58, "_raw_read_unlock_bh" },
	{ 0x8dde51c9, "_raw_read_lock_bh" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0xa0ec9675, "pcpu_hot" },
	{ 0x93d82eb8, "__xfrm_policy_check" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3c01cfd5, "timer_delete" },
	{ 0x417477ec, "security_sctp_assoc_established" },
	{ 0x88b953f5, "__tracepoint_sk_data_ready" },
	{ 0x2b0ec868, "bpf_trace_run2" },
	{ 0xeb947366, "sock_common_setsockopt" },
	{ 0xf91f61b9, "remove_proc_subtree" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x317c06a1, "rcu_read_lock_bh_held" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x85ce233b, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xcf16fac6, "ip_route_output_flow" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xff593473, "rhashtable_walk_enter" },
	{ 0x6ae36ee4, "kmem_cache_create" },
	{ 0xcbc9f054, "__sk_mem_schedule" },
	{ 0x4e3461aa, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x80146ff9, "sock_alloc_file" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xa4da93b5, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xf05bfdc7, "sk_error_report" },
	{ 0x72e2a82e, "register_pernet_subsys" },
	{ 0xbf05b1f0, "put_cmsg" },
	{ 0xa904b6c1, "lockdep_rht_mutex_is_held" },
	{ 0xa4d4f11b, "trace_event_buffer_commit" },
	{ 0x734cb72e, "timer_reduce" },
	{ 0xe9cd8f4a, "register_net_sysctl_sz" },
	{ 0xbbfe5d4a, "inet_sock_destruct" },
	{ 0x53e76dbc, "crypto_destroy_tfm" },
	{ 0xc500319e, "sock_kmalloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5a287a93, "inet_sk_get_local_port_range" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0xeed7f01c, "inet6_del_protocol" },
	{ 0xd3ab8438, "__get_hash_from_flowi6" },
	{ 0x122c3a7e, "_printk" },
	{ 0x5a6280b5, "inet_getname" },
	{ 0x2b4d7c09, "proto_unregister" },
	{ 0xdc984676, "security_sctp_sk_clone" },
	{ 0x18b00889, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0x1ad0ae10, "__sock_recv_cmsgs" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xf4eb89a2, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x50f91491, "__genradix_ptr" },
	{ 0x76e09ebb, "inet_release" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa9cbed8a, "kmem_cache_alloc" },
	{ 0xa3cfa8a6, "proto_register" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0x5df39d90, "skb_copy_expand" },
	{ 0x9ad9bd3e, "__wake_up_sync_key" },
	{ 0xff507361, "inet6_compat_ioctl" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xadd139d4, "rfs_needed" },
	{ 0x29604158, "napi_busy_loop" },
	{ 0x5a898a4a, "idr_remove" },
	{ 0x467fe68f, "inet_ctl_sock_create" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xab61bb01, "inet_ioctl" },
	{ 0x1bba96ff, "reuseport_add_sock" },
	{ 0x41e1f462, "reuseport_select_sock" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0x300e9c17, "proc_dostring" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x515cc0c, "sk_filter_trim_cap" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xb1f31cbd, "perf_trace_run_bpf_submit" },
	{ 0x10f1fd42, "fput" },
	{ 0x43f2a0f6, "inet_accept" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x785d504a, "init_net" },
	{ 0xd43ca7ff, "crypto_shash_setkey" },
	{ 0xc2a2cfc2, "skb_pull" },
	{ 0x17bcd0f1, "inet_add_offload" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xb6954c3b, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xef385a93, "ip6_mtu" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xc5b199aa, "mod_timer" },
	{ 0xa7bc7502, "__SCK__tp_func_sk_data_ready" },
	{ 0x39e75d49, "inet_add_protocol" },
	{ 0xfdf36362, "inet_shutdown" },
	{ 0x5ffca90a, "sk_free" },
	{ 0x3c9b84c4, "sock_wake_async" },
	{ 0x8357f0fe, "dev_get_by_index_rcu" },
	{ 0x612e6fc5, "kfree_skb_reason" },
	{ 0x954f099c, "idr_preload" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xd3cd35ab, "inet_del_offload" },
	{ 0xc5294929, "_raw_write_lock" },
	{ 0xe063483b, "skb_push" },
	{ 0x4346c75d, "__ip_queue_xmit" },
	{ 0x97ebf994, "kmem_cache_free" },
	{ 0xa2b42866, "__sk_mem_reclaim" },
	{ 0xb64b5941, "fl6_update_dst" },
	{ 0x5a921311, "strncmp" },
	{ 0x99a001ae, "proc_doulongvec_minmax" },
	{ 0x1a5df3a2, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0xf48b49c9, "_raw_spin_lock_nested" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xe41f2809, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd978a5e, "rhashtable_walk_start_check" },
	{ 0xe590dea3, "sk_busy_loop_end" },
	{ 0xcd0ecc9c, "_raw_write_unlock" },
	{ 0xd60db2c8, "ns_capable" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x52cdf5d1, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x58b68b81, "inet6_ioctl" },
	{ 0x62efed9, "skb_copy_datagram_iter" },
	{ 0x231d2047, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x24877b3a, "idr_alloc_cyclic" },
	{ 0x42cffe7e, "sk_alloc" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xf143cd72, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x34bc7497, "ip6_dst_lookup_flow" },
	{ 0xd06bedc6, "rhashtable_free_and_destroy" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xcec8bdca, "sock_no_socketpair" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x16a82174, "rht_bucket_nested_insert" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x87cf4d48, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb231c1a9, "sock_no_mmap" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0x551a5d37, "__pskb_pull_tail" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0x21b55018, "setup_udp_tunnel_sock" },
	{ 0x8d229c7d, "udp_sock_create6" },
	{ 0xc8badb4e, "skb_trim" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0xbff140dc, "sk_common_release" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0x3bdab5ae, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0xfbc20f8b, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0xc575c737, "debug_locks_off" },
	{ 0xa7c8cf86, "inet6_getname" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x2e55932e, "sock_i_ino" },
	{ 0xefd2826a, "inet6_sock_destruct" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xe5f06382, "ip6_xmit" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0xc0118bab, "security_sctp_assoc_request" },
	{ 0x9c2800c6, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3417eb6d, "ipv4_mtu" },
	{ 0x39cf99b2, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xc3db3982, "trace_event_buffer_reserve" },
	{ 0xa6da3076, "__skb_checksum" },
	{ 0xb9cb77a2, "reuseport_alloc" },
	{ 0x9f0d24c0, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0x9d77179d, "inet6_release" },
	{ 0x90128de0, "prepare_to_wait_exclusive" },
	{ 0x4afd4e33, "percpu_counter_add_batch" },
	{ 0xab93e7c2, "inet_sendmsg" },
	{ 0xd986ecb2, "__rwlock_init" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0xaa9751e3, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x8d4b91f2, "lockdep_rtnl_is_held" },
	{ 0x42b56c8c, "ipv6_dup_options" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x5d8ab751, "rhltable_init" },
	{ 0xa23defd4, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb9d133d1, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5ccb1ec2, "proc_create_net_single" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x50f0a6d, "skb_copy" },
	{ 0x8e878b4a, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x14e8e431, "inet_sk_set_state" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0x9a5d817c, "dst_release" },
	{ 0xfda53848, "_copy_from_iter" },
	{ 0x3f75b01b, "_raw_read_lock" },
	{ 0x2450879c, "sock_release" },
	{ 0xb70789e, "__might_fault" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xb6208e12, "inet_recv_error" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x2bfed471, "proc_dointvec" },
	{ 0xd87c2c46, "seq_puts" },
	{ 0x2809a719, "sock_gettstamp" },
	{ 0x7c435d2f, "security_sctp_bind_connect" },
	{ 0x9ed682c3, "rhashtable_walk_next" },
	{ 0x91c4cd04, "_proc_mkdir" },
	{ 0x8d6b0948, "sk_setup_caps" },
	{ 0x1fd54703, "__might_resched" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x6b9bfee2, "send_sig" },
	{ 0x9abc3839, "unregister_net_sysctl_table" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x13958ad4, "inet6_add_protocol" },
	{ 0x96020849, "from_kuid_munged" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0xc0515f8b, "ip_setsockopt" },
	{ 0xcc6f828a, "ipv6_flowlabel_exclusive" },
	{ 0xd5f6d479, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xff0e511f, "ipv6_getsockopt" },
	{ 0x754d539c, "strlen" },
	{ 0xf3e6bafa, "reuseport_detach_sock" },
	{ 0xdf01df6, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0xd8b1995, "iov_iter_revert" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb3073c18, "crypto_alloc_shash" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0x388ef8b, "ipv4_dst_check" },
	{ 0xd6b7406e, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0x15437646, "rhashtable_walk_exit" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7739796, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0xb5c1b226, "skb_dump" },
	{ 0x2ab54273, "kmem_cache_destroy" },
	{ 0xcfd5cda2, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3261965a, "skb_queue_head" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x94dee2e4, "proc_dointvec_minmax" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "67A525097F938503DE3C21D");
