#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(g_token_size, "_gpl", "");
KSYMTAB_FUNC(g_make_token_header, "_gpl", "");
KSYMTAB_FUNC(g_verify_token_header, "_gpl", "");
KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0x1f2dbffb, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0x4dc26580, "_gpl");
SYMBOL_CRC(gss_mech_get, 0xf4bc111b, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0xdbcbd4c6, "");
SYMBOL_CRC(gss_mech_put, 0xe168cddc, "");
SYMBOL_CRC(svcauth_gss_flavor, 0x41239baa, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0xed94f42f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xba68d592, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe914e41e, "strcpy" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xf92cb872, "try_module_get" },
	{ 0x745b6d4a, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0x6ff962f3, "xdr_buf_from_iov" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xba50cbf, "bpf_trace_run4" },
	{ 0xe99a8267, "xdr_stream_decode_opaque_auth" },
	{ 0xdee5b7c3, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x867010af, "xdr_write_pages" },
	{ 0xca981c09, "rpc_shutdown_client" },
	{ 0x8d79ba93, "auth_domain_find" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa4ed6aea, "xdr_inline_decode" },
	{ 0x95897450, "dump_page" },
	{ 0x8497b903, "cache_create_net" },
	{ 0xcd9519ac, "rpcauth_destroy_credcache" },
	{ 0x842317de, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x53fd19c0, "bpf_trace_run6" },
	{ 0x339e437e, "rpc_net_ns" },
	{ 0xb5a5f1ab, "read_bytes_from_xdr_buf" },
	{ 0xd738977e, "__trace_trigger_soft_disabled" },
	{ 0x53df7429, "finish_wait" },
	{ 0x1570da64, "rpc_wake_up" },
	{ 0xa87da128, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x6ea4b8ba, "sunrpc_cache_lookup_rcu" },
	{ 0x2ad5ff2d, "prepare_to_wait" },
	{ 0xee32ea6c, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0xa0ec9675, "pcpu_hot" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0xb0bd8018, "__put_devmap_managed_page_refs" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xf79c6ef0, "proc_create_data" },
	{ 0x43d22fb9, "groups_alloc" },
	{ 0x2b0ec868, "bpf_trace_run2" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0xa27bf8a5, "xdr_truncate_decode" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x941addd3, "rpcauth_unregister" },
	{ 0x85ce233b, "__wake_up" },
	{ 0x9a053888, "__xdr_commit_encode" },
	{ 0xf93a08dd, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xaf8582bf, "rpc_sleep_on" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbcad99d5, "__put_cred" },
	{ 0x72e2a82e, "register_pernet_subsys" },
	{ 0xa4d4f11b, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0xcfc27e9b, "cache_purge" },
	{ 0x122c3a7e, "_printk" },
	{ 0x782fd5b7, "rpc_release_client" },
	{ 0xee769530, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xcb2e9603, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcd10e7d9, "svc_auth_register" },
	{ 0xa87ce05d, "xdr_stream_encode_opaque_auth" },
	{ 0x92aa65, "make_kuid" },
	{ 0x9ce6e245, "rpc_destroy_pipe_data" },
	{ 0x58bf70f3, "__free_pages" },
	{ 0xc12ecd73, "rpc_pipe_generic_upcall" },
	{ 0xdebee75d, "module_put" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x937adac0, "cache_unregister_net" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xeea2b90b, "sunrpc_cache_unhash" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xb1f31cbd, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x5fe9023f, "rpcauth_lookup_credcache" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0xf7c0a1aa, "rpcauth_init_credcache" },
	{ 0x86a383d0, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x3f846d17, "xdr_init_decode" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x1a5df3a2, "trace_event_reg" },
	{ 0xc31b9aa2, "rpc_call_null" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0xa8056403, "rpc_sleep_on_timeout" },
	{ 0x78634a1b, "rpc_create" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0xb69c17f5, "bpf_trace_run1" },
	{ 0x35674653, "rpc_call_sync" },
	{ 0x9ec53fce, "from_kuid" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xf143cd72, "unregister_pernet_subsys" },
	{ 0x5b3dd0f3, "rpc_queue_upcall" },
	{ 0xb92ac4b8, "xdr_encode_word" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xc2433bc8, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xbcb30cef, "svcauth_unix_set_client" },
	{ 0x6af0764, "xdr_buf_subsegment" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0xbca3f13a, "_atomic_dec_and_lock" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0x68343fef, "make_kgid" },
	{ 0x30ff5372, "rpc_remove_pipe_dir_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x27e0ea0f, "xdr_reserve_space" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xabbec093, "nonseekable_open" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3bdab5ae, "bpf_trace_run3" },
	{ 0x3ffbf444, "__put_net" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x71d1e788, "rpc_mkpipe_dentry" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xb9efeea8, "rpc_mkpipe_data" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x67499e72, "gssd_running" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0xc3db3982, "trace_event_buffer_reserve" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x732dd326, "groups_free" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x6714487c, "cache_register_net" },
	{ 0x391333cd, "init_user_ns" },
	{ 0xb6742e52, "alloc_pages" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xa8690581, "xdr_inline_pages" },
	{ 0xe0adf355, "__folio_put" },
	{ 0xb4ab46ed, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0x352c21e6, "rpc_init_wait_queue" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xb345fab5, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x8a1e6fb9, "rpc_unlink" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x2f490dac, "rpcauth_wrap_req_encode" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa23ffc04, "groups_sort" },
	{ 0x96020849, "from_kuid_munged" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0x17aefd5a, "rpcauth_init_cred" },
	{ 0x412abff2, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xf9eb6c43, "cache_destroy_net" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x754d539c, "strlen" },
	{ 0x47e79c81, "rpc_init_pipe_dir_object" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xe9a47fb4, "xdr_stream_pos" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0xe4367f89, "sunrpc_cache_update" },
	{ 0x5e0aa880, "xdr_truncate_encode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x71526ea4, "rpc_destroy_wait_queue" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xc74d3163, "auth_domain_put" },
	{ 0x25297d7f, "rpcauth_unwrap_resp_decode" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x342c8134, "rpcauth_register" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "D3213DC345F5419BC550B8B");
