#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x63ce5287, "fw_iso_context_destroy" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x349ea912, "fw_iso_resources_free" },
	{ 0xa6e59296, "snd_fw_transaction" },
	{ 0x4837f995, "snd_ctl_add" },
	{ 0x624fdeb4, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x253c2a8a, "snd_card_register" },
	{ 0x9732a431, "snd_card_free" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x69acdf38, "memcpy" },
	{ 0x9ba5107b, "fw_iso_context_create" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x53fe5a7e, "fw_iso_context_stop" },
	{ 0x36ff997e, "get_device" },
	{ 0xa561128, "fw_iso_resources_allocate" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8551ab26, "snd_ctl_new1" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb4c1c18e, "put_device" },
	{ 0x7e0acc96, "fw_iso_context_queue" },
	{ 0x2d998c33, "fw_iso_resources_destroy" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x613283a4, "snd_card_new" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x5b3d8723, "snd_ctl_boolean_mono_info" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xd3e282fa, "_dev_err" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xa60c4a83, "iso_packets_buffer_destroy" },
	{ 0xcfc30fde, "driver_unregister" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xa221a88e, "snd_pcm_set_managed_buffer_all" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x94a3b3d4, "fw_iso_context_queue_flush" },
	{ 0x1a09cfb5, "fw_iso_context_start" },
	{ 0xade8d98f, "snd_card_disconnect" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0xe80e5087, "fw_csr_iterator_init" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xbb95f866, "fw_bus_type" },
	{ 0x5a30092d, "snd_pcm_stop_xrun" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xc93984a4, "fw_iso_resources_init" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x73f4c1c9, "snd_pcm_period_elapsed" },
	{ 0x7bb2e86, "iso_packets_buffer_init" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x5d9e6167, "mutex_destroy" },
	{ 0x44292bb9, "driver_register" },
	{ 0x4296b346, "fw_iso_resources_update" },
	{ 0xe3fde125, "fw_csr_iterator_next" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "firewire-core,snd-firewire-lib,snd,snd-pcm");

MODULE_ALIAS("ieee1394:ven*mo*sp00000A27ver00000010*");

MODULE_INFO(srcversion, "0DF2AA4E1C2B1E4EF39AC67");
