#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_emu10k1_memblk_map, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_alloc, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_free, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_bzero, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_copy_from_user, "", "");
KSYMTAB_FUNC(snd_emu10k1_voice_alloc, "", "");
KSYMTAB_FUNC(snd_emu10k1_voice_free, "", "");
KSYMTAB_FUNC(snd_emu10k1_ptr_read, "", "");
KSYMTAB_FUNC(snd_emu10k1_ptr_write, "", "");
KSYMTAB_FUNC(snd_emu10k1_ptr_write_multiple, "", "");

SYMBOL_CRC(snd_emu10k1_memblk_map, 0x2bf021a8, "");
SYMBOL_CRC(snd_emu10k1_synth_alloc, 0x324e6936, "");
SYMBOL_CRC(snd_emu10k1_synth_free, 0x55131f08, "");
SYMBOL_CRC(snd_emu10k1_synth_bzero, 0x07ed4fd4, "");
SYMBOL_CRC(snd_emu10k1_synth_copy_from_user, 0x68bdb8c9, "");
SYMBOL_CRC(snd_emu10k1_voice_alloc, 0x77d39549, "");
SYMBOL_CRC(snd_emu10k1_voice_free, 0xc9268202, "");
SYMBOL_CRC(snd_emu10k1_ptr_read, 0x553f053d, "");
SYMBOL_CRC(snd_emu10k1_ptr_write, 0x7d2f9f9e, "");
SYMBOL_CRC(snd_emu10k1_ptr_write_multiple, 0xacdc8a59, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x60ed2e64, "snd_rawmidi_receive" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x91bc2008, "snd_dma_alloc_dir_pages" },
	{ 0xfdecc903, "devm_request_threaded_irq" },
	{ 0xdee5b7c3, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xa1854f25, "snd_rawmidi_transmit" },
	{ 0xc6bc8454, "snd_ac97_write_cache" },
	{ 0x4837f995, "snd_ctl_add" },
	{ 0x40d50f5a, "snd_ac97_resume" },
	{ 0x624fdeb4, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xa1236868, "snd_seq_device_new" },
	{ 0x253c2a8a, "snd_card_register" },
	{ 0x143e1e65, "request_firmware" },
	{ 0x6fa588d6, "snd_devm_alloc_dir_pages" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x8ff50b3c, "__pci_register_driver" },
	{ 0x40a5e6f4, "snd_pcm_hw_constraint_minmax" },
	{ 0xfc2ee1a9, "snd_timer_interrupt" },
	{ 0x9896332f, "param_array_ops" },
	{ 0xfd028564, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xf85d189f, "snd_card_rw_proc_new" },
	{ 0x98a39816, "snd_ac97_update_bits" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x45a9d8e5, "snd_ac97_mixer" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x85ce233b, "__wake_up" },
	{ 0x376fc420, "snd_sgbuf_get_addr" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xb340763b, "__dynamic_dev_dbg" },
	{ 0x203b110d, "snd_ctl_remove" },
	{ 0x33e0c957, "snd_ac97_bus" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x3582f2e5, "snd_ctl_find_id" },
	{ 0x817823ea, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3386f72f, "pci_read_config_dword" },
	{ 0x8ee3f77c, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x8551ab26, "snd_ctl_new1" },
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0x18b00889, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x970bf995, "snd_ctl_remove_id" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xf66f693b, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x5135470f, "iommu_get_domain_for_dev" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x957c5e7e, "snd_ac97_suspend" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x893bfb9d, "snd_pcm_lib_malloc_pages" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xc1fabe8c, "__snd_util_mem_alloc" },
	{ 0x5b3d8723, "snd_ctl_boolean_mono_info" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xd3e282fa, "_dev_err" },
	{ 0xad2ac505, "snd_util_memhdr_new" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x8ec4c652, "snd_pcm_lib_free_pages" },
	{ 0xa19c64aa, "snd_hwdep_new" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xdcc3c96a, "pci_read_config_word" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x426d6c, "snd_ctl_notify" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x83e61a6a, "snd_pcm_set_ops" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x2919bfb2, "snd_pcm_set_managed_buffer" },
	{ 0x947c3ce8, "snd_timer_new" },
	{ 0x6b5b7c70, "snd_ctl_rename" },
	{ 0xfc8f8dba, "snd_pcm_hw_constraint_list" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x1b720e83, "snd_ac97_update" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xa221a88e, "snd_pcm_set_managed_buffer_all" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xb9638db4, "snd_pcm_rate_to_rate_bit" },
	{ 0xfb578fc5, "memset" },
	{ 0x20674100, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x9e592602, "pci_set_master" },
	{ 0xe565407e, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2042c610, "snd_rawmidi_new" },
	{ 0x958b7595, "dma_set_coherent_mask" },
	{ 0xa84da00f, "snd_pcm_hw_constraint_integer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xcef11e45, "_dev_notice" },
	{ 0xdd64e639, "strscpy" },
	{ 0xaa31a548, "__snd_util_mem_free" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xea14db82, "snd_rawmidi_set_ops" },
	{ 0xaa113901, "snd_pcm_lib_preallocate_pages" },
	{ 0x999e8297, "vfree" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0xaa9751e3, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x9619fe0e, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0xb9d133d1, "seq_printf" },
	{ 0x4679b216, "snd_util_memhdr_free" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x6d4ee003, "snd_info_create_card_entry" },
	{ 0xb70789e, "__might_fault" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x114385fe, "dma_set_mask" },
	{ 0xdbded75a, "snd_device_free" },
	{ 0x73f4c1c9, "snd_pcm_period_elapsed" },
	{ 0x3c79be5b, "__snd_util_memblk_new" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x92e8e77f, "param_ops_int" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x1b5fe4e, "pcim_enable_device" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x52bee752, "snd_pcm_hw_rule_noresample" },
	{ 0x8d4deca4, "snd_ac97_read" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "snd-rawmidi,snd-pcm,snd-ac97-codec,snd,snd-seq-device,snd-timer,snd-util-mem,snd-hwdep");

MODULE_ALIAS("pci:v00001102d00000002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001102d00000004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001102d00000008sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "1423C36AA4CAEDBFED33904");
