#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbcc5146d, "snd_hda_shutup_pins" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc8911df8, "snd_hda_get_connections" },
	{ 0xf6259eb4, "snd_hda_gen_build_controls" },
	{ 0xbd177025, "snd_hda_mixer_amp_volume_info" },
	{ 0x48d1cc55, "snd_hda_gen_spec_init" },
	{ 0x5936f84a, "snd_hda_mixer_amp_switch_info" },
	{ 0x8de5e677, "hda_codec_driver_unregister" },
	{ 0xf40480a3, "snd_hdac_codec_write" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x7270a07f, "snd_hda_mixer_amp_switch_get_beep" },
	{ 0x4e81abd8, "snd_hda_gen_add_kctl" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8551ab26, "snd_ctl_new1" },
	{ 0xab95a73f, "snd_hda_mixer_amp_switch_put_beep" },
	{ 0xbdea46a5, "_snd_hdac_read_parm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xfcf81395, "snd_hda_ctl_add" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xb0b77e43, "snd_hda_override_amp_caps" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x9a85cc42, "__hda_codec_driver_register" },
	{ 0x5c892d21, "snd_hda_parse_pin_defcfg" },
	{ 0x5e1c4b7c, "snd_hda_gen_init" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xbfa71845, "snd_hda_activate_path" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xfb49cc85, "snd_hda_gen_check_power_status" },
	{ 0xbe4e5af2, "snd_hda_get_path_idx" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xbe9d13a8, "snd_hdac_regmap_write_raw" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x413fc8df, "snd_hda_mixer_amp_volume_get" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xde7a9121, "snd_hda_get_path_from_idx" },
	{ 0x8a778f4a, "snd_hda_jack_unsol_event" },
	{ 0xe9479664, "snd_hda_override_conn_list" },
	{ 0xd8a166f8, "snd_hda_gen_build_pcms" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x4b797d1e, "snd_hda_mixer_amp_tlv" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xbe7dd7dc, "snd_array_new" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xf2f79132, "snd_hda_pick_fixup" },
	{ 0x90494627, "snd_hda_apply_fixup" },
	{ 0x57d257bb, "snd_hda_gen_parse_auto_config" },
	{ 0x520a3a70, "snd_hda_enum_helper_info" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0xa5dcb54f, "snd_hda_mixer_amp_volume_put" },
	{ 0x6dfdf21d, "snd_hda_gen_free" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-codec,snd-hda-codec-generic,snd-hda-core,snd");

MODULE_ALIAS("hdaudio:v11D4184Ar*a01*");
MODULE_ALIAS("hdaudio:v11D41882r*a01*");
MODULE_ALIAS("hdaudio:v11D41883r*a01*");
MODULE_ALIAS("hdaudio:v11D41884r*a01*");
MODULE_ALIAS("hdaudio:v11D4194Ar*a01*");
MODULE_ALIAS("hdaudio:v11D4194Br*a01*");
MODULE_ALIAS("hdaudio:v11D41981r*a01*");
MODULE_ALIAS("hdaudio:v11D41983r*a01*");
MODULE_ALIAS("hdaudio:v11D41984r*a01*");
MODULE_ALIAS("hdaudio:v11D41986r*a01*");
MODULE_ALIAS("hdaudio:v11D41988r*a01*");
MODULE_ALIAS("hdaudio:v11D4198Br*a01*");
MODULE_ALIAS("hdaudio:v11D4882Ar*a01*");
MODULE_ALIAS("hdaudio:v11D4989Ar*a01*");
MODULE_ALIAS("hdaudio:v11D4989Br*a01*");

MODULE_INFO(srcversion, "F3C05732D9260C83D3D0FBC");
