#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l41_hda_probe, "_gpl", "SND_HDA_SCODEC_CS35L41");
KSYMTAB_FUNC(cs35l41_hda_remove, "_gpl", "SND_HDA_SCODEC_CS35L41");
KSYMTAB_DATA(cs35l41_hda_pm_ops, "_gpl", "SND_HDA_SCODEC_CS35L41");

SYMBOL_CRC(cs35l41_hda_probe, 0xe4e3f890, "_gpl");
SYMBOL_CRC(cs35l41_hda_remove, 0x40b8d513, "_gpl");
SYMBOL_CRC(cs35l41_hda_pm_ops, 0x0c3f1cfe, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x58f8c3c5, "acpi_dev_get_first_match_dev" },
	{ 0xd24e75d4, "gpiod_get_value_cansleep" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x14162ece, "cs35l41_global_enable" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x47e2d259, "regcache_cache_only" },
	{ 0x4ab4079e, "is_acpi_device_node" },
	{ 0x2b1dcb28, "gpiod_put" },
	{ 0xb50aaceb, "regcache_sync" },
	{ 0x5f01d4fd, "regmap_write" },
	{ 0xfdecc903, "devm_request_threaded_irq" },
	{ 0xafe86688, "devm_kmalloc" },
	{ 0x42faee0c, "firmware_request_nowarn" },
	{ 0x55784228, "regmap_irq_get_virq" },
	{ 0x4837f995, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x32c0a416, "gpiod_count" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0xa8b700c2, "cs_dsp_stop" },
	{ 0x5205cbd6, "pm_runtime_set_autosuspend_delay" },
	{ 0x1778914d, "cs35l41_register_errata_patch" },
	{ 0x3835c79d, "gpiod_set_value_cansleep" },
	{ 0x36ba79c6, "hda_cs_dsp_control_remove" },
	{ 0x96848186, "scnprintf" },
	{ 0x4ed39f4c, "gpiod_get_index" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x8e69d3ae, "component_del" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x95b05292, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x47eab88e, "cs35l41_init_boost" },
	{ 0x448ebfb, "cs35l41_enter_hibernate" },
	{ 0x36ff997e, "get_device" },
	{ 0xb340763b, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa8557b7d, "hda_cs_dsp_read_ctl" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x88182b4e, "__pm_runtime_set_status" },
	{ 0x8551ab26, "snd_ctl_new1" },
	{ 0x18b00889, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb4c1c18e, "put_device" },
	{ 0xc9371f66, "pm_runtime_enable" },
	{ 0xb1ee65da, "fwnode_gpiod_get_index" },
	{ 0x48e34a92, "device_property_read_u32_array" },
	{ 0xf66f693b, "_dev_info" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x51085e3, "lock_system_sleep" },
	{ 0x893c5ddb, "unlock_system_sleep" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x5b3d8723, "snd_ctl_boolean_mono_info" },
	{ 0xfddeb056, "efi" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xd3e282fa, "_dev_err" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x14e27b22, "cs_dsp_halo_init" },
	{ 0xccc8d77d, "cs_dsp_power_down" },
	{ 0xbe5df79a, "device_link_remove" },
	{ 0xfd48b40, "cs35l41_test_key_unlock" },
	{ 0x81fb1a59, "hda_cs_dsp_add_controls" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0xaa9caca, "cs35l41_test_key_lock" },
	{ 0x16029ad8, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0x389e86c7, "cs35l41_safe_reset" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x20674100, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x322c3c3b, "acpi_get_first_physical_node" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd7507c22, "cs_dsp_power_up" },
	{ 0x89e1ec9d, "acpi_get_subsystem_id" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x7b1214f2, "hda_cs_dsp_write_ctl" },
	{ 0x87226e0e, "cs35l41_otp_unpack" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xcfe95b43, "devm_kasprintf" },
	{ 0xd586859f, "devm_regmap_add_irq_chip" },
	{ 0xdd64e639, "strscpy" },
	{ 0x1e970a2, "cs35l41_exit_hibernate" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x999e8297, "vfree" },
	{ 0xec37481d, "regmap_read" },
	{ 0xa8c292ff, "cs_dsp_run" },
	{ 0xe70de0fc, "__pm_runtime_resume" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x4633ad05, "cs35l41_set_cspl_mbox_cmd" },
	{ 0xaa9751e3, "param_ops_bool" },
	{ 0x99c29199, "cs35l41_write_fs_errata" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x456febeb, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0xc6729378, "cs35l41_configure_cs_dsp" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x2baaac19, "_dev_crit" },
	{ 0x1cfe2656, "regmap_update_bits_base" },
	{ 0x8b2b5002, "dev_err_probe" },
	{ 0x5250f0a7, "regmap_multi_reg_write" },
	{ 0xe0e71af0, "__pm_runtime_suspend" },
	{ 0xf8c55228, "component_add" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x5ab8febf, "__pm_runtime_use_autosuspend" },
	{ 0x76e5abf6, "cs35l41_set_channels" },
	{ 0xaa41c5bf, "__pm_runtime_disable" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xa0425653, "device_link_add" },
	{ 0xfed2226b, "pm_runtime_force_suspend" },
	{ 0x2b707546, "hda_cs_dsp_fw_ids" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe92ff6ad, "cs35l41_gpio_config" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-cs35l41-lib,snd,cs_dsp,snd-hda-cs-dsp-ctls");


MODULE_INFO(srcversion, "C7C604EFE79E88C8BF5E2F7");
