#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l56_set_patch, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_force_sync_asp1_registers_from_cache, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_mbox_send, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_firmware_shutdown, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_for_firmware_boot, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_control_port_ready, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_min_reset_pulse, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_system_reset, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_irq_request, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_irq, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_is_fw_reload_needed, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_runtime_suspend_common, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_runtime_resume_common, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_init_cs_dsp, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_hw_init, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_bclk_freq_id, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_fill_supply_names, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_tx_input_texts, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_tx_input_values, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_i2c, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_spi, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_sdw, "_gpl", "SND_SOC_CS35L56_SHARED");

SYMBOL_CRC(cs35l56_set_patch, 0x1beb15a7, "_gpl");
SYMBOL_CRC(cs35l56_force_sync_asp1_registers_from_cache, 0xebfa4204, "_gpl");
SYMBOL_CRC(cs35l56_mbox_send, 0xdf25dece, "_gpl");
SYMBOL_CRC(cs35l56_firmware_shutdown, 0xac3b40f3, "_gpl");
SYMBOL_CRC(cs35l56_wait_for_firmware_boot, 0xd40cd499, "_gpl");
SYMBOL_CRC(cs35l56_wait_control_port_ready, 0xad591ce8, "_gpl");
SYMBOL_CRC(cs35l56_wait_min_reset_pulse, 0x810124fe, "_gpl");
SYMBOL_CRC(cs35l56_system_reset, 0x08d15e51, "_gpl");
SYMBOL_CRC(cs35l56_irq_request, 0xf0820c43, "_gpl");
SYMBOL_CRC(cs35l56_irq, 0x05482545, "_gpl");
SYMBOL_CRC(cs35l56_is_fw_reload_needed, 0xfd0f7b49, "_gpl");
SYMBOL_CRC(cs35l56_runtime_suspend_common, 0x0175482e, "_gpl");
SYMBOL_CRC(cs35l56_runtime_resume_common, 0xf4903dac, "_gpl");
SYMBOL_CRC(cs35l56_init_cs_dsp, 0x242c2a2a, "_gpl");
SYMBOL_CRC(cs35l56_hw_init, 0xe2855e56, "_gpl");
SYMBOL_CRC(cs35l56_get_bclk_freq_id, 0x88762c92, "_gpl");
SYMBOL_CRC(cs35l56_fill_supply_names, 0xcd5438ad, "_gpl");
SYMBOL_CRC(cs35l56_tx_input_texts, 0x64e759e4, "_gpl");
SYMBOL_CRC(cs35l56_tx_input_values, 0x05c2529e, "_gpl");
SYMBOL_CRC(cs35l56_regmap_i2c, 0xa3fa7237, "_gpl");
SYMBOL_CRC(cs35l56_regmap_spi, 0x15af74e8, "_gpl");
SYMBOL_CRC(cs35l56_regmap_sdw, 0xdac1409b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x47e2d259, "regcache_cache_only" },
	{ 0xb50aaceb, "regcache_sync" },
	{ 0x5f01d4fd, "regmap_write" },
	{ 0xfdecc903, "devm_request_threaded_irq" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x95b05292, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xb340763b, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf66f693b, "_dev_info" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x53e86b55, "regmap_multi_reg_write_bypassed" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xd3e282fa, "_dev_err" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x20674100, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xec37481d, "regmap_read" },
	{ 0xe70de0fc, "__pm_runtime_resume" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x2baaac19, "_dev_crit" },
	{ 0x1cfe2656, "regmap_update_bits_base" },
	{ 0xe0e71af0, "__pm_runtime_suspend" },
	{ 0x8545572d, "regmap_register_patch" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xfddc976b, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CD71DBACFCDCC7A02292C96");
