#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sst_alloc_drv_context, "_gpl", "");
KSYMTAB_FUNC(sst_context_init, "_gpl", "");
KSYMTAB_FUNC(sst_context_cleanup, "_gpl", "");
KSYMTAB_FUNC(sst_configure_runtime_pm, "_gpl", "");
KSYMTAB_DATA(intel_sst_pm, "_gpl", "");
KSYMTAB_FUNC(relocate_imr_addr_mrfld, "_gpl", "");

SYMBOL_CRC(sst_alloc_drv_context, 0xff7a0de3, "_gpl");
SYMBOL_CRC(sst_context_init, 0x4887c3bd, "_gpl");
SYMBOL_CRC(sst_context_cleanup, 0x1662083e, "_gpl");
SYMBOL_CRC(sst_configure_runtime_pm, 0x7ddb42c6, "_gpl");
SYMBOL_CRC(intel_sst_pm, 0x139bcf3f, "_gpl");
SYMBOL_CRC(relocate_imr_addr_mrfld, 0x709cd25f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x405c8f2d, "cpu_latency_qos_remove_request" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xfdecc903, "devm_request_threaded_irq" },
	{ 0xafe86688, "devm_kmalloc" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x5205cbd6, "pm_runtime_set_autosuspend_delay" },
	{ 0x53df7429, "finish_wait" },
	{ 0x143e1e65, "request_firmware" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x69acdf38, "memcpy" },
	{ 0x9bbfc63f, "cpu_latency_qos_add_request" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x85ce233b, "__wake_up" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xb340763b, "__dynamic_dev_dbg" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x88182b4e, "__pm_runtime_set_status" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xc9371f66, "pm_runtime_enable" },
	{ 0xf66f693b, "_dev_info" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9cf37c44, "__iowrite32_copy" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xd3e282fa, "_dev_err" },
	{ 0xafd4d7c1, "request_firmware_nowait" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x1a45cb6c, "acpi_disabled" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd8f3538f, "cpu_latency_qos_update_request" },
	{ 0x5a921311, "strncmp" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x3801776b, "__ioread32_copy" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x335df807, "sysfs_create_group" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x25312f8f, "sysfs_remove_group" },
	{ 0xe70de0fc, "__pm_runtime_resume" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0x208fc475, "sst_unregister_dsp" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0xe0e71af0, "__pm_runtime_suspend" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x5ab8febf, "__pm_runtime_use_autosuspend" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xa08467d7, "sst_register_dsp" },
	{ 0xaa41c5bf, "__pm_runtime_disable" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-sst-atom-hifi2-platform");


MODULE_INFO(srcversion, "5382AC352259CCDCD8045A0");
