#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(skl_dsp_set_dma_control, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_create_pipeline, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_delete_pipeline, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_set_pipeline_state, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_save_pipeline, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_restore_pipeline, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_set_dx, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_init_instance, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_bind_unbind, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_load_modules, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_unload_modules, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_set_large_config, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_get_large_config, "_gpl", "");
KSYMTAB_FUNC(skl_sst_ipc_load_library, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_set_d0ix, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_get_core, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_put_core, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_wake, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_sleep, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_free, "_gpl", "");
KSYMTAB_FUNC(is_skl_dsp_running, "_gpl", "");
KSYMTAB_FUNC(cnl_dsp_free, "_gpl", "");
KSYMTAB_FUNC(skl_clear_module_cnt, "_gpl", "");
KSYMTAB_FUNC(skl_sst_dsp_init, "_gpl", "");
KSYMTAB_FUNC(skl_sst_init_fw, "_gpl", "");
KSYMTAB_FUNC(skl_sst_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(bxt_sst_dsp_init, "_gpl", "");
KSYMTAB_FUNC(bxt_sst_init_fw, "_gpl", "");
KSYMTAB_FUNC(bxt_sst_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(cnl_sst_dsp_init, "_gpl", "");
KSYMTAB_FUNC(cnl_sst_init_fw, "_gpl", "");
KSYMTAB_FUNC(cnl_sst_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(skl_get_pvt_instance_id_map, "_gpl", "");
KSYMTAB_FUNC(skl_get_pvt_id, "_gpl", "");
KSYMTAB_FUNC(skl_put_pvt_id, "_gpl", "");

SYMBOL_CRC(skl_dsp_set_dma_control, 0x327b0646, "_gpl");
SYMBOL_CRC(skl_ipc_create_pipeline, 0xf75b083a, "_gpl");
SYMBOL_CRC(skl_ipc_delete_pipeline, 0x0a684268, "_gpl");
SYMBOL_CRC(skl_ipc_set_pipeline_state, 0xd1667b80, "_gpl");
SYMBOL_CRC(skl_ipc_save_pipeline, 0xba4210fd, "_gpl");
SYMBOL_CRC(skl_ipc_restore_pipeline, 0x653d362b, "_gpl");
SYMBOL_CRC(skl_ipc_set_dx, 0x7d15512d, "_gpl");
SYMBOL_CRC(skl_ipc_init_instance, 0xb5d72d8a, "_gpl");
SYMBOL_CRC(skl_ipc_bind_unbind, 0xd917cc6b, "_gpl");
SYMBOL_CRC(skl_ipc_load_modules, 0xddfd5e10, "_gpl");
SYMBOL_CRC(skl_ipc_unload_modules, 0xdc8269b3, "_gpl");
SYMBOL_CRC(skl_ipc_set_large_config, 0xd4910375, "_gpl");
SYMBOL_CRC(skl_ipc_get_large_config, 0x03a845bd, "_gpl");
SYMBOL_CRC(skl_sst_ipc_load_library, 0xceb1f3d9, "_gpl");
SYMBOL_CRC(skl_ipc_set_d0ix, 0x4918e287, "_gpl");
SYMBOL_CRC(skl_dsp_get_core, 0xff471948, "_gpl");
SYMBOL_CRC(skl_dsp_put_core, 0xf392a98b, "_gpl");
SYMBOL_CRC(skl_dsp_wake, 0x85f6ca4e, "_gpl");
SYMBOL_CRC(skl_dsp_sleep, 0x71c0df3a, "_gpl");
SYMBOL_CRC(skl_dsp_free, 0x9762e604, "_gpl");
SYMBOL_CRC(is_skl_dsp_running, 0x3ad1814a, "_gpl");
SYMBOL_CRC(cnl_dsp_free, 0xc82de044, "_gpl");
SYMBOL_CRC(skl_clear_module_cnt, 0x4f8751aa, "_gpl");
SYMBOL_CRC(skl_sst_dsp_init, 0x877d8660, "_gpl");
SYMBOL_CRC(skl_sst_init_fw, 0x72f57d10, "_gpl");
SYMBOL_CRC(skl_sst_dsp_cleanup, 0x23a147ab, "_gpl");
SYMBOL_CRC(bxt_sst_dsp_init, 0xf5d72b51, "_gpl");
SYMBOL_CRC(bxt_sst_init_fw, 0xb815fcf8, "_gpl");
SYMBOL_CRC(bxt_sst_dsp_cleanup, 0xf5528789, "_gpl");
SYMBOL_CRC(cnl_sst_dsp_init, 0xc984fbab, "_gpl");
SYMBOL_CRC(cnl_sst_init_fw, 0xbce3d814, "_gpl");
SYMBOL_CRC(cnl_sst_dsp_cleanup, 0x13341517, "_gpl");
SYMBOL_CRC(skl_get_pvt_instance_id_map, 0xcc83570e, "_gpl");
SYMBOL_CRC(skl_get_pvt_id, 0x50b519f1, "_gpl");
SYMBOL_CRC(skl_put_pvt_id, 0x6e21fe0b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x393ed52f, "platform_device_put" },
	{ 0xf2949b91, "pci_save_state" },
	{ 0x215ffc86, "snd_hdac_ext_bus_link_power_down_all" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xda0ec73, "sst_dsp_register_poll" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x91bc2008, "snd_dma_alloc_dir_pages" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafe86688, "devm_kmalloc" },
	{ 0x4a005590, "pci_enable_device" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x393f990e, "snd_hdac_bus_send_cmd" },
	{ 0xb11ffd18, "sysfs_create_file_ns" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x5a9cdcd1, "snd_hdac_stream_set_spib" },
	{ 0x1ed7ab05, "snd_hdac_bus_enter_link_reset" },
	{ 0x6b27ad3d, "sst_ipc_tx_message_wait" },
	{ 0xa3b4d581, "intel_nhlt_get_dmic_geo" },
	{ 0x165e4083, "snd_hdac_bus_get_response" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6ce995b, "snd_hdac_ext_stream_start" },
	{ 0xfa603800, "snd_soc_acpi_intel_kbl_machines" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x3f7bae05, "snd_hdac_ext_stream_free_all" },
	{ 0x96852575, "snd_hdac_bus_update_rirb" },
	{ 0xb1380310, "sst_dsp_shim_write_unlocked" },
	{ 0xf0949f55, "snd_hdac_ext_bus_ppcap_enable" },
	{ 0x53df7429, "finish_wait" },
	{ 0x143e1e65, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x8ff50b3c, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x40a5e6f4, "snd_pcm_hw_constraint_minmax" },
	{ 0x7ec65315, "snd_hdac_codec_modalias" },
	{ 0xff01f415, "snd_hdac_bus_stop_chip" },
	{ 0xfd028564, "pci_request_regions" },
	{ 0xad504915, "snd_hdac_ext_bus_link_power_up" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1127d37c, "snd_hdac_ext_bus_init" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x85ce233b, "__wake_up" },
	{ 0xcef2cc7e, "snd_intel_dsp_driver_probe" },
	{ 0xd3be8ac9, "snd_hdac_stream_set_lpib" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x376fc420, "snd_sgbuf_get_addr" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xb340763b, "__dynamic_dev_dbg" },
	{  0xf1a09, "snd_sgbuf_get_chunk_size" },
	{ 0xa5ffa8af, "pci_ioremap_bar" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x76eac7be, "snd_hdac_ext_bus_device_remove" },
	{ 0x8e251f55, "snd_hdac_ext_bus_ppcap_int_enable" },
	{ 0x47cce636, "snd_pcm_set_sync" },
	{ 0x817823ea, "pci_unregister_driver" },
	{ 0x967be334, "snd_soc_hdac_hda_get_ops" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x190a4429, "platform_device_add_data" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x44c3e9ce, "snd_hdac_stream_timecounter_init" },
	{ 0x8a386b97, "snd_hdac_ext_link_free_all" },
	{ 0x2c2bb836, "sst_ipc_tx_message_nowait" },
	{ 0x3386f72f, "pci_read_config_dword" },
	{ 0x8ee3f77c, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x1cd36367, "devm_snd_soc_register_component" },
	{ 0xb8f28d03, "snd_hdac_bus_free_stream_pages" },
	{ 0xa26ed210, "flush_delayed_work" },
	{ 0x5325de16, "snd_hdac_dsp_prepare" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x7d379b0e, "snd_hdac_ext_bus_link_power_up_all" },
	{ 0x6026e687, "snd_hdac_ext_bus_exit" },
	{ 0xeb8d1f35, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xb4c1c18e, "put_device" },
	{ 0xdafd557, "sysfs_remove_file_ns" },
	{ 0xba690e66, "snd_hdac_ext_stream_decouple" },
	{ 0xfe916dc6, "hex_dump_to_buffer" },
	{ 0x6d7602ca, "snd_hdac_ext_stream_clear" },
	{ 0x8bb09767, "snd_hdac_device_register" },
	{ 0x2dd4c815, "snd_hdac_stream_spbcap_enable" },
	{ 0x10ea6124, "sst_ipc_tx_message_nopm" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb2ea9bee, "snd_hdac_i915_init" },
	{ 0xf66f693b, "_dev_info" },
	{ 0x6cf3f39c, "snd_hdac_bus_init_chip" },
	{ 0xa1c6523, "snd_hdac_stream_stop" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x1c335c09, "intel_nhlt_get_endpoint_blob" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x2b1e69d6, "snd_hdac_stream_cleanup" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5c07cb49, "snd_hdac_calc_stream_format" },
	{ 0x2456a3aa, "sst_dsp_shim_read_unlocked" },
	{ 0xa249fd1c, "devm_kfree" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xd3e282fa, "_dev_err" },
	{ 0x180271ae, "simple_open" },
	{ 0x336f81a3, "snd_soc_acpi_intel_bxt_machines" },
	{ 0x14f49782, "snd_hdac_bus_exit_link_reset" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x39b366e7, "platform_device_unregister" },
	{ 0x367de445, "sst_ipc_fini" },
	{ 0x4807803a, "snd_hdac_ext_stream_assign" },
	{ 0xaa2965e6, "snd_hdac_ext_stream_release" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xce93b9bc, "snd_hdac_ext_stream_init_all" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x7ba0c905, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xba39aa11, "snd_soc_acpi_find_machine" },
	{ 0xe5cd6b4, "sst_dsp_shim_update_bits_unlocked" },
	{ 0xfb942793, "sst_dsp_shim_update_bits_forced" },
	{ 0x30ae4ec8, "platform_device_add" },
	{ 0x9166fada, "strncpy" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x4856cd05, "platform_device_alloc" },
	{ 0x3801776b, "__ioread32_copy" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x334ebcb8, "sst_ipc_init" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xe53d43e4, "snd_soc_acpi_intel_glk_machines" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x715f5da4, "snd_soc_tplg_component_load" },
	{ 0x49c18ed0, "sst_dsp_shim_read" },
	{ 0xf4c52d46, "snd_hdac_ext_stream_setup" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0xb5ea07fb, "snd_hdac_bus_stop_cmd_io" },
	{ 0xeb511389, "snd_hdac_stream_sync" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0xa263ce95, "pci_restore_state" },
	{ 0xc86d171b, "default_llseek" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xa221a88e, "snd_pcm_set_managed_buffer_all" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x20674100, "_dev_warn" },
	{ 0xde77cd60, "snd_hdac_display_power" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x16e86983, "sst_shim32_read" },
	{ 0x9e592602, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x11e58967, "sst_dsp_mailbox_init" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0xd1ccbf46, "sst_ipc_tx_msg_reply_complete" },
	{ 0x3179d3c3, "snd_soc_tplg_component_remove" },
	{ 0x8cf0f2b0, "snd_hdac_bus_init_cmd_io" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x958b7595, "dma_set_coherent_mask" },
	{ 0xa84da00f, "snd_pcm_hw_constraint_integer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xba28857e, "sst_dsp_shim_update_bits" },
	{ 0x4c41d840, "snd_hdac_acomp_exit" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x7b62a7d7, "debugfs_create_file" },
	{ 0x5371cf99, "snd_hdac_bus_parse_capabilities" },
	{ 0x31b4b11, "platform_device_register_full" },
	{ 0x22aa3e8e, "sst_dsp_outbox_write" },
	{ 0x7f8fb6bb, "pm_runtime_allow" },
	{ 0xe70de0fc, "__pm_runtime_resume" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x8caf9305, "uuid_is_valid" },
	{ 0xcdb5cd79, "snd_hdac_stream_setup" },
	{ 0x3ed0f70f, "sst_dsp_inbox_read" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xe0e8c0af, "snd_hdac_stream_set_params" },
	{ 0xbc096c8a, "pci_release_regions" },
	{ 0xbb52a456, "snd_soc_acpi_intel_cnl_machines" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x701dd1c9, "snd_hdac_bus_handle_stream_irq" },
	{ 0xbe250a53, "snd_hdac_ext_bus_get_ml_capabilities" },
	{ 0xa36ad535, "pci_write_config_byte" },
	{ 0x9856dee7, "snd_hdac_stream_drsm_enable" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xd65ae03d, "snd_soc_acpi_intel_skl_machines" },
	{ 0x1663758a, "snd_hdac_ext_bus_get_hlink_by_name" },
	{ 0x691cb08d, "snd_soc_set_runtime_hwparams" },
	{ 0x26aa682f, "snd_hdac_get_stream" },
	{ 0x36b4483, "pci_disable_device" },
	{ 0xe1591292, "snd_hdac_ext_bus_link_set_stream_id" },
	{ 0x5a2ef896, "pci_match_id" },
	{ 0x57e3845b, "snd_hdac_stream_sync_trigger" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xbb184237, "snd_hdac_ext_bus_link_put" },
	{ 0x633d4966, "snd_hda_codec_device_init" },
	{ 0x114385fe, "dma_set_mask" },
	{ 0x67c9d47, "snd_hdac_set_codec_wakeup" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x6ab64055, "snd_hdac_stream_reset" },
	{ 0x656805e0, "sst_dsp_shim_write" },
	{ 0x73f4c1c9, "snd_pcm_period_elapsed" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0xe0e71af0, "__pm_runtime_suspend" },
	{ 0x161d3642, "snd_hdac_bus_alloc_stream_pages" },
	{ 0xb6ba9bb1, "snd_soc_tplg_widget_bind_event" },
	{ 0xef0e0f07, "pci_read_config_byte" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x7fcc4696, "snd_hdac_dsp_trigger" },
	{ 0x754d539c, "strlen" },
	{ 0xe9c6de99, "sst_shim32_write" },
	{ 0x92e8e77f, "param_ops_int" },
	{ 0xddc88f11, "intel_nhlt_init" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0xd81a18f7, "snd_hdac_stop_streams_and_chip" },
	{ 0xf6559ecd, "snd_hdac_dsp_cleanup" },
	{ 0x6308ec26, "debugfs_create_dir" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xdb5a1066, "snd_hdac_ext_stream_reset" },
	{ 0xd62bc79, "snd_hdac_stop_streams" },
	{ 0xec287267, "snd_hdac_ext_bus_link_clear_stream_id" },
	{ 0x247d51cc, "snd_hdac_stream_start" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x56f6ee65, "pci_write_config_dword" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xc8d75559, "snd_soc_dapm_kcontrol_widget" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3220a603, "snd_hdac_stream_set_dpibr" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x665786c, "snd_soc_acpi_intel_hda_machines" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-ext-core,snd-soc-sst-dsp,snd-pcm,snd-hda-core,snd-soc-sst-ipc,snd-intel-dspcfg,snd-soc-acpi-intel-match,snd-soc-hdac-hda,snd-soc-core,snd-soc-acpi,snd-hda-codec");

MODULE_ALIAS("pci:v00008086d00009D70sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005A98sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009D71sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003198sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009DC8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A348sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000002C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000006C8sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "79AC3EEF8E6F3965F4E73CF");
