#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_shmem_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_madvise, "", "");
KSYMTAB_FUNC(drm_gem_shmem_purge, "", "");
KSYMTAB_FUNC(drm_gem_shmem_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_shmem_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_print_info, "", "");
KSYMTAB_FUNC(drm_gem_shmem_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_get_pages_sgt, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_prime_import_sg_table, "_gpl", "");

SYMBOL_CRC(drm_gem_shmem_create, 0xaded61da, "_gpl");
SYMBOL_CRC(drm_gem_shmem_free, 0x4018e689, "_gpl");
SYMBOL_CRC(drm_gem_shmem_put_pages, 0x1a8a5534, "");
SYMBOL_CRC(drm_gem_shmem_pin, 0xab254739, "");
SYMBOL_CRC(drm_gem_shmem_unpin, 0x20e062d6, "");
SYMBOL_CRC(drm_gem_shmem_vmap, 0x2d5bc461, "");
SYMBOL_CRC(drm_gem_shmem_vunmap, 0x224fe302, "");
SYMBOL_CRC(drm_gem_shmem_madvise, 0x1e2afea6, "");
SYMBOL_CRC(drm_gem_shmem_purge, 0x6f7e587d, "");
SYMBOL_CRC(drm_gem_shmem_dumb_create, 0x20e7e143, "_gpl");
SYMBOL_CRC(drm_gem_shmem_vm_ops, 0xd58e7e88, "_gpl");
SYMBOL_CRC(drm_gem_shmem_mmap, 0xeced361c, "_gpl");
SYMBOL_CRC(drm_gem_shmem_print_info, 0x22a2359b, "");
SYMBOL_CRC(drm_gem_shmem_get_sg_table, 0xa3179ae9, "_gpl");
SYMBOL_CRC(drm_gem_shmem_get_pages_sgt, 0xc2614998, "_gpl");
SYMBOL_CRC(drm_gem_shmem_prime_import_sg_table, 0x89cb1958, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8a35b432, "sme_me_mask" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xaf85eb08, "vmf_insert_pfn" },
	{ 0xb70eae87, "ww_mutex_lock_interruptible" },
	{ 0x37f9e57f, "drm_gem_get_pages" },
	{ 0x2bd3c65d, "dma_buf_vmap" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x68738bed, "invalidate_mapping_pages" },
	{ 0xfd68ff34, "ww_mutex_unlock" },
	{ 0xe411a78a, "unmap_mapping_range" },
	{ 0x94961283, "vunmap" },
	{ 0xe347f39c, "dma_buf_mmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x6f1a8f44, "dump_mm" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xe9c0db5d, "drm_gem_create_mmap_offset" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa67faa22, "drm_gem_object_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf23fc55, "dev_driver_string" },
	{ 0x549bf65f, "dma_resv_reset_max_fences" },
	{ 0x57742918, "drm_gem_private_object_init" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb6269b20, "set_pages_array_wb" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x75e05414, "drm_gem_vm_close" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xcd5717c6, "drm_gem_vm_open" },
	{ 0xd21cccf3, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x606d8142, "up_write" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x31a682ff, "drm_gem_object_release" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x6f2fadcc, "ww_mutex_lock" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x8c65c450, "vmap" },
	{ 0x503b3fef, "drm_gem_handle_create" },
	{ 0x8dec6796, "__drm_dev_dbg" },
	{ 0x9514558f, "drm_prime_pages_to_sg" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa5685a88, "dma_buf_vunmap" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xe9380892, "shmem_truncate_range" },
	{ 0x87e12c74, "set_pages_array_wc" },
	{ 0x28779e52, "drm_printf" },
	{ 0xb6ae37fa, "dma_map_sgtable" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x785af80e, "drm_gem_free_mmap_offset" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xd904e370, "dma_unmap_sg_attrs" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x392ebcac, "drm_gem_put_pages" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0xebd9ea76, "drm_gem_private_object_fini" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0x385d81f9, "drm_prime_gem_destroy" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "drm");


MODULE_INFO(srcversion, "0376228694C0E6761CA8C54");
