#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8a0e847, "crypto_shash_update" },
	{ 0x39378671, "crypto_shash_final" },
	{ 0xf10f8b50, "mempool_alloc" },
	{ 0xd8a00066, "mempool_free" },
	{ 0x18b00889, "___ratelimit" },
	{ 0xf7dd3ea8, "dm_audit_log_bio" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x349cba85, "strchr" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x754d539c, "strlen" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x53df7429, "finish_wait" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc5b199aa, "mod_timer" },
	{ 0x85ce233b, "__wake_up" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x293f0f8d, "__bio_advance" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0xf35b6b60, "dm_per_bio_data" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x37a0cba, "kfree" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0xe7d4154c, "bio_associate_blkg" },
	{ 0x47456dc7, "submit_bio_noacct" },
	{ 0x89e4f4a5, "wait_for_completion_io" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x8a166029, "dm_accept_partial_bio" },
	{ 0xb6742e52, "alloc_pages" },
	{ 0x58bf70f3, "__free_pages" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xeca7949e, "dm_bufio_client_destroy" },
	{ 0x85693d99, "mempool_exit" },
	{ 0x9e4faeef, "dm_io_client_destroy" },
	{ 0xed8e05c0, "dm_put_device" },
	{ 0xeb44339a, "free_pages_exact" },
	{ 0x53e76dbc, "crypto_destroy_tfm" },
	{ 0x724fa27, "dm_audit_log_ti" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x6b45e597, "crypto_alloc_skcipher" },
	{ 0xabf6f14f, "crypto_skcipher_setkey" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0xae04012c, "__vmalloc" },
	{ 0x342351a5, "dm_post_suspending" },
	{ 0x1fd54703, "__might_resched" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x999e8297, "vfree" },
	{ 0x5bea8b65, "blk_start_plug" },
	{ 0xc9a3422d, "dm_bufio_write_dirty_buffers_async" },
	{ 0xc7cac5b2, "blk_finish_plug" },
	{ 0x63b0212, "__wake_up_locked" },
	{ 0x56ae8177, "async_xor" },
	{ 0xacf7679, "dma_issue_pending_all" },
	{ 0xcc36ef45, "try_wait_for_completion" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0xcc24afb5, "timer_delete_sync" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0xfdf85cf6, "dm_table_get_mode" },
	{ 0x6b3a10e, "dm_get_device" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x39c74235, "dm_read_arg_group" },
	{ 0x7d27e504, "dm_shift_arg" },
	{ 0x5a921311, "strncmp" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x601f665f, "dm_io_client_create" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0xea7e9141, "mempool_init" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x5fc72f0e, "alloc_pages_exact" },
	{ 0xd35b6c36, "dm_bufio_client_create" },
	{ 0xed3283a4, "dm_bufio_set_sector_offset" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x59e1190b, "dm_set_target_max_io_len" },
	{ 0x86243518, "dm_table_get_md" },
	{ 0x6915616d, "dm_disk" },
	{ 0x94f99dc2, "blk_integrity_register" },
	{ 0x3c01cfd5, "timer_delete" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x6ae36ee4, "kmem_cache_create" },
	{ 0x3b333b0a, "dm_register_target" },
	{ 0x2ab54273, "kmem_cache_destroy" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0da7884, "blk_limits_io_min" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x925493f, "clear_page_orig" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xa1e0b3f9, "complete" },
	{ 0x359e4879, "crypto_skcipher_encrypt" },
	{ 0x81e9653c, "crypto_skcipher_decrypt" },
	{ 0xe5a5244b, "wait_for_completion" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca9360b5, "rb_next" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x4eedfe1c, "wake_up_process" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xa82b2066, "dm_bufio_write_dirty_buffers" },
	{ 0x867e87eb, "dm_bufio_get_dm_io_client" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0x46c15666, "dm_io" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0x57bd9c68, "dm_bio_from_per_bio_data" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x121b00ad, "bio_endio" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0xb3073c18, "crypto_alloc_shash" },
	{ 0xd43ca7ff, "crypto_shash_setkey" },
	{ 0xd706a4c6, "dm_unregister_target" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x96848186, "scnprintf" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xb04f56ab, "dm_bufio_read" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe6024e59, "dm_bufio_release" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x6a2f40e1, "dm_bufio_mark_partial_buffer_dirty" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x33b84f74, "copy_page" },
	{ 0xa0ec9675, "pcpu_hot" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "dm-bufio,async_xor");


MODULE_INFO(srcversion, "A67C4ABC063A587BFE8A1C2");
