#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dm_snap_origin, "", "");
KSYMTAB_FUNC(dm_snap_cow, "", "");
KSYMTAB_FUNC(dm_exception_store_type_register, "", "");
KSYMTAB_FUNC(dm_exception_store_type_unregister, "", "");
KSYMTAB_FUNC(dm_exception_store_create, "", "");
KSYMTAB_FUNC(dm_exception_store_destroy, "", "");

SYMBOL_CRC(dm_snap_origin, 0x6713b726, "");
SYMBOL_CRC(dm_snap_cow, 0x0c5a63ee, "");
SYMBOL_CRC(dm_exception_store_type_register, 0x44b02c6a, "");
SYMBOL_CRC(dm_exception_store_type_unregister, 0x77602bad, "");
SYMBOL_CRC(dm_exception_store_create, 0x26a2ffb5, "");
SYMBOL_CRC(dm_exception_store_destroy, 0xbb2f189e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe7d4154c, "bio_associate_blkg" },
	{ 0x7fdf4535, "dm_internal_resume_fast" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xf92cb872, "try_module_get" },
	{ 0xf38c0744, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xdee5b7c3, "param_ops_uint" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xf2a8efae, "dm_kcopyd_do_callback" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xf35b6b60, "dm_per_bio_data" },
	{ 0xed8e05c0, "dm_put_device" },
	{ 0xca9360b5, "rb_next" },
	{ 0xefc4d972, "dm_table_get_size" },
	{ 0x6cdb2d56, "dm_bufio_prefetch" },
	{ 0x53df7429, "finish_wait" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xea7e9141, "mempool_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x73c0d3bd, "dm_hold" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xf1f88a0e, "dm_kcopyd_prepare_callback" },
	{ 0xb04f56ab, "dm_bufio_read" },
	{ 0xa0ec9675, "pcpu_hot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x601f665f, "dm_io_client_create" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x85ce233b, "__wake_up" },
	{ 0x6ae36ee4, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xd8a00066, "mempool_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0x9dd9df13, "dm_kcopyd_client_create" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8a166029, "dm_accept_partial_bio" },
	{ 0xf10f8b50, "mempool_alloc" },
	{ 0xa9cbed8a, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x9f984513, "strrchr" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xdebee75d, "module_put" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0xeca7949e, "dm_bufio_client_destroy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x121b00ad, "bio_endio" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd21cccf3, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x606d8142, "up_write" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x63b0212, "__wake_up_locked" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x691d9e1, "dm_suspended" },
	{ 0x47456dc7, "submit_bio_noacct" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x97ebf994, "kmem_cache_free" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0x7d27e504, "dm_shift_arg" },
	{ 0xd35b6c36, "dm_bufio_client_create" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xe6024e59, "dm_bufio_release" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xd706a4c6, "dm_unregister_target" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x59e1190b, "dm_set_target_max_io_len" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x813f4028, "dm_kcopyd_zero" },
	{ 0xfb578fc5, "memset" },
	{ 0xe708b2d4, "dm_table_event" },
	{ 0x162cbe20, "dm_internal_suspend_fast" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x39c74235, "dm_read_arg_group" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xe93c6f8a, "dm_put" },
	{ 0x9e4faeef, "dm_io_client_destroy" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x74a76053, "down_read" },
	{ 0xc0d30b67, "down_write_nested" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x8a612644, "dm_kcopyd_copy" },
	{ 0x3b333b0a, "dm_register_target" },
	{ 0x999e8297, "vfree" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x154c6338, "dm_kcopyd_client_destroy" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xfdf85cf6, "dm_table_get_mode" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x91f00abc, "dm_bufio_set_minimum_buffers" },
	{ 0xbbf6521c, "blkdev_issue_flush" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xc4688d9e, "remove_wait_queue" },
	{ 0x86243518, "dm_table_get_md" },
	{ 0x1fd54703, "__might_resched" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xd991e3b9, "dm_bufio_get_device_size" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0x46c15666, "dm_io" },
	{ 0x6b3a10e, "dm_get_device" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xb8e1f9ea, "up_read" },
	{ 0xcd2ba798, "dm_bufio_forget" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x3751757b, "dm_bio_get_target_bio_nr" },
	{ 0x669c191b, "dm_consume_args" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0x85693d99, "mempool_exit" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2ab54273, "kmem_cache_destroy" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "dm-bufio");


MODULE_INFO(srcversion, "B3EB90C2562211959B78F1B");
