#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(lis3_dev, "_gpl", "");
KSYMTAB_FUNC(lis3lv02d_poweroff, "_gpl", "");
KSYMTAB_FUNC(lis3lv02d_poweron, "_gpl", "");
KSYMTAB_FUNC(lis3lv02d_joystick_enable, "_gpl", "");
KSYMTAB_FUNC(lis3lv02d_joystick_disable, "_gpl", "");
KSYMTAB_FUNC(lis3lv02d_remove_fs, "_gpl", "");
KSYMTAB_FUNC(lis3lv02d_init_dt, "_gpl", "");
KSYMTAB_FUNC(lis3lv02d_init_device, "_gpl", "");

SYMBOL_CRC(lis3_dev, 0xdcda5416, "_gpl");
SYMBOL_CRC(lis3lv02d_poweroff, 0x7192b1ee, "_gpl");
SYMBOL_CRC(lis3lv02d_poweron, 0x4ce7a80c, "_gpl");
SYMBOL_CRC(lis3lv02d_joystick_enable, 0x2c98ec3a, "_gpl");
SYMBOL_CRC(lis3lv02d_joystick_disable, 0x2670b617, "_gpl");
SYMBOL_CRC(lis3lv02d_remove_fs, 0x6afd1982, "_gpl");
SYMBOL_CRC(lis3lv02d_init_dt, 0x2b8958a3, "_gpl");
SYMBOL_CRC(lis3lv02d_init_device, 0xeb058e98, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x707975ea, "input_event" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xfddc976b, "__pm_runtime_idle" },
	{ 0xe70de0fc, "__pm_runtime_resume" },
	{ 0x78f6927d, "input_unregister_device" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x66a1e966, "misc_deregister" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xffc7cbb4, "pm_schedule_suspend" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x25312f8f, "sysfs_remove_group" },
	{ 0x39b366e7, "platform_device_unregister" },
	{ 0xf1f2f7f1, "pm_runtime_barrier" },
	{ 0xaa41c5bf, "__pm_runtime_disable" },
	{ 0x88182b4e, "__pm_runtime_set_status" },
	{ 0x37a0cba, "kfree" },
	{ 0x34a854c2, "fasync_helper" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x85ce233b, "__wake_up" },
	{ 0x366e239d, "kill_fasync" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x42dfb6dd, "input_set_capability" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x122c3a7e, "_printk" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x2f0bc60e, "param_set_int" },
	{ 0xa0ec9675, "pcpu_hot" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xc2dbb623, "add_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0xc4688d9e, "remove_wait_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x4bffebfe, "input_allocate_device" },
	{ 0x48e676cd, "input_set_abs_params" },
	{ 0x84cb79c8, "input_setup_polling" },
	{ 0x79924954, "input_free_device" },
	{ 0x69a6bb8f, "input_set_poll_interval" },
	{ 0xba99ea42, "input_set_min_poll_interval" },
	{ 0x420e3bc9, "input_set_max_poll_interval" },
	{ 0xf1ee9cb3, "input_register_device" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x31b4b11, "platform_device_register_full" },
	{ 0x335df807, "sysfs_create_group" },
	{ 0xc9371f66, "pm_runtime_enable" },
	{ 0xb0898415, "misc_register" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9896332f, "param_array_ops" },
	{ 0x619c3872, "param_get_int" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd3e282fa, "_dev_err" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AAB1DE6BDFF212EB686B0A4");
