#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(i40e_client_device_register, "_gpl", "");
KSYMTAB_FUNC(i40e_client_device_unregister, "_gpl", "");

SYMBOL_CRC(i40e_client_device_register, 0x6fc3030d, "_gpl");
SYMBOL_CRC(i40e_client_device_unregister, 0x8c00484a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8243877d, "__tracepoint_xdp_exception" },
	{ 0x14a05d29, "xsk_tx_completed" },
	{ 0x7005de34, "alloc_etherdev_mqs" },
	{ 0xe914e41e, "strcpy" },
	{ 0xf2949b91, "pci_save_state" },
	{ 0xd604a7f5, "xp_dma_sync_for_device_slow" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x61bba7c4, "ida_alloc_range" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0xa2604fb9, "pcie_capability_read_word" },
	{ 0x334dccbd, "device_set_wakeup_enable" },
	{ 0xb63f2c61, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x13dd098d, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xceb15e9b, "pci_find_ext_capability" },
	{ 0x10b2450b, "bpf_prog_put" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7ab38e81, "xp_dma_map" },
	{ 0xb917d1be, "ida_destroy" },
	{ 0xb28d1f72, "skb_copy_bits" },
	{ 0xdee5b7c3, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x80a23eec, "pci_request_selected_regions" },
	{ 0xbc2c5de9, "pci_release_selected_regions" },
	{ 0x4342f153, "pci_wake_from_d3" },
	{ 0xefb5bb5, "skb_tstamp_tx" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc890e29a, "__napi_alloc_skb" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x8c2a27ba, "auxiliary_device_init" },
	{ 0xbcb6a32c, "pci_enable_device_mem" },
	{ 0x20f17b2a, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x4aa747b1, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x96ba637f, "xsk_tx_peek_release_desc_batch" },
	{ 0xb9af642a, "pci_vfs_assigned" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x842317de, "trace_raw_output_prep" },
	{ 0x5264fdc6, "bpf_warn_invalid_xdp_action" },
	{ 0xbd31ee37, "ndo_dflt_bridge_getlink" },
	{ 0x44ded28a, "unregister_netdev" },
	{ 0xf086f9f5, "xdp_convert_zc_to_xdp_frame" },
	{ 0xcfdb2047, "xdp_features_set_redirect_target" },
	{ 0xd738977e, "__trace_trigger_soft_disabled" },
	{ 0xe9810d6e, "pci_get_device" },
	{ 0x2650d8aa, "dma_unmap_page_attrs" },
	{ 0x143e1e65, "request_firmware" },
	{ 0xa87da128, "trace_event_printf" },
	{ 0x9a58dd2d, "trace_print_bitmask_seq" },
	{ 0x96848186, "scnprintf" },
	{ 0xf7370f56, "system_state" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x8ff50b3c, "__pci_register_driver" },
	{ 0xa83358b9, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0x8416ad95, "pci_num_vf" },
	{ 0xf4f4efe, "flow_rule_match_eth_addrs" },
	{ 0x6ce525a4, "skb_add_rx_frag" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x31b747d2, "pci_disable_msi" },
	{ 0xf0b9d998, "ptp_clock_index" },
	{ 0xee32ea6c, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xa0ec9675, "pcpu_hot" },
	{ 0x1c6c4772, "xdp_do_redirect" },
	{ 0x2366744f, "eth_validate_addr" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2b0ec868, "bpf_trace_run2" },
	{ 0xd817114a, "netdev_warn" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xcc0c6c36, "udp_tunnel_nic_ops" },
	{ 0xcc24afb5, "timer_delete_sync" },
	{ 0xa99aef02, "pci_set_power_state" },
	{ 0x148653, "vsnprintf" },
	{ 0xc8361dc0, "flow_rule_match_ipv4_addrs" },
	{ 0x6b31de58, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x8da6df3f, "bpf_trace_run8" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xb340763b, "__dynamic_dev_dbg" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x817823ea, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x34e0aac7, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x98286bb9, "pskb_expand_head" },
	{ 0xf23fc55, "dev_driver_string" },
	{ 0xb59a450b, "pci_restore_msi_state" },
	{ 0xa4d4f11b, "trace_event_buffer_commit" },
	{ 0xc4e6d350, "dev_addr_mod" },
	{ 0xb0e0b7a5, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xb3f164cd, "ptp_find_pin" },
	{ 0x7f9bbf0d, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x3f0ffcfa, "dma_map_page_attrs" },
	{ 0x26431912, "irq_set_affinity_notifier" },
	{ 0x5cccf36b, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x313807ad, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xb4c1c18e, "put_device" },
	{ 0x4fddbf07, "__napi_schedule" },
	{ 0x7153f51a, "ipv6_skip_exthdr" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb30cade4, "pci_enable_msix_range" },
	{ 0x3d9b62b6, "xsk_set_rx_need_wakeup" },
	{ 0x618911fc, "numa_node" },
	{ 0x58bf70f3, "__free_pages" },
	{ 0xf66f693b, "_dev_info" },
	{ 0x17b4d562, "__hw_addr_unsync_dev" },
	{ 0x1ac72dde, "napi_gro_receive" },
	{ 0x77d50577, "xdp_features_clear_redirect_target" },
	{ 0xfb075759, "pci_select_bars" },
	{ 0x6dbd1001, "netdev_pick_tx" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0xc1968d92, "xp_raw_get_dma" },
	{ 0x3e3329ec, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x5687b2e3, "xdp_rxq_info_is_reg" },
	{ 0x2ab073a9, "flow_block_cb_setup_simple" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x206b65e1, "flow_rule_match_basic" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xd14f4959, "pci_enable_msi" },
	{ 0xb1f31cbd, "perf_trace_run_bpf_submit" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xd3e282fa, "_dev_err" },
	{ 0x290159dc, "softnet_data" },
	{ 0x180271ae, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x6d7b3997, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x5bda98bb, "ptp_clock_register" },
	{ 0x5cd2ddf3, "ethtool_intersect_link_masks" },
	{ 0x27a4d2d6, "xp_dma_sync_for_cpu_slow" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x789f712a, "netif_set_real_num_tx_queues" },
	{ 0xe9bba65d, "__auxiliary_device_add" },
	{ 0xc5b199aa, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x16a32dbc, "netif_set_real_num_rx_queues" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4ca72fe6, "dma_alloc_attrs" },
	{ 0x7ba0c905, "debugfs_remove" },
	{ 0xdcc3c96a, "pci_read_config_word" },
	{ 0xa6af8b3f, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x5424f778, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x5d2a9db6, "dcbnl_ieee_notify" },
	{ 0x25ceb28, "xsk_uses_need_wakeup" },
	{ 0xadb218fa, "register_netdev" },
	{ 0x1a5df3a2, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x2b3aca87, "ida_free" },
	{ 0xf70631d8, "free_netdev" },
	{ 0x1887813e, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xbb6883e9, "ethtool_op_get_link" },
	{ 0x16a3445d, "eth_platform_get_mac_address" },
	{ 0xec6aba82, "netif_set_xps_queue" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x2e2b40d2, "strncat" },
	{ 0x30b81d97, "__SCK__tp_func_xdp_exception" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x3d3fa6d9, "netif_tx_stop_all_queues" },
	{ 0xa263ce95, "pci_restore_state" },
	{ 0x8a58a66c, "netif_tx_wake_queue" },
	{ 0xf7f1654c, "device_del" },
	{ 0xc54d25a6, "netdev_set_sb_channel" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x2710b258, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb22bea05, "dcb_getapp" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0x20674100, "_dev_warn" },
	{ 0xa637e293, "flow_rule_match_ports" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xf06ba0fb, "ptp_clock_event" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xeadf9363, "netif_schedule_queue" },
	{ 0xae70e61d, "__alloc_pages" },
	{ 0x491020e7, "timer_shutdown_sync" },
	{ 0x9e592602, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x84074eb2, "netdev_set_tc_queue" },
	{ 0x78f79bfd, "flow_rule_match_ipv6_addrs" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x1182eae0, "ptp_clock_unregister" },
	{ 0x551a5d37, "__pskb_pull_tail" },
	{ 0xc5e7575d, "xp_dma_unmap" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x6626049, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf79a3e74, "netdev_unbind_sb_channel" },
	{ 0x958b7595, "dma_set_coherent_mask" },
	{ 0x3bdab5ae, "bpf_trace_run3" },
	{ 0xe8173395, "__page_frag_cache_drain" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x1bbf03a5, "ipv6_find_hdr" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd5918158, "netdev_bind_sb_channel_queue" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x7b62a7d7, "debugfs_create_file" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0xab28afa0, "xsk_set_tx_need_wakeup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x93a767c8, "netdev_reset_tc" },
	{ 0xbae66bda, "dma_free_attrs" },
	{ 0xc3db3982, "trace_event_buffer_reserve" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x73dfaeaa, "call_netdevice_notifiers" },
	{ 0xe8174163, "xp_set_rxq_info" },
	{ 0xcaee4b56, "flow_rule_match_vlan" },
	{ 0x6680dae4, "xdp_rxq_info_unreg" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x45dbc568, "napi_build_skb" },
	{ 0x18c26f6d, "__xdp_rxq_info_reg" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xad99bd2e, "netif_carrier_off" },
	{ 0xf59f3af4, "__cant_migrate" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xa0c54572, "__hw_addr_sync_dev" },
	{ 0xf134e486, "pci_disable_sriov" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0xc438306d, "netif_carrier_on" },
	{ 0x723de38a, "netdev_set_num_tc" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xfe995153, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x98e6b8f5, "dev_uc_add_excl" },
	{ 0x36b4483, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x678c7d8f, "xp_free" },
	{ 0x1de77d9, "dev_mc_add_excl" },
	{ 0x765dac5d, "dev_uc_add" },
	{ 0x114385fe, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2baaac19, "_dev_crit" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0x8bb7faab, "xdp_master_redirect" },
	{ 0xb57839d8, "__napi_schedule_irqoff" },
	{ 0x931b8305, "napi_schedule_prep" },
	{ 0x59c89ab4, "napi_consume_skb" },
	{ 0xef0e0f07, "pci_read_config_byte" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xc50002db, "xp_alloc_batch" },
	{ 0x754d539c, "strlen" },
	{ 0xf2cba0be, "napi_disable" },
	{ 0x3fdd94e9, "dev_kfree_skb_any_reason" },
	{ 0x13dfddc3, "dcb_ieee_delapp" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x5d9e6167, "mutex_destroy" },
	{ 0x349cba85, "strchr" },
	{ 0x6308ec26, "debugfs_create_dir" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xcb2557b, "flow_rule_match_control" },
	{ 0xa5bf5fa6, "pci_enable_sriov" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x6f30d244, "skb_clone_tx_timestamp" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x354c2380, "dcb_ieee_setapp" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf71df131, "ethtool_op_get_ts_info" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0x9cbce98e, "netdev_info" },
	{ 0xb5c1b226, "skb_dump" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "ptp");

MODULE_ALIAS("pci:v00008086d00001572sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001574sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001580sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001581sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001583sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001584sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001585sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000DD2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001586sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001589sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015FFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000104Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000104Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037CEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037CFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000DDAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001587sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001588sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000CF8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000D58sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000158Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000158Bsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "D027019CFBA78A57F727A0A");
