#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx4_buf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_hwq_res, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_hwq_res, "_gpl", "");
KSYMTAB_FUNC(__mlx4_cmd, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_active_ports, "_gpl", "");
KSYMTAB_FUNC(mlx4_slave_convert_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slave_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport_actv, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_rate, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_slave_default_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_spoofchk, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_config, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_link_state, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_counter_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_smi_enabled, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_get_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_set_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_resize, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_gen_pkey_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_guid_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_port_state_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_get_slave_port_state, "", "");
KSYMTAB_FUNC(set_and_calc_slave_port_state, "", "");
KSYMTAB_FUNC(mlx4_gen_slaves_port_mgt_ev, "", "");
KSYMTAB_FUNC(mlx4_test_async, "", "");
KSYMTAB_FUNC(mlx4_test_interrupt, "", "");
KSYMTAB_FUNC(mlx4_is_eq_vector_valid, "", "");
KSYMTAB_FUNC(mlx4_get_eqs_per_port, "", "");
KSYMTAB_FUNC(mlx4_is_eq_shared, "", "");
KSYMTAB_FUNC(mlx4_get_cpu_rmap, "", "");
KSYMTAB_FUNC(mlx4_assign_eq, "", "");
KSYMTAB_FUNC(mlx4_eq_get_irq, "", "");
KSYMTAB_FUNC(mlx4_release_eq, "", "");
KSYMTAB_FUNC(mlx4_get_slave_pkey_gid_tbl_len, "", "");
KSYMTAB_FUNC(mlx4_INIT_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_CLOSE_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_dev_retrieval, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_vxlan_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_roce_v2_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_query_diag_counters, "", "");
KSYMTAB_FUNC(mlx4_wol_read, "_gpl", "");
KSYMTAB_FUNC(mlx4_wol_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_ACCESS_PTYS_REG, "_gpl", "");
KSYMTAB_FUNC(get_phv_bit, "", "");
KSYMTAB_FUNC(set_phv_bit, "", "");
KSYMTAB_FUNC(mlx4_get_is_vlan_offload_disabled, "", "");
KSYMTAB_FUNC(mlx4_replace_zero_macs, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_PRIO2TC, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_SCHEDULER, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_get, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_set, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_get, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_set, "", "");
KSYMTAB_FUNC(mlx4_register_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_unregister_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_get_devlink_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_parav_qkey, "", "");
KSYMTAB_FUNC(mlx4_sync_pkey_table, "", "");
KSYMTAB_FUNC(mlx4_put_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_get_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_is_slave_active, "", "");
KSYMTAB_FUNC(mlx4_handle_eth_header_mcast_prio, "", "");
KSYMTAB_FUNC(mlx4_queue_bond_work, "", "");
KSYMTAB_FUNC(mlx4_read_clock, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_internal_clock_params, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_default_counter_index, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_mode, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_id, "_gpl", "");
KSYMTAB_FUNC(mlx4_hw_rule_sz, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_tunnel_steer_add, "", "");
KSYMTAB_FUNC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_init, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_addr, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_get_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_write_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_put_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_pd, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_access, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_SYNC_TPT, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_qpn, "_gpl", "");
KSYMTAB_FUNC(__mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_replace_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_gid_ix, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_general, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_qpn_calc, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mtu, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mac, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_fcs_check, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_VXLAN, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_BEACON, "", "");
KSYMTAB_FUNC(mlx4_SET_MCAST_FLTR, "", "");
KSYMTAB_FUNC(mlx4_get_slave_from_roce_gid, "", "");
KSYMTAB_FUNC(mlx4_get_roce_gid_from_slave, "", "");
KSYMTAB_FUNC(mlx4_get_module_info, "", "");
KSYMTAB_FUNC(mlx4_max_tc, "", "");
KSYMTAB_FUNC(mlx4_put_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_reserve_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_release_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_update_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_to_ready, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_arm, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_lookup, "_gpl", "");

SYMBOL_CRC(mlx4_buf_alloc, 0xae67d705, "_gpl");
SYMBOL_CRC(mlx4_buf_free, 0xf03f8dce, "_gpl");
SYMBOL_CRC(mlx4_db_alloc, 0x72785cb6, "_gpl");
SYMBOL_CRC(mlx4_db_free, 0xf34edce9, "_gpl");
SYMBOL_CRC(mlx4_alloc_hwq_res, 0xd5b40fb2, "_gpl");
SYMBOL_CRC(mlx4_free_hwq_res, 0x7d22380b, "_gpl");
SYMBOL_CRC(__mlx4_cmd, 0x64e2ea9e, "_gpl");
SYMBOL_CRC(mlx4_alloc_cmd_mailbox, 0xa7106229, "_gpl");
SYMBOL_CRC(mlx4_free_cmd_mailbox, 0xd11e8326, "_gpl");
SYMBOL_CRC(mlx4_get_active_ports, 0x6735dd06, "_gpl");
SYMBOL_CRC(mlx4_slave_convert_port, 0x82b5a85b, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slave_port, 0x44d5213f, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport, 0x66bc03e0, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport_actv, 0x6237f5dc, "_gpl");
SYMBOL_CRC(mlx4_set_vf_mac, 0x14ed43f2, "_gpl");
SYMBOL_CRC(mlx4_set_vf_vlan, 0x7ca3a584, "_gpl");
SYMBOL_CRC(mlx4_set_vf_rate, 0x6c8a2b7d, "_gpl");
SYMBOL_CRC(mlx4_get_slave_default_vlan, 0x7eb4c1ba, "_gpl");
SYMBOL_CRC(mlx4_set_vf_spoofchk, 0x497f1e33, "_gpl");
SYMBOL_CRC(mlx4_get_vf_config, 0xf64a4fa4, "_gpl");
SYMBOL_CRC(mlx4_set_vf_link_state, 0x746fdcee, "_gpl");
SYMBOL_CRC(mlx4_get_counter_stats, 0x7122ecef, "_gpl");
SYMBOL_CRC(mlx4_get_vf_stats, 0xdd59ba19, "_gpl");
SYMBOL_CRC(mlx4_vf_smi_enabled, 0xea166782, "_gpl");
SYMBOL_CRC(mlx4_vf_get_enable_smi_admin, 0x52c43d9f, "_gpl");
SYMBOL_CRC(mlx4_vf_set_enable_smi_admin, 0x67566429, "_gpl");
SYMBOL_CRC(mlx4_cq_modify, 0xd9881c72, "_gpl");
SYMBOL_CRC(mlx4_cq_resize, 0xda5719ff, "_gpl");
SYMBOL_CRC(mlx4_cq_alloc, 0x6ead5b2d, "_gpl");
SYMBOL_CRC(mlx4_cq_free, 0x0600b2f0, "_gpl");
SYMBOL_CRC(mlx4_gen_pkey_eqe, 0xcddb29c8, "");
SYMBOL_CRC(mlx4_gen_guid_change_eqe, 0x93b3e52a, "");
SYMBOL_CRC(mlx4_gen_port_state_change_eqe, 0xf2f71680, "");
SYMBOL_CRC(mlx4_get_slave_port_state, 0x4e422e0a, "");
SYMBOL_CRC(set_and_calc_slave_port_state, 0xa5b40ea7, "");
SYMBOL_CRC(mlx4_gen_slaves_port_mgt_ev, 0xf45e8075, "");
SYMBOL_CRC(mlx4_test_async, 0x3e6ff36d, "");
SYMBOL_CRC(mlx4_test_interrupt, 0x0023bbfb, "");
SYMBOL_CRC(mlx4_is_eq_vector_valid, 0x632ad0f0, "");
SYMBOL_CRC(mlx4_get_eqs_per_port, 0xb7d05a77, "");
SYMBOL_CRC(mlx4_is_eq_shared, 0x9483dcae, "");
SYMBOL_CRC(mlx4_get_cpu_rmap, 0x53bbc085, "");
SYMBOL_CRC(mlx4_assign_eq, 0xa3832d91, "");
SYMBOL_CRC(mlx4_eq_get_irq, 0xe0120bf4, "");
SYMBOL_CRC(mlx4_release_eq, 0x1f4e8716, "");
SYMBOL_CRC(mlx4_get_slave_pkey_gid_tbl_len, 0x3f7c54b3, "");
SYMBOL_CRC(mlx4_INIT_PORT, 0xe0021290, "_gpl");
SYMBOL_CRC(mlx4_CLOSE_PORT, 0xf5b52582, "_gpl");
SYMBOL_CRC(mlx4_config_dev_retrieval, 0x639104b5, "_gpl");
SYMBOL_CRC(mlx4_config_vxlan_port, 0x9be9a534, "_gpl");
SYMBOL_CRC(mlx4_config_roce_v2_port, 0x275b7d36, "_gpl");
SYMBOL_CRC(mlx4_query_diag_counters, 0x05d729a2, "");
SYMBOL_CRC(mlx4_wol_read, 0xa017939f, "_gpl");
SYMBOL_CRC(mlx4_wol_write, 0x7d4caac9, "_gpl");
SYMBOL_CRC(mlx4_ACCESS_PTYS_REG, 0x9b91639c, "_gpl");
SYMBOL_CRC(get_phv_bit, 0xd82a43ed, "");
SYMBOL_CRC(set_phv_bit, 0x3f374d19, "");
SYMBOL_CRC(mlx4_get_is_vlan_offload_disabled, 0xf203cc28, "");
SYMBOL_CRC(mlx4_replace_zero_macs, 0xdf50b94d, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_PRIO2TC, 0xf942e5db, "");
SYMBOL_CRC(mlx4_SET_PORT_SCHEDULER, 0x1a517902, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_get, 0x50407fc5, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_set, 0x90762927, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_get, 0x6d006459, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_set, 0xb2b07326, "");
SYMBOL_CRC(mlx4_register_auxiliary_driver, 0x68189027, "_gpl");
SYMBOL_CRC(mlx4_unregister_auxiliary_driver, 0xaaac527b, "_gpl");
SYMBOL_CRC(mlx4_register_event_notifier, 0x90e993c1, "");
SYMBOL_CRC(mlx4_unregister_event_notifier, 0xc02177f4, "");
SYMBOL_CRC(mlx4_get_devlink_port, 0xa354f91a, "_gpl");
SYMBOL_CRC(mlx4_get_parav_qkey, 0xef56adf1, "");
SYMBOL_CRC(mlx4_sync_pkey_table, 0x1c3d0d26, "");
SYMBOL_CRC(mlx4_put_slave_node_guid, 0x89e1fb5a, "");
SYMBOL_CRC(mlx4_get_slave_node_guid, 0x9ac6815b, "");
SYMBOL_CRC(mlx4_is_slave_active, 0xb9e4952f, "");
SYMBOL_CRC(mlx4_handle_eth_header_mcast_prio, 0x7fdde0b4, "");
SYMBOL_CRC(mlx4_queue_bond_work, 0x0400d588, "");
SYMBOL_CRC(mlx4_read_clock, 0xa4664c09, "_gpl");
SYMBOL_CRC(mlx4_get_internal_clock_params, 0x35bb388c, "_gpl");
SYMBOL_CRC(mlx4_counter_alloc, 0x5a8f23a9, "_gpl");
SYMBOL_CRC(mlx4_counter_free, 0x375d04b0, "_gpl");
SYMBOL_CRC(mlx4_get_default_counter_index, 0x5ebf1b75, "_gpl");
SYMBOL_CRC(mlx4_set_admin_guid, 0xb44c8f9c, "_gpl");
SYMBOL_CRC(mlx4_get_admin_guid, 0x6706e996, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_mode, 0xa46c1c9d, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_id, 0x8728a6a3, "_gpl");
SYMBOL_CRC(mlx4_hw_rule_sz, 0x324c0721, "_gpl");
SYMBOL_CRC(mlx4_flow_attach, 0x435d40f4, "_gpl");
SYMBOL_CRC(mlx4_flow_detach, 0x2a316e51, "_gpl");
SYMBOL_CRC(mlx4_tunnel_steer_add, 0x951ef6f0, "");
SYMBOL_CRC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, 0xe244d083, "_gpl");
SYMBOL_CRC(mlx4_multicast_attach, 0x17246a37, "_gpl");
SYMBOL_CRC(mlx4_multicast_detach, 0x63d76375, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_add, 0x324b6e16, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_remove, 0xfb00a5af, "_gpl");
SYMBOL_CRC(mlx4_unicast_attach, 0x8b2e8b72, "_gpl");
SYMBOL_CRC(mlx4_unicast_detach, 0x605a53e6, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_add, 0xca87d32e, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_remove, 0x09781af5, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_add, 0x6728bb99, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_remove, 0x2224ad1b, "_gpl");
SYMBOL_CRC(mlx4_mtt_init, 0xa19d46a1, "_gpl");
SYMBOL_CRC(mlx4_mtt_cleanup, 0x58e9c031, "_gpl");
SYMBOL_CRC(mlx4_mtt_addr, 0xb3fab72a, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_get_mpt, 0xad678d8b, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_write_mpt, 0x24afd3fe, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_put_mpt, 0xe4c7baee, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_pd, 0xdb3722a0, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_access, 0xb1a6f7e0, "_gpl");
SYMBOL_CRC(mlx4_mr_alloc, 0xa78d6fa3, "_gpl");
SYMBOL_CRC(mlx4_mr_free, 0x0a1a974e, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_cleanup, 0xa7e7682a, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_write, 0xd26f5ff2, "_gpl");
SYMBOL_CRC(mlx4_mr_enable, 0x50991628, "_gpl");
SYMBOL_CRC(mlx4_write_mtt, 0x40f9383a, "_gpl");
SYMBOL_CRC(mlx4_buf_write_mtt, 0xaf118c32, "_gpl");
SYMBOL_CRC(mlx4_mw_alloc, 0x8aa29a8c, "_gpl");
SYMBOL_CRC(mlx4_mw_enable, 0x672e93cd, "_gpl");
SYMBOL_CRC(mlx4_mw_free, 0xe88429e5, "_gpl");
SYMBOL_CRC(mlx4_SYNC_TPT, 0x583319ee, "_gpl");
SYMBOL_CRC(mlx4_pd_alloc, 0xbfae4ba5, "_gpl");
SYMBOL_CRC(mlx4_pd_free, 0xfc39672a, "_gpl");
SYMBOL_CRC(mlx4_xrcd_alloc, 0x6717995b, "_gpl");
SYMBOL_CRC(mlx4_xrcd_free, 0xf2fb910f, "_gpl");
SYMBOL_CRC(mlx4_uar_alloc, 0xbb0909fa, "_gpl");
SYMBOL_CRC(mlx4_uar_free, 0x2199a930, "_gpl");
SYMBOL_CRC(mlx4_bf_alloc, 0x786bdfd9, "_gpl");
SYMBOL_CRC(mlx4_bf_free, 0xdaa3a07f, "_gpl");
SYMBOL_CRC(mlx4_find_cached_mac, 0xb87da86f, "_gpl");
SYMBOL_CRC(__mlx4_register_mac, 0x564e5e11, "_gpl");
SYMBOL_CRC(mlx4_register_mac, 0xc72248e1, "_gpl");
SYMBOL_CRC(mlx4_get_base_qpn, 0x0d490300, "_gpl");
SYMBOL_CRC(__mlx4_unregister_mac, 0x8949dd33, "_gpl");
SYMBOL_CRC(mlx4_unregister_mac, 0x6dc1e122, "_gpl");
SYMBOL_CRC(__mlx4_replace_mac, 0xf58bae6d, "_gpl");
SYMBOL_CRC(mlx4_find_cached_vlan, 0x5b1e3f0c, "_gpl");
SYMBOL_CRC(mlx4_register_vlan, 0xe37c966b, "_gpl");
SYMBOL_CRC(mlx4_unregister_vlan, 0xfc29e974, "_gpl");
SYMBOL_CRC(mlx4_get_base_gid_ix, 0x5ea125d5, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_general, 0x65a62bea, "");
SYMBOL_CRC(mlx4_SET_PORT_qpn_calc, 0x94f24f2b, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mtu, 0xd3b9ef76, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mac, 0xa3e17924, "");
SYMBOL_CRC(mlx4_SET_PORT_fcs_check, 0x1bf52655, "");
SYMBOL_CRC(mlx4_SET_PORT_VXLAN, 0x177b6ba1, "");
SYMBOL_CRC(mlx4_SET_PORT_BEACON, 0x49ec6a23, "");
SYMBOL_CRC(mlx4_SET_MCAST_FLTR, 0xb17f4661, "");
SYMBOL_CRC(mlx4_get_slave_from_roce_gid, 0xd36ded5f, "");
SYMBOL_CRC(mlx4_get_roce_gid_from_slave, 0x61c44ddc, "");
SYMBOL_CRC(mlx4_get_module_info, 0x0b3149d1, "");
SYMBOL_CRC(mlx4_max_tc, 0xde1da91c, "");
SYMBOL_CRC(mlx4_put_qp, 0x0cff07a6, "_gpl");
SYMBOL_CRC(mlx4_qp_modify, 0x89fb96fb, "_gpl");
SYMBOL_CRC(mlx4_qp_reserve_range, 0x7111ef13, "_gpl");
SYMBOL_CRC(mlx4_qp_release_range, 0xe75fe9f7, "_gpl");
SYMBOL_CRC(mlx4_qp_alloc, 0xad513a22, "_gpl");
SYMBOL_CRC(mlx4_update_qp, 0x2436b47f, "_gpl");
SYMBOL_CRC(mlx4_qp_remove, 0x0da845d7, "_gpl");
SYMBOL_CRC(mlx4_qp_free, 0x345c32ba, "_gpl");
SYMBOL_CRC(mlx4_qp_query, 0xfa2ccf96, "_gpl");
SYMBOL_CRC(mlx4_qp_to_ready, 0xa92a9d59, "_gpl");
SYMBOL_CRC(mlx4_srq_alloc, 0x6fabdea1, "_gpl");
SYMBOL_CRC(mlx4_srq_free, 0x6ca0e8f7, "_gpl");
SYMBOL_CRC(mlx4_srq_arm, 0x5e1464fa, "_gpl");
SYMBOL_CRC(mlx4_srq_query, 0x07e781d3, "_gpl");
SYMBOL_CRC(mlx4_srq_lookup, 0x669db9de, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xe914e41e, "strcpy" },
	{ 0xf2949b91, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x61bba7c4, "ida_alloc_range" },
	{ 0xfdf5423c, "pcie_capability_write_word" },
	{ 0xf38c0744, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8bb831bb, "devl_region_create" },
	{ 0xfd24cb60, "devlink_unregister" },
	{ 0x22004f30, "dma_pool_create" },
	{ 0x4af0225d, "radix_tree_insert" },
	{ 0x11b3de21, "wait_for_completion_timeout" },
	{ 0x4a005590, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x8c2a27ba, "auxiliary_device_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa1e0b3f9, "complete" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0xd2864679, "devlink_region_snapshot_id_get" },
	{ 0x6dd53173, "devl_lock" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0xd8523d44, "radix_tree_lookup" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x8ff50b3c, "__pci_register_driver" },
	{ 0x66cb57fb, "up" },
	{ 0xa83358b9, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0x8416ad95, "pci_num_vf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x9896332f, "param_array_ops" },
	{ 0xfd028564, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a7abaa9, "devlink_alloc_ns" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x680de48b, "pci_sriov_get_totalvfs" },
	{ 0x71a25650, "devlink_register" },
	{ 0xece555be, "devlink_port_type_clear" },
	{ 0xce9a4833, "devlink_free" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xcc24afb5, "timer_delete_sync" },
	{ 0x1e54ae78, "param_ops_byte" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x36ff997e, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x9493fc86, "node_states" },
	{ 0x817823ea, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x3386f72f, "pci_read_config_dword" },
	{ 0x26bad4d3, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x8d8eabb5, "auxiliary_driver_unregister" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x122c3a7e, "_printk" },
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0xd65e4b58, "devlink_region_snapshot_id_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x98635bc3, "priv_to_devlink" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xce197687, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xb4c1c18e, "put_device" },
	{ 0xb30cade4, "pci_enable_msix_range" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xe747092b, "kmalloc_node_trace" },
	{ 0x618911fc, "numa_node" },
	{ 0x58bf70f3, "__free_pages" },
	{ 0xf66f693b, "_dev_info" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xc194b837, "device_create_file" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x6972e413, "__bitmap_weight_and" },
	{ 0x784b6911, "radix_tree_delete" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xd21cccf3, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xd3e282fa, "_dev_err" },
	{ 0x785d504a, "init_net" },
	{ 0x606d8142, "up_write" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xa67cfc0, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x949b5176, "devlink_region_snapshot_create" },
	{ 0xe9bba65d, "__auxiliary_device_add" },
	{ 0xc5b199aa, "mod_timer" },
	{ 0xaa8c0973, "down" },
	{ 0xf0a432a3, "devl_port_register_with_ops" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4ca72fe6, "dma_alloc_attrs" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xdcc3c96a, "pci_read_config_word" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0x2b3aca87, "ida_free" },
	{ 0x944648c, "devl_params_register" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0xa263ce95, "pci_restore_state" },
	{ 0xf7f1654c, "device_del" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x2710b258, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xaa4001a, "devl_param_driverinit_value_set" },
	{ 0xfb578fc5, "memset" },
	{ 0x20674100, "_dev_warn" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0xae70e61d, "__alloc_pages" },
	{ 0x9e592602, "pci_set_master" },
	{ 0xe5a5244b, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc0d3e37a, "atomic_notifier_call_chain" },
	{ 0x6c290afd, "devl_params_unregister" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0xece784c2, "rb_first" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x74a76053, "down_read" },
	{ 0xed40f9d7, "devl_unlock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x958b7595, "dma_set_coherent_mask" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0xbae66bda, "dma_free_attrs" },
	{ 0x99ffd2dd, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0xaa9751e3, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xbc096c8a, "pci_release_regions" },
	{ 0xa7242ff9, "devl_assert_locked" },
	{ 0x5345e0e2, "pcie_print_link_status" },
	{ 0xb6742e52, "alloc_pages" },
	{ 0xaf795b06, "devl_port_unregister" },
	{ 0x8cfd7186, "devl_param_driverinit_value_get" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x5795cbb7, "devlink_priv" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xf134e486, "pci_disable_sriov" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xfe995153, "pci_disable_msix" },
	{ 0x36b4483, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x78997dc2, "boot_cpu_data" },
	{ 0x1fd54703, "__might_resched" },
	{ 0x114385fe, "dma_set_mask" },
	{ 0x72b45e0c, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd904e370, "dma_unmap_sg_attrs" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x754d539c, "strlen" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x92e8e77f, "param_ops_int" },
	{ 0xa2d8ebe9, "_dev_printk" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xa5bf5fa6, "pci_enable_sriov" },
	{ 0xb8e1f9ea, "up_read" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x56f6ee65, "pci_write_config_dword" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0x5fa83ac1, "device_remove_file" },
	{ 0xd38d0af6, "dma_map_sg_attrs" },
	{ 0x6bb1f6e4, "devl_param_value_changed" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000015B3d00006340sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000634Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006354sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006732sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000673Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006368sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006750sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006372sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000675Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006764sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006746sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000676Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001003sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001005sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001006sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001007sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001008sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001009sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001010sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "404B5ACF317598EB45AF60F");
