#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(net_failover_create, "_gpl", "");
KSYMTAB_FUNC(net_failover_destroy, "_gpl", "");

SYMBOL_CRC(net_failover_create, 0x476750ae, "_gpl");
SYMBOL_CRC(net_failover_destroy, 0x65d5046c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x8d4b91f2, "lockdep_rtnl_is_held" },
	{ 0xd756e02a, "dev_open" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x62332b40, "netdev_change_features" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x42bf3b20, "vlan_vids_del_by_dev" },
	{ 0x654467a5, "dev_uc_unsync" },
	{ 0xad10b43b, "dev_mc_unsync" },
	{ 0xabdcdf5e, "dev_close" },
	{ 0x96f4231e, "dev_get_stats" },
	{ 0x9cbce98e, "netdev_info" },
	{ 0x1712ed78, "dev_set_mtu" },
	{ 0xd0347222, "pci_bus_type" },
	{ 0x54ca70b2, "vlan_uses_dev" },
	{ 0x34e0aac7, "netdev_err" },
	{ 0xf0657065, "vlan_vid_del" },
	{ 0x167d8f6e, "vlan_vid_add" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x6dbd1001, "netdev_pick_tx" },
	{ 0x30962179, "netif_device_detach" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa2ac281e, "failover_slave_unregister" },
	{ 0x33639002, "failover_unregister" },
	{ 0xfcebd6f6, "unregister_netdevice_queue" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x5bea446f, "__ethtool_get_link_ksettings" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x572b6bfb, "__dev_queue_xmit" },
	{ 0x317c06a1, "rcu_read_lock_bh_held" },
	{ 0x3fdd94e9, "dev_kfree_skb_any_reason" },
	{ 0x3c143afd, "netdev_core_stats_alloc" },
	{ 0xc438306d, "netif_carrier_on" },
	{ 0x8a58a66c, "netif_tx_wake_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd946ca61, "netdev_lower_state_changed" },
	{ 0x3d3fa6d9, "netif_tx_stop_all_queues" },
	{ 0xf48b49c9, "_raw_spin_lock_nested" },
	{ 0x4dd436b6, "dev_uc_sync_multiple" },
	{ 0x18e3fab4, "dev_mc_sync_multiple" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x142daf02, "vlan_vids_add_by_dev" },
	{ 0x73dfaeaa, "call_netdevice_notifiers" },
	{ 0xbb6883e9, "ethtool_op_get_link" },
	{ 0x2a0141b, "passthru_features_check" },
	{ 0x2366744f, "eth_validate_addr" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7005de34, "alloc_etherdev_mqs" },
	{ 0xc4e6d350, "dev_addr_mod" },
	{ 0xadb218fa, "register_netdev" },
	{ 0xad99bd2e, "netif_carrier_off" },
	{ 0xba618793, "failover_register" },
	{ 0xd3e282fa, "_dev_err" },
	{ 0xf70631d8, "free_netdev" },
	{ 0x44ded28a, "unregister_netdev" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "failover");


MODULE_INFO(srcversion, "DF2C47AF2AEAC55E208CB5C");
