#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0xffa6a4d1, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0x787aa821, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xac920937, "iov_iter_advance" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x34e0aac7, "netdev_err" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x1ac72dde, "napi_gro_receive" },
	{ 0x5cccf36b, "napi_complete_done" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xcc24afb5, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf59f3af4, "__cant_migrate" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0x10b2450b, "bpf_prog_put" },
	{ 0x42cffe7e, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0xda349575, "sock_init_data_uid" },
	{ 0x5ffca90a, "sk_free" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xc2dbb623, "add_wait_queue" },
	{ 0xc4688d9e, "remove_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x257a7188, "skb_queue_purge_reason" },
	{ 0xf2cba0be, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x6680dae4, "xdp_rxq_info_unreg" },
	{ 0x6b31de58, "__netif_napi_del" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xdebee75d, "module_put" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x789f712a, "netif_set_real_num_tx_queues" },
	{ 0x16a32dbc, "netif_set_real_num_rx_queues" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xfcebd6f6, "unregister_netdevice_queue" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xbf8304f3, "netdev_state_change" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xb0bd8018, "__put_devmap_managed_page_refs" },
	{ 0xe0adf355, "__folio_put" },
	{ 0x95897450, "dump_page" },
	{ 0x5e9bdfa6, "build_skb" },
	{ 0xe94ce49a, "skb_put" },
	{ 0x39cf99b2, "skb_set_owner_w" },
	{ 0x20f17b2a, "consume_skb" },
	{ 0x87269ff1, "napi_get_frags" },
	{ 0x67dd89d6, "iov_iter_single_seg_count" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x98286bb9, "pskb_expand_head" },
	{ 0x9be7bde4, "security_tun_dev_attach" },
	{ 0x5687b2e3, "xdp_rxq_info_is_reg" },
	{ 0x8c4cd7e8, "sk_attach_filter" },
	{ 0x18c26f6d, "__xdp_rxq_info_reg" },
	{ 0xb0e0b7a5, "xdp_rxq_info_reg_mem_model" },
	{ 0x4aa747b1, "netif_napi_add_weight" },
	{ 0xa6af8b3f, "napi_enable" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6ccd97b5, "__dev_get_by_name" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xd60db2c8, "ns_capable" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0xe914e41e, "strcpy" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0x46505568, "alloc_netdev_mqs" },
	{ 0x1b2d776d, "ip_tunnel_header_ops" },
	{ 0x5bbc7774, "register_netdevice" },
	{ 0x8a58a66c, "netif_tx_wake_queue" },
	{ 0x9566df1f, "ether_setup" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc4e6d350, "dev_addr_mod" },
	{ 0xf70631d8, "free_netdev" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0xb9d133d1, "seq_printf" },
	{ 0xc42923d9, "sock_recv_errqueue" },
	{ 0xb70789e, "__might_fault" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x82e19e3, "get_net_ns" },
	{ 0xb6c71f3c, "open_related_ns" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x9e6f2399, "dev_get_mac_address" },
	{ 0x68343fef, "make_kgid" },
	{ 0x18721f43, "netdev_update_features" },
	{ 0x92aa65, "make_kuid" },
	{ 0x391333cd, "init_user_ns" },
	{ 0x9ec53fce, "from_kuid" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x3e4ac269, "dev_set_mac_address_user" },
	{ 0x73dfaeaa, "call_netdevice_notifiers" },
	{ 0xc761ba72, "from_kgid" },
	{ 0xf93a08dd, "__module_get" },
	{ 0x2ab28456, "__skb_get_hash_symmetric" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0x8bd50e1f, "skb_partial_csum_set" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0xa33a940, "__skb_flow_dissect" },
	{ 0x551a5d37, "__pskb_pull_tail" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x3c143afd, "netdev_core_stats_alloc" },
	{ 0x1c6c4772, "xdp_do_redirect" },
	{ 0x5264fdc6, "bpf_warn_invalid_xdp_action" },
	{ 0x8243877d, "__tracepoint_xdp_exception" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xaaefcc9b, "xdp_return_frame_rx_napi" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xf086f9f5, "xdp_convert_zc_to_xdp_frame" },
	{ 0x7f9bbf0d, "eth_type_trans" },
	{ 0x8f06c71e, "do_xdp_generic" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xe8173395, "__page_frag_cache_drain" },
	{ 0x8bb7faab, "xdp_master_redirect" },
	{ 0x515cc0c, "sk_filter_trim_cap" },
	{ 0x6f30d244, "skb_clone_tx_timestamp" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xbfd65369, "skb_tx_error" },
	{ 0xefb5bb5, "skb_tstamp_tx" },
	{ 0x8761c87b, "rps_needed" },
	{ 0xc95d401f, "skb_copy_ubufs" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x58ca5909, "___pskb_trim" },
	{ 0xc3324207, "skb_page_frag_refill" },
	{ 0x118b82a1, "copy_page_from_iter" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xfda53848, "_copy_from_iter" },
	{ 0xe9015306, "iov_iter_npages" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x17a3252, "skb_copy_datagram_from_iter" },
	{ 0xca15040f, "sock_alloc_send_pskb" },
	{ 0xbd64af9a, "zerocopy_sg_from_iter" },
	{ 0x931b8305, "napi_schedule_prep" },
	{ 0x4fddbf07, "__napi_schedule" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0xe063483b, "skb_push" },
	{ 0x3e3329ec, "eth_get_headlen" },
	{ 0x7b0b35fd, "napi_gro_frags" },
	{ 0xd8b1995, "iov_iter_revert" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x2a0141b, "passthru_features_check" },
	{ 0x5b91281, "eth_mac_addr" },
	{ 0x2366744f, "eth_validate_addr" },
	{ 0xbb6883e9, "ethtool_op_get_link" },
	{ 0xf71df131, "ethtool_op_get_ts_info" },
	{ 0x30b81d97, "__SCK__tp_func_xdp_exception" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x34a854c2, "fasync_helper" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xa0ec9675, "pcpu_hot" },
	{ 0x1ab07e0, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9cbce98e, "netdev_info" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xc5b199aa, "mod_timer" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xafd173e3, "netif_receive_skb" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xc438306d, "netif_carrier_on" },
	{ 0xad99bd2e, "netif_carrier_off" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xec183358, "nla_put" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0xad56d9a5, "from_kgid_munged" },
	{ 0x96020849, "from_kuid_munged" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x26739967, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x69acdf38, "memcpy" },
	{ 0x9c354ed1, "dev_get_tstats64" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x3d3fa6d9, "netif_tx_stop_all_queues" },
	{ 0x122c3a7e, "_printk" },
	{ 0x10b31bbf, "rtnl_link_register" },
	{ 0xb0898415, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd47e8fc, "rtnl_link_unregister" },
	{ 0x66a1e966, "misc_deregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6d6c3ba5, "bpf_prog_get_type_dev" },
	{ 0x52cdf5d1, "lock_sock_nested" },
	{ 0x49aac4fc, "sk_detach_filter" },
	{ 0xcfd5cda2, "release_sock" },
	{ 0x8d4b91f2, "lockdep_rtnl_is_held" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x6d7b3997, "xdp_return_frame" },
	{ 0x612e6fc5, "kfree_skb_reason" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x9ad9bd3e, "__wake_up_sync_key" },
	{ 0x366e239d, "kill_fasync" },
	{ 0xdd64e639, "strscpy" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xfb578fc5, "memset" },
	{ 0x62efed9, "skb_copy_datagram_iter" },
	{ 0xea46ee90, "_copy_to_iter" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C1D5F3A8406F2B17615BCB9");
