#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(brcmf_set_wsec, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_iovar_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fwvid_register_vendor, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fwvid_unregister_vendor, "_gpl", "BRCMFMAC");

SYMBOL_CRC(brcmf_set_wsec, 0xb9fb6366, "_gpl");
SYMBOL_CRC(brcmf_fil_iovar_data_set, 0x33e96f25, "_gpl");
SYMBOL_CRC(brcmf_fwvid_register_vendor, 0xdf251d7a, "_gpl");
SYMBOL_CRC(brcmf_fwvid_unregister_vendor, 0x9385d091, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0xd6bf81d9, "brcmu_pktq_mlen" },
	{ 0x59d6e7db, "cfg80211_sched_scan_results" },
	{ 0xfa6acbba, "sdio_retune_hold_now" },
	{ 0x2d04994, "sdio_release_host" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x73c4fc6c, "usb_alloc_urb" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xf77a2e2b, "sdio_disable_func" },
	{ 0x7a73e70f, "cfg80211_mgmt_tx_status_ext" },
	{ 0x334dccbd, "device_set_wakeup_enable" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xb6778c3c, "usb_autopm_put_interface" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x1e55d8d2, "sdio_set_block_size" },
	{ 0x4ab4079e, "is_acpi_device_node" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x46fc9f0b, "usb_free_urb" },
	{ 0x11b3de21, "wait_for_completion_timeout" },
	{ 0xafe86688, "devm_kmalloc" },
	{ 0x4a005590, "pci_enable_device" },
	{ 0xe94ce49a, "skb_put" },
	{ 0xdeaf76f9, "brcmu_pkt_buf_free_skb" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xd65dd901, "sdio_retune_crc_disable" },
	{ 0x28288f61, "cfg80211_scan_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x42faee0c, "firmware_request_nowarn" },
	{ 0x7c2efac6, "platform_driver_unregister" },
	{ 0x699b26d9, "sdio_claim_host" },
	{ 0x8ed55c19, "cfg80211_sched_scan_stopped" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xab1a484a, "sdio_memcpy_fromio" },
	{ 0x20f17b2a, "consume_skb" },
	{ 0x3c8c2617, "sdio_register_driver" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa1e0b3f9, "complete" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x44ded28a, "unregister_netdev" },
	{ 0x25245f12, "cfg80211_remain_on_channel_expired" },
	{ 0x862f3c32, "skb_dequeue" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0x53df7429, "finish_wait" },
	{ 0x735c8d5a, "cfg80211_register_netdevice" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x2650d8aa, "dma_unmap_page_attrs" },
	{ 0x143e1e65, "request_firmware" },
	{ 0xb3757520, "usb_register_driver" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x8ff50b3c, "__pci_register_driver" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x31b747d2, "pci_disable_msi" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xa0ec9675, "pcpu_hot" },
	{ 0xc2dbb623, "add_wait_queue" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x599adf6b, "cfg80211_port_authorized" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xd0813109, "brcmu_pktq_init" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x94c1d61c, "brcmu_pktq_penq_head" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xb2d0010, "sdio_memcpy_toio" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xcc24afb5, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x85ce233b, "__wake_up" },
	{ 0x8b6490d7, "cfg80211_new_sta" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xa17c0ccf, "brcmu_dotrev_str" },
	{ 0xdc1930c6, "cfg80211_disconnected" },
	{ 0x9566df1f, "ether_setup" },
	{ 0x817823ea, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x98286bb9, "pskb_expand_head" },
	{ 0x4eedfe1c, "wake_up_process" },
	{ 0xf23fc55, "dev_driver_string" },
	{ 0xc4e6d350, "dev_addr_mod" },
	{ 0x52974b15, "sdio_f0_readb" },
	{ 0xdf256037, "kstrtou8_from_user" },
	{ 0x7f9bbf0d, "eth_type_trans" },
	{ 0x3386f72f, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x3f0ffcfa, "dma_map_page_attrs" },
	{ 0x46505568, "alloc_netdev_mqs" },
	{ 0x27617c55, "wiphy_new_nm" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x122c3a7e, "_printk" },
	{ 0x9520a3fc, "cfg80211_ready_on_channel" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc85672b3, "cfg80211_classify8021d" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf5b13a52, "sdio_release_irq" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0xfa359728, "cfg80211_crit_proto_stopped" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x18066bda, "wiphy_register" },
	{ 0x140729fb, "__cfg80211_alloc_reply_skb" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xd328e4e3, "cfg80211_put_bss" },
	{ 0x1a3881b6, "cfg80211_roamed" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x8afd5134, "usb_submit_urb" },
	{ 0x9f984513, "strrchr" },
	{ 0xf66f693b, "_dev_info" },
	{ 0xcbf2b448, "skb_queue_tail" },
	{ 0xf9684c95, "ieee80211_get_channel_khz" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x575447ba, "cfg80211_check_combinations" },
	{ 0xfa1aff10, "sdio_set_host_pm_flags" },
	{ 0xfce0928d, "sdio_f0_writeb" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x357823d0, "sdio_unregister_driver" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x69f587c2, "sdio_readsb" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x493d09b2, "usb_match_id" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd14f4959, "pci_enable_msi" },
	{ 0xfddeb056, "efi" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xd3e282fa, "_dev_err" },
	{ 0xbf033926, "device_wakeup_enable" },
	{ 0x54970c4d, "cfg80211_ibss_joined" },
	{ 0xafd4d7c1, "request_firmware_nowait" },
	{ 0x180271ae, "simple_open" },
	{ 0xc2a2cfc2, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xa67cfc0, "add_timer" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xc5b199aa, "mod_timer" },
	{ 0xb7936884, "cfg80211_michael_mic_failure" },
	{ 0xfe79bb1d, "wiphy_apply_custom_regulatory" },
	{ 0x612e6fc5, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe063483b, "skb_push" },
	{ 0x1546708f, "sdio_retune_crc_enable" },
	{ 0x8d76f09f, "brcmu_pktq_flush" },
	{ 0x5ef73672, "brcmu_pktq_peek_tail" },
	{ 0x4ca72fe6, "dma_alloc_attrs" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x5a921311, "strncmp" },
	{ 0xbb3b1b66, "cfg80211_del_sta_sinfo" },
	{ 0xca7dec0a, "sdio_readl" },
	{ 0xe569898c, "mmc_set_data_timeout" },
	{ 0xec183358, "nla_put" },
	{ 0xadb218fa, "register_netdev" },
	{ 0x9166fada, "strncpy" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x30877a65, "wiphy_unregister" },
	{ 0xf70631d8, "free_netdev" },
	{ 0x1a623c34, "wait_for_completion_interruptible" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xbe0eb6c2, "kthread_stop" },
	{ 0x16a3445d, "eth_platform_get_mac_address" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0xd55634ab, "usb_deregister" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x8a58a66c, "netif_tx_wake_queue" },
	{ 0xb19b445, "ioread8" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x20674100, "_dev_warn" },
	{ 0x85c12d8d, "brcmu_pktq_pdeq_match" },
	{ 0x61f820ac, "cfg80211_vendor_cmd_reply" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xc8456e14, "sdio_writel" },
	{ 0x491020e7, "timer_shutdown_sync" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x9e592602, "pci_set_master" },
	{ 0xe5a5244b, "wait_for_completion" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5b34de42, "mmc_wait_for_req" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0x551a5d37, "__pskb_pull_tail" },
	{ 0x1b1bf285, "netif_rx" },
	{ 0xb62de504, "__netdev_alloc_skb" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xd86ac5c9, "complete_all" },
	{ 0x4426c264, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc8badb4e, "skb_trim" },
	{ 0x30232339, "skb_unlink" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x9bb7377f, "sdio_get_host_pm_caps" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x89de3be6, "kthread_create_on_node" },
	{ 0xcfe95b43, "devm_kasprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xee8d0f6d, "pm_runtime_forbid" },
	{ 0x7b62a7d7, "debugfs_create_file" },
	{ 0xe9887ebd, "brcmu_pktq_mdeq" },
	{ 0x6b2c9284, "cfg80211_unregister_wdev" },
	{ 0x1fa7c0d4, "pci_pme_capable" },
	{ 0xd9071b65, "brcmu_pktq_penq" },
	{ 0xbae66bda, "dma_free_attrs" },
	{ 0x7f8fb6bb, "pm_runtime_allow" },
	{ 0x999e8297, "vfree" },
	{ 0xe740ea49, "__platform_driver_probe" },
	{ 0xb3e81d92, "cfg80211_rx_mgmt_ext" },
	{ 0x85df9b6c, "strsep" },
	{ 0xe42b04a5, "usb_autopm_get_interface" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0xda1e42e9, "brcmu_pktq_pdeq_tail" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf18828f, "driver_for_each_device" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xc310b981, "strnstr" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x401654e4, "usb_kill_urb" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xad99bd2e, "netif_carrier_off" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0xc438306d, "netif_carrier_on" },
	{ 0x12e9efca, "brcmu_pkt_buf_get_skb" },
	{ 0xea34f5d1, "mmc_hw_reset" },
	{ 0x17189cb4, "sdio_retune_release" },
	{ 0x1c131ef0, "sdio_claim_irq" },
	{ 0x8d93f1d5, "cfg80211_report_wowlan_wakeup" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x36b4483, "pci_disable_device" },
	{ 0x5a2ef896, "pci_match_id" },
	{ 0xa846dbbc, "sdio_enable_func" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xc4688d9e, "remove_wait_queue" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x879ff5fa, "acpi_dev_get_property" },
	{ 0xf5596d89, "cfg80211_get_p2p_attr" },
	{ 0x6b9bfee2, "send_sig" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x7e96ee0a, "cfg80211_inform_bss_data" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xea124bd1, "gcd" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x3654410, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x3fdd94e9, "dev_kfree_skb_any_reason" },
	{ 0x92e8e77f, "param_ops_int" },
	{ 0x5d9e6167, "mutex_destroy" },
	{ 0x349cba85, "strchr" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x62e33b25, "cfg80211_connect_done" },
	{ 0x7410aba2, "strreplace" },
	{ 0xceab0311, "strchrnul" },
	{ 0xa991658a, "wiphy_free" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xacbc13ff, "cfg80211_cqm_rssi_notify" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x56f6ee65, "pci_write_config_dword" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0xd6217d91, "brcmu_d11_attach" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x3261965a, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7d645a50, "sdio_readb" },
	{ 0xcaf54d3a, "sdio_writeb" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "brcmutil,cfg80211,mmc_core");

MODULE_ALIAS("sdio:c*v02D0dA887*");
MODULE_ALIAS("sdio:c*v02D0d4324*");
MODULE_ALIAS("sdio:c*v02D0d4329*");
MODULE_ALIAS("sdio:c*v02D0d4330*");
MODULE_ALIAS("sdio:c*v02D0d4334*");
MODULE_ALIAS("sdio:c*v02D0dA94C*");
MODULE_ALIAS("sdio:c*v02D0dA94D*");
MODULE_ALIAS("sdio:c*v02D0dA962*");
MODULE_ALIAS("sdio:c*v02D0dA9A4*");
MODULE_ALIAS("sdio:c*v02D0d4335*");
MODULE_ALIAS("sdio:c*v02D0d4339*");
MODULE_ALIAS("sdio:c*v02D0dA9A6*");
MODULE_ALIAS("sdio:c*v02D0dA9AF*");
MODULE_ALIAS("sdio:c*v02D0d4345*");
MODULE_ALIAS("sdio:c*v02D0dA9BF*");
MODULE_ALIAS("sdio:c*v02D0d4354*");
MODULE_ALIAS("sdio:c*v02D0d4356*");
MODULE_ALIAS("sdio:c*v02D0d4359*");
MODULE_ALIAS("sdio:c*v02D0d4373*");
MODULE_ALIAS("sdio:c*v02D0dA804*");
MODULE_ALIAS("sdio:c*v02D0dAAE8*");
MODULE_ALIAS("sdio:c*v02D0d4355*");
MODULE_ALIAS("sdio:c*v04B4dBD3D*");
MODULE_ALIAS("pci:v000014E4d000043A3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004355sv000014E4sd00004355bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004354sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043DCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043ECsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043D3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043D9sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000AA31sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043E9sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043EFsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BAsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BBsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000AA52sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004464sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CAsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CBsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004365sv000014E4sd00004365bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C4sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C5sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000440Dsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004415sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004488sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004425sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004433sv*sd*bc02sc80i*");
MODULE_ALIAS("usb:v0A5CpBD1Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD17d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD1Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD27d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B4pBD29d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v043Ep3101d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5Cp0BDCd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B4p0BDCd*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "847A69FB5D8D4CE631ABF24");
