#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mwifiex_queue_main_work, "_gpl", "");
KSYMTAB_FUNC(mwifiex_main_process, "_gpl", "");
KSYMTAB_FUNC(mwifiex_multi_chan_resync, "_gpl", "");
KSYMTAB_FUNC(mwifiex_upload_device_dump, "_gpl", "");
KSYMTAB_FUNC(mwifiex_drv_info_dump, "_gpl", "");
KSYMTAB_FUNC(mwifiex_prepare_fw_dump_info, "_gpl", "");
KSYMTAB_FUNC(mwifiex_shutdown_sw, "_gpl", "");
KSYMTAB_FUNC(mwifiex_reinit_sw, "_gpl", "");
KSYMTAB_FUNC(mwifiex_add_card, "_gpl", "");
KSYMTAB_FUNC(mwifiex_remove_card, "_gpl", "");
KSYMTAB_FUNC(_mwifiex_dbg, "_gpl", "");
KSYMTAB_FUNC(mwifiex_dnld_fw, "_gpl", "");
KSYMTAB_FUNC(mwifiex_process_hs_config, "_gpl", "");
KSYMTAB_FUNC(mwifiex_process_sleep_confirm_resp, "_gpl", "");
KSYMTAB_FUNC(mwifiex_init_shutdown_fw, "_gpl", "");
KSYMTAB_FUNC(mwifiex_alloc_dma_align_buf, "_gpl", "");
KSYMTAB_FUNC(mwifiex_fw_dump_event, "_gpl", "");
KSYMTAB_FUNC(mwifiex_handle_rx_packet, "_gpl", "");
KSYMTAB_FUNC(mwifiex_write_data_complete, "_gpl", "");
KSYMTAB_FUNC(mwifiex_deauthenticate_all, "_gpl", "");
KSYMTAB_FUNC(mwifiex_cancel_hs, "_gpl", "");
KSYMTAB_FUNC(mwifiex_enable_hs, "_gpl", "");
KSYMTAB_FUNC(mwifiex_disable_auto_ds, "_gpl", "");
KSYMTAB_FUNC(mwifiex_add_virtual_intf, "_gpl", "");
KSYMTAB_FUNC(mwifiex_del_virtual_intf, "_gpl", "");

SYMBOL_CRC(mwifiex_queue_main_work, 0x58e7b750, "_gpl");
SYMBOL_CRC(mwifiex_main_process, 0xc2c38aad, "_gpl");
SYMBOL_CRC(mwifiex_multi_chan_resync, 0xfaf2d425, "_gpl");
SYMBOL_CRC(mwifiex_upload_device_dump, 0x7f1fc492, "_gpl");
SYMBOL_CRC(mwifiex_drv_info_dump, 0xd26a43b3, "_gpl");
SYMBOL_CRC(mwifiex_prepare_fw_dump_info, 0x730bd56b, "_gpl");
SYMBOL_CRC(mwifiex_shutdown_sw, 0x9a33d8b2, "_gpl");
SYMBOL_CRC(mwifiex_reinit_sw, 0x1ae42010, "_gpl");
SYMBOL_CRC(mwifiex_add_card, 0x29aea244, "_gpl");
SYMBOL_CRC(mwifiex_remove_card, 0x0273ce16, "_gpl");
SYMBOL_CRC(_mwifiex_dbg, 0x5fbc211e, "_gpl");
SYMBOL_CRC(mwifiex_dnld_fw, 0x3c63f7a8, "_gpl");
SYMBOL_CRC(mwifiex_process_hs_config, 0x1504cd99, "_gpl");
SYMBOL_CRC(mwifiex_process_sleep_confirm_resp, 0x483a2ae5, "_gpl");
SYMBOL_CRC(mwifiex_init_shutdown_fw, 0x7aeb69e7, "_gpl");
SYMBOL_CRC(mwifiex_alloc_dma_align_buf, 0xd4dad9f3, "_gpl");
SYMBOL_CRC(mwifiex_fw_dump_event, 0x12336e3f, "_gpl");
SYMBOL_CRC(mwifiex_handle_rx_packet, 0x98f5fd43, "_gpl");
SYMBOL_CRC(mwifiex_write_data_complete, 0xf6973f21, "_gpl");
SYMBOL_CRC(mwifiex_deauthenticate_all, 0x4bb7633f, "_gpl");
SYMBOL_CRC(mwifiex_cancel_hs, 0x694b9d2c, "_gpl");
SYMBOL_CRC(mwifiex_enable_hs, 0x056c1682, "_gpl");
SYMBOL_CRC(mwifiex_disable_auto_ds, 0xfa3d1594, "_gpl");
SYMBOL_CRC(mwifiex_add_virtual_intf, 0x450e62e6, "_gpl");
SYMBOL_CRC(mwifiex_del_virtual_intf, 0x774ccb76, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x59d6e7db, "cfg80211_sched_scan_results" },
	{ 0x64db0095, "skb_complete_wifi_ack" },
	{ 0xe914e41e, "strcpy" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x7a73e70f, "cfg80211_mgmt_tx_status_ext" },
	{ 0x334dccbd, "device_set_wakeup_enable" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x6a18b83b, "device_set_wakeup_capable" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xdee5b7c3, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe94ce49a, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x13cb9486, "cfg80211_chandef_dfs_required" },
	{ 0x28288f61, "cfg80211_scan_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x8ed55c19, "cfg80211_sched_scan_stopped" },
	{ 0x411b0c9f, "param_ops_ushort" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x25245f12, "cfg80211_remain_on_channel_expired" },
	{ 0xaa5e488c, "mutex_lock_interruptible_nested" },
	{ 0x7d5e5a4, "cfg80211_cac_event" },
	{ 0x862f3c32, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x53df7429, "finish_wait" },
	{ 0x735c8d5a, "cfg80211_register_netdevice" },
	{ 0x143e1e65, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x9b88ddc0, "ieee80211_amsdu_to_8023s" },
	{ 0x9f88930d, "cfg80211_ref_bss" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x5bf48066, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x2366744f, "eth_validate_addr" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x3c01cfd5, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xcc24afb5, "timer_delete_sync" },
	{ 0x85ce233b, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xc4b4fc27, "cfg80211_chandef_valid" },
	{ 0x8b6490d7, "cfg80211_new_sta" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0xb340763b, "__dynamic_dev_dbg" },
	{ 0xdc1930c6, "cfg80211_disconnected" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x9566df1f, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc4e6d350, "dev_addr_mod" },
	{ 0x7f9bbf0d, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x46505568, "alloc_netdev_mqs" },
	{ 0x27617c55, "wiphy_new_nm" },
	{ 0x122c3a7e, "_printk" },
	{ 0x9520a3fc, "cfg80211_ready_on_channel" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xc85672b3, "cfg80211_classify8021d" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x18066bda, "wiphy_register" },
	{ 0xd328e4e3, "cfg80211_put_bss" },
	{ 0x30962179, "netif_device_detach" },
	{ 0x8991df43, "cfg80211_ch_switch_notify" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xf66f693b, "_dev_info" },
	{ 0x473a61a6, "netif_device_attach" },
	{ 0xcbf2b448, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xf9684c95, "ieee80211_get_channel_khz" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0xbe043f0c, "__cfg80211_radar_event" },
	{ 0x18e4190e, "cfg80211_tdls_oper_request" },
	{ 0xb1eeb03c, "device_wakeup_disable" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x5a898a4a, "idr_remove" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xd3e282fa, "_dev_err" },
	{ 0x54970c4d, "cfg80211_ibss_joined" },
	{ 0xafd4d7c1, "request_firmware_nowait" },
	{ 0x180271ae, "simple_open" },
	{ 0xc2a2cfc2, "skb_pull" },
	{ 0x299d0adb, "idr_alloc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xc5b199aa, "mod_timer" },
	{ 0xfe79bb1d, "wiphy_apply_custom_regulatory" },
	{ 0xb7936884, "cfg80211_michael_mic_failure" },
	{ 0x612e6fc5, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xabdcdf5e, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe063483b, "skb_push" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x7ba0c905, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xbb3b1b66, "cfg80211_del_sta_sinfo" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x30877a65, "wiphy_unregister" },
	{ 0xf70631d8, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xffe135fc, "dev_coredumpv" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xcfa73c71, "cfg80211_get_bss" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x3d3fa6d9, "netif_tx_stop_all_queues" },
	{ 0x8a58a66c, "netif_tx_wake_queue" },
	{ 0x3bb563ac, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x491020e7, "timer_shutdown_sync" },
	{ 0xe565407e, "param_ops_charp" },
	{ 0xe5a5244b, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0x1b1bf285, "netif_rx" },
	{ 0xb62de504, "__netdev_alloc_skb" },
	{ 0xd86ac5c9, "complete_all" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc8badb4e, "skb_trim" },
	{ 0x30232339, "skb_unlink" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0x95f9a4e5, "cfg80211_sched_scan_stopped_locked" },
	{ 0x9beaddd0, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xea47fcd6, "idr_for_each" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x7b62a7d7, "debugfs_create_file" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x6b2c9284, "cfg80211_unregister_wdev" },
	{ 0x999e8297, "vfree" },
	{ 0xb3e81d92, "cfg80211_rx_mgmt_ext" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0xaa9751e3, "param_ops_bool" },
	{ 0x8d4b91f2, "lockdep_rtnl_is_held" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xad99bd2e, "netif_carrier_off" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x50f0a6d, "skb_copy" },
	{ 0x8e878b4a, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0xc438306d, "netif_carrier_on" },
	{ 0x6ca71fd, "cfg80211_chandef_create" },
	{ 0x8d93f1d5, "cfg80211_report_wowlan_wakeup" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x7e96ee0a, "cfg80211_inform_bss_data" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x754d539c, "strlen" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0x3fdd94e9, "dev_kfree_skb_any_reason" },
	{ 0x429c0c31, "ieee80211_bss_get_elem" },
	{ 0x92e8e77f, "param_ops_int" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x6308ec26, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x62e33b25, "cfg80211_connect_done" },
	{ 0xa991658a, "wiphy_free" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xacbc13ff, "cfg80211_cqm_rssi_notify" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3261965a, "skb_queue_head" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "300BC83126573A49D18EB4D");
