#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76x02u_mcu_fw_reset, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_mcu_fw_send_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_init_mcu, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_mac_start, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_init_beacon_config, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_exit_beacon_config, "_gpl", "");

SYMBOL_CRC(mt76x02u_mcu_fw_reset, 0x87adc008, "_gpl");
SYMBOL_CRC(mt76x02u_mcu_fw_send_data, 0x98461cca, "_gpl");
SYMBOL_CRC(mt76x02u_init_mcu, 0x088fa916, "_gpl");
SYMBOL_CRC(mt76x02u_tx_complete_skb, 0x0cacbf23, "_gpl");
SYMBOL_CRC(mt76x02u_mac_start, 0x9d6557ad, "_gpl");
SYMBOL_CRC(mt76x02u_tx_prepare_skb, 0x47a2fe11, "_gpl");
SYMBOL_CRC(mt76x02u_init_beacon_config, 0x6427c2f4, "_gpl");
SYMBOL_CRC(mt76x02u_exit_beacon_config, 0x221dac95, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xf2a21769, "mt76x02_update_beacon_iter" },
	{ 0x87163fd1, "ieee80211_iterate_interfaces" },
	{ 0x6d4b0ede, "mt76x02_enqueue_buffered_bc" },
	{ 0x81732e85, "mt76x02_remove_hdr_pad" },
	{ 0xe94ce49a, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x20f17b2a, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x26cf5271, "mt76x02_resync_beacon_timer" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0xe3ac0e68, "mt76x02_mcu_parse_response" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xe81c8dbf, "mt76_csa_check" },
	{ 0xbd80f796, "mt76_tx_status_skb_add" },
	{ 0x8e713733, "hrtimer_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xa5aa99ac, "mt76u_single_wr" },
	{ 0x5bdf7a1f, "__mt76_tx_complete_skb" },
	{ 0xd5e4b438, "mt76x02_mac_reset_counters" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf9590ffb, "ieee80211_get_hdrlen_from_skb" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0xb340763b, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x40545f03, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf4c14f91, "mt76_csa_finish" },
	{ 0xf4eb89a2, "__alloc_skb" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x5a898a4a, "idr_remove" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xd3e282fa, "_dev_err" },
	{ 0xc2a2cfc2, "skb_pull" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xe063483b, "skb_push" },
	{ 0x85cc684f, "mt76x02_init_beacon_config" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xc8e90456, "__mt76_mcu_msg_alloc" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xc7d10953, "mt76x02_mac_write_txwi" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x2a8cbb6e, "hrtimer_start_range_ns" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xb1e2b8fe, "mt76u_vendor_request" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xb07208b0, "mt76_skb_adjust_pad" },
	{ 0xf18008d, "hrtimer_cancel" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x891f87d6, "mt76x02_mac_set_beacon" },
	{ 0x362ef70, "hrtimer_active" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xc9a1a474, "__mt76_poll" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "mt76x02-lib,mac80211,mt76,mt76-usb,cfg80211");


MODULE_INFO(srcversion, "D261E3FCE0DF5E7E72F227D");
