#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76x2_read_rx_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_power_info, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_temp_comp, "_gpl", "");
KSYMTAB_FUNC(mt76x2_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mac_stop, "_gpl", "");
KSYMTAB_FUNC(mt76x2_set_sar_specs, "_gpl", "");
KSYMTAB_FUNC(mt76x2_reset_wlan, "_gpl", "");
KSYMTAB_FUNC(mt76_write_mac_initvals, "_gpl", "");
KSYMTAB_FUNC(mt76x2_init_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x2_apply_gain_adj, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_set_txpower_regs, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_set_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x2_configure_tx_delay, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_tssi_compensate, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_update_channel_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_load_cr, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_init_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_tssi_comp, "_gpl", "");

SYMBOL_CRC(mt76x2_read_rx_gain, 0xd3f52937, "_gpl");
SYMBOL_CRC(mt76x2_get_rate_power, 0x276f7ee8, "_gpl");
SYMBOL_CRC(mt76x2_get_power_info, 0x29bfd681, "_gpl");
SYMBOL_CRC(mt76x2_get_temp_comp, 0xc3b5986f, "_gpl");
SYMBOL_CRC(mt76x2_eeprom_init, 0x4f41522a, "_gpl");
SYMBOL_CRC(mt76x2_mac_stop, 0x9497159d, "_gpl");
SYMBOL_CRC(mt76x2_set_sar_specs, 0x60c3a814, "_gpl");
SYMBOL_CRC(mt76x2_reset_wlan, 0x0bf657e6, "_gpl");
SYMBOL_CRC(mt76_write_mac_initvals, 0xcded2b7a, "_gpl");
SYMBOL_CRC(mt76x2_init_txpower, 0x28d34a9b, "_gpl");
SYMBOL_CRC(mt76x2_apply_gain_adj, 0xdcdf7c09, "_gpl");
SYMBOL_CRC(mt76x2_phy_set_txpower_regs, 0x4a4e706f, "_gpl");
SYMBOL_CRC(mt76x2_phy_set_txpower, 0x4a1e4607, "_gpl");
SYMBOL_CRC(mt76x2_configure_tx_delay, 0xb3cad3bd, "_gpl");
SYMBOL_CRC(mt76x2_phy_tssi_compensate, 0xdf8d6d00, "_gpl");
SYMBOL_CRC(mt76x2_phy_update_channel_gain, 0xb09e3be6, "_gpl");
SYMBOL_CRC(mt76x2_mcu_set_channel, 0xe00bb618, "_gpl");
SYMBOL_CRC(mt76x2_mcu_load_cr, 0x9eb341d7, "_gpl");
SYMBOL_CRC(mt76x2_mcu_init_gain, 0x7daacc69, "_gpl");
SYMBOL_CRC(mt76x2_mcu_tssi_comp, 0xb6dec2c1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x91ccb2b4, "mt76_init_sar_power" },
	{ 0xb3841188, "mt76x02_phy_adjust_vga_gain" },
	{ 0xe64c9b0f, "mt76x02_phy_dfs_adjust_agc" },
	{ 0xafe86688, "devm_kmalloc" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc4b4fc27, "cfg80211_chandef_valid" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xad1e642b, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x63217dff, "mt76x02_get_efuse_data" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x60345572, "mt76x02_get_rx_gain" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x3ea924c0, "mt76_eeprom_init" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xd3e282fa, "_dev_err" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x13a0c9bd, "mt76x02_eeprom_parse_hw_cap" },
	{ 0xcc1750b4, "mt76_mcu_send_and_get_msg" },
	{ 0x8fa6fcaa, "mt76_eeprom_override" },
	{ 0x3f227e6c, "mt76x02_get_lna_gain" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x13a3ecba, "mt76_get_sar_power" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x14c1519e, "mt76x02_eeprom_copy" },
	{ 0x39c95e52, "mt76x02_mcu_calibrate" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xd0376417, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0x3810e764, "mt76_get_min_avg_rssi" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76x02-lib,cfg80211");


MODULE_INFO(srcversion, "B855F1C5C8D938837BB73B6");
