#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2800mmio_get_dma_done, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_get_txwi, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_write_tx_desc, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_fill_rxdone, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_pretbtt_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_tbtt_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_rxdone_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_autowake_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_txstatus_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_interrupt, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_toggle_irq, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_start_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_kick_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_stop_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_queue_init, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_get_entry_state, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_clear_entry, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_init_queues, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_init_registers, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_enable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_probe_hw, "_gpl", "");

SYMBOL_CRC(rt2800mmio_get_dma_done, 0x5a336f32, "_gpl");
SYMBOL_CRC(rt2800mmio_get_txwi, 0x0ab5295c, "_gpl");
SYMBOL_CRC(rt2800mmio_write_tx_desc, 0xf3f72141, "_gpl");
SYMBOL_CRC(rt2800mmio_fill_rxdone, 0xa6411704, "_gpl");
SYMBOL_CRC(rt2800mmio_pretbtt_tasklet, 0x3d741c87, "_gpl");
SYMBOL_CRC(rt2800mmio_tbtt_tasklet, 0x5028bbb2, "_gpl");
SYMBOL_CRC(rt2800mmio_rxdone_tasklet, 0x32ac3645, "_gpl");
SYMBOL_CRC(rt2800mmio_autowake_tasklet, 0x97e3c029, "_gpl");
SYMBOL_CRC(rt2800mmio_txstatus_tasklet, 0x9f3c8921, "_gpl");
SYMBOL_CRC(rt2800mmio_interrupt, 0x5fa4db64, "_gpl");
SYMBOL_CRC(rt2800mmio_toggle_irq, 0x7b586415, "_gpl");
SYMBOL_CRC(rt2800mmio_start_queue, 0x92104577, "_gpl");
SYMBOL_CRC(rt2800mmio_kick_queue, 0x998a9f46, "_gpl");
SYMBOL_CRC(rt2800mmio_flush_queue, 0xa296f1e3, "_gpl");
SYMBOL_CRC(rt2800mmio_stop_queue, 0x3b12e4a0, "_gpl");
SYMBOL_CRC(rt2800mmio_queue_init, 0x3b4bbf1b, "_gpl");
SYMBOL_CRC(rt2800mmio_get_entry_state, 0x089e4b83, "_gpl");
SYMBOL_CRC(rt2800mmio_clear_entry, 0x6b8250e0, "_gpl");
SYMBOL_CRC(rt2800mmio_init_queues, 0x07796192, "_gpl");
SYMBOL_CRC(rt2800mmio_init_registers, 0x8c9280c2, "_gpl");
SYMBOL_CRC(rt2800mmio_enable_radio, 0x3a0a7f4b, "_gpl");
SYMBOL_CRC(rt2800mmio_probe_hw, 0xae5dbf73, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x5a3cde54, "rt2x00queue_get_entry" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xa00034e1, "rt2800_process_rxwi" },
	{ 0x328798aa, "rt2x00lib_beacondone" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0x9e06cbe2, "rt2800_config" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x2a8cbb6e, "hrtimer_start_range_ns" },
	{ 0xf9a482f9, "msleep" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x28b892bd, "rt2800_get_txwi_rxwi_size" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xf18008d, "hrtimer_cancel" },
	{ 0x3afa5cd4, "rt2800_disable_wpdma" },
	{ 0x2730e301, "rt2800_wait_wpdma_ready" },
	{ 0xdc85931a, "rt2800_enable_radio" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x57b6b526, "rt2800_txdone" },
	{ 0x81eeda00, "rt2800_txdone_nostatus" },
	{ 0x739bc7b1, "rt2800_txstatus_timeout" },
	{ 0x5858188c, "rt2800_txstatus_pending" },
	{ 0x82b542f0, "rt2800_probe_hw" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x96f99761, "rt2x00lib_pretbtt" },
	{ 0x6555cd80, "rt2x00mmio_rxdone" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,rt2800lib,rt2x00mmio");


MODULE_INFO(srcversion, "01CE6D4B6D990DC362815EA");
