#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtw89_core_fill_txdesc, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_v1, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_fwcmd_v1, "", "");
KSYMTAB_FUNC(rtw89_core_query_rxdesc, "", "");
KSYMTAB_FUNC(rtw89_core_rx, "", "");
KSYMTAB_FUNC(rtw89_core_napi_start, "", "");
KSYMTAB_FUNC(rtw89_core_napi_stop, "", "");
KSYMTAB_FUNC(rtw89_core_napi_init, "", "");
KSYMTAB_FUNC(rtw89_core_napi_deinit, "", "");
KSYMTAB_FUNC(rtw89_core_init, "", "");
KSYMTAB_FUNC(rtw89_core_deinit, "", "");
KSYMTAB_FUNC(rtw89_chip_info_setup, "", "");
KSYMTAB_FUNC(rtw89_core_register, "", "");
KSYMTAB_FUNC(rtw89_core_unregister, "", "");
KSYMTAB_FUNC(rtw89_alloc_ieee80211_hw, "", "");
KSYMTAB_FUNC(rtw89_free_ieee80211_hw, "", "");
KSYMTAB_DATA(rtw89_ops, "", "");
KSYMTAB_FUNC(rtw89_mac_get_err_status, "", "");
KSYMTAB_FUNC(rtw89_mac_set_err_status, "", "");
KSYMTAB_DATA(rtw89_mac_size, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_enable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_disable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_get_txpwr_cr, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ppdu_status, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_write_xtal_si, "", "");
KSYMTAB_FUNC(rtw89_mac_read_xtal_si, "", "");
KSYMTAB_DATA(rtw89_mac_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_phy_get_txsc, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_config_rf_reg_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_read32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_write_reg3_tbl, "", "");
KSYMTAB_FUNC(rtw89_phy_load_txpwr_byrate, "", "");
KSYMTAB_FUNC(rtw89_phy_read_txpwr_limit, "", "");
KSYMTAB_FUNC(rtw89_phy_set_txpwr_byrate, "", "");
KSYMTAB_FUNC(rtw89_phy_set_txpwr_offset, "", "");
KSYMTAB_FUNC(rtw89_phy_set_txpwr_limit, "", "");
KSYMTAB_FUNC(rtw89_phy_set_txpwr_limit_ru, "", "");
KSYMTAB_FUNC(rtw89_rfk_parser, "", "");
KSYMTAB_FUNC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, "", "");
KSYMTAB_FUNC(rtw89_encode_chan_idx, "", "");
KSYMTAB_FUNC(rtw89_decode_chan_idx, "", "");
KSYMTAB_DATA(rtw89_phy_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_dctl_sec_cam_v1, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_rf_ntfy_mcc, "", "");
KSYMTAB_FUNC(rtw89_read_efuse_ver, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy_v1, "", "");
KSYMTAB_FUNC(rtw89_btc_ntfy_wl_rfk, "", "");
KSYMTAB_FUNC(rtw89_ser_notify, "", "");

SYMBOL_CRC(rtw89_core_fill_txdesc, 0x17f8fac6, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_v1, 0xdff188fb, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_fwcmd_v1, 0xb0eca6bc, "");
SYMBOL_CRC(rtw89_core_query_rxdesc, 0xf8db5d96, "");
SYMBOL_CRC(rtw89_core_rx, 0x5e00e093, "");
SYMBOL_CRC(rtw89_core_napi_start, 0x8441a223, "");
SYMBOL_CRC(rtw89_core_napi_stop, 0x0eb6a14c, "");
SYMBOL_CRC(rtw89_core_napi_init, 0xddd33bbb, "");
SYMBOL_CRC(rtw89_core_napi_deinit, 0x10c6f866, "");
SYMBOL_CRC(rtw89_core_init, 0x94b7183c, "");
SYMBOL_CRC(rtw89_core_deinit, 0xbcaea4e2, "");
SYMBOL_CRC(rtw89_chip_info_setup, 0xaf01882a, "");
SYMBOL_CRC(rtw89_core_register, 0x610c3c64, "");
SYMBOL_CRC(rtw89_core_unregister, 0x6639271c, "");
SYMBOL_CRC(rtw89_alloc_ieee80211_hw, 0x1cba00f3, "");
SYMBOL_CRC(rtw89_free_ieee80211_hw, 0xde272106, "");
SYMBOL_CRC(rtw89_ops, 0x5e7ce8f9, "");
SYMBOL_CRC(rtw89_mac_get_err_status, 0x4637eae2, "");
SYMBOL_CRC(rtw89_mac_set_err_status, 0xc4a4a350, "");
SYMBOL_CRC(rtw89_mac_size, 0x9ac85705, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx, 0x362c9f25, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx_v1, 0xb9826862, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx, 0x6d01dc48, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx_v1, 0x76f0d639, "");
SYMBOL_CRC(rtw89_mac_enable_bb_rf, 0xc1013f5c, "");
SYMBOL_CRC(rtw89_mac_disable_bb_rf, 0xe6ddde72, "");
SYMBOL_CRC(rtw89_mac_get_txpwr_cr, 0x2cd178cd, "");
SYMBOL_CRC(rtw89_mac_cfg_ppdu_status, 0xcca88ce9, "");
SYMBOL_CRC(rtw89_mac_coex_init, 0xc71efa17, "");
SYMBOL_CRC(rtw89_mac_coex_init_v1, 0x3e2066f0, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt, 0xe426a7d2, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt_v1, 0xb1e02221, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path, 0x3133b4b9, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path_v1, 0x9776f276, "");
SYMBOL_CRC(rtw89_mac_write_xtal_si, 0xc1f10ad4, "");
SYMBOL_CRC(rtw89_mac_read_xtal_si, 0x80d3845e, "");
SYMBOL_CRC(rtw89_mac_gen_ax, 0xb412b016, "");
SYMBOL_CRC(rtw89_phy_get_txsc, 0x25ce4ec8, "");
SYMBOL_CRC(rtw89_phy_read_rf, 0xfb95193b, "");
SYMBOL_CRC(rtw89_phy_read_rf_v1, 0x026ff7bd, "");
SYMBOL_CRC(rtw89_phy_write_rf, 0x08a7b8d0, "");
SYMBOL_CRC(rtw89_phy_write_rf_v1, 0x7ec9a5db, "");
SYMBOL_CRC(rtw89_phy_config_rf_reg_v1, 0x4e19f513, "");
SYMBOL_CRC(rtw89_phy_write32_idx, 0x7093aaab, "");
SYMBOL_CRC(rtw89_phy_read32_idx, 0xe25273ad, "");
SYMBOL_CRC(rtw89_phy_write_reg3_tbl, 0x4443710a, "");
SYMBOL_CRC(rtw89_phy_load_txpwr_byrate, 0xeff21c3d, "");
SYMBOL_CRC(rtw89_phy_read_txpwr_limit, 0x8337c66d, "");
SYMBOL_CRC(rtw89_phy_set_txpwr_byrate, 0x9c29c890, "");
SYMBOL_CRC(rtw89_phy_set_txpwr_offset, 0xbf8d7f1e, "");
SYMBOL_CRC(rtw89_phy_set_txpwr_limit, 0x9beb326d, "");
SYMBOL_CRC(rtw89_phy_set_txpwr_limit_ru, 0x200f4520, "");
SYMBOL_CRC(rtw89_rfk_parser, 0x5f30cb51, "");
SYMBOL_CRC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, 0x3294639c, "");
SYMBOL_CRC(rtw89_encode_chan_idx, 0x6638e15b, "");
SYMBOL_CRC(rtw89_decode_chan_idx, 0x62081fd4, "");
SYMBOL_CRC(rtw89_phy_gen_ax, 0x63f14d32, "");
SYMBOL_CRC(rtw89_fw_h2c_dctl_sec_cam_v1, 0x6cec34c9, "");
SYMBOL_CRC(rtw89_fw_h2c_rf_ntfy_mcc, 0xd0bf92d3, "");
SYMBOL_CRC(rtw89_read_efuse_ver, 0xce7a3015, "");
SYMBOL_CRC(rtw89_btc_set_policy, 0x700f4e11, "");
SYMBOL_CRC(rtw89_btc_set_policy_v1, 0xd9d2f0ae, "");
SYMBOL_CRC(rtw89_btc_ntfy_wl_rfk, 0x27664be2, "");
SYMBOL_CRC(rtw89_ser_notify, 0x9521d355, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd1b69c05, "ieee80211_stop_tx_ba_session" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x334dccbd, "device_set_wakeup_enable" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xf78cd6c4, "ieee80211_connection_loss" },
	{ 0x6ce82d3c, "ieee80211_report_wowlan_wakeup" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x4ab4079e, "is_acpi_device_node" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x281272a7, "__ieee80211_schedule_txq" },
	{ 0x63d9681e, "ieee80211_txq_get_depth" },
	{ 0x11b3de21, "wait_for_completion_timeout" },
	{ 0xae19efa, "cfg80211_bss_iter" },
	{ 0xe94ce49a, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x20f17b2a, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x4aa747b1, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa1e0b3f9, "complete" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0x367d90ca, "ieee80211_free_hw" },
	{ 0xd230cfd3, "ieee80211_probereq_get" },
	{ 0xf7c996e, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x143e1e65, "request_firmware" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x533c7133, "ieee80211_iterate_stations_atomic" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x9a73cdb6, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5bf48066, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xf138d2f2, "ieee80211_nullfunc_get" },
	{ 0xaa66bc93, "ieee80211_pspoll_get" },
	{ 0x4ea526ea, "ieee80211_register_hw" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x93957516, "ieee80211_restart_hw" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x6b31de58, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x98286bb9, "pskb_expand_head" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x94c85fc6, "ieee80211_find_sta" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x4fddbf07, "__napi_schedule" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xf66f693b, "_dev_info" },
	{ 0xcbf2b448, "skb_queue_tail" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x34a2507b, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x1e30b511, "wiphy_to_ieee80211_hw" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x57c005c4, "ieee80211_queue_delayed_work" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xd3e282fa, "_dev_err" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xf4ac33d1, "ieee80211_next_txq" },
	{ 0x612e6fc5, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x8e8534ff, "ieee80211_remain_on_channel_expired" },
	{ 0xe063483b, "skb_push" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xa6af8b3f, "napi_enable" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xd372db1d, "ieee80211_wake_queues" },
	{ 0x6636c9c3, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x38fd9ff, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8553e1e2, "ieee80211_free_txskb" },
	{ 0xffe135fc, "dev_coredumpv" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x6e6e2a6f, "ieee80211_alloc_hw_nm" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0xe1c41621, "ieee80211_tx_dequeue" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x50d4dfd0, "cancel_delayed_work" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x20674100, "_dev_warn" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xe5a5244b, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0xb62de504, "__netdev_alloc_skb" },
	{ 0xd86ac5c9, "complete_all" },
	{ 0xaedd537, "ieee80211_ready_on_channel" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0x207cc8ed, "ieee80211_stop_queues" },
	{ 0x30232339, "skb_unlink" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x29d5cb1, "ieee80211_scan_completed" },
	{ 0x4619cc3e, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0xaa9751e3, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2ff7ca28, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb9d133d1, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xa69bc061, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x50f0a6d, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0x6ca71fd, "cfg80211_chandef_create" },
	{ 0xbacd8741, "ieee80211_cqm_rssi_notify" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xd87c2c46, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0xf069827a, "ieee80211_queue_work" },
	{ 0x931b8305, "napi_schedule_prep" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x754d539c, "strlen" },
	{ 0xf2cba0be, "napi_disable" },
	{ 0x3fdd94e9, "dev_kfree_skb_any_reason" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x5d9e6167, "mutex_destroy" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5f9c2b4f, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5efde415, "flush_work" },
	{ 0x4b208758, "ieee80211_rx_napi" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "574F37FC8F8AFF2121393AB");
