#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtw89_pci_recognize_intrs, "", "");
KSYMTAB_FUNC(rtw89_pci_recognize_intrs_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr_v1, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_fill_txaddr_info, "", "");
KSYMTAB_FUNC(rtw89_pci_fill_txaddr_info_v1, "", "");
KSYMTAB_DATA(rtw89_bd_ram_table_dual, "", "");
KSYMTAB_DATA(rtw89_bd_ram_table_single, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask_v1, "", "");
KSYMTAB_DATA(rtw89_pm_ops, "", "");
KSYMTAB_FUNC(rtw89_pci_probe, "", "");
KSYMTAB_FUNC(rtw89_pci_remove, "", "");

SYMBOL_CRC(rtw89_pci_recognize_intrs, 0x06e9fad3, "");
SYMBOL_CRC(rtw89_pci_recognize_intrs_v1, 0x7e2ccc2f, "");
SYMBOL_CRC(rtw89_pci_enable_intr, 0xf6f9e681, "");
SYMBOL_CRC(rtw89_pci_disable_intr, 0xe34aae46, "");
SYMBOL_CRC(rtw89_pci_enable_intr_v1, 0xa54416b2, "");
SYMBOL_CRC(rtw89_pci_disable_intr_v1, 0x5b6cb159, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set, 0x9ce0961b, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set_v1, 0xf630d9a9, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info, 0x7faa3fab, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info_v1, 0xc9384846, "");
SYMBOL_CRC(rtw89_bd_ram_table_dual, 0x6efd9f2c, "");
SYMBOL_CRC(rtw89_bd_ram_table_single, 0x71162055, "");
SYMBOL_CRC(rtw89_pci_ltr_set, 0x9e96b2e1, "");
SYMBOL_CRC(rtw89_pci_ltr_set_v1, 0x67544b7f, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask, 0x4f2e4454, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask_v1, 0xcb8130ea, "");
SYMBOL_CRC(rtw89_pm_ops, 0xc4335411, "");
SYMBOL_CRC(rtw89_pci_probe, 0x421c7b4a, "");
SYMBOL_CRC(rtw89_pci_remove, 0x90a35263, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xa2604fb9, "pcie_capability_read_word" },
	{ 0xceb15e9b, "pci_find_ext_capability" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x1cba00f3, "rtw89_alloc_ieee80211_hw" },
	{ 0xfdecc903, "devm_request_threaded_irq" },
	{ 0x4a005590, "pci_enable_device" },
	{ 0xe94ce49a, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x20f17b2a, "consume_skb" },
	{ 0xaa78e3ac, "pci_iomap" },
	{ 0xb34aca9e, "pci_alloc_irq_vectors" },
	{ 0xa1e0b3f9, "complete" },
	{ 0x862f3c32, "skb_dequeue" },
	{ 0x2650d8aa, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xa83358b9, "dma_sync_single_for_device" },
	{ 0xfd028564, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xddd33bbb, "rtw89_core_napi_init" },
	{ 0x6639271c, "rtw89_core_unregister" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf23fc55, "dev_driver_string" },
	{ 0x3386f72f, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x3f0ffcfa, "dma_map_page_attrs" },
	{ 0x5cccf36b, "napi_complete_done" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x755fbfad, "devm_free_irq" },
	{ 0x4fddbf07, "__napi_schedule" },
	{ 0xf66f693b, "_dev_info" },
	{ 0xcbf2b448, "skb_queue_tail" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x94b7183c, "rtw89_core_init" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xd3e282fa, "_dev_err" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x10c6f866, "rtw89_core_napi_deinit" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xe063483b, "skb_push" },
	{ 0x4ca72fe6, "dma_alloc_attrs" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xde272106, "rtw89_free_ieee80211_hw" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x8441a223, "rtw89_core_napi_start" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x8cf64344, "pci_iounmap" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x2710b258, "dma_sync_single_for_cpu" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x20674100, "_dev_warn" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x9e592602, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0x6fbc627a, "ieee80211_tx_status" },
	{ 0x9521d355, "rtw89_ser_notify" },
	{ 0xb62de504, "__netdev_alloc_skb" },
	{ 0x30232339, "skb_unlink" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0x958b7595, "dma_set_coherent_mask" },
	{ 0x610c3c64, "rtw89_core_register" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0xbae66bda, "dma_free_attrs" },
	{ 0x5e00e093, "rtw89_core_rx" },
	{ 0xaa9751e3, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xbc096c8a, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xbcaea4e2, "rtw89_core_deinit" },
	{ 0xa36ad535, "pci_write_config_byte" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0x36b4483, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x114385fe, "dma_set_mask" },
	{ 0x931b8305, "napi_schedule_prep" },
	{ 0xef0e0f07, "pci_read_config_byte" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x3fdd94e9, "dev_kfree_skb_any_reason" },
	{ 0x4b43aeba, "pci_free_irq_vectors" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb6a14c, "rtw89_core_napi_stop" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xaf01882a, "rtw89_chip_info_setup" },
	{ 0x4637eae2, "rtw89_mac_get_err_status" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "rtw89_core,mac80211");


MODULE_INFO(srcversion, "9AA8EFB7B61C17965C16C0E");
