#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvme_fc_register_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_register_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rescan_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_set_remoteport_devloss, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rcv_ls_req, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_io_getuuid, "_gpl", "");

SYMBOL_CRC(nvme_fc_register_localport, 0xd1fb195a, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_io_getuuid, 0xcc8a2d78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2c9a3586, "nvme_remove_admin_tag_set" },
	{ 0x4c5f439a, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x61bba7c4, "ida_alloc_range" },
	{ 0x1ca80971, "nvme_uninit_ctrl" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xb917d1be, "ida_destroy" },
	{ 0x31eb1444, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa1e0b3f9, "complete" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0xdd8af66e, "nvmf_free_options" },
	{ 0x91c93071, "blk_mq_tagset_wait_completed_request" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0x53df7429, "finish_wait" },
	{ 0x46c09278, "blk_mq_complete_request_remote" },
	{ 0x2650d8aa, "dma_unmap_page_attrs" },
	{ 0xa85dadc3, "nvme_setup_cmd" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x354d378e, "nvme_start_ctrl" },
	{ 0xa83358b9, "dma_sync_single_for_device" },
	{ 0xb64bb593, "nvme_alloc_admin_tag_set" },
	{ 0x8d002b5a, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x8697a9de, "nvmf_reg_read32" },
	{ 0x85ce233b, "__wake_up" },
	{ 0x137f68f7, "nvme_delete_ctrl" },
	{ 0x36ff997e, "get_device" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xd0daf022, "nvme_should_fail" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf23fc55, "dev_driver_string" },
	{ 0x2a168b1c, "nvmf_get_address" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x3f0ffcfa, "dma_map_page_attrs" },
	{ 0xa26ed210, "flush_delayed_work" },
	{ 0x122c3a7e, "_printk" },
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0x1000e51, "schedule" },
	{ 0xe0596ee5, "nvme_remove_io_tag_set" },
	{ 0xa31ddb9b, "nvme_cleanup_cmd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x56156d5c, "nvme_mpath_start_request" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0x79c37211, "nvmf_unregister_transport" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xb4c1c18e, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x3501277e, "nvme_change_ctrl_state" },
	{ 0xf66f693b, "_dev_info" },
	{ 0x211de5db, "nvme_init_ctrl" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0x7a928358, "nvme_alloc_io_tag_set" },
	{ 0xc85d8450, "nvme_fail_nonready_command" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x131cdf2d, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xd3e282fa, "_dev_err" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xf0937000, "device_create" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x73dbf14b, "blk_sync_queue" },
	{ 0x5a921311, "strncmp" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0xfaa29f9f, "__blk_rq_map_sg" },
	{ 0x9166fada, "strncpy" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x2b3aca87, "ida_free" },
	{ 0x45626b3f, "nvmf_reg_read64" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x554c6024, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0x904b214c, "nvmf_connect_admin_queue" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x7ce7386c, "nvme_enable_ctrl" },
	{ 0x3ce8e5ff, "nvme_unquiesce_admin_queue" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x2710b258, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x20674100, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xe5a5244b, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x43f7085e, "nvme_unquiesce_io_queues" },
	{ 0xbc0eef17, "blk_mq_update_nr_hw_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x61ba3c2c, "nvmf_reg_write32" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0xcaf5ab, "nvmf_should_reconnect" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xfb884dbf, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2c539d40, "device_destroy" },
	{ 0xbd32366d, "__blk_should_fake_timeout" },
	{ 0xc56c49c1, "nvme_set_queue_count" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x83422b19, "nvmf_register_transport" },
	{ 0xc86cec29, "blk_mq_start_request" },
	{ 0x940a78f9, "nvme_quiesce_io_queues" },
	{ 0xa3b709c1, "blk_mq_tagset_busy_iter" },
	{ 0xb4fc3b5c, "nvme_stop_ctrl" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xd904e370, "dma_unmap_sg_attrs" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xb7dee4ea, "nvme_init_ctrl_finish" },
	{ 0xd23c1a86, "nvme_reset_ctrl" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0x8dab6910, "nvme_quiesce_admin_queue" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x1c4ae495, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xfbfcf0a0, "__nvme_check_ready" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0xd38d0af6, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "nvme-fabrics");


MODULE_INFO(srcversion, "EECC6777509FF0E0547552C");
