#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__parport_register_driver, "", "");
KSYMTAB_FUNC(parport_unregister_driver, "", "");
KSYMTAB_FUNC(parport_get_port, "", "");
KSYMTAB_FUNC(parport_del_port, "", "");
KSYMTAB_FUNC(parport_put_port, "", "");
KSYMTAB_FUNC(parport_register_port, "", "");
KSYMTAB_FUNC(parport_announce_port, "", "");
KSYMTAB_FUNC(parport_remove_port, "", "");
KSYMTAB_FUNC(parport_register_dev_model, "", "");
KSYMTAB_FUNC(parport_unregister_device, "", "");
KSYMTAB_FUNC(parport_find_number, "", "");
KSYMTAB_FUNC(parport_find_base, "", "");
KSYMTAB_FUNC(parport_claim, "", "");
KSYMTAB_FUNC(parport_claim_or_block, "", "");
KSYMTAB_FUNC(parport_release, "", "");
KSYMTAB_FUNC(parport_irq_handler, "", "");
KSYMTAB_FUNC(parport_negotiate, "", "");
KSYMTAB_FUNC(parport_write, "", "");
KSYMTAB_FUNC(parport_read, "", "");
KSYMTAB_FUNC(parport_wait_peripheral, "", "");
KSYMTAB_FUNC(parport_wait_event, "", "");
KSYMTAB_FUNC(parport_set_timeout, "", "");
KSYMTAB_FUNC(parport_ieee1284_interrupt, "", "");
KSYMTAB_FUNC(parport_ieee1284_ecp_write_data, "", "");
KSYMTAB_FUNC(parport_ieee1284_ecp_read_data, "", "");
KSYMTAB_FUNC(parport_ieee1284_ecp_write_addr, "", "");
KSYMTAB_FUNC(parport_ieee1284_write_compat, "", "");
KSYMTAB_FUNC(parport_ieee1284_read_nibble, "", "");
KSYMTAB_FUNC(parport_ieee1284_read_byte, "", "");
KSYMTAB_FUNC(parport_ieee1284_epp_write_data, "", "");
KSYMTAB_FUNC(parport_ieee1284_epp_read_data, "", "");
KSYMTAB_FUNC(parport_ieee1284_epp_write_addr, "", "");
KSYMTAB_FUNC(parport_ieee1284_epp_read_addr, "", "");

SYMBOL_CRC(__parport_register_driver, 0x98d7d501, "");
SYMBOL_CRC(parport_unregister_driver, 0x4fe6dd6b, "");
SYMBOL_CRC(parport_get_port, 0xe8749d47, "");
SYMBOL_CRC(parport_del_port, 0xdd6081ce, "");
SYMBOL_CRC(parport_put_port, 0xe339661d, "");
SYMBOL_CRC(parport_register_port, 0x975e24ed, "");
SYMBOL_CRC(parport_announce_port, 0xb1f19878, "");
SYMBOL_CRC(parport_remove_port, 0x95abf247, "");
SYMBOL_CRC(parport_register_dev_model, 0x58d18f92, "");
SYMBOL_CRC(parport_unregister_device, 0x150b9349, "");
SYMBOL_CRC(parport_find_number, 0x854f15ce, "");
SYMBOL_CRC(parport_find_base, 0x9d6c0247, "");
SYMBOL_CRC(parport_claim, 0x46dc7502, "");
SYMBOL_CRC(parport_claim_or_block, 0xf5dc0638, "");
SYMBOL_CRC(parport_release, 0xd1db6282, "");
SYMBOL_CRC(parport_irq_handler, 0x5e3a3912, "");
SYMBOL_CRC(parport_negotiate, 0x1f577bb8, "");
SYMBOL_CRC(parport_write, 0x2dc8056c, "");
SYMBOL_CRC(parport_read, 0xde5a95c1, "");
SYMBOL_CRC(parport_wait_peripheral, 0x04f61cad, "");
SYMBOL_CRC(parport_wait_event, 0x08ffd3d4, "");
SYMBOL_CRC(parport_set_timeout, 0x7a94e1f5, "");
SYMBOL_CRC(parport_ieee1284_interrupt, 0x4d2a941b, "");
SYMBOL_CRC(parport_ieee1284_ecp_write_data, 0x51fcb71b, "");
SYMBOL_CRC(parport_ieee1284_ecp_read_data, 0xdc57012e, "");
SYMBOL_CRC(parport_ieee1284_ecp_write_addr, 0x77bcb79d, "");
SYMBOL_CRC(parport_ieee1284_write_compat, 0xa9e4099c, "");
SYMBOL_CRC(parport_ieee1284_read_nibble, 0x681ca53c, "");
SYMBOL_CRC(parport_ieee1284_read_byte, 0x3cd43a86, "");
SYMBOL_CRC(parport_ieee1284_epp_write_data, 0xaae097f2, "");
SYMBOL_CRC(parport_ieee1284_epp_read_data, 0x8de9a5cf, "");
SYMBOL_CRC(parport_ieee1284_epp_write_addr, 0x8ca09774, "");
SYMBOL_CRC(parport_ieee1284_epp_read_addr, 0xbd418815, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xf92cb872, "try_module_get" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x640ce521, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd9b5e720, "device_unregister" },
	{ 0x53df7429, "finish_wait" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x66cb57fb, "up" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xa0ec9675, "pcpu_hot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x9bdc7ca8, "bus_for_each_drv" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xcc24afb5, "timer_delete_sync" },
	{ 0x85ce233b, "__wake_up" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x36ff997e, "get_device" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xff7a2dc6, "unregister_sysctl_table" },
	{ 0xb4c1c18e, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xbb897368, "bus_for_each_dev" },
	{ 0xdebee75d, "module_put" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x27b8214, "bus_unregister" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x1d1fbf1f, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xc5b199aa, "mod_timer" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xcfc30fde, "driver_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xe41f2809, "_raw_read_unlock" },
	{ 0xfbaeedc3, "device_register" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x438df1f2, "register_sysctl_sz" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0x4973352a, "_raw_write_unlock_irqrestore" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0xd986ecb2, "__rwlock_init" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xfa62002c, "down_interruptible" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x3f75b01b, "_raw_read_lock" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0xf4195816, "_raw_write_lock_irqsave" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x44292bb9, "driver_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xed44313a, "bus_register" },
	{ 0x94dee2e4, "proc_dointvec_minmax" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D5A50A0C062DBD91BF2C03A");
