#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cxgbi_device_portmap_create, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_portmap_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_register, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister_all, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_lldev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev_rcu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_remove, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_add, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_free_cpl_skbs, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_established, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_closed, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_fail_act_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_act_open_req_arp_failure, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_abort_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_peer_close, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_close_conn_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_wr_ack, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_select_mss, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_skb_entail, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_purge_wr_queue, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_check_wr_invariants, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_set_one_ppod, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_ppm_setup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_parse_pdu_itt, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_tx_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_pdu_ready, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_alloc_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_init_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_xmit_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_conn_stats, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_conn_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_ep_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_bind_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_destroy_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_connect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_poll, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_disconnect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_init, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_attr_is_visible, "_gpl", "");

SYMBOL_CRC(cxgbi_device_portmap_create, 0xf735b404, "_gpl");
SYMBOL_CRC(cxgbi_device_portmap_cleanup, 0xba156cb1, "_gpl");
SYMBOL_CRC(cxgbi_device_register, 0x143075c4, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister, 0xfb1a712c, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister_all, 0x7fdb6004, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_lldev, 0x99025a93, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev, 0x07a75d6e, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev_rcu, 0xffc4580a, "_gpl");
SYMBOL_CRC(cxgbi_hbas_remove, 0x8fc2f8fa, "_gpl");
SYMBOL_CRC(cxgbi_hbas_add, 0xcc2aa294, "_gpl");
SYMBOL_CRC(cxgbi_sock_free_cpl_skbs, 0xd0a17d7c, "_gpl");
SYMBOL_CRC(cxgbi_sock_established, 0xa6258bac, "_gpl");
SYMBOL_CRC(cxgbi_sock_closed, 0x58e2198c, "_gpl");
SYMBOL_CRC(cxgbi_sock_fail_act_open, 0xab9b8a90, "_gpl");
SYMBOL_CRC(cxgbi_sock_act_open_req_arp_failure, 0x231f6ba6, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_abort_rpl, 0x91e42be8, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_peer_close, 0xd4ae0a98, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_close_conn_rpl, 0x77ae7395, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_wr_ack, 0x94209b15, "_gpl");
SYMBOL_CRC(cxgbi_sock_select_mss, 0x16d6f1ef, "_gpl");
SYMBOL_CRC(cxgbi_sock_skb_entail, 0xa33cf132, "_gpl");
SYMBOL_CRC(cxgbi_sock_purge_wr_queue, 0x444ab804, "_gpl");
SYMBOL_CRC(cxgbi_sock_check_wr_invariants, 0x0260253d, "_gpl");
SYMBOL_CRC(cxgbi_ddp_set_one_ppod, 0x8319f739, "_gpl");
SYMBOL_CRC(cxgbi_ddp_ppm_setup, 0xecd7b048, "_gpl");
SYMBOL_CRC(cxgbi_parse_pdu_itt, 0xa85708f7, "_gpl");
SYMBOL_CRC(cxgbi_conn_tx_open, 0xd04e330c, "_gpl");
SYMBOL_CRC(cxgbi_conn_pdu_ready, 0x260ee67a, "_gpl");
SYMBOL_CRC(cxgbi_conn_alloc_pdu, 0x4d69f225, "_gpl");
SYMBOL_CRC(cxgbi_conn_init_pdu, 0x1f444cb4, "_gpl");
SYMBOL_CRC(cxgbi_conn_xmit_pdu, 0xf079f13e, "_gpl");
SYMBOL_CRC(cxgbi_cleanup_task, 0x7f7ec4e7, "_gpl");
SYMBOL_CRC(cxgbi_get_conn_stats, 0x56f77e6a, "_gpl");
SYMBOL_CRC(cxgbi_set_conn_param, 0x92136775, "_gpl");
SYMBOL_CRC(cxgbi_get_ep_param, 0xa9ae4e2a, "_gpl");
SYMBOL_CRC(cxgbi_create_conn, 0x894bd7ae, "_gpl");
SYMBOL_CRC(cxgbi_bind_conn, 0xf11a5467, "_gpl");
SYMBOL_CRC(cxgbi_create_session, 0x2a5a62b7, "_gpl");
SYMBOL_CRC(cxgbi_destroy_session, 0x4bd03dbe, "_gpl");
SYMBOL_CRC(cxgbi_set_host_param, 0xd602d8db, "_gpl");
SYMBOL_CRC(cxgbi_get_host_param, 0x84db6696, "_gpl");
SYMBOL_CRC(cxgbi_ep_connect, 0x73056bb6, "_gpl");
SYMBOL_CRC(cxgbi_ep_poll, 0xacdc4d02, "_gpl");
SYMBOL_CRC(cxgbi_ep_disconnect, 0x5a025e06, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_init, 0xcbde3c47, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_cleanup, 0xdbdc3c2d, "_gpl");
SYMBOL_CRC(cxgbi_attr_is_visible, 0xef346615, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x122c3a7e, "_printk" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x579946cc, "vlan_dev_real_dev" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x1c5d0dc1, "iscsi_host_remove" },
	{ 0x67dc63f0, "pci_dev_put" },
	{ 0xc4a741f6, "iscsi_host_free" },
	{ 0x22c5ecfb, "pci_dev_get" },
	{ 0x62b6a205, "iscsi_host_add" },
	{ 0xc83645e5, "iscsi_host_alloc" },
	{ 0x9f8ba5d7, "scsi_host_put" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x612e6fc5, "kfree_skb_reason" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0xf29b2ae6, "cxgbi_ppm_init" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xdf6b6a5e, "iscsi_conn_queue_xmit" },
	{ 0xf9c3014b, "cxgbi_ppm_ppods_reserve" },
	{ 0xd38d0af6, "dma_map_sg_attrs" },
	{ 0xb3383fc7, "cxgbi_ppm_make_ppod_hdr" },
	{ 0x92517560, "cxgbi_ppm_ppod_release" },
	{ 0xd904e370, "dma_unmap_sg_attrs" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x47f93842, "__kfree_skb" },
	{ 0xfb578fc5, "memset" },
	{ 0x81cc2008, "iscsi_tcp_cleanup_task" },
	{ 0x37a0cba, "kfree" },
	{ 0x9fee3dfc, "iscsi_tcp_set_max_r2t" },
	{ 0xab0c9f8f, "iscsi_set_param" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xeab9cbd5, "iscsi_conn_get_addr_param" },
	{ 0x27ce286, "iscsi_tcp_conn_setup" },
	{ 0xfb09be81, "iscsi_session_setup" },
	{ 0x65163f80, "iscsi_tcp_r2tpool_alloc" },
	{ 0x8810ce81, "iscsi_session_teardown" },
	{ 0x6960b331, "iscsi_tcp_r2tpool_free" },
	{ 0x7a6edf2b, "iscsi_host_set_param" },
	{ 0x1b6314fd, "in_aton" },
	{ 0xa2d8ebe9, "_dev_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1c0f253, "iscsi_host_get_param" },
	{ 0x81533963, "sysfs_format_mac" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x91bd2c1a, "iscsi_unregister_transport" },
	{ 0xb6742e52, "alloc_pages" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x8dde51c9, "_raw_read_lock_bh" },
	{ 0x43127e04, "iscsi_conn_failure" },
	{ 0x8683ae58, "_raw_read_unlock_bh" },
	{ 0xbd487a2d, "iscsi_register_transport" },
	{ 0x785d504a, "init_net" },
	{ 0x7f6b3e5e, "ip6_route_output_flags" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xec155a86, "iscsi_lookup_endpoint" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd274288f, "iscsi_conn_bind" },
	{ 0xfd4f79e6, "iscsi_put_endpoint" },
	{ 0xd9227e6, "_raw_write_lock_bh" },
	{ 0x2df9c270, "_raw_write_unlock_bh" },
	{ 0xf8e1ea31, "iscsi_tcp_hdr_recv_prep" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x6f4ad204, "iscsi_tcp_recv_segment_is_hdr" },
	{ 0x6653d9f4, "iscsi_tcp_recv_skb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0xd986ecb2, "__rwlock_init" },
	{ 0x92aa65, "make_kuid" },
	{ 0xcf16fac6, "ip_route_output_flow" },
	{ 0x9a5d817c, "dst_release" },
	{ 0xc2c6e9b3, "__ip_dev_find" },
	{ 0x6ae5b77e, "neigh_destroy" },
	{ 0xa6df4bbd, "iscsi_itt_to_ctask" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5416b614, "cxgbi_ppm_release" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xb0bd8018, "__put_devmap_managed_page_refs" },
	{ 0xe0adf355, "__folio_put" },
	{ 0x95897450, "dump_page" },
	{ 0xdebee75d, "module_put" },
	{ 0x1a5e74b7, "iscsi_destroy_endpoint" },
	{ 0x9b052588, "ipv6_dev_get_saddr" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0xf4eb89a2, "__alloc_skb" },
	{ 0x6c0dabc8, "iscsi_create_endpoint" },
	{ 0xe94ce49a, "skb_put" },
	{ 0xa0ec9675, "pcpu_hot" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xdee5b7c3, "param_ops_uint" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "libiscsi,libcxgb,libiscsi_tcp");


MODULE_INFO(srcversion, "181A7A8849EFD318708C8E5");
