#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(fc_lport_notifier_head, "", "");
KSYMTAB_FUNC(fc_fill_hdr, "", "");
KSYMTAB_FUNC(fc_fill_reply_hdr, "", "");
KSYMTAB_FUNC(fc_lport_iterate, "", "");
KSYMTAB_FUNC(fc_fc4_register_provider, "", "");
KSYMTAB_FUNC(fc_fc4_deregister_provider, "", "");
KSYMTAB_FUNC(fc_disc_config, "", "");
KSYMTAB_FUNC(fc_disc_init, "", "");
KSYMTAB_DATA(fc_cpu_mask, "", "");
KSYMTAB_FUNC(fc_seq_send, "", "");
KSYMTAB_FUNC(fc_seq_start_next, "", "");
KSYMTAB_FUNC(fc_seq_set_resp, "", "");
KSYMTAB_FUNC(fc_exch_done, "", "");
KSYMTAB_FUNC(fc_seq_els_rsp_send, "_gpl", "");
KSYMTAB_FUNC(fc_seq_assign, "", "");
KSYMTAB_FUNC(fc_seq_release, "", "");
KSYMTAB_FUNC(fc_exch_mgr_reset, "", "");
KSYMTAB_FUNC(fc_exch_seq_send, "", "");
KSYMTAB_FUNC(fc_exch_update_stats, "", "");
KSYMTAB_FUNC(fc_exch_mgr_add, "", "");
KSYMTAB_FUNC(fc_exch_mgr_del, "", "");
KSYMTAB_FUNC(fc_exch_mgr_list_clone, "", "");
KSYMTAB_FUNC(fc_exch_mgr_alloc, "", "");
KSYMTAB_FUNC(fc_exch_mgr_free, "", "");
KSYMTAB_FUNC(fc_exch_recv, "", "");
KSYMTAB_FUNC(fc_exch_init, "", "");
KSYMTAB_FUNC(fc_elsct_send, "", "");
KSYMTAB_FUNC(fc_elsct_init, "", "");
KSYMTAB_FUNC(fc_frame_crc_check, "", "");
KSYMTAB_FUNC(_fc_frame_alloc, "", "");
KSYMTAB_FUNC(fc_frame_alloc_fill, "", "");
KSYMTAB_FUNC(fc_get_host_port_state, "", "");
KSYMTAB_FUNC(fc_get_host_speed, "", "");
KSYMTAB_FUNC(fc_get_host_stats, "", "");
KSYMTAB_FUNC(fc_fabric_login, "", "");
KSYMTAB_FUNC(fc_linkup, "", "");
KSYMTAB_FUNC(fc_linkdown, "", "");
KSYMTAB_FUNC(fc_fabric_logoff, "", "");
KSYMTAB_FUNC(fc_lport_destroy, "", "");
KSYMTAB_FUNC(fc_set_mfs, "", "");
KSYMTAB_FUNC(fc_lport_set_local_id, "", "");
KSYMTAB_FUNC(fc_lport_recv, "", "");
KSYMTAB_FUNC(fc_lport_reset, "", "");
KSYMTAB_FUNC(fc_lport_logo_resp, "", "");
KSYMTAB_FUNC(fc_lport_flogi_resp, "", "");
KSYMTAB_FUNC(fc_lport_config, "", "");
KSYMTAB_FUNC(fc_lport_init, "", "");
KSYMTAB_FUNC(fc_lport_bsg_request, "", "");
KSYMTAB_FUNC(fc_rport_lookup, "", "");
KSYMTAB_FUNC(fc_rport_create, "", "");
KSYMTAB_FUNC(fc_rport_destroy, "", "");
KSYMTAB_FUNC(fc_set_rport_loss_tmo, "", "");
KSYMTAB_FUNC(fc_rport_login, "", "");
KSYMTAB_FUNC(fc_rport_logoff, "", "");
KSYMTAB_FUNC(fc_rport_recv_req, "", "");
KSYMTAB_FUNC(fc_rport_flush_queue, "", "");
KSYMTAB_FUNC(fc_rport_terminate_io, "", "");
KSYMTAB_FUNC(fc_queuecommand, "", "");
KSYMTAB_FUNC(fc_eh_abort, "", "");
KSYMTAB_FUNC(fc_eh_device_reset, "", "");
KSYMTAB_FUNC(fc_eh_host_reset, "", "");
KSYMTAB_FUNC(fc_slave_alloc, "", "");
KSYMTAB_FUNC(fc_fcp_destroy, "", "");
KSYMTAB_FUNC(fc_fcp_init, "", "");
KSYMTAB_FUNC(libfc_vport_create, "", "");
KSYMTAB_FUNC(fc_vport_id_lookup, "", "");
KSYMTAB_FUNC(fc_vport_setlink, "", "");

SYMBOL_CRC(fc_lport_notifier_head, 0x9170a2b6, "");
SYMBOL_CRC(fc_fill_hdr, 0x7b1f7a6a, "");
SYMBOL_CRC(fc_fill_reply_hdr, 0x6c3c6b94, "");
SYMBOL_CRC(fc_lport_iterate, 0xdc31e533, "");
SYMBOL_CRC(fc_fc4_register_provider, 0x81cfbb5a, "");
SYMBOL_CRC(fc_fc4_deregister_provider, 0x1046ca5b, "");
SYMBOL_CRC(fc_disc_config, 0x07952c11, "");
SYMBOL_CRC(fc_disc_init, 0x27b6dd67, "");
SYMBOL_CRC(fc_cpu_mask, 0xa1bcd198, "");
SYMBOL_CRC(fc_seq_send, 0xca60fdb2, "");
SYMBOL_CRC(fc_seq_start_next, 0x7f3407a7, "");
SYMBOL_CRC(fc_seq_set_resp, 0x7b72d3c9, "");
SYMBOL_CRC(fc_exch_done, 0x811811e0, "");
SYMBOL_CRC(fc_seq_els_rsp_send, 0x344e1e1f, "_gpl");
SYMBOL_CRC(fc_seq_assign, 0x3189435d, "");
SYMBOL_CRC(fc_seq_release, 0xfa4667d1, "");
SYMBOL_CRC(fc_exch_mgr_reset, 0x4dcf8875, "");
SYMBOL_CRC(fc_exch_seq_send, 0x91c37b89, "");
SYMBOL_CRC(fc_exch_update_stats, 0x3d5f76f1, "");
SYMBOL_CRC(fc_exch_mgr_add, 0xc565b995, "");
SYMBOL_CRC(fc_exch_mgr_del, 0x22b90986, "");
SYMBOL_CRC(fc_exch_mgr_list_clone, 0xd3e17429, "");
SYMBOL_CRC(fc_exch_mgr_alloc, 0xb3e2d4ef, "");
SYMBOL_CRC(fc_exch_mgr_free, 0x3f3cf3c6, "");
SYMBOL_CRC(fc_exch_recv, 0xeed8180c, "");
SYMBOL_CRC(fc_exch_init, 0x4f1a5ae7, "");
SYMBOL_CRC(fc_elsct_send, 0xd27d2cb9, "");
SYMBOL_CRC(fc_elsct_init, 0x99cfe9f6, "");
SYMBOL_CRC(fc_frame_crc_check, 0x38437590, "");
SYMBOL_CRC(_fc_frame_alloc, 0x1f5454c0, "");
SYMBOL_CRC(fc_frame_alloc_fill, 0x0ad2e053, "");
SYMBOL_CRC(fc_get_host_port_state, 0x6435a24f, "");
SYMBOL_CRC(fc_get_host_speed, 0xbbc9fb79, "");
SYMBOL_CRC(fc_get_host_stats, 0xcdb715db, "");
SYMBOL_CRC(fc_fabric_login, 0xe5cdebec, "");
SYMBOL_CRC(fc_linkup, 0x412510ff, "");
SYMBOL_CRC(fc_linkdown, 0x7c2dba25, "");
SYMBOL_CRC(fc_fabric_logoff, 0x1ce2c7a8, "");
SYMBOL_CRC(fc_lport_destroy, 0xf10c3c8b, "");
SYMBOL_CRC(fc_set_mfs, 0x84a75753, "");
SYMBOL_CRC(fc_lport_set_local_id, 0xe3ca9b35, "");
SYMBOL_CRC(fc_lport_recv, 0x89496f36, "");
SYMBOL_CRC(fc_lport_reset, 0x45b448da, "");
SYMBOL_CRC(fc_lport_logo_resp, 0x35875921, "");
SYMBOL_CRC(fc_lport_flogi_resp, 0xc2cecb8b, "");
SYMBOL_CRC(fc_lport_config, 0x95b070bd, "");
SYMBOL_CRC(fc_lport_init, 0xbff4cc01, "");
SYMBOL_CRC(fc_lport_bsg_request, 0x9a71c313, "");
SYMBOL_CRC(fc_rport_lookup, 0xbe4749af, "");
SYMBOL_CRC(fc_rport_create, 0x636757e6, "");
SYMBOL_CRC(fc_rport_destroy, 0x9d50ed7e, "");
SYMBOL_CRC(fc_set_rport_loss_tmo, 0x477813b1, "");
SYMBOL_CRC(fc_rport_login, 0xf02a653c, "");
SYMBOL_CRC(fc_rport_logoff, 0x9b2a1ef2, "");
SYMBOL_CRC(fc_rport_recv_req, 0x8c547b77, "");
SYMBOL_CRC(fc_rport_flush_queue, 0xb0ddd5a1, "");
SYMBOL_CRC(fc_rport_terminate_io, 0x21eea36c, "");
SYMBOL_CRC(fc_queuecommand, 0xe115e745, "");
SYMBOL_CRC(fc_eh_abort, 0xaeb2712f, "");
SYMBOL_CRC(fc_eh_device_reset, 0x1f37fe90, "");
SYMBOL_CRC(fc_eh_host_reset, 0xa4558642, "");
SYMBOL_CRC(fc_slave_alloc, 0x9a829068, "");
SYMBOL_CRC(fc_fcp_destroy, 0x53998163, "");
SYMBOL_CRC(fc_fcp_init, 0x034a07c9, "");
SYMBOL_CRC(libfc_vport_create, 0xaf6e2cd7, "");
SYMBOL_CRC(fc_vport_id_lookup, 0xd3f465a7, "");
SYMBOL_CRC(fc_vport_setlink, 0x8a9ca990, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xf92cb872, "try_module_get" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x11b3de21, "wait_for_completion_timeout" },
	{ 0xe94ce49a, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc1b808db, "bsg_job_done" },
	{ 0x36ca0dec, "fc_remote_port_add" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa1e0b3f9, "complete" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x95897450, "dump_page" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0x53df7429, "finish_wait" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x2ad5ff2d, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xa0ec9675, "pcpu_hot" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xcc24afb5, "timer_delete_sync" },
	{ 0x85ce233b, "__wake_up" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x6ae36ee4, "kmem_cache_create" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xd8a00066, "mempool_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x93f9f55e, "fc_block_scsi_eh" },
	{ 0x122c3a7e, "_printk" },
	{ 0xb707b887, "mempool_create" },
	{ 0x1000e51, "schedule" },
	{ 0x843f04ac, "blocking_notifier_call_chain" },
	{ 0x722c5a2b, "fc_remote_port_delete" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xa916b694, "strnlen" },
	{ 0xf4eb89a2, "__alloc_skb" },
	{ 0xf10f8b50, "mempool_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6ce1a3bc, "fc_host_post_event" },
	{ 0xdebee75d, "module_put" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x80c338cd, "init_uts_ns" },
	{ 0xc5b199aa, "mod_timer" },
	{ 0x612e6fc5, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x9166fada, "strncpy" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x50d4dfd0, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x2975cd23, "scsi_is_host_device" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0xc8badb4e, "skb_trim" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x375f8bbd, "fc_get_event_number" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xc8dcdfd7, "mempool_destroy" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0xde18a035, "scsi_is_fc_rport" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xe906f464, "scsi_done" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x92e8e77f, "param_ops_int" },
	{ 0xa2d8ebe9, "_dev_printk" },
	{ 0xb8d1af95, "scsi_host_alloc" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0x84243697, "scsi_change_queue_depth" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0x2ab54273, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_fc");


MODULE_INFO(srcversion, "2B2EA05FAE4948E029B8331");
