#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sdw_cdns_config_update, "", "");
KSYMTAB_FUNC(sdw_cdns_config_update_set_wait, "", "");
KSYMTAB_FUNC(sdw_cdns_debugfs_init, "_gpl", "");
KSYMTAB_FUNC(cdns_xfer_msg, "", "");
KSYMTAB_FUNC(cdns_xfer_msg_defer, "", "");
KSYMTAB_FUNC(cdns_read_ping_status, "", "");
KSYMTAB_FUNC(sdw_cdns_irq, "", "");
KSYMTAB_FUNC(sdw_cdns_check_self_clearing_bits, "", "");
KSYMTAB_FUNC(sdw_cdns_exit_reset, "", "");
KSYMTAB_FUNC(sdw_cdns_enable_interrupt, "", "");
KSYMTAB_FUNC(sdw_cdns_pdi_init, "", "");
KSYMTAB_FUNC(sdw_cdns_init, "", "");
KSYMTAB_FUNC(cdns_bus_conf, "", "");
KSYMTAB_FUNC(sdw_cdns_is_clock_stop, "", "");
KSYMTAB_FUNC(sdw_cdns_clock_stop, "", "");
KSYMTAB_FUNC(sdw_cdns_clock_restart, "", "");
KSYMTAB_FUNC(sdw_cdns_probe, "", "");
KSYMTAB_FUNC(cdns_set_sdw_stream, "", "");
KSYMTAB_FUNC(sdw_cdns_config_stream, "", "");
KSYMTAB_FUNC(sdw_cdns_alloc_pdi, "", "");

SYMBOL_CRC(sdw_cdns_config_update, 0x2f8ff00b, "");
SYMBOL_CRC(sdw_cdns_config_update_set_wait, 0x822e62fe, "");
SYMBOL_CRC(sdw_cdns_debugfs_init, 0x60a1fa4b, "_gpl");
SYMBOL_CRC(cdns_xfer_msg, 0x29458bdc, "");
SYMBOL_CRC(cdns_xfer_msg_defer, 0x1018a1d2, "");
SYMBOL_CRC(cdns_read_ping_status, 0xd9ef033e, "");
SYMBOL_CRC(sdw_cdns_irq, 0x34712074, "");
SYMBOL_CRC(sdw_cdns_check_self_clearing_bits, 0xa62a5860, "");
SYMBOL_CRC(sdw_cdns_exit_reset, 0x8ecdfd69, "");
SYMBOL_CRC(sdw_cdns_enable_interrupt, 0x909c5410, "");
SYMBOL_CRC(sdw_cdns_pdi_init, 0x35751a87, "");
SYMBOL_CRC(sdw_cdns_init, 0x1fa211e8, "");
SYMBOL_CRC(cdns_bus_conf, 0x84c36257, "");
SYMBOL_CRC(sdw_cdns_is_clock_stop, 0xe3251bbd, "");
SYMBOL_CRC(sdw_cdns_clock_stop, 0xb7ffbff3, "");
SYMBOL_CRC(sdw_cdns_clock_restart, 0x2570e8c9, "");
SYMBOL_CRC(sdw_cdns_probe, 0xa708f4a9, "");
SYMBOL_CRC(cdns_set_sdw_stream, 0x1035616f, "");
SYMBOL_CRC(sdw_cdns_config_stream, 0x8a5513e0, "");
SYMBOL_CRC(sdw_cdns_alloc_pdi, 0x17db85bd, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xb3f27074, "sdw_bus_prep_clk_stop" },
	{ 0x1d4560a5, "simple_attr_open" },
	{ 0x99368fdd, "debugfs_attr_write" },
	{ 0x11b3de21, "wait_for_completion_timeout" },
	{ 0xafe86688, "devm_kmalloc" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa1e0b3f9, "complete" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x89276aa9, "sdw_bus_clk_stop" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0x96848186, "scnprintf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x1deee061, "sdw_find_row_index" },
	{ 0xccf8c8e1, "seq_lseek" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x907d0244, "sdw_handle_slave_status" },
	{ 0xb340763b, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x18b00889, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xf66f693b, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x3651007, "debugfs_attr_read" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xd3e282fa, "_dev_err" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xda3bf069, "simple_attr_release" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x20674100, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x147be32a, "seq_read" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x7b62a7d7, "debugfs_create_file" },
	{ 0xe70de0fc, "__pm_runtime_resume" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x60e31fbb, "sdw_find_col_index" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0xb9d133d1, "seq_printf" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xf1f0b6a0, "single_release" },
	{ 0xdf315bf7, "sdw_bread_no_pm_unlocked" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0xe0e71af0, "__pm_runtime_suspend" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x92e8e77f, "param_ops_int" },
	{ 0x5cc027e4, "single_open" },
	{ 0x612e331a, "sdw_bus_exit_clk_stop" },
	{ 0xf9a482f9, "msleep" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "soundwire-bus");


MODULE_INFO(srcversion, "7BA28D422E1C8D3BB32A149");
