#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ufshcd_dump_regs, "_gpl", "");
KSYMTAB_FUNC(ufshcd_delay_us, "_gpl", "");
KSYMTAB_FUNC(ufshcd_is_hba_active, "_gpl", "");
KSYMTAB_FUNC(ufshcd_get_local_unipro_ver, "", "");
KSYMTAB_FUNC(ufshcd_hold, "_gpl", "");
KSYMTAB_FUNC(ufshcd_release, "_gpl", "");
KSYMTAB_FUNC(ufshcd_clkgate_delay_set, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_configure_adapt, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_set_attr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_get_attr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_change_pwr_mode, "_gpl", "");
KSYMTAB_FUNC(ufshcd_link_recovery, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_hibern8_enter, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_hibern8_exit, "_gpl", "");
KSYMTAB_FUNC(ufshcd_auto_hibern8_update, "_gpl", "");
KSYMTAB_FUNC(ufshcd_config_pwr_mode, "_gpl", "");
KSYMTAB_FUNC(ufshcd_make_hba_operational, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hba_stop, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hba_enable, "_gpl", "");
KSYMTAB_FUNC(ufshcd_update_evt_hist, "_gpl", "");
KSYMTAB_FUNC(ufshcd_fixup_dev_quirks, "_gpl", "");
KSYMTAB_FUNC(ufshcd_get_vreg, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_suspend, "", "");
KSYMTAB_FUNC(ufshcd_system_resume, "", "");
KSYMTAB_FUNC(ufshcd_runtime_suspend, "", "");
KSYMTAB_FUNC(ufshcd_runtime_resume, "", "");
KSYMTAB_FUNC(ufshcd_remove, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_freeze, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_restore, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_thaw, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dealloc_host, "_gpl", "");
KSYMTAB_FUNC(ufshcd_alloc_host, "", "");
KSYMTAB_FUNC(ufshcd_init, "_gpl", "");
KSYMTAB_FUNC(ufshcd_resume_complete, "_gpl", "");
KSYMTAB_FUNC(__ufshcd_suspend_prepare, "_gpl", "");
KSYMTAB_FUNC(ufshcd_suspend_prepare, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_config_mac, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_read_cqis, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_write_cqis, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_poll_cqe_lock, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_make_queues_operational, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_enable_esi, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_config_esi, "_gpl", "");

SYMBOL_CRC(ufshcd_dump_regs, 0x4a53cfcb, "_gpl");
SYMBOL_CRC(ufshcd_delay_us, 0x723b1abf, "_gpl");
SYMBOL_CRC(ufshcd_is_hba_active, 0x2e801e54, "_gpl");
SYMBOL_CRC(ufshcd_get_local_unipro_ver, 0x82eb1b19, "");
SYMBOL_CRC(ufshcd_hold, 0x3a665367, "_gpl");
SYMBOL_CRC(ufshcd_release, 0x84eb7f2e, "_gpl");
SYMBOL_CRC(ufshcd_clkgate_delay_set, 0x7901d115, "_gpl");
SYMBOL_CRC(ufshcd_dme_configure_adapt, 0xfc78a4fc, "_gpl");
SYMBOL_CRC(ufshcd_dme_set_attr, 0xa78c2aed, "_gpl");
SYMBOL_CRC(ufshcd_dme_get_attr, 0xa91d0079, "_gpl");
SYMBOL_CRC(ufshcd_uic_change_pwr_mode, 0x87d528d8, "_gpl");
SYMBOL_CRC(ufshcd_link_recovery, 0xeae2a713, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_enter, 0xa9164ed1, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_exit, 0xd45c6a2b, "_gpl");
SYMBOL_CRC(ufshcd_auto_hibern8_update, 0x41201c8b, "_gpl");
SYMBOL_CRC(ufshcd_config_pwr_mode, 0x2ba2ea35, "_gpl");
SYMBOL_CRC(ufshcd_make_hba_operational, 0x3e89b08a, "_gpl");
SYMBOL_CRC(ufshcd_hba_stop, 0x1bead185, "_gpl");
SYMBOL_CRC(ufshcd_hba_enable, 0x3f3b8144, "_gpl");
SYMBOL_CRC(ufshcd_update_evt_hist, 0x4f733dba, "_gpl");
SYMBOL_CRC(ufshcd_fixup_dev_quirks, 0x8746d3dc, "_gpl");
SYMBOL_CRC(ufshcd_get_vreg, 0x3016ee94, "_gpl");
SYMBOL_CRC(ufshcd_system_suspend, 0xf93bcfba, "");
SYMBOL_CRC(ufshcd_system_resume, 0x06c84329, "");
SYMBOL_CRC(ufshcd_runtime_suspend, 0xb1dc5f51, "");
SYMBOL_CRC(ufshcd_runtime_resume, 0x536ee38e, "");
SYMBOL_CRC(ufshcd_remove, 0x4b287533, "_gpl");
SYMBOL_CRC(ufshcd_system_freeze, 0xb1c917f7, "_gpl");
SYMBOL_CRC(ufshcd_system_restore, 0x19797bdb, "_gpl");
SYMBOL_CRC(ufshcd_system_thaw, 0x9ba983fe, "_gpl");
SYMBOL_CRC(ufshcd_dealloc_host, 0x8e4c5a31, "_gpl");
SYMBOL_CRC(ufshcd_alloc_host, 0x9a186f5a, "");
SYMBOL_CRC(ufshcd_init, 0x40adf9e6, "_gpl");
SYMBOL_CRC(ufshcd_resume_complete, 0x5f6162af, "_gpl");
SYMBOL_CRC(__ufshcd_suspend_prepare, 0xb4da6c7f, "_gpl");
SYMBOL_CRC(ufshcd_suspend_prepare, 0x267efe42, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_mac, 0xaa02c034, "_gpl");
SYMBOL_CRC(ufshcd_mcq_read_cqis, 0xfd770b87, "_gpl");
SYMBOL_CRC(ufshcd_mcq_write_cqis, 0x0af33d45, "_gpl");
SYMBOL_CRC(ufshcd_mcq_poll_cqe_lock, 0x3a4c3f60, "_gpl");
SYMBOL_CRC(ufshcd_mcq_make_queues_operational, 0xa4d3c95e, "_gpl");
SYMBOL_CRC(ufshcd_mcq_enable_esi, 0x4d3713b2, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_esi, 0x20d6dfa3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb41af41b, "scsi_dma_map" },
	{ 0xe5272e71, "scsi_print_sense_hdr" },
	{ 0xe914e41e, "strcpy" },
	{ 0xedfae3d8, "regulator_enable" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xf38c0744, "__init_rwsem" },
	{ 0x1d4560a5, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xba50cbf, "bpf_trace_run4" },
	{ 0xfdecc903, "devm_request_threaded_irq" },
	{ 0x99368fdd, "debugfs_attr_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x11b3de21, "wait_for_completion_timeout" },
	{ 0xafe86688, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0xc583af70, "scsi_autopm_put_device" },
	{ 0xb9a31812, "scsi_device_get" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa1e0b3f9, "complete" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0xb69b11e3, "dmam_alloc_attrs" },
	{ 0x842317de, "trace_raw_output_prep" },
	{ 0x5096a07d, "scsi_remove_host" },
	{ 0x53fd19c0, "bpf_trace_run6" },
	{ 0x5205cbd6, "pm_runtime_set_autosuspend_delay" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0xd738977e, "__trace_trigger_soft_disabled" },
	{ 0x5d6b9f92, "blk_pm_runtime_init" },
	{ 0xa87da128, "trace_event_printf" },
	{ 0xe4470180, "scsi_report_bus_reset" },
	{ 0x40dbbcde, "sysfs_remove_groups" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x66cb57fb, "up" },
	{ 0x2580885b, "sysfs_create_groups" },
	{ 0x956c2dc3, "dev_pm_opp_add" },
	{ 0xee32ea6c, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x7c521334, "scsi_dma_unmap" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xa0ec9675, "pcpu_hot" },
	{ 0xccf8c8e1, "seq_lseek" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2b0ec868, "bpf_trace_run2" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x11a3eac2, "__scsi_iterate_devices" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x36ff997e, "get_device" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xb340763b, "__dynamic_dev_dbg" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xa99d1f46, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x8cd27fef, "blk_mq_alloc_tag_set" },
	{ 0xbe4bb1b0, "devfreq_add_device" },
	{ 0xf23fc55, "dev_driver_string" },
	{ 0xa4d4f11b, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x88182b4e, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x122c3a7e, "_printk" },
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0x6b19ae24, "scsi_register_driver" },
	{ 0x18b00889, "___ratelimit" },
	{ 0x6432bcdc, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xb4c1c18e, "put_device" },
	{ 0x6843faa9, "blk_mq_unquiesce_tagset" },
	{ 0x16352672, "blk_mq_free_request" },
	{ 0x48e34a92, "device_property_read_u32_array" },
	{ 0xfde10fda, "devm_regulator_get" },
	{ 0xf66f693b, "_dev_info" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0xbc3106c5, "scsi_device_put" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xc194b837, "device_create_file" },
	{ 0x3805ceb2, "blk_mq_quiesce_tagset" },
	{ 0x3651007, "debugfs_attr_read" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xb4d75bc0, "regulator_set_load" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xb1f31cbd, "perf_trace_run_bpf_submit" },
	{ 0xd21cccf3, "down_write" },
	{ 0xa249fd1c, "devm_kfree" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xd3e282fa, "_dev_err" },
	{ 0xea06e09d, "blk_queue_update_dma_alignment" },
	{ 0x44b498, "devfreq_remove_device" },
	{ 0x9f8ba5d7, "scsi_host_put" },
	{ 0x606d8142, "up_write" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xda3bf069, "simple_attr_release" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xaa8c0973, "down" },
	{ 0xc9037406, "bpf_trace_run5" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x63f705ae, "dev_pm_opp_remove" },
	{ 0xc480715f, "sdev_prefix_printk" },
	{ 0x65cdcea4, "scsi_scan_host" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x7ba0c905, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0x1a5df3a2, "trace_event_reg" },
	{ 0xbe5df79a, "device_link_remove" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xedcc8ea8, "blk_mq_alloc_request" },
	{ 0xcfc30fde, "driver_unregister" },
	{ 0xb934032, "blk_queue_update_dma_pad" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xac226419, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x49af1b4, "blk_put_queue" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x50d4dfd0, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x569d5a6d, "dmam_free_coherent" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x20674100, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xeea44139, "regulator_count_voltages" },
	{ 0xba3ea210, "blk_mq_wait_quiesce_done" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2b4aba44, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xbcf99b41, "blk_mq_init_queue" },
	{ 0x2ba123e, "blk_mq_unique_tag" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0xb3ab080b, "bpf_trace_run10" },
	{ 0xf7ebc6a6, "scsi_device_quiesce" },
	{ 0x74a76053, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x416eae40, "scsi_autopm_get_device" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x958b7595, "dma_set_coherent_mask" },
	{ 0x29d76ab5, "scsi_print_command" },
	{ 0x147be32a, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xee8d0f6d, "pm_runtime_forbid" },
	{ 0x7b62a7d7, "debugfs_create_file" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x5d87c77b, "param_set_uint_minmax" },
	{ 0x7f8fb6bb, "pm_runtime_allow" },
	{ 0xc3db3982, "trace_event_buffer_reserve" },
	{ 0xe70de0fc, "__pm_runtime_resume" },
	{ 0x8604737e, "devfreq_suspend_device" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0xaa9751e3, "param_ops_bool" },
	{ 0xfefe2c99, "blk_mq_destroy_queue" },
	{ 0x6f3adddc, "scsi_execute_cmd" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb9d133d1, "seq_printf" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xa3b709c1, "blk_mq_tagset_busy_iter" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xe906f464, "scsi_done" },
	{ 0xf1f0b6a0, "single_release" },
	{ 0x907409e6, "scsi_unblock_requests" },
	{ 0x114385fe, "dma_set_mask" },
	{ 0x6f952cba, "sbitmap_weight" },
	{ 0x18023871, "regulator_disable" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x8b2b5002, "dev_err_probe" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0xc45290a3, "scsi_remove_device" },
	{ 0x358d70b1, "scsi_block_requests" },
	{ 0x84c633f, "scsi_add_host_with_dma" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x5cc027e4, "single_open" },
	{ 0xb8d1af95, "scsi_host_alloc" },
	{ 0xaddc6240, "__scsi_add_device" },
	{ 0x38a2ace7, "devfreq_resume_device" },
	{ 0x6308ec26, "debugfs_create_dir" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xa0425653, "device_link_add" },
	{ 0x815588a6, "clk_enable" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xb8e1f9ea, "up_read" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0x84243697, "scsi_change_queue_depth" },
	{ 0xfddc976b, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x5fa83ac1, "device_remove_file" },
	{ 0x20948d82, "wait_for_completion_io_timeout" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x5efde415, "flush_work" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F09297C92E3778F529D3577");
