#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(uio_event_notify, "_gpl", "");
KSYMTAB_FUNC(__uio_register_device, "_gpl", "");
KSYMTAB_FUNC(__devm_uio_register_device, "_gpl", "");
KSYMTAB_FUNC(uio_unregister_device, "_gpl", "");

SYMBOL_CRC(uio_event_notify, 0x5766eab3, "_gpl");
SYMBOL_CRC(__uio_register_device, 0xed0044c2, "_gpl");
SYMBOL_CRC(__devm_uio_register_device, 0x678177fb, "_gpl");
SYMBOL_CRC(uio_unregister_device, 0x8393a1f3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x36ff997e, "get_device" },
	{ 0xf92cb872, "try_module_get" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x3c2f4483, "vmalloc_to_page" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x95897450, "dump_page" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x583c6d9d, "remap_pfn_range" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0xd21cccf3, "down_write" },
	{ 0x606d8142, "up_write" },
	{ 0x78997dc2, "boot_cpu_data" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0x6f1a8f44, "dump_mm" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x6c016873, "cdev_alloc" },
	{ 0x5999f055, "kobject_set_name" },
	{ 0x748cfb53, "cdev_add" },
	{ 0x1c4ae495, "class_register" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x122c3a7e, "_printk" },
	{ 0x2918bef2, "cdev_del" },
	{ 0x3aede1d0, "kobject_init" },
	{ 0x6361f1ed, "kobject_add" },
	{ 0xf8d95be0, "kobject_uevent" },
	{ 0x931cb96d, "kobject_create_and_add" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0x299d0adb, "idr_alloc" },
	{ 0xb4d1b427, "device_initialize" },
	{ 0x640ce521, "dev_set_name" },
	{ 0x5a898a4a, "idr_remove" },
	{ 0x99160697, "device_add" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xf7f1654c, "device_del" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x8216a245, "__devres_alloc_node" },
	{ 0x6ae96179, "devres_add" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xa0ec9675, "pcpu_hot" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xc2dbb623, "add_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0xc4688d9e, "remove_wait_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9b5e720, "device_unregister" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x554c6024, "class_unregister" },
	{ 0x3bb563ac, "idr_destroy" },
	{ 0x18a1b9e7, "generic_access_phys" },
	{ 0x631cc261, "noop_llseek" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x85ce233b, "__wake_up" },
	{ 0x366e239d, "kill_fasync" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x37a0cba, "kfree" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0xd3e282fa, "_dev_err" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xccc6ebba, "kobject_put" },
	{ 0x34a854c2, "fasync_helper" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xdebee75d, "module_put" },
	{ 0xb4c1c18e, "put_device" },
	{ 0x7344405a, "idr_find" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "589E92245806609622F6D63");
