#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hw_phymode_configure, "_gpl", "");
KSYMTAB_FUNC(ci_hdrc_add_device, "_gpl", "");
KSYMTAB_FUNC(ci_hdrc_remove_device, "_gpl", "");
KSYMTAB_FUNC(ci_hdrc_query_available_role, "_gpl", "");

SYMBOL_CRC(hw_phymode_configure, 0x23c55371, "_gpl");
SYMBOL_CRC(ci_hdrc_add_device, 0x2fefcc35, "_gpl");
SYMBOL_CRC(ci_hdrc_remove_device, 0x8a8d6442, "_gpl");
SYMBOL_CRC(ci_hdrc_query_available_role, 0x8160f002, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x393ed52f, "platform_device_put" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x61bba7c4, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x6a18b83b, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xfdecc903, "devm_request_threaded_irq" },
	{ 0x1267217c, "device_set_of_node_from_dev" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafe86688, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xbfc56412, "devm_platform_get_and_ioremap_resource" },
	{ 0x7c2efac6, "platform_driver_unregister" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x986cddea, "platform_get_irq" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x5205cbd6, "pm_runtime_set_autosuspend_delay" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xccf8c8e1, "seq_lseek" },
	{ 0x2882d40e, "usb_role_switch_unregister" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xb340763b, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x98717f20, "devm_regulator_get_optional" },
	{ 0x190a4429, "platform_device_add_data" },
	{ 0x1690b503, "usb_role_switch_get_drvdata" },
	{ 0x684d4a3b, "usb_get_dr_mode" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x88182b4e, "__pm_runtime_set_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x9e8bd54b, "debugfs_lookup_and_remove" },
	{ 0xa35007c5, "usb_get_maximum_speed" },
	{ 0xc9371f66, "pm_runtime_enable" },
	{ 0x66a25902, "phy_exit" },
	{ 0xf66f693b, "_dev_info" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x875a7e60, "platform_device_add_resources" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xd3e282fa, "_dev_err" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x39b366e7, "platform_device_unregister" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x5a921311, "strncmp" },
	{ 0x30ae4ec8, "platform_device_add" },
	{ 0x59e295e3, "phy_power_on" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x2b3aca87, "ida_free" },
	{ 0x4856cd05, "platform_device_alloc" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x797e7d89, "ulpi_register_interface" },
	{ 0x20674100, "_dev_warn" },
	{ 0x12d12e4a, "devm_extcon_register_notifier" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x96662a7a, "phy_power_off" },
	{ 0xd35bfbe4, "usb_role_switch_register" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x13a4a8b8, "__platform_driver_register" },
	{ 0x455eb8eb, "ulpi_unregister_interface" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0x147be32a, "seq_read" },
	{ 0xe01b8393, "phy_set_mode_ext" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0x7b62a7d7, "debugfs_create_file" },
	{ 0xe70de0fc, "__pm_runtime_resume" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb9d133d1, "seq_printf" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xf1f0b6a0, "single_release" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xe0e71af0, "__pm_runtime_suspend" },
	{ 0x331829bf, "usb_debug_root" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x754d539c, "strlen" },
	{ 0x5ab8febf, "__pm_runtime_use_autosuspend" },
	{ 0xee5c3baf, "devm_phy_get" },
	{ 0x5cc027e4, "single_open" },
	{ 0xaa41c5bf, "__pm_runtime_disable" },
	{ 0x6308ec26, "debugfs_create_dir" },
	{ 0xfddc976b, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xffc978c7, "phy_init" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "roles,ulpi,extcon-core");


MODULE_INFO(srcversion, "FD17D020C3FCE0E6FCF13E7");
