#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hsr_get_version, "", "");
KSYMTAB_FUNC(is_hsr_master, "", "");

SYMBOL_CRC(hsr_get_version, 0xe4592f3e, "");
SYMBOL_CRC(is_hsr_master, 0x40f83795, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1712ed78, "dev_set_mtu" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xb63f2c61, "__skb_pad" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x86d1d607, "eth_header" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xe94ce49a, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x18721f43, "netdev_update_features" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x10b31bbf, "rtnl_link_register" },
	{ 0xa296fd51, "genlmsg_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xb60b3228, "dev_set_promiscuity" },
	{ 0xccf8c8e1, "seq_lseek" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x3c01cfd5, "timer_delete" },
	{ 0xd817114a, "netdev_warn" },
	{ 0xcc24afb5, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xfcebd6f6, "unregister_netdevice_queue" },
	{ 0xba625108, "netlink_ack" },
	{ 0xbf8304f3, "netdev_state_change" },
	{ 0x3dc79d0b, "__pskb_copy_fclone" },
	{ 0x9566df1f, "ether_setup" },
	{ 0x34e0aac7, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xeaaeee97, "netdev_upper_dev_link" },
	{ 0xc4e6d350, "dev_addr_mod" },
	{ 0x3c143afd, "netdev_core_stats_alloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xd3977998, "netdev_rx_handler_unregister" },
	{ 0xd3789f2b, "eth_header_parse" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x7b6daaec, "netlink_broadcast" },
	{ 0xf4eb89a2, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5df39d90, "skb_copy_expand" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xa55e03a, "__dev_get_by_index" },
	{ 0xd47e8fc, "rtnl_link_unregister" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x785d504a, "init_net" },
	{ 0xc2a2cfc2, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x103b1b3f, "netlink_unicast" },
	{ 0xc5b199aa, "mod_timer" },
	{ 0x8357f0fe, "dev_get_by_index_rcu" },
	{ 0x612e6fc5, "kfree_skb_reason" },
	{ 0xf23810a, "netdev_printk" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xc5294929, "_raw_write_lock" },
	{ 0xe063483b, "skb_push" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x7ba0c905, "debugfs_remove" },
	{ 0xf53947d5, "netdev_upper_dev_unlink" },
	{ 0xec183358, "nla_put" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xcd0ecc9c, "_raw_write_unlock" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x551a5d37, "__pskb_pull_tail" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0x1b1bf285, "netif_rx" },
	{ 0xb62de504, "__netdev_alloc_skb" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0xc8badb4e, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0x147be32a, "seq_read" },
	{ 0xc7197d31, "debugfs_rename" },
	{ 0x7b62a7d7, "debugfs_create_file" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x572b6bfb, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x8d4b91f2, "lockdep_rtnl_is_held" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x73dfaeaa, "call_netdevice_notifiers" },
	{ 0x41223fc3, "dev_base_lock" },
	{ 0x56470118, "__warn_printk" },
	{ 0xad99bd2e, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xb9d133d1, "seq_printf" },
	{ 0x8e878b4a, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0xc438306d, "netif_carrier_on" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x96584f1a, "netdev_rx_handler_register" },
	{ 0xd87c2c46, "seq_puts" },
	{ 0xf1f0b6a0, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf058bc58, "genl_unregister_family" },
	{ 0xbe42a39c, "dev_disable_lro" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x3fdd94e9, "dev_kfree_skb_any_reason" },
	{ 0x5cc027e4, "single_open" },
	{ 0x6308ec26, "debugfs_create_dir" },
	{ 0x52365b34, "genl_register_family" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0x9cbce98e, "netdev_info" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x5bbc7774, "register_netdevice" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A305EE1D69C908602F9E65F");
