#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nf_ct_nat_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_nat_setup_info, "", "");
KSYMTAB_FUNC(nf_nat_alloc_null_binding, "_gpl", "");
KSYMTAB_FUNC(nf_nat_packet, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmp_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmpv6_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(__nf_nat_mangle_tcp_packet, "", "");
KSYMTAB_FUNC(nf_nat_mangle_udp_packet, "", "");
KSYMTAB_FUNC(nf_nat_follow_master, "", "");
KSYMTAB_FUNC(nf_nat_exp_find_port, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_register_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_unregister_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_ct_nat, "_gpl", "");

SYMBOL_CRC(nf_ct_nat_ext_add, 0xd49875a3, "_gpl");
SYMBOL_CRC(nf_nat_setup_info, 0x07fa2f03, "");
SYMBOL_CRC(nf_nat_alloc_null_binding, 0xe56197c0, "_gpl");
SYMBOL_CRC(nf_nat_packet, 0x18f594c9, "_gpl");
SYMBOL_CRC(nf_nat_inet_fn, 0x0c2d2968, "_gpl");
SYMBOL_CRC(nf_nat_icmp_reply_translation, 0x91e6ac61, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_register_fn, 0x095da1f3, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_unregister_fn, 0x1f4b323b, "_gpl");
SYMBOL_CRC(nf_nat_icmpv6_reply_translation, 0x4fc81a38, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_register_fn, 0x0747f54b, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_unregister_fn, 0x5f518d7c, "_gpl");
SYMBOL_CRC(nf_nat_inet_register_fn, 0x5b6edbd7, "_gpl");
SYMBOL_CRC(nf_nat_inet_unregister_fn, 0x5e73198c, "_gpl");
SYMBOL_CRC(__nf_nat_mangle_tcp_packet, 0x79cf0262, "");
SYMBOL_CRC(nf_nat_mangle_udp_packet, 0xe9331406, "");
SYMBOL_CRC(nf_nat_follow_master, 0xf289ea68, "");
SYMBOL_CRC(nf_nat_exp_find_port, 0x275498ec, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv4, 0x0132986b, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv6, 0x1f9ac98e, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv4, 0x95ed2dc5, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv6, 0x0d5173cc, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_register_notifiers, 0x3bc17c49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_unregister_notifiers, 0xd9c25654, "_gpl");
SYMBOL_CRC(nf_ct_nat, 0x08b314d2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3f8ef0bb, "nf_ct_ext_add" },
	{ 0x8d7992cc, "__do_once_done" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0xd98a5bd4, "nf_conntrack_find_get" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xf92cb872, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x255b19e7, "nf_ip6_checksum" },
	{ 0xb28d1f72, "skb_copy_bits" },
	{ 0x3674dfe7, "nf_hook_entries_insert_raw" },
	{ 0xb4056295, "xfrm_lookup" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x55727194, "nf_ct_seqadj_set" },
	{ 0xe94ce49a, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb0e602eb, "memmove" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x36b8bd9, "nf_ct_helper_expectfn_unregister" },
	{ 0x20274e7f, "__xfrm_decode_session" },
	{ 0x85675e0c, "__nf_ct_ext_find" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x32ca1bb3, "nf_ct_helper_expectfn_register" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x8683ae58, "_raw_read_unlock_bh" },
	{ 0x8dde51c9, "_raw_read_lock_bh" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x42b98ed1, "ip6_route_me_harder" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x317c06a1, "rcu_read_lock_bh_held" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x98286bb9, "pskb_expand_head" },
	{ 0x72e2a82e, "register_pernet_subsys" },
	{ 0x2ceaa7a4, "nf_conntrack_tuple_taken" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x47a02e3c, "nf_ct_iterate_cleanup_net" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x7153f51a, "ipv6_skip_exthdr" },
	{ 0x56463e5, "nf_register_net_hooks" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xdebee75d, "module_put" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x9b052588, "ipv6_dev_get_saddr" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x68aa428d, "nf_ct_expect_related_report" },
	{ 0x9aec9d5f, "nf_conntrack_alter_reply" },
	{ 0xb8e0c24c, "ip_route_me_harder" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xcfec8c20, "nf_hook_entries_delete_raw" },
	{ 0xfdc8bbe0, "skb_ensure_writable" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xba27792c, "nf_unregister_net_hooks" },
	{ 0x9a3aa76, "inet_select_addr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xf143cd72, "unregister_pernet_subsys" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xdbd93808, "skb_checksum" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xd60ef1d7, "nf_ct_delete" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x7054a205, "nf_ip_checksum" },
	{ 0x223b8b9c, "register_btf_kfunc_id_set" },
	{ 0x494411e1, "nf_ct_iterate_destroy" },
	{ 0xe4262c6, "__siphash_unaligned" },
	{ 0x62641b91, "inet_proto_csum_replace16" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0x3ffbf444, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xa6da3076, "__skb_checksum" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0xd327ea48, "inet_proto_csum_replace4" },
	{ 0x8d4b91f2, "lockdep_rtnl_is_held" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0x9a5d817c, "dst_release" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xec91d914, "nf_ct_kill_acct" },
	{ 0x289c3714, "nf_ct_alloc_hashtable" },
	{ 0xaa22bf39, "nf_nat_hook" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "11ED357CA14E51FFE1C2206");
