#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(taprio_offload_get, "_gpl", "");
KSYMTAB_FUNC(taprio_offload_free, "_gpl", "");

SYMBOL_CRC(taprio_offload_get, 0x16f8ba5d, "_gpl");
SYMBOL_CRC(taprio_offload_free, 0x6a6b1c12, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x77ad165, "ethtool_dev_mm_supported" },
	{ 0x37a0cba, "kfree" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x72c11819, "dev_activate" },
	{ 0x79b9cbb5, "dev_deactivate" },
	{ 0xd4016284, "dev_graft_qdisc" },
	{ 0x47ee9c8d, "qdisc_put" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xf9a482f9, "msleep" },
	{ 0x93a767c8, "netdev_reset_tc" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0xb28d1f72, "skb_copy_bits" },
	{ 0x220d605, "qdisc_offload_query_caps" },
	{ 0xbad4c290, "mqprio_qopt_reconstruct" },
	{ 0xcede419b, "mqprio_fp_to_offload" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x794672a0, "mqprio_validate_qopt" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x723de38a, "netdev_set_num_tc" },
	{ 0x84074eb2, "netdev_set_tc_queue" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x362ef70, "hrtimer_active" },
	{ 0x8e713733, "hrtimer_init" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0x2a8cbb6e, "hrtimer_start_range_ns" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x8102165b, "pfifo_qdisc_ops" },
	{ 0xe31063f2, "qdisc_create_dflt" },
	{ 0x1e2cec47, "qdisc_hash_add" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0xaf65fe0d, "nla_put_64bit" },
	{ 0xec183358, "nla_put" },
	{ 0xc8badb4e, "skb_trim" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x5f321508, "__qdisc_calculate_pkt_len" },
	{ 0x317c06a1, "rcu_read_lock_bh_held" },
	{ 0x2843ab2a, "netif_skb_features" },
	{ 0x2f8686b, "__skb_gso_segment" },
	{ 0x20f17b2a, "consume_skb" },
	{ 0xa71ef029, "qdisc_tree_reduce_backlog" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x35f0e880, "__netif_schedule" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0xfb578fc5, "memset" },
	{ 0xc10a935c, "gnet_stats_copy_basic" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xff0aa6e3, "gnet_stats_copy_queue" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x3ee68967, "register_qdisc" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x5bea446f, "__ethtool_get_link_ksettings" },
	{ 0x6626049, "__dynamic_netdev_dbg" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x6d6fec1f, "ktime_mono_to_any" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xf18008d, "hrtimer_cancel" },
	{ 0xa2b39c97, "qdisc_reset" },
	{ 0x405bfed1, "unregister_qdisc" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x8d4b91f2, "lockdep_rtnl_is_held" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x56470118, "__warn_printk" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "sch_mqprio_lib");


MODULE_INFO(srcversion, "50975E0C26C420D183B8ABD");
