#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(vsock_bind_table, "_gpl", "");
KSYMTAB_DATA(vsock_connected_table, "_gpl", "");
KSYMTAB_DATA(vsock_table_lock, "_gpl", "");
KSYMTAB_FUNC(vsock_insert_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_find_bound_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_find_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_sock, "_gpl", "");
KSYMTAB_FUNC(vsock_for_each_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_add_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_enqueue_accept, "_gpl", "");
KSYMTAB_FUNC(vsock_assign_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_find_cid, "_gpl", "");
KSYMTAB_FUNC(vsock_create_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(vsock_data_ready, "_gpl", "");
KSYMTAB_FUNC(vsock_dgram_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_core_get_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_core_register, "_gpl", "");
KSYMTAB_FUNC(vsock_core_unregister, "_gpl", "");
KSYMTAB_FUNC(vsock_add_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_deliver_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_init, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_validate, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_unbind, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_equals_addr, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_cast, "_gpl", "");

SYMBOL_CRC(vsock_bind_table, 0x284e07d8, "_gpl");
SYMBOL_CRC(vsock_connected_table, 0x9bb6fd09, "_gpl");
SYMBOL_CRC(vsock_table_lock, 0x0f96edf6, "_gpl");
SYMBOL_CRC(vsock_insert_connected, 0x2605d9f5, "_gpl");
SYMBOL_CRC(vsock_remove_bound, 0xda44b8d0, "_gpl");
SYMBOL_CRC(vsock_remove_connected, 0x41bfeef3, "_gpl");
SYMBOL_CRC(vsock_find_bound_socket, 0x29427bd8, "_gpl");
SYMBOL_CRC(vsock_find_connected_socket, 0x6980085c, "_gpl");
SYMBOL_CRC(vsock_remove_sock, 0x8a19e205, "_gpl");
SYMBOL_CRC(vsock_for_each_connected_socket, 0x45c1fe7d, "_gpl");
SYMBOL_CRC(vsock_add_pending, 0x67456e59, "_gpl");
SYMBOL_CRC(vsock_remove_pending, 0x2962adbb, "_gpl");
SYMBOL_CRC(vsock_enqueue_accept, 0x091e97e0, "_gpl");
SYMBOL_CRC(vsock_assign_transport, 0xf6a21cfe, "_gpl");
SYMBOL_CRC(vsock_find_cid, 0x90aa8549, "_gpl");
SYMBOL_CRC(vsock_create_connected, 0xc6f80904, "_gpl");
SYMBOL_CRC(vsock_stream_has_data, 0x87c50823, "_gpl");
SYMBOL_CRC(vsock_connectible_has_data, 0xe8aca9e5, "_gpl");
SYMBOL_CRC(vsock_stream_has_space, 0xd46e615a, "_gpl");
SYMBOL_CRC(vsock_data_ready, 0x30ed05ff, "_gpl");
SYMBOL_CRC(vsock_dgram_recvmsg, 0x34b96a89, "_gpl");
SYMBOL_CRC(vsock_connectible_recvmsg, 0xd54c2b59, "_gpl");
SYMBOL_CRC(vsock_core_get_transport, 0xd84371b7, "_gpl");
SYMBOL_CRC(vsock_core_register, 0xb2e203b3, "_gpl");
SYMBOL_CRC(vsock_core_unregister, 0xd5f64e61, "_gpl");
SYMBOL_CRC(vsock_add_tap, 0xbcf1e80f, "_gpl");
SYMBOL_CRC(vsock_remove_tap, 0x40931a27, "_gpl");
SYMBOL_CRC(vsock_deliver_tap, 0xab67a899, "_gpl");
SYMBOL_CRC(vsock_addr_init, 0x3d4b0fca, "_gpl");
SYMBOL_CRC(vsock_addr_validate, 0xec96eadf, "_gpl");
SYMBOL_CRC(vsock_addr_bound, 0x4b99648c, "_gpl");
SYMBOL_CRC(vsock_addr_unbind, 0x0e9bc9b6, "_gpl");
SYMBOL_CRC(vsock_addr_equals_addr, 0xaf2674b5, "_gpl");
SYMBOL_CRC(vsock_addr_cast, 0xb0d7bda7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0xf17322d2, "sock_map_close" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x423f49e2, "sock_queue_rcv_skb_reason" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xf92cb872, "try_module_get" },
	{ 0x66a1e966, "misc_deregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x20f17b2a, "consume_skb" },
	{ 0xaa5e488c, "mutex_lock_interruptible_nested" },
	{ 0x53df7429, "finish_wait" },
	{ 0xd9227e6, "_raw_write_lock_bh" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x2ad5ff2d, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xeeddcc23, "sock_map_unhash" },
	{ 0xa0ec9675, "pcpu_hot" },
	{ 0xc2dbb623, "add_wait_queue" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x2df9c270, "_raw_write_unlock_bh" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xf93a08dd, "__module_get" },
	{ 0x7058087f, "sk_msg_recvmsg" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x9c474f24, "ns_capable_noaudit" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbcad99d5, "__put_cred" },
	{ 0xf05bfdc7, "sk_error_report" },
	{ 0x257a7188, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x2b4d7c09, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x663cd19e, "sock_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xa3cfa8a6, "proto_register" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0xdebee75d, "module_put" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x780f6d38, "sk_msg_is_readable" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x5ffca90a, "sk_free" },
	{ 0x612e6fc5, "kfree_skb_reason" },
	{ 0xee0378a, "sock_no_accept" },
	{ 0xedd17b31, "sock_get_timeout" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xca14bb13, "sock_no_listen" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x6636c9c3, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc42923d9, "sock_recv_errqueue" },
	{ 0x52cdf5d1, "lock_sock_nested" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x42cffe7e, "sk_alloc" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xcec8bdca, "sock_no_socketpair" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xb0898415, "misc_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb231c1a9, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0x5bdb7603, "sock_copy_user_timeval" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0xabbec093, "nonseekable_open" },
	{ 0x96a2a5b2, "sk_psock_drop" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x572b6bfb, "__dev_queue_xmit" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x391333cd, "init_user_ns" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x8e878b4a, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0xb70789e, "__might_fault" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xc4688d9e, "remove_wait_queue" },
	{ 0x8b82c2fe, "sock_no_ioctl" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x7739796, "sock_init_data" },
	{ 0xcfd5cda2, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1C59688C8C333F16BCDD38A");
