#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cfg80211_shutdown_all_interfaces, "_gpl", "");
KSYMTAB_FUNC(wiphy_new_nm, "", "");
KSYMTAB_FUNC(wiphy_register, "", "");
KSYMTAB_FUNC(wiphy_rfkill_start_polling, "", "");
KSYMTAB_FUNC(wiphy_unregister, "", "");
KSYMTAB_FUNC(wiphy_free, "", "");
KSYMTAB_FUNC(wiphy_rfkill_set_hw_state_reason, "", "");
KSYMTAB_FUNC(cfg80211_unregister_wdev, "", "");
KSYMTAB_FUNC(cfg80211_stop_iface, "", "");
KSYMTAB_FUNC(cfg80211_register_netdevice, "", "");
KSYMTAB_FUNC(wiphy_work_queue, "_gpl", "");
KSYMTAB_FUNC(wiphy_work_cancel, "_gpl", "");
KSYMTAB_FUNC(wiphy_work_flush, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_timer, "", "");
KSYMTAB_FUNC(wiphy_delayed_work_queue, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_cancel, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_flush, "_gpl", "");
KSYMTAB_FUNC(ieee80211_radiotap_iterator_init, "", "");
KSYMTAB_FUNC(ieee80211_radiotap_iterator_next, "", "");
KSYMTAB_FUNC(ieee80211_get_response_rate, "", "");
KSYMTAB_FUNC(ieee80211_mandatory_rates, "", "");
KSYMTAB_FUNC(ieee80211_channel_to_freq_khz, "", "");
KSYMTAB_FUNC(ieee80211_s1g_channel_width, "", "");
KSYMTAB_FUNC(ieee80211_freq_khz_to_channel, "", "");
KSYMTAB_FUNC(ieee80211_get_channel_khz, "", "");
KSYMTAB_FUNC(ieee80211_hdrlen, "", "");
KSYMTAB_FUNC(ieee80211_get_hdrlen_from_skb, "", "");
KSYMTAB_FUNC(ieee80211_get_mesh_hdrlen, "", "");
KSYMTAB_FUNC(ieee80211_get_8023_tunnel_proto, "", "");
KSYMTAB_FUNC(ieee80211_strip_8023_mesh_hdr, "", "");
KSYMTAB_FUNC(ieee80211_data_to_8023_exthdr, "", "");
KSYMTAB_FUNC(ieee80211_is_valid_amsdu, "", "");
KSYMTAB_FUNC(ieee80211_amsdu_to_8023s, "", "");
KSYMTAB_FUNC(cfg80211_classify8021d, "", "");
KSYMTAB_FUNC(ieee80211_bss_get_elem, "", "");
KSYMTAB_FUNC(cfg80211_calculate_bitrate, "", "");
KSYMTAB_FUNC(cfg80211_get_p2p_attr, "", "");
KSYMTAB_FUNC(ieee80211_ie_split_ric, "", "");
KSYMTAB_FUNC(ieee80211_operating_class_to_band, "", "");
KSYMTAB_FUNC(ieee80211_chandef_to_operating_class, "", "");
KSYMTAB_FUNC(cfg80211_iter_combinations, "", "");
KSYMTAB_FUNC(cfg80211_check_combinations, "", "");
KSYMTAB_FUNC(ieee80211_get_num_supported_channels, "", "");
KSYMTAB_FUNC(cfg80211_get_station, "", "");
KSYMTAB_FUNC(cfg80211_free_nan_func, "", "");
KSYMTAB_FUNC(cfg80211_sinfo_alloc_tid_stats, "", "");
KSYMTAB_DATA(rfc1042_header, "", "");
KSYMTAB_DATA(bridge_tunnel_header, "", "");
KSYMTAB_FUNC(cfg80211_send_layer2_update, "", "");
KSYMTAB_FUNC(ieee80211_get_vht_max_nss, "", "");
KSYMTAB_FUNC(cfg80211_iftype_allowed, "", "");
KSYMTAB_FUNC(cfg80211_get_iftype_ext_capa, "", "");
KSYMTAB_FUNC(get_wiphy_regdom, "", "");
KSYMTAB_FUNC(reg_query_regdb_wmm, "", "");
KSYMTAB_FUNC(freq_reg_info, "", "");
KSYMTAB_FUNC(reg_initiator_name, "", "");
KSYMTAB_FUNC(wiphy_apply_custom_regulatory, "", "");
KSYMTAB_FUNC(regulatory_hint, "", "");
KSYMTAB_FUNC(regulatory_set_wiphy_regd, "", "");
KSYMTAB_FUNC(regulatory_set_wiphy_regd_sync, "", "");
KSYMTAB_FUNC(regulatory_pre_cac_allowed, "", "");
KSYMTAB_FUNC(cfg80211_is_element_inherited, "", "");
KSYMTAB_FUNC(cfg80211_scan_done, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_results, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_stopped_locked, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_stopped, "", "");
KSYMTAB_FUNC(cfg80211_bss_flush, "", "");
KSYMTAB_FUNC(cfg80211_find_elem_match, "", "");
KSYMTAB_FUNC(cfg80211_find_vendor_elem, "", "");
KSYMTAB_FUNC(cfg80211_get_bss, "", "");
KSYMTAB_FUNC(cfg80211_get_ies_channel_number, "", "");
KSYMTAB_FUNC(cfg80211_merge_profile, "", "");
KSYMTAB_FUNC(cfg80211_defragment_element, "", "");
KSYMTAB_FUNC(cfg80211_inform_bss_data, "", "");
KSYMTAB_FUNC(cfg80211_inform_bss_frame_data, "", "");
KSYMTAB_FUNC(cfg80211_ref_bss, "", "");
KSYMTAB_FUNC(cfg80211_put_bss, "", "");
KSYMTAB_FUNC(cfg80211_unlink_bss, "", "");
KSYMTAB_FUNC(cfg80211_bss_iter, "", "");
KSYMTAB_FUNC(nl80211_send_chandef, "", "");
KSYMTAB_FUNC(cfg80211_check_station_change, "", "");
KSYMTAB_FUNC(__cfg80211_alloc_event_skb, "", "");
KSYMTAB_FUNC(__cfg80211_send_event_skb, "", "");
KSYMTAB_FUNC(cfg80211_nan_match, "", "");
KSYMTAB_FUNC(cfg80211_nan_func_terminated, "", "");
KSYMTAB_FUNC(__cfg80211_alloc_reply_skb, "", "");
KSYMTAB_FUNC(cfg80211_vendor_cmd_reply, "_gpl", "");
KSYMTAB_FUNC(cfg80211_vendor_cmd_get_sender, "_gpl", "");
KSYMTAB_FUNC(cfg80211_rx_unprot_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_links_removed, "", "");
KSYMTAB_FUNC(cfg80211_notify_new_peer_candidate, "", "");
KSYMTAB_FUNC(cfg80211_assoc_comeback, "", "");
KSYMTAB_FUNC(cfg80211_ready_on_channel, "", "");
KSYMTAB_FUNC(cfg80211_remain_on_channel_expired, "", "");
KSYMTAB_FUNC(cfg80211_tx_mgmt_expired, "", "");
KSYMTAB_FUNC(cfg80211_new_sta, "", "");
KSYMTAB_FUNC(cfg80211_del_sta_sinfo, "", "");
KSYMTAB_FUNC(cfg80211_conn_failed, "", "");
KSYMTAB_FUNC(cfg80211_rx_spurious_frame, "", "");
KSYMTAB_FUNC(cfg80211_rx_unexpected_4addr_frame, "", "");
KSYMTAB_FUNC(cfg80211_control_port_tx_status, "", "");
KSYMTAB_FUNC(cfg80211_mgmt_tx_status_ext, "", "");
KSYMTAB_FUNC(cfg80211_rx_control_port, "", "");
KSYMTAB_FUNC(cfg80211_cqm_rssi_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_txe_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_pktloss_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_beacon_loss_notify, "", "");
KSYMTAB_FUNC(cfg80211_gtk_rekey_notify, "", "");
KSYMTAB_FUNC(cfg80211_pmksa_candidate_notify, "", "");
KSYMTAB_FUNC(cfg80211_ch_switch_notify, "", "");
KSYMTAB_FUNC(cfg80211_ch_switch_started_notify, "", "");
KSYMTAB_FUNC(cfg80211_bss_color_notify, "", "");
KSYMTAB_FUNC(cfg80211_sta_opmode_change_notify, "", "");
KSYMTAB_FUNC(cfg80211_probe_status, "", "");
KSYMTAB_FUNC(cfg80211_report_obss_beacon_khz, "", "");
KSYMTAB_FUNC(cfg80211_report_wowlan_wakeup, "", "");
KSYMTAB_FUNC(cfg80211_tdls_oper_request, "", "");
KSYMTAB_FUNC(cfg80211_ft_event, "", "");
KSYMTAB_FUNC(cfg80211_crit_proto_stopped, "", "");
KSYMTAB_FUNC(cfg80211_external_auth_request, "", "");
KSYMTAB_FUNC(cfg80211_update_owe_info_event, "", "");
KSYMTAB_FUNC(cfg80211_rx_assoc_resp, "", "");
KSYMTAB_FUNC(cfg80211_rx_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_auth_timeout, "", "");
KSYMTAB_FUNC(cfg80211_assoc_failure, "", "");
KSYMTAB_FUNC(cfg80211_tx_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_michael_mic_failure, "", "");
KSYMTAB_FUNC(cfg80211_rx_mgmt_ext, "", "");
KSYMTAB_FUNC(__cfg80211_radar_event, "", "");
KSYMTAB_FUNC(cfg80211_cac_event, "", "");
KSYMTAB_FUNC(cfg80211_background_cac_abort, "", "");
KSYMTAB_FUNC(cfg80211_ibss_joined, "", "");
KSYMTAB_FUNC(cfg80211_connect_done, "", "");
KSYMTAB_FUNC(cfg80211_roamed, "", "");
KSYMTAB_FUNC(cfg80211_port_authorized, "", "");
KSYMTAB_FUNC(cfg80211_disconnected, "", "");
KSYMTAB_FUNC(cfg80211_chandef_create, "", "");
KSYMTAB_FUNC(cfg80211_chandef_valid, "", "");
KSYMTAB_FUNC(cfg80211_chandef_compatible, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_required, "", "");
KSYMTAB_FUNC(cfg80211_chandef_usable, "", "");
KSYMTAB_FUNC(cfg80211_reg_can_beacon, "", "");
KSYMTAB_FUNC(cfg80211_reg_can_beacon_relax, "", "");
KSYMTAB_FUNC(cfg80211_any_usable_channels, "", "");
KSYMTAB_FUNC(wdev_chandef, "", "");
KSYMTAB_FUNC(cfg80211_valid_disable_subchannel_bitmap, "", "");
KSYMTAB_FUNC(cfg80211_get_drvinfo, "", "");
KSYMTAB_FUNC(cfg80211_pmsr_complete, "_gpl", "");
KSYMTAB_FUNC(cfg80211_pmsr_report, "_gpl", "");

SYMBOL_CRC(cfg80211_shutdown_all_interfaces, 0x2f53b0d3, "_gpl");
SYMBOL_CRC(wiphy_new_nm, 0x27617c55, "");
SYMBOL_CRC(wiphy_register, 0x18066bda, "");
SYMBOL_CRC(wiphy_rfkill_start_polling, 0xc3e9aaae, "");
SYMBOL_CRC(wiphy_unregister, 0x30877a65, "");
SYMBOL_CRC(wiphy_free, 0xa991658a, "");
SYMBOL_CRC(wiphy_rfkill_set_hw_state_reason, 0x62c5c873, "");
SYMBOL_CRC(cfg80211_unregister_wdev, 0x6b2c9284, "");
SYMBOL_CRC(cfg80211_stop_iface, 0x9b1ca106, "");
SYMBOL_CRC(cfg80211_register_netdevice, 0x735c8d5a, "");
SYMBOL_CRC(wiphy_work_queue, 0x83268571, "_gpl");
SYMBOL_CRC(wiphy_work_cancel, 0x3b3b9e96, "_gpl");
SYMBOL_CRC(wiphy_work_flush, 0x417e440d, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_timer, 0xc8bdf5e1, "");
SYMBOL_CRC(wiphy_delayed_work_queue, 0xd6482088, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_cancel, 0xb7aced64, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_flush, 0xe7309498, "_gpl");
SYMBOL_CRC(ieee80211_radiotap_iterator_init, 0x43afadee, "");
SYMBOL_CRC(ieee80211_radiotap_iterator_next, 0x7acb86ed, "");
SYMBOL_CRC(ieee80211_get_response_rate, 0xc3fb97ca, "");
SYMBOL_CRC(ieee80211_mandatory_rates, 0x4abed7d4, "");
SYMBOL_CRC(ieee80211_channel_to_freq_khz, 0x5584448a, "");
SYMBOL_CRC(ieee80211_s1g_channel_width, 0x0cc95bc2, "");
SYMBOL_CRC(ieee80211_freq_khz_to_channel, 0x6bedf402, "");
SYMBOL_CRC(ieee80211_get_channel_khz, 0xf9684c95, "");
SYMBOL_CRC(ieee80211_hdrlen, 0x7ef39823, "");
SYMBOL_CRC(ieee80211_get_hdrlen_from_skb, 0xf9590ffb, "");
SYMBOL_CRC(ieee80211_get_mesh_hdrlen, 0xd56d55f3, "");
SYMBOL_CRC(ieee80211_get_8023_tunnel_proto, 0x13c58e52, "");
SYMBOL_CRC(ieee80211_strip_8023_mesh_hdr, 0x3e3697a0, "");
SYMBOL_CRC(ieee80211_data_to_8023_exthdr, 0x0a598cab, "");
SYMBOL_CRC(ieee80211_is_valid_amsdu, 0xf6672a17, "");
SYMBOL_CRC(ieee80211_amsdu_to_8023s, 0x9b88ddc0, "");
SYMBOL_CRC(cfg80211_classify8021d, 0xc85672b3, "");
SYMBOL_CRC(ieee80211_bss_get_elem, 0x429c0c31, "");
SYMBOL_CRC(cfg80211_calculate_bitrate, 0x3c744e95, "");
SYMBOL_CRC(cfg80211_get_p2p_attr, 0xf5596d89, "");
SYMBOL_CRC(ieee80211_ie_split_ric, 0x275269b3, "");
SYMBOL_CRC(ieee80211_operating_class_to_band, 0xf40bc2f5, "");
SYMBOL_CRC(ieee80211_chandef_to_operating_class, 0x3643b80f, "");
SYMBOL_CRC(cfg80211_iter_combinations, 0x2ff38637, "");
SYMBOL_CRC(cfg80211_check_combinations, 0x575447ba, "");
SYMBOL_CRC(ieee80211_get_num_supported_channels, 0xd9306ce9, "");
SYMBOL_CRC(cfg80211_get_station, 0x45450c80, "");
SYMBOL_CRC(cfg80211_free_nan_func, 0x8fa02936, "");
SYMBOL_CRC(cfg80211_sinfo_alloc_tid_stats, 0x3c86019a, "");
SYMBOL_CRC(rfc1042_header, 0x69b18f43, "");
SYMBOL_CRC(bridge_tunnel_header, 0x1879fcbd, "");
SYMBOL_CRC(cfg80211_send_layer2_update, 0x7035d51c, "");
SYMBOL_CRC(ieee80211_get_vht_max_nss, 0x7c3ac925, "");
SYMBOL_CRC(cfg80211_iftype_allowed, 0x5ce419d9, "");
SYMBOL_CRC(cfg80211_get_iftype_ext_capa, 0xeadd0001, "");
SYMBOL_CRC(get_wiphy_regdom, 0xb2de82e3, "");
SYMBOL_CRC(reg_query_regdb_wmm, 0x1ce2497f, "");
SYMBOL_CRC(freq_reg_info, 0x68c92f25, "");
SYMBOL_CRC(reg_initiator_name, 0xdba126c1, "");
SYMBOL_CRC(wiphy_apply_custom_regulatory, 0xfe79bb1d, "");
SYMBOL_CRC(regulatory_hint, 0x5bf48066, "");
SYMBOL_CRC(regulatory_set_wiphy_regd, 0x741ad897, "");
SYMBOL_CRC(regulatory_set_wiphy_regd_sync, 0x75fce457, "");
SYMBOL_CRC(regulatory_pre_cac_allowed, 0x6d59bd03, "");
SYMBOL_CRC(cfg80211_is_element_inherited, 0xcc1a7c48, "");
SYMBOL_CRC(cfg80211_scan_done, 0x28288f61, "");
SYMBOL_CRC(cfg80211_sched_scan_results, 0x59d6e7db, "");
SYMBOL_CRC(cfg80211_sched_scan_stopped_locked, 0x95f9a4e5, "");
SYMBOL_CRC(cfg80211_sched_scan_stopped, 0x8ed55c19, "");
SYMBOL_CRC(cfg80211_bss_flush, 0xfba3e4a3, "");
SYMBOL_CRC(cfg80211_find_elem_match, 0x9d6cba30, "");
SYMBOL_CRC(cfg80211_find_vendor_elem, 0x79b82a71, "");
SYMBOL_CRC(cfg80211_get_bss, 0xcfa73c71, "");
SYMBOL_CRC(cfg80211_get_ies_channel_number, 0x3aca71a1, "");
SYMBOL_CRC(cfg80211_merge_profile, 0x117aca91, "");
SYMBOL_CRC(cfg80211_defragment_element, 0xd6c87a05, "");
SYMBOL_CRC(cfg80211_inform_bss_data, 0x7e96ee0a, "");
SYMBOL_CRC(cfg80211_inform_bss_frame_data, 0x2ac21dc1, "");
SYMBOL_CRC(cfg80211_ref_bss, 0x9f88930d, "");
SYMBOL_CRC(cfg80211_put_bss, 0xd328e4e3, "");
SYMBOL_CRC(cfg80211_unlink_bss, 0x3316b99e, "");
SYMBOL_CRC(cfg80211_bss_iter, 0x0ae19efa, "");
SYMBOL_CRC(nl80211_send_chandef, 0x66d50a3b, "");
SYMBOL_CRC(cfg80211_check_station_change, 0x926b0d43, "");
SYMBOL_CRC(__cfg80211_alloc_event_skb, 0x9dcb090f, "");
SYMBOL_CRC(__cfg80211_send_event_skb, 0x2d33fe7a, "");
SYMBOL_CRC(cfg80211_nan_match, 0x845d6675, "");
SYMBOL_CRC(cfg80211_nan_func_terminated, 0x0d425d6e, "");
SYMBOL_CRC(__cfg80211_alloc_reply_skb, 0x140729fb, "");
SYMBOL_CRC(cfg80211_vendor_cmd_reply, 0x61f820ac, "_gpl");
SYMBOL_CRC(cfg80211_vendor_cmd_get_sender, 0x0a9f76bc, "_gpl");
SYMBOL_CRC(cfg80211_rx_unprot_mlme_mgmt, 0x40a1d1d1, "");
SYMBOL_CRC(cfg80211_links_removed, 0x6961c7ca, "");
SYMBOL_CRC(cfg80211_notify_new_peer_candidate, 0x8ef909ea, "");
SYMBOL_CRC(cfg80211_assoc_comeback, 0x688f7942, "");
SYMBOL_CRC(cfg80211_ready_on_channel, 0x9520a3fc, "");
SYMBOL_CRC(cfg80211_remain_on_channel_expired, 0x25245f12, "");
SYMBOL_CRC(cfg80211_tx_mgmt_expired, 0x2debd80b, "");
SYMBOL_CRC(cfg80211_new_sta, 0x8b6490d7, "");
SYMBOL_CRC(cfg80211_del_sta_sinfo, 0xbb3b1b66, "");
SYMBOL_CRC(cfg80211_conn_failed, 0x37097533, "");
SYMBOL_CRC(cfg80211_rx_spurious_frame, 0x69257922, "");
SYMBOL_CRC(cfg80211_rx_unexpected_4addr_frame, 0x7380ea49, "");
SYMBOL_CRC(cfg80211_control_port_tx_status, 0xe9f6dffe, "");
SYMBOL_CRC(cfg80211_mgmt_tx_status_ext, 0x7a73e70f, "");
SYMBOL_CRC(cfg80211_rx_control_port, 0x0714372d, "");
SYMBOL_CRC(cfg80211_cqm_rssi_notify, 0xacbc13ff, "");
SYMBOL_CRC(cfg80211_cqm_txe_notify, 0x4d75a6e7, "");
SYMBOL_CRC(cfg80211_cqm_pktloss_notify, 0xbd1be1ad, "");
SYMBOL_CRC(cfg80211_cqm_beacon_loss_notify, 0x8914f3fc, "");
SYMBOL_CRC(cfg80211_gtk_rekey_notify, 0x187cc14b, "");
SYMBOL_CRC(cfg80211_pmksa_candidate_notify, 0xde05063c, "");
SYMBOL_CRC(cfg80211_ch_switch_notify, 0x8991df43, "");
SYMBOL_CRC(cfg80211_ch_switch_started_notify, 0x39de89ad, "");
SYMBOL_CRC(cfg80211_bss_color_notify, 0xd0d28066, "");
SYMBOL_CRC(cfg80211_sta_opmode_change_notify, 0x6e15d292, "");
SYMBOL_CRC(cfg80211_probe_status, 0xb0b2c4c4, "");
SYMBOL_CRC(cfg80211_report_obss_beacon_khz, 0xcf29106f, "");
SYMBOL_CRC(cfg80211_report_wowlan_wakeup, 0x8d93f1d5, "");
SYMBOL_CRC(cfg80211_tdls_oper_request, 0x18e4190e, "");
SYMBOL_CRC(cfg80211_ft_event, 0x53c51ded, "");
SYMBOL_CRC(cfg80211_crit_proto_stopped, 0xfa359728, "");
SYMBOL_CRC(cfg80211_external_auth_request, 0xfa6a8e54, "");
SYMBOL_CRC(cfg80211_update_owe_info_event, 0x3e69b99b, "");
SYMBOL_CRC(cfg80211_rx_assoc_resp, 0xb1509b23, "");
SYMBOL_CRC(cfg80211_rx_mlme_mgmt, 0x2dec94e3, "");
SYMBOL_CRC(cfg80211_auth_timeout, 0x057f49cb, "");
SYMBOL_CRC(cfg80211_assoc_failure, 0x168ba0e5, "");
SYMBOL_CRC(cfg80211_tx_mlme_mgmt, 0x5f82a59c, "");
SYMBOL_CRC(cfg80211_michael_mic_failure, 0xb7936884, "");
SYMBOL_CRC(cfg80211_rx_mgmt_ext, 0xb3e81d92, "");
SYMBOL_CRC(__cfg80211_radar_event, 0xbe043f0c, "");
SYMBOL_CRC(cfg80211_cac_event, 0x07d5e5a4, "");
SYMBOL_CRC(cfg80211_background_cac_abort, 0x98051f2c, "");
SYMBOL_CRC(cfg80211_ibss_joined, 0x54970c4d, "");
SYMBOL_CRC(cfg80211_connect_done, 0x62e33b25, "");
SYMBOL_CRC(cfg80211_roamed, 0x1a3881b6, "");
SYMBOL_CRC(cfg80211_port_authorized, 0x599adf6b, "");
SYMBOL_CRC(cfg80211_disconnected, 0xdc1930c6, "");
SYMBOL_CRC(cfg80211_chandef_create, 0x06ca71fd, "");
SYMBOL_CRC(cfg80211_chandef_valid, 0xc4b4fc27, "");
SYMBOL_CRC(cfg80211_chandef_compatible, 0xd97eaad4, "");
SYMBOL_CRC(cfg80211_chandef_dfs_required, 0x13cb9486, "");
SYMBOL_CRC(cfg80211_chandef_usable, 0xced760e2, "");
SYMBOL_CRC(cfg80211_reg_can_beacon, 0xf431f8e2, "");
SYMBOL_CRC(cfg80211_reg_can_beacon_relax, 0x20b01aa8, "");
SYMBOL_CRC(cfg80211_any_usable_channels, 0xf990ac12, "");
SYMBOL_CRC(wdev_chandef, 0x99bd9709, "");
SYMBOL_CRC(cfg80211_valid_disable_subchannel_bitmap, 0x1b82a85a, "");
SYMBOL_CRC(cfg80211_get_drvinfo, 0x185b4446, "");
SYMBOL_CRC(cfg80211_pmsr_complete, 0xe99b2622, "_gpl");
SYMBOL_CRC(cfg80211_pmsr_report, 0xebe52700, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0xc3bc72ad, "trace_print_array_seq" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x986d9bc, "__sock_create" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6a82751a, "verify_pkcs7_signature" },
	{ 0xba50cbf, "bpf_trace_run4" },
	{ 0xb28d1f72, "skb_copy_bits" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xe94ce49a, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0x640ce521, "dev_set_name" },
	{ 0x20f17b2a, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x40a62432, "__nla_validate" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2ff5dcbb, "nla_reserve" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x95897450, "dump_page" },
	{ 0x842317de, "trace_raw_output_prep" },
	{ 0xaf65fe0d, "nla_put_64bit" },
	{ 0x53fd19c0, "bpf_trace_run6" },
	{ 0xd738977e, "__trace_trigger_soft_disabled" },
	{ 0x53df7429, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x143e1e65, "request_firmware" },
	{ 0xa87da128, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xb4d1b427, "device_initialize" },
	{ 0x6ce525a4, "skb_add_rx_frag" },
	{ 0xa296fd51, "genlmsg_put" },
	{ 0xee32ea6c, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xa0ec9675, "pcpu_hot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x3c01cfd5, "timer_delete" },
	{ 0x2b0ec868, "bpf_trace_run2" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xcc24afb5, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2b188807, "genlmsg_multicast_allns" },
	{ 0x85ce233b, "__wake_up" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xfcebd6f6, "unregister_netdevice_queue" },
	{ 0x8da6df3f, "bpf_trace_run8" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x1128144e, "keyring_alloc" },
	{ 0x34e0aac7, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x54f37a51, "device_rename" },
	{ 0xa4d4f11b, "trace_event_buffer_commit" },
	{ 0x7f9bbf0d, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0xa26ed210, "flush_delayed_work" },
	{ 0x122c3a7e, "_printk" },
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x18b00889, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xb4c1c18e, "put_device" },
	{ 0x7b6daaec, "netlink_broadcast" },
	{ 0x1628f646, "net_ns_type_operations" },
	{ 0xf4eb89a2, "__alloc_skb" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xdb41ca38, "sysfs_create_link" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0xc781bd9f, "rfkill_resume_polling" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xbe87621, "inet_csk_get_port" },
	{ 0x187bce4b, "key_put" },
	{ 0x131cdf2d, "kobject_uevent_env" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xa55e03a, "__dev_get_by_index" },
	{ 0xb1f31cbd, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x785d504a, "init_net" },
	{ 0xafd4d7c1, "request_firmware_nowait" },
	{ 0xc2a2cfc2, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x99160697, "device_add" },
	{ 0x19b2bafc, "sysfs_remove_link" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x80c338cd, "init_uts_ns" },
	{ 0x39b366e7, "platform_device_unregister" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x103b1b3f, "netlink_unicast" },
	{ 0xc5b199aa, "mod_timer" },
	{ 0x7f4f943, "dev_get_by_index" },
	{ 0xc9037406, "bpf_trace_run5" },
	{ 0x612e6fc5, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xabdcdf5e, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xe063483b, "skb_push" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x7ba0c905, "debugfs_remove" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0xec183358, "nla_put" },
	{ 0x1a5df3a2, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xcd279169, "nla_find" },
	{ 0x6636c9c3, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x554c6024, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8ea87458, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x212ea168, "rfkill_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb69c17f5, "bpf_trace_run1" },
	{ 0xf7f1654c, "device_del" },
	{ 0xcdce87c, "rfkill_set_hw_state_reason" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x50d4dfd0, "cancel_delayed_work" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xe565407e, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0x551a5d37, "__pskb_pull_tail" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0x1b1bf285, "netif_rx" },
	{ 0xb62de504, "__netdev_alloc_skb" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc8badb4e, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0x3bdab5ae, "bpf_trace_run3" },
	{ 0x3ffbf444, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x5a0b729e, "get_net_ns_by_pid" },
	{ 0xc7197d31, "debugfs_rename" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x31b4b11, "platform_device_register_full" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc3db3982, "trace_event_buffer_reserve" },
	{ 0xff282521, "rfkill_register" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0xaa9751e3, "param_ops_bool" },
	{ 0x8d4b91f2, "lockdep_rtnl_is_held" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x3bf47172, "x509_load_certificate_list" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0x2450879c, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0xf058bc58, "genl_unregister_family" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0xea124bd1, "gcd" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x754d539c, "strlen" },
	{ 0x24cd3f88, "bpf_trace_run7" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x92e8e77f, "param_ops_int" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x5d9e6167, "mutex_destroy" },
	{ 0x6308ec26, "debugfs_create_dir" },
	{ 0x52365b34, "genl_register_family" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x9305c06, "__dev_change_net_namespace" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0xd091104, "register_pernet_device" },
	{ 0x6ab1797b, "get_net_ns_by_fd" },
	{ 0x1c4ae495, "class_register" },
	{ 0xaa5ba96d, "bpf_trace_run11" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5efde415, "flush_work" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x5bbc7774, "register_netdevice" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "993812E2467FA3234BAC884");
