#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_pcm_format_name, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_new_stream, "", "");
KSYMTAB_FUNC(snd_pcm_new, "", "");
KSYMTAB_FUNC(snd_pcm_new_internal, "", "");
KSYMTAB_FUNC(snd_pcm_stream_lock, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_unlock, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_lock_irq, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_unlock_irq, "_gpl", "");
KSYMTAB_FUNC(_snd_pcm_stream_lock_irqsave, "_gpl", "");
KSYMTAB_FUNC(_snd_pcm_stream_lock_irqsave_nested, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_unlock_irqrestore, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_hw_refine, "", "");
KSYMTAB_FUNC(snd_pcm_stop, "", "");
KSYMTAB_FUNC(snd_pcm_stop_xrun, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_suspend_all, "", "");
KSYMTAB_FUNC(snd_pcm_release_substream, "", "");
KSYMTAB_FUNC(snd_pcm_open_substream, "", "");
KSYMTAB_FUNC(snd_pcm_kernel_ioctl, "", "");
KSYMTAB_FUNC(snd_pcm_lib_default_mmap, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_lib_mmap_iomem, "", "");
KSYMTAB_FUNC(snd_pcm_mmap_data, "", "");
KSYMTAB_FUNC(snd_pcm_set_ops, "", "");
KSYMTAB_FUNC(snd_pcm_set_sync, "", "");
KSYMTAB_FUNC(snd_interval_refine, "", "");
KSYMTAB_FUNC(snd_interval_ratnum, "", "");
KSYMTAB_FUNC(snd_interval_list, "", "");
KSYMTAB_FUNC(snd_interval_ranges, "", "");
KSYMTAB_FUNC(snd_pcm_hw_rule_add, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_mask64, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_integer, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_minmax, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_list, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_ranges, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_ratnums, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_ratdens, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_msbits, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_step, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_pow2, "", "");
KSYMTAB_FUNC(snd_pcm_hw_rule_noresample, "", "");
KSYMTAB_FUNC(_snd_pcm_hw_params_any, "", "");
KSYMTAB_FUNC(snd_pcm_hw_param_value, "", "");
KSYMTAB_FUNC(_snd_pcm_hw_param_setempty, "", "");
KSYMTAB_FUNC(snd_pcm_hw_param_first, "", "");
KSYMTAB_FUNC(snd_pcm_hw_param_last, "", "");
KSYMTAB_FUNC(snd_pcm_lib_ioctl, "", "");
KSYMTAB_FUNC(snd_pcm_period_elapsed_under_stream_lock, "", "");
KSYMTAB_FUNC(snd_pcm_period_elapsed, "", "");
KSYMTAB_FUNC(__snd_pcm_lib_xfer, "", "");
KSYMTAB_DATA(snd_pcm_std_chmaps, "_gpl", "");
KSYMTAB_DATA(snd_pcm_alt_chmaps, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_add_chmap_ctls, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_format_signed, "", "");
KSYMTAB_FUNC(snd_pcm_format_unsigned, "", "");
KSYMTAB_FUNC(snd_pcm_format_linear, "", "");
KSYMTAB_FUNC(snd_pcm_format_little_endian, "", "");
KSYMTAB_FUNC(snd_pcm_format_big_endian, "", "");
KSYMTAB_FUNC(snd_pcm_format_width, "", "");
KSYMTAB_FUNC(snd_pcm_format_physical_width, "", "");
KSYMTAB_FUNC(snd_pcm_format_size, "", "");
KSYMTAB_FUNC(snd_pcm_format_silence_64, "", "");
KSYMTAB_FUNC(snd_pcm_format_set_silence, "", "");
KSYMTAB_FUNC(snd_pcm_hw_limit_rates, "", "");
KSYMTAB_FUNC(snd_pcm_rate_to_rate_bit, "", "");
KSYMTAB_FUNC(snd_pcm_rate_bit_to_rate, "", "");
KSYMTAB_FUNC(snd_pcm_rate_mask_intersect, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_rate_range_to_bits, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_lib_preallocate_free_for_all, "", "");
KSYMTAB_FUNC(snd_pcm_lib_preallocate_pages, "", "");
KSYMTAB_FUNC(snd_pcm_lib_preallocate_pages_for_all, "", "");
KSYMTAB_FUNC(snd_pcm_set_managed_buffer, "", "");
KSYMTAB_FUNC(snd_pcm_set_managed_buffer_all, "", "");
KSYMTAB_FUNC(snd_pcm_lib_malloc_pages, "", "");
KSYMTAB_FUNC(snd_pcm_lib_free_pages, "", "");
KSYMTAB_FUNC(_snd_pcm_lib_alloc_vmalloc_buffer, "", "");
KSYMTAB_FUNC(snd_pcm_lib_free_vmalloc_buffer, "", "");
KSYMTAB_FUNC(snd_pcm_lib_get_vmalloc_page, "", "");
KSYMTAB_FUNC(snd_dma_alloc_dir_pages, "", "");
KSYMTAB_FUNC(snd_dma_alloc_pages_fallback, "", "");
KSYMTAB_FUNC(snd_dma_free_pages, "", "");
KSYMTAB_FUNC(snd_devm_alloc_dir_pages, "_gpl", "");
KSYMTAB_FUNC(snd_dma_buffer_mmap, "", "");
KSYMTAB_FUNC(snd_dma_buffer_sync, "_gpl", "");
KSYMTAB_FUNC(snd_sgbuf_get_addr, "", "");
KSYMTAB_FUNC(snd_sgbuf_get_page, "", "");
KSYMTAB_FUNC(snd_sgbuf_get_chunk_size, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_eld, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_create_iec958_consumer_default, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_fill_iec958_consumer, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_fill_iec958_consumer_hw_params, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_create_iec958_consumer, "", "");
KSYMTAB_FUNC(snd_pcm_create_iec958_consumer_hw_params, "", "");

SYMBOL_CRC(snd_pcm_format_name, 0xa286a234, "_gpl");
SYMBOL_CRC(snd_pcm_new_stream, 0xc34ab8ae, "");
SYMBOL_CRC(snd_pcm_new, 0x624fdeb4, "");
SYMBOL_CRC(snd_pcm_new_internal, 0xcad9c37a, "");
SYMBOL_CRC(snd_pcm_stream_lock, 0x36bc244d, "_gpl");
SYMBOL_CRC(snd_pcm_stream_unlock, 0x4e0a8738, "_gpl");
SYMBOL_CRC(snd_pcm_stream_lock_irq, 0x24ba3a1d, "_gpl");
SYMBOL_CRC(snd_pcm_stream_unlock_irq, 0x4f2479ba, "_gpl");
SYMBOL_CRC(_snd_pcm_stream_lock_irqsave, 0x81d0cc79, "_gpl");
SYMBOL_CRC(_snd_pcm_stream_lock_irqsave_nested, 0x66dde13a, "_gpl");
SYMBOL_CRC(snd_pcm_stream_unlock_irqrestore, 0x402f46ff, "_gpl");
SYMBOL_CRC(snd_pcm_hw_refine, 0xa4fecb6c, "");
SYMBOL_CRC(snd_pcm_stop, 0x2ff8dbd6, "");
SYMBOL_CRC(snd_pcm_stop_xrun, 0x5a30092d, "_gpl");
SYMBOL_CRC(snd_pcm_suspend_all, 0xe0f5c098, "");
SYMBOL_CRC(snd_pcm_release_substream, 0x10f4ab8a, "");
SYMBOL_CRC(snd_pcm_open_substream, 0xa1dda0b2, "");
SYMBOL_CRC(snd_pcm_kernel_ioctl, 0x60be66d0, "");
SYMBOL_CRC(snd_pcm_lib_default_mmap, 0x68f6f3f6, "_gpl");
SYMBOL_CRC(snd_pcm_lib_mmap_iomem, 0x12592734, "");
SYMBOL_CRC(snd_pcm_mmap_data, 0x59907bbe, "");
SYMBOL_CRC(snd_pcm_set_ops, 0x83e61a6a, "");
SYMBOL_CRC(snd_pcm_set_sync, 0x47cce636, "");
SYMBOL_CRC(snd_interval_refine, 0x04cda566, "");
SYMBOL_CRC(snd_interval_ratnum, 0xac437f7b, "");
SYMBOL_CRC(snd_interval_list, 0x94098ff8, "");
SYMBOL_CRC(snd_interval_ranges, 0x503bd137, "");
SYMBOL_CRC(snd_pcm_hw_rule_add, 0x94ecc564, "");
SYMBOL_CRC(snd_pcm_hw_constraint_mask64, 0x06c5cec3, "");
SYMBOL_CRC(snd_pcm_hw_constraint_integer, 0xa84da00f, "");
SYMBOL_CRC(snd_pcm_hw_constraint_minmax, 0x40a5e6f4, "");
SYMBOL_CRC(snd_pcm_hw_constraint_list, 0xfc8f8dba, "");
SYMBOL_CRC(snd_pcm_hw_constraint_ranges, 0x6e94724d, "");
SYMBOL_CRC(snd_pcm_hw_constraint_ratnums, 0x72c8d7e3, "");
SYMBOL_CRC(snd_pcm_hw_constraint_ratdens, 0x3c696eae, "");
SYMBOL_CRC(snd_pcm_hw_constraint_msbits, 0x2759928c, "");
SYMBOL_CRC(snd_pcm_hw_constraint_step, 0x734f762e, "");
SYMBOL_CRC(snd_pcm_hw_constraint_pow2, 0x2c2fe080, "");
SYMBOL_CRC(snd_pcm_hw_rule_noresample, 0x52bee752, "");
SYMBOL_CRC(_snd_pcm_hw_params_any, 0x0283dfe3, "");
SYMBOL_CRC(snd_pcm_hw_param_value, 0x52e3e4a5, "");
SYMBOL_CRC(_snd_pcm_hw_param_setempty, 0x39bf9301, "");
SYMBOL_CRC(snd_pcm_hw_param_first, 0x1b55f41c, "");
SYMBOL_CRC(snd_pcm_hw_param_last, 0x4e04a5cd, "");
SYMBOL_CRC(snd_pcm_lib_ioctl, 0xaf83bd3e, "");
SYMBOL_CRC(snd_pcm_period_elapsed_under_stream_lock, 0x37c93e7a, "");
SYMBOL_CRC(snd_pcm_period_elapsed, 0x73f4c1c9, "");
SYMBOL_CRC(__snd_pcm_lib_xfer, 0x1230dedd, "");
SYMBOL_CRC(snd_pcm_std_chmaps, 0x04e1b99f, "_gpl");
SYMBOL_CRC(snd_pcm_alt_chmaps, 0x09e913c1, "_gpl");
SYMBOL_CRC(snd_pcm_add_chmap_ctls, 0x09dc7fc8, "_gpl");
SYMBOL_CRC(snd_pcm_format_signed, 0x1d027e4b, "");
SYMBOL_CRC(snd_pcm_format_unsigned, 0xa61aa028, "");
SYMBOL_CRC(snd_pcm_format_linear, 0x6ef8fcd8, "");
SYMBOL_CRC(snd_pcm_format_little_endian, 0x3796bdcc, "");
SYMBOL_CRC(snd_pcm_format_big_endian, 0x4f816e9b, "");
SYMBOL_CRC(snd_pcm_format_width, 0xe56a9336, "");
SYMBOL_CRC(snd_pcm_format_physical_width, 0x68a24153, "");
SYMBOL_CRC(snd_pcm_format_size, 0x834dc955, "");
SYMBOL_CRC(snd_pcm_format_silence_64, 0x650f8603, "");
SYMBOL_CRC(snd_pcm_format_set_silence, 0x5e7f4920, "");
SYMBOL_CRC(snd_pcm_hw_limit_rates, 0x69255f54, "");
SYMBOL_CRC(snd_pcm_rate_to_rate_bit, 0xb9638db4, "");
SYMBOL_CRC(snd_pcm_rate_bit_to_rate, 0xff6104d0, "");
SYMBOL_CRC(snd_pcm_rate_mask_intersect, 0xab8bc1a2, "_gpl");
SYMBOL_CRC(snd_pcm_rate_range_to_bits, 0x8d864069, "_gpl");
SYMBOL_CRC(snd_pcm_lib_preallocate_free_for_all, 0x750dafe4, "");
SYMBOL_CRC(snd_pcm_lib_preallocate_pages, 0xaa113901, "");
SYMBOL_CRC(snd_pcm_lib_preallocate_pages_for_all, 0xb8c6119b, "");
SYMBOL_CRC(snd_pcm_set_managed_buffer, 0x2919bfb2, "");
SYMBOL_CRC(snd_pcm_set_managed_buffer_all, 0xa221a88e, "");
SYMBOL_CRC(snd_pcm_lib_malloc_pages, 0x893bfb9d, "");
SYMBOL_CRC(snd_pcm_lib_free_pages, 0x8ec4c652, "");
SYMBOL_CRC(_snd_pcm_lib_alloc_vmalloc_buffer, 0x5eca2b37, "");
SYMBOL_CRC(snd_pcm_lib_free_vmalloc_buffer, 0x89f017db, "");
SYMBOL_CRC(snd_pcm_lib_get_vmalloc_page, 0x50371841, "");
SYMBOL_CRC(snd_dma_alloc_dir_pages, 0x91bc2008, "");
SYMBOL_CRC(snd_dma_alloc_pages_fallback, 0x5c1f3862, "");
SYMBOL_CRC(snd_dma_free_pages, 0x8ee3f77c, "");
SYMBOL_CRC(snd_devm_alloc_dir_pages, 0x6fa588d6, "_gpl");
SYMBOL_CRC(snd_dma_buffer_mmap, 0xaebe5dc7, "");
SYMBOL_CRC(snd_dma_buffer_sync, 0x8250320e, "_gpl");
SYMBOL_CRC(snd_sgbuf_get_addr, 0x376fc420, "");
SYMBOL_CRC(snd_sgbuf_get_page, 0xab336532, "");
SYMBOL_CRC(snd_sgbuf_get_chunk_size, 0x000f1a09, "");
SYMBOL_CRC(snd_pcm_hw_constraint_eld, 0xad14257c, "_gpl");
SYMBOL_CRC(snd_pcm_create_iec958_consumer_default, 0x649892e8, "_gpl");
SYMBOL_CRC(snd_pcm_fill_iec958_consumer, 0x02b622dc, "_gpl");
SYMBOL_CRC(snd_pcm_fill_iec958_consumer_hw_params, 0x5c407196, "_gpl");
SYMBOL_CRC(snd_pcm_create_iec958_consumer, 0x513dd36f, "");
SYMBOL_CRC(snd_pcm_create_iec958_consumer_hw_params, 0x11eba48e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8a35b432, "sme_me_mask" },
	{ 0x405c8f2d, "cpu_latency_qos_remove_request" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x5de73083, "dma_can_mmap" },
	{ 0xf92cb872, "try_module_get" },
	{ 0xee558352, "dma_ops" },
	{ 0xea46ee90, "_copy_to_iter" },
	{ 0xd37049a7, "snd_info_register" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x67bd87d5, "snd_info_create_module_entry" },
	{ 0xe959a96c, "snd_ctl_unregister_ioctl_compat" },
	{ 0x350aae89, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x640ce521, "dev_set_name" },
	{ 0x4837f995, "snd_ctl_add" },
	{ 0x3c2f4483, "vmalloc_to_page" },
	{ 0x95897450, "dump_page" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0x8044cd8f, "snd_timer_notify" },
	{ 0x62ef2e86, "snd_ctl_get_preferred_subdevice" },
	{ 0xad8ce7a3, "dma_vunmap_noncontiguous" },
	{ 0x31089dc6, "gen_pool_dma_alloc_align" },
	{ 0x7e24d004, "vm_iomap_memory" },
	{ 0x91607d95, "set_memory_wb" },
	{ 0x32c91102, "dma_mmap_pages" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xd3dbecf6, "dma_sync_sg_for_cpu" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xac4a6fd7, "dma_free_pages" },
	{ 0xa83358b9, "dma_sync_single_for_device" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xfc2ee1a9, "snd_timer_interrupt" },
	{ 0x200479ac, "snd_info_free_entry" },
	{ 0x69acdf38, "memcpy" },
	{ 0x583c6d9d, "remap_pfn_range" },
	{ 0x9bbfc63f, "cpu_latency_qos_add_request" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x6f1a8f44, "dump_mm" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xae04012c, "__vmalloc" },
	{ 0x9e6d79f8, "snd_info_get_str" },
	{ 0xa0ec9675, "pcpu_hot" },
	{ 0xc49bc16b, "cpu_latency_qos_request_active" },
	{ 0xc2dbb623, "add_wait_queue" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x9706da69, "snd_fasync_helper" },
	{ 0x85ce233b, "__wake_up" },
	{ 0x190e1885, "import_ubuf" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xb340763b, "__dynamic_dev_dbg" },
	{ 0x203b110d, "snd_ctl_remove" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x6ae96179, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x8551ab26, "snd_ctl_new1" },
	{ 0x122c3a7e, "_printk" },
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x48923ad0, "dma_alloc_pages" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xb4c1c18e, "put_device" },
	{ 0xb4a1d96, "snd_ctl_register_ioctl" },
	{ 0xf7db5766, "snd_card_file_add" },
	{ 0xb6269b20, "set_pages_array_wb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xdebee75d, "module_put" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x10f1fd42, "fput" },
	{ 0xd21cccf3, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xd3e282fa, "_dev_err" },
	{ 0x606d8142, "up_write" },
	{ 0x374f6ee1, "dma_vmap_noncontiguous" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x7ef4bddc, "__sg_page_iter_next" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8f595b11, "snd_major" },
	{ 0x4ca72fe6, "dma_alloc_attrs" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0x8216a245, "__devres_alloc_node" },
	{ 0x37ea574e, "dma_need_sync" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x34d541d7, "iov_iter_kvec" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x8c65c450, "vmap" },
	{ 0xf48b49c9, "_raw_spin_lock_nested" },
	{ 0x287fca1b, "snd_unregister_device" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xa8c86375, "snd_device_alloc" },
	{ 0xfeacee4d, "_raw_spin_trylock" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x947c3ce8, "snd_timer_new" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x5fc72f0e, "alloc_pages_exact" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xcfe07e0a, "snd_device_new" },
	{ 0x2710b258, "dma_sync_single_for_cpu" },
	{ 0xd4b74c95, "dma_sync_sg_for_device" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0xa9dc85ac, "snd_ctl_unregister_ioctl" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0x74a76053, "down_read" },
	{ 0x51db6ef7, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xabbec093, "nonseekable_open" },
	{ 0x5af762f1, "snd_fasync_free" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6f7f79af, "dma_free_noncontiguous" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x6a6b3042, "dma_alloc_noncontiguous" },
	{ 0xd761da10, "dma_mmap_noncontiguous" },
	{ 0x87e12c74, "set_pages_array_wc" },
	{ 0xbae66bda, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x4c1d0bbd, "vm_map_pages" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xd0d24a81, "gen_pool_free_owner" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb9d133d1, "seq_printf" },
	{ 0xb2e5ae4a, "snd_lookup_minor_data" },
	{ 0xad5bc460, "snd_ctl_register_ioctl_compat" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x6d4ee003, "snd_info_create_card_entry" },
	{ 0xfda53848, "_copy_from_iter" },
	{ 0xb70789e, "__might_fault" },
	{ 0xeb44339a, "free_pages_exact" },
	{ 0xf5b8cabf, "snd_power_wait" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x78997dc2, "boot_cpu_data" },
	{ 0xc4688d9e, "remove_wait_queue" },
	{ 0x416a1dde, "dma_mmap_attrs" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x54459edf, "pid_vnr" },
	{ 0xdbded75a, "snd_device_free" },
	{ 0x18f72c6d, "snd_card_file_remove" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xf8f2a4eb, "snd_kill_fasync" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xea124bd1, "gcd" },
	{ 0x7d321f29, "remap_vmalloc_range" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x767ddb02, "set_memory_wc" },
	{ 0x92e8e77f, "param_ops_int" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x5d9e6167, "mutex_destroy" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xb035c142, "snd_device_register" },
	{ 0x76e27103, "snd_register_device" },
	{ 0xb8e1f9ea, "up_read" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0xecca704c, "put_pid" },
	{ 0x24a94b26, "snd_info_get_line" },
	{ 0xd4e455a4, "_raw_spin_lock_irqsave_nested" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-timer");


MODULE_INFO(srcversion, "01EDF58406FBF0674368D35");
