#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_fw_transaction, "", "");
KSYMTAB_FUNC(fw_iso_resources_init, "", "");
KSYMTAB_FUNC(fw_iso_resources_destroy, "", "");
KSYMTAB_FUNC(fw_iso_resources_allocate, "", "");
KSYMTAB_FUNC(fw_iso_resources_update, "", "");
KSYMTAB_FUNC(fw_iso_resources_free, "", "");
KSYMTAB_FUNC(iso_packets_buffer_init, "", "");
KSYMTAB_FUNC(iso_packets_buffer_destroy, "", "");
KSYMTAB_FUNC(avc_general_set_sig_fmt, "", "");
KSYMTAB_FUNC(avc_general_get_sig_fmt, "", "");
KSYMTAB_FUNC(avc_general_get_plug_info, "", "");
KSYMTAB_FUNC(fcp_avc_transaction, "", "");
KSYMTAB_FUNC(fcp_bus_reset, "", "");
KSYMTAB_FUNC(cmp_connection_init, "", "");
KSYMTAB_FUNC(cmp_connection_check_used, "", "");
KSYMTAB_FUNC(cmp_connection_destroy, "", "");
KSYMTAB_FUNC(cmp_connection_reserve, "", "");
KSYMTAB_FUNC(cmp_connection_release, "", "");
KSYMTAB_FUNC(cmp_connection_establish, "", "");
KSYMTAB_FUNC(cmp_connection_update, "", "");
KSYMTAB_FUNC(cmp_connection_break, "", "");
KSYMTAB_FUNC(amdtp_stream_init, "", "");
KSYMTAB_FUNC(amdtp_stream_destroy, "", "");
KSYMTAB_DATA(amdtp_syt_intervals, "", "");
KSYMTAB_DATA(amdtp_rate_table, "", "");
KSYMTAB_FUNC(amdtp_stream_add_pcm_hw_constraints, "", "");
KSYMTAB_FUNC(amdtp_stream_set_parameters, "", "");
KSYMTAB_FUNC(amdtp_stream_get_max_payload, "", "");
KSYMTAB_FUNC(amdtp_stream_pcm_prepare, "", "");
KSYMTAB_FUNC(amdtp_domain_stream_pcm_pointer, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_stream_pcm_ack, "_gpl", "");
KSYMTAB_FUNC(amdtp_stream_update, "", "");
KSYMTAB_FUNC(amdtp_stream_pcm_abort, "", "");
KSYMTAB_FUNC(amdtp_domain_init, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_destroy, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_add_stream, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_start, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_stop, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_set_parameters, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_set_pcm_position, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_set_midi_position, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_add_pcm_hw_constraints, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_midi_trigger, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_init, "_gpl", "");

SYMBOL_CRC(snd_fw_transaction, 0xa6e59296, "");
SYMBOL_CRC(fw_iso_resources_init, 0xc93984a4, "");
SYMBOL_CRC(fw_iso_resources_destroy, 0x2d998c33, "");
SYMBOL_CRC(fw_iso_resources_allocate, 0x0a561128, "");
SYMBOL_CRC(fw_iso_resources_update, 0x4296b346, "");
SYMBOL_CRC(fw_iso_resources_free, 0x349ea912, "");
SYMBOL_CRC(iso_packets_buffer_init, 0x07bb2e86, "");
SYMBOL_CRC(iso_packets_buffer_destroy, 0xa60c4a83, "");
SYMBOL_CRC(avc_general_set_sig_fmt, 0xfe54ceb5, "");
SYMBOL_CRC(avc_general_get_sig_fmt, 0xdb07b70e, "");
SYMBOL_CRC(avc_general_get_plug_info, 0x74fa5d43, "");
SYMBOL_CRC(fcp_avc_transaction, 0x1095b62b, "");
SYMBOL_CRC(fcp_bus_reset, 0x9700727b, "");
SYMBOL_CRC(cmp_connection_init, 0x19f51847, "");
SYMBOL_CRC(cmp_connection_check_used, 0x703d22a1, "");
SYMBOL_CRC(cmp_connection_destroy, 0x562f745e, "");
SYMBOL_CRC(cmp_connection_reserve, 0xa56f466f, "");
SYMBOL_CRC(cmp_connection_release, 0x0315e5ae, "");
SYMBOL_CRC(cmp_connection_establish, 0x5b03c230, "");
SYMBOL_CRC(cmp_connection_update, 0x27cd0424, "");
SYMBOL_CRC(cmp_connection_break, 0xd807c695, "");
SYMBOL_CRC(amdtp_stream_init, 0xa16388f4, "");
SYMBOL_CRC(amdtp_stream_destroy, 0x340238b0, "");
SYMBOL_CRC(amdtp_syt_intervals, 0x20254e45, "");
SYMBOL_CRC(amdtp_rate_table, 0x53ca18e8, "");
SYMBOL_CRC(amdtp_stream_add_pcm_hw_constraints, 0x91c17785, "");
SYMBOL_CRC(amdtp_stream_set_parameters, 0x2d6cf0ab, "");
SYMBOL_CRC(amdtp_stream_get_max_payload, 0x1bbdc931, "");
SYMBOL_CRC(amdtp_stream_pcm_prepare, 0xbaca809a, "");
SYMBOL_CRC(amdtp_domain_stream_pcm_pointer, 0xf51c07e8, "_gpl");
SYMBOL_CRC(amdtp_domain_stream_pcm_ack, 0x6008619f, "_gpl");
SYMBOL_CRC(amdtp_stream_update, 0x3580b84b, "");
SYMBOL_CRC(amdtp_stream_pcm_abort, 0x72f5a3be, "");
SYMBOL_CRC(amdtp_domain_init, 0x4b27aad2, "_gpl");
SYMBOL_CRC(amdtp_domain_destroy, 0xcdb52e3b, "_gpl");
SYMBOL_CRC(amdtp_domain_add_stream, 0xb46112bd, "_gpl");
SYMBOL_CRC(amdtp_domain_start, 0x99db8802, "_gpl");
SYMBOL_CRC(amdtp_domain_stop, 0xffc70f3d, "_gpl");
SYMBOL_CRC(amdtp_am824_set_parameters, 0xd7379157, "_gpl");
SYMBOL_CRC(amdtp_am824_set_pcm_position, 0xd0047e50, "_gpl");
SYMBOL_CRC(amdtp_am824_set_midi_position, 0xcadee5aa, "_gpl");
SYMBOL_CRC(amdtp_am824_add_pcm_hw_constraints, 0x502d2d59, "_gpl");
SYMBOL_CRC(amdtp_am824_midi_trigger, 0x47d53784, "_gpl");
SYMBOL_CRC(amdtp_am824_init, 0x673240dd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x63ce5287, "fw_iso_context_destroy" },
	{ 0xc3bc72ad, "trace_print_array_seq" },
	{ 0x229da70b, "fw_run_transaction" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x60ed2e64, "snd_rawmidi_receive" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x1fbe6d5b, "fw_iso_buffer_init" },
	{ 0xa1854f25, "snd_rawmidi_transmit" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x842317de, "trace_raw_output_prep" },
	{ 0xd738977e, "__trace_trigger_soft_disabled" },
	{ 0x53df7429, "finish_wait" },
	{ 0xa87da128, "trace_event_printf" },
	{ 0x40a5e6f4, "snd_pcm_hw_constraint_minmax" },
	{ 0xee32ea6c, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x9ba5107b, "fw_iso_context_create" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xa0ec9675, "pcpu_hot" },
	{ 0x4cda566, "snd_interval_refine" },
	{ 0x2a4a8dbd, "fw_core_remove_address_handler" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x53fe5a7e, "fw_iso_context_stop" },
	{ 0x85ce233b, "__wake_up" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc4146c4f, "fw_core_add_address_handler" },
	{ 0xa4d4f11b, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0x18b00889, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x94ecc564, "snd_pcm_hw_rule_add" },
	{ 0x7e0acc96, "fw_iso_context_queue" },
	{ 0xf66f693b, "_dev_info" },
	{ 0x1b0aad44, "fw_card_read_cycle_time" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xb1f31cbd, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xd3e282fa, "_dev_err" },
	{ 0xbc073798, "fw_iso_buffer_destroy" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x86468d44, "fw_rcode_string" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0x1a5df3a2, "trace_event_reg" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0xae383114, "fw_iso_resource_manage" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0xca655912, "bpf_trace_run9" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0x1a09cfb5, "fw_iso_context_start" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0xc3db3982, "trace_event_buffer_reserve" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x523bf517, "current_work" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0x5a30092d, "snd_pcm_stop_xrun" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x2759928c, "snd_pcm_hw_constraint_msbits" },
	{ 0x73f4c1c9, "snd_pcm_period_elapsed" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x5d9e6167, "mutex_destroy" },
	{ 0x118fd2f1, "fw_iso_context_flush_completions" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "firewire-core,snd-rawmidi,snd-pcm");


MODULE_INFO(srcversion, "B0869187C626EE3CCF538C9");
