#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_hdac_ext_bus_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_device_remove, "_gpl", "");
KSYMTAB_FUNC(snd_hda_ext_driver_register, "_gpl", "");
KSYMTAB_FUNC(snd_hda_ext_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_ppcap_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_ppcap_int_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_get_ml_capabilities, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_link_free_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_get_hlink_by_addr, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_get_hlink_by_name, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_up_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_down_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_set_stream_id, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_clear_stream_id, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_get, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_put, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_init_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_free_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_decouple_locked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_decouple, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_start, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_clear, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_setup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_assign, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_release, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_cstream_assign, "_gpl", "");

SYMBOL_CRC(snd_hdac_ext_bus_init, 0x1127d37c, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_exit, 0x6026e687, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_device_remove, 0x76eac7be, "_gpl");
SYMBOL_CRC(snd_hda_ext_driver_register, 0x6c75dcc5, "_gpl");
SYMBOL_CRC(snd_hda_ext_driver_unregister, 0x5db24c1d, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_ppcap_enable, 0xf0949f55, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_ppcap_int_enable, 0x8e251f55, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_ml_capabilities, 0xbe250a53, "_gpl");
SYMBOL_CRC(snd_hdac_ext_link_free_all, 0x8a386b97, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_hlink_by_addr, 0x47929dfb, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_hlink_by_name, 0x1663758a, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_up, 0xad504915, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_down, 0x7ed4c434, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_up_all, 0x7d379b0e, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_down_all, 0x215ffc86, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_set_stream_id, 0xe1591292, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_clear_stream_id, 0xec287267, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_get, 0x032816e9, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_put, 0xbb184237, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power, 0xf70fdab1, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_init_all, 0xce93b9bc, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_free_all, 0x3f7bae05, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_decouple_locked, 0xe6a49d96, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_decouple, 0xba690e66, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_start, 0xa6ce995b, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_clear, 0x6d7602ca, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_reset, 0xdb5a1066, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_setup, 0xf4c52d46, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_assign, 0x4807803a, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_release, 0xaa2965e6, "_gpl");
SYMBOL_CRC(snd_hdac_ext_cstream_assign, 0x4571c8a7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3e3bb55e, "snd_hdac_stream_release" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x8a739c68, "snd_hdac_stream_release_locked" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x6c3420cc, "snd_hdac_bus_link_power" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xb340763b, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8c1d740f, "snd_hdac_bus_exit" },
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xb4c1c18e, "put_device" },
	{ 0x23957357, "snd_hdac_bus_init" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xd915a30e, "snd_hdac_stream_init" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xd3e282fa, "_dev_err" },
	{ 0x82ea7e91, "snd_hdac_device_unregister" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x9939806, "snd_hdac_stream_assign" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xcfc30fde, "driver_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xb5ea07fb, "snd_hdac_bus_stop_cmd_io" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8cf0f2b0, "snd_hdac_bus_init_cmd_io" },
	{ 0x4056af29, "snd_hda_bus_type" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x44292bb9, "driver_register" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-core");


MODULE_INFO(srcversion, "C6BD06A3B33D46F6573CECD");
