#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_hda_gen_spec_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_kctl, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_path_idx, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_path_from_idx, "_gpl", "");
KSYMTAB_FUNC(snd_hda_add_new_path, "_gpl", "");
KSYMTAB_FUNC(snd_hda_activate_path, "_gpl", "");
KSYMTAB_DATA(hda_main_out_badness, "_gpl", "");
KSYMTAB_DATA(hda_extra_out_badness, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_mute_led_cdev, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_micmute_led_cdev, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_fix_pin_power, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_update_outputs, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_hp_automute, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_line_automute, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_mic_autoswitch, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_path_power_filter, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_stream_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_parse_auto_config, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_build_controls, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_build_pcms, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_free, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_check_power_status, "_gpl", "");

SYMBOL_CRC(snd_hda_gen_spec_init, 0x48d1cc55, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_kctl, 0x4e81abd8, "_gpl");
SYMBOL_CRC(snd_hda_get_path_idx, 0xbe4e5af2, "_gpl");
SYMBOL_CRC(snd_hda_get_path_from_idx, 0xde7a9121, "_gpl");
SYMBOL_CRC(snd_hda_add_new_path, 0x5fc82ce0, "_gpl");
SYMBOL_CRC(snd_hda_activate_path, 0xbfa71845, "_gpl");
SYMBOL_CRC(hda_main_out_badness, 0x76dc6871, "_gpl");
SYMBOL_CRC(hda_extra_out_badness, 0x871a6e44, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_mute_led_cdev, 0x0e0ac718, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_micmute_led_cdev, 0x71a0d9eb, "_gpl");
SYMBOL_CRC(snd_hda_gen_fix_pin_power, 0xa54fa626, "_gpl");
SYMBOL_CRC(snd_hda_gen_update_outputs, 0xee07d438, "_gpl");
SYMBOL_CRC(snd_hda_gen_hp_automute, 0x203ee307, "_gpl");
SYMBOL_CRC(snd_hda_gen_line_automute, 0x920028a3, "_gpl");
SYMBOL_CRC(snd_hda_gen_mic_autoswitch, 0x3c2e0806, "_gpl");
SYMBOL_CRC(snd_hda_gen_path_power_filter, 0xbd753700, "_gpl");
SYMBOL_CRC(snd_hda_gen_stream_pm, 0x3d0c296d, "_gpl");
SYMBOL_CRC(snd_hda_gen_parse_auto_config, 0x57d257bb, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_controls, 0xf6259eb4, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_pcms, 0xd8a166f8, "_gpl");
SYMBOL_CRC(snd_hda_gen_init, 0x5e1c4b7c, "_gpl");
SYMBOL_CRC(snd_hda_gen_free, 0x6dfdf21d, "_gpl");
SYMBOL_CRC(snd_hda_gen_check_power_status, 0xfb49cc85, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8cb5a959, "snd_hda_apply_verbs" },
	{ 0x3b53ba5d, "snd_hda_codec_amp_update" },
	{ 0xe914e41e, "strcpy" },
	{ 0x675d192c, "snd_hda_add_new_ctls" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc8911df8, "snd_hda_get_connections" },
	{ 0x7339c73, "snd_hda_codec_amp_init_stereo" },
	{ 0xb57c9331, "snd_hda_set_vmaster_tlv" },
	{ 0x6c589f2d, "hda_get_autocfg_input_label" },
	{ 0x2de21be6, "query_amp_caps" },
	{ 0xafe86688, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xbd177025, "snd_hda_mixer_amp_volume_info" },
	{ 0xf6dce7c2, "snd_hda_jack_detect_state_mst" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe4dcaad7, "snd_hda_codec_setup_stream" },
	{ 0x5936f84a, "snd_hda_mixer_amp_switch_info" },
	{ 0x8de5e677, "hda_codec_driver_unregister" },
	{ 0x8f719ed8, "snd_hda_codec_get_pincfg" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xf40480a3, "snd_hdac_codec_write" },
	{ 0x96848186, "scnprintf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x7769c1e2, "snd_hda_jack_tbl_get_mst" },
	{ 0xc4bedd8d, "snd_hda_multi_out_dig_open" },
	{ 0x69acdf38, "memcpy" },
	{ 0xddbabeb7, "snd_hda_add_vmaster_hook" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x2c220a3c, "led_classdev_unregister" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xd9ddfcb4, "snd_hda_codec_pcm_new" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xe05cbbf7, "__snd_hda_codec_cleanup_stream" },
	{ 0x62bd7f0e, "snd_ctl_sync_vmaster" },
	{ 0xb340763b, "__dynamic_dev_dbg" },
	{ 0xa801f4, "snd_hda_multi_out_dig_cleanup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3bfedbe3, "snd_hda_get_pin_label" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x72a26d4b, "snd_hda_add_imux_item" },
	{ 0xd25be87, "snd_hda_correct_pin_ctl" },
	{ 0xbdea46a5, "_snd_hdac_read_parm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xebae04d0, "snd_hda_create_dig_out_ctls" },
	{ 0x64044640, "snd_hda_multi_out_dig_close" },
	{ 0xd4d22625, "snd_hda_get_conn_index" },
	{ 0x610c6527, "snd_hda_multi_out_analog_open" },
	{ 0xf52c021, "snd_hda_get_bool_hint" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x3706e220, "snd_hda_create_spdif_share_sw" },
	{ 0x7e467029, "snd_hda_find_mixer_ctl" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xb333fa24, "snd_hda_get_int_hint" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xd3e282fa, "_dev_err" },
	{ 0x9a85cc42, "__hda_codec_driver_register" },
	{ 0xb7c0f443, "sort" },
	{ 0x5c892d21, "snd_hda_parse_pin_defcfg" },
	{ 0x38cb9ede, "snd_hda_codec_amp_init" },
	{ 0x99d39af9, "snd_hda_create_spdif_in_ctls" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x8b434a55, "is_jack_detectable" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x46d42771, "snd_hda_multi_out_analog_cleanup" },
	{ 0x4bcafae8, "snd_hda_multi_out_analog_prepare" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x785a0e2, "snd_ctl_boolean_stereo_info" },
	{ 0xcd4ef66b, "snd_hda_get_conn_list" },
	{ 0xa51e40b0, "snd_hda_mixer_amp_switch_get" },
	{ 0x98ff5423, "snd_hda_codec_set_pin_target" },
	{ 0x4810c43d, "led_classdev_register_ext" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0xe63e7ae9, "snd_hda_attach_beep_device" },
	{ 0x4eed6a5, "_snd_hda_set_pin_ctl" },
	{ 0x11089ac7, "_ctype" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xbe9d13a8, "snd_hdac_regmap_write_raw" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x413fc8df, "snd_hda_mixer_amp_volume_get" },
	{ 0xfb578fc5, "memset" },
	{ 0x846a5b62, "snd_hda_jack_detect_enable_callback_mst" },
	{ 0x20674100, "_dev_warn" },
	{ 0x9c1d459f, "snd_hda_check_amp_caps" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xce593c22, "ledtrig_audio_get" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x41fd3d20, "snd_hda_mixer_amp_switch_put" },
	{ 0xe118de5d, "snd_pcm_2_1_chmaps" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x8a778f4a, "snd_hda_jack_unsol_event" },
	{ 0x43894584, "snd_hda_check_amp_list_power" },
	{ 0x676f5ac, "snd_hda_get_input_pin_attr" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x1a25692b, "snd_hda_jack_add_kctls" },
	{ 0x4b797d1e, "snd_hda_mixer_amp_tlv" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xbe7dd7dc, "snd_array_new" },
	{ 0x904378e8, "__snd_hda_add_vmaster" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa3817e01, "snd_hda_codec_amp_stereo" },
	{ 0x67615db8, "snd_hda_sync_vmaster_hook" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x90494627, "snd_hda_apply_fixup" },
	{ 0x520a3a70, "snd_hda_enum_helper_info" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0xe8d09ef0, "snd_hda_get_default_vref" },
	{ 0x9a8e1877, "snd_array_free" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x12fb1717, "snd_hdac_codec_read" },
	{ 0xf8dc35ac, "snd_hda_input_mux_info" },
	{ 0xa5dcb54f, "snd_hda_mixer_amp_volume_put" },
	{ 0x402d9a34, "snd_hda_multi_out_dig_prepare" },
	{ 0x349cba85, "strchr" },
	{ 0x5ecf626f, "snd_hda_codec_get_pin_target" },
	{ 0xf9a482f9, "msleep" },
	{ 0x47ca097f, "snd_hdac_regmap_sync" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0xfaf598c6, "snd_ctl_request_layer" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-codec,snd-hda-core,snd,ledtrig-audio");

MODULE_ALIAS("hdaudio:v00000201r*a01*");

MODULE_INFO(srcversion, "8B32622CA9DD77CAC8B4239");
