#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l56_hda_common_probe, "_gpl", "SND_HDA_SCODEC_CS35L56");
KSYMTAB_FUNC(cs35l56_hda_remove, "_gpl", "SND_HDA_SCODEC_CS35L56");
KSYMTAB_DATA(cs35l56_hda_pm_ops, "_gpl", "SND_HDA_SCODEC_CS35L56");

SYMBOL_CRC(cs35l56_hda_common_probe, 0x1b7f036f, "_gpl");
SYMBOL_CRC(cs35l56_hda_remove, 0x6c69a0cf, "_gpl");
SYMBOL_CRC(cs35l56_hda_pm_ops, 0xec2e32c7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x58f8c3c5, "acpi_dev_get_first_match_dev" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x47e2d259, "regcache_cache_only" },
	{ 0x4ab4079e, "is_acpi_device_node" },
	{ 0xb50aaceb, "regcache_sync" },
	{ 0x5f01d4fd, "regmap_write" },
	{ 0x810124fe, "cs35l56_wait_min_reset_pulse" },
	{ 0x42faee0c, "firmware_request_nowarn" },
	{ 0x4837f995, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa8b700c2, "cs_dsp_stop" },
	{ 0x5205cbd6, "pm_runtime_set_autosuspend_delay" },
	{ 0x3835c79d, "gpiod_set_value_cansleep" },
	{ 0x36ba79c6, "hda_cs_dsp_control_remove" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x8e69d3ae, "component_del" },
	{ 0xebfa4204, "cs35l56_force_sync_asp1_registers_from_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x95b05292, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xb340763b, "__dynamic_dev_dbg" },
	{ 0x203b110d, "snd_ctl_remove" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88182b4e, "__pm_runtime_set_status" },
	{ 0x8551ab26, "snd_ctl_new1" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc9371f66, "pm_runtime_enable" },
	{ 0x48e34a92, "device_property_read_u32_array" },
	{ 0xf66f693b, "_dev_info" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x242c2a2a, "cs35l56_init_cs_dsp" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xd3e282fa, "_dev_err" },
	{ 0x5c2529e, "cs35l56_tx_input_values" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x64e759e4, "cs35l56_tx_input_texts" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x14e27b22, "cs_dsp_halo_init" },
	{ 0xccc8d77d, "cs_dsp_power_down" },
	{ 0x81fb1a59, "hda_cs_dsp_add_controls" },
	{ 0x175482e, "cs35l56_runtime_suspend_common" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x16029ad8, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xdf25dece, "cs35l56_mbox_send" },
	{ 0xe2855e56, "cs35l56_hw_init" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x20674100, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd7507c22, "cs_dsp_power_up" },
	{ 0x8d15e51, "cs35l56_system_reset" },
	{ 0x89e1ec9d, "acpi_get_subsystem_id" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xd40cd499, "cs35l56_wait_for_firmware_boot" },
	{ 0xcfe95b43, "devm_kasprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x1beb15a7, "cs35l56_set_patch" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xad591ce8, "cs35l56_wait_control_port_ready" },
	{ 0xfd0f7b49, "cs35l56_is_fw_reload_needed" },
	{ 0xec37481d, "regmap_read" },
	{ 0xa8c292ff, "cs_dsp_run" },
	{ 0xe70de0fc, "__pm_runtime_resume" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x456febeb, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xf4903dac, "cs35l56_runtime_resume_common" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x1cfe2656, "regmap_update_bits_base" },
	{ 0x8b2b5002, "dev_err_probe" },
	{ 0x5250f0a7, "regmap_multi_reg_write" },
	{ 0xe0e71af0, "__pm_runtime_suspend" },
	{ 0xf8c55228, "component_add" },
	{ 0xf310c078, "set_primary_fwnode" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x5ab8febf, "__pm_runtime_use_autosuspend" },
	{ 0x2a1bbc56, "devm_gpiod_get_index_optional" },
	{ 0xaa41c5bf, "__pm_runtime_disable" },
	{ 0xac3b40f3, "cs35l56_firmware_shutdown" },
	{ 0xfed2226b, "pm_runtime_force_suspend" },
	{ 0xfddc976b, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-cs35l56-shared,snd,cs_dsp,snd-hda-cs-dsp-ctls");


MODULE_INFO(srcversion, "1595632D60F8AEE24F5C7F3");
