#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(pcm512x_regmap, "_gpl", "");
KSYMTAB_FUNC(pcm512x_probe, "_gpl", "");
KSYMTAB_FUNC(pcm512x_remove, "_gpl", "");
KSYMTAB_DATA(pcm512x_pm_ops, "_gpl", "");

SYMBOL_CRC(pcm512x_regmap, 0x21df2af8, "_gpl");
SYMBOL_CRC(pcm512x_probe, 0x9e2b0657, "_gpl");
SYMBOL_CRC(pcm512x_remove, 0x82920b5c, "_gpl");
SYMBOL_CRC(pcm512x_pm_ops, 0xb574e162, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x47e2d259, "regcache_cache_only" },
	{ 0xb50aaceb, "regcache_sync" },
	{ 0x5f01d4fd, "regmap_write" },
	{ 0xafe86688, "devm_kmalloc" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xc0cdd203, "snd_soc_put_enum_double" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x95b05292, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc8269f94, "snd_soc_params_to_frame_size" },
	{ 0xb340763b, "__dynamic_dev_dbg" },
	{ 0xa99d1f46, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88182b4e, "__pm_runtime_set_status" },
	{ 0x1cd36367, "devm_snd_soc_register_component" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x5d3f63d8, "devm_regulator_register_notifier" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc9371f66, "pm_runtime_enable" },
	{ 0xc02932e0, "regulator_bulk_disable" },
	{ 0xda156915, "snd_soc_get_enum_double" },
	{ 0x94ecc564, "snd_pcm_hw_rule_add" },
	{ 0xf66f693b, "_dev_info" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x3d44a20d, "snd_soc_info_volsw" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xd3e282fa, "_dev_err" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x785a0e2, "snd_ctl_boolean_stereo_info" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0xfc8f8dba, "snd_pcm_hw_constraint_list" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x808fc2ae, "snd_soc_info_enum_double" },
	{ 0xd42ddb6d, "regulator_bulk_enable" },
	{ 0x503d6bc, "devm_regulator_bulk_get" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x8d5efc62, "snd_soc_get_volsw" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xec37481d, "regmap_read" },
	{ 0x7edbcddd, "snd_soc_put_volsw" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x503bd137, "snd_interval_ranges" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x1cfe2656, "regmap_update_bits_base" },
	{ 0x72c8d7e3, "snd_pcm_hw_constraint_ratnums" },
	{ 0xea124bd1, "gcd" },
	{ 0xaa41c5bf, "__pm_runtime_disable" },
	{ 0x815588a6, "clk_enable" },
	{ 0xeb711ae7, "snd_soc_params_to_bclk" },
	{ 0xfddc976b, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-pcm,snd");


MODULE_INFO(srcversion, "62B793A84D0C70D75533279");
