#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hda_pci_intel_probe, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ops_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_skl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_skl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(skl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_apl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_apl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(apl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_cnl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_cnl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(cnl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(jsl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_tgl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_tgl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(tgl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(tglh_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(ehl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(adls_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_icl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_icl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(icl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_mtl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_mtl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(mtl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(arl_s_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_lnl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_lnl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(lnl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");

SYMBOL_CRC(hda_pci_intel_probe, 0x125bfc96, "");
SYMBOL_CRC(hda_ops_free, 0xbc4be2bb, "");
SYMBOL_CRC(sof_skl_ops, 0x87216d2f, "");
SYMBOL_CRC(sof_skl_ops_init, 0x57f55d60, "");
SYMBOL_CRC(skl_chip_info, 0x8d137365, "");
SYMBOL_CRC(sof_apl_ops, 0x27cd3753, "");
SYMBOL_CRC(sof_apl_ops_init, 0x8fa66882, "");
SYMBOL_CRC(apl_chip_info, 0x7c4f16fa, "");
SYMBOL_CRC(sof_cnl_ops, 0x62663d8e, "");
SYMBOL_CRC(sof_cnl_ops_init, 0x807a825a, "");
SYMBOL_CRC(cnl_chip_info, 0x79a656a5, "");
SYMBOL_CRC(jsl_chip_info, 0x24db6f41, "");
SYMBOL_CRC(sof_tgl_ops, 0xb1efaa5c, "");
SYMBOL_CRC(sof_tgl_ops_init, 0xef65fcef, "");
SYMBOL_CRC(tgl_chip_info, 0x572ae479, "");
SYMBOL_CRC(tglh_chip_info, 0xea3edea2, "");
SYMBOL_CRC(ehl_chip_info, 0x8be7ec56, "");
SYMBOL_CRC(adls_chip_info, 0x9c30934f, "");
SYMBOL_CRC(sof_icl_ops, 0xa21eaab5, "");
SYMBOL_CRC(sof_icl_ops_init, 0xf6db9fff, "");
SYMBOL_CRC(icl_chip_info, 0x46dbc2d8, "");
SYMBOL_CRC(sof_mtl_ops, 0xd70d09b5, "");
SYMBOL_CRC(sof_mtl_ops_init, 0x3e57649e, "");
SYMBOL_CRC(mtl_chip_info, 0x502b1ad8, "");
SYMBOL_CRC(arl_s_chip_info, 0x94c331c9, "");
SYMBOL_CRC(sof_lnl_ops, 0xd809caab, "");
SYMBOL_CRC(sof_lnl_ops_init, 0x3dff7506, "");
SYMBOL_CRC(lnl_chip_info, 0x437c3b52, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x44497ded, "hda_codec_jack_check" },
	{ 0xf8fd10f3, "hda_bus_ml_suspend" },
	{ 0xab61c9c7, "snd_soc_acpi_sdw_link_slaves_found" },
	{ 0xe914e41e, "strcpy" },
	{ 0xf2949b91, "pci_save_state" },
	{ 0x2c602eb9, "sof_block_read" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xad819d26, "snd_sof_debugfs_add_region_item_iomem" },
	{ 0x6f38c7cb, "hda_codec_i915_display_power" },
	{ 0x4ab4079e, "is_acpi_device_node" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xba50cbf, "bpf_trace_run4" },
	{ 0xaa52eba1, "sdw_intel_thread" },
	{ 0x91bc2008, "snd_dma_alloc_dir_pages" },
	{ 0xafe86688, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x393f990e, "snd_hdac_bus_send_cmd" },
	{ 0x9e983063, "hda_bus_ml_resume" },
	{ 0xb34aca9e, "pci_alloc_irq_vectors" },
	{ 0xa3b4d581, "intel_nhlt_get_dmic_geo" },
	{ 0x165e4083, "snd_hdac_bus_get_response" },
	{ 0xa6ce995b, "snd_hdac_ext_stream_start" },
	{ 0x842317de, "trace_raw_output_prep" },
	{ 0x7505bab1, "hdac_bus_eml_sdw_get_hlink" },
	{ 0x52b58357, "hda_codec_set_codec_wakeup" },
	{ 0xd738977e, "__trace_trigger_soft_disabled" },
	{ 0x53df7429, "finish_wait" },
	{ 0x50e5d604, "hda_bus_ml_init" },
	{ 0x3855495a, "hda_codec_probe_bus" },
	{ 0xe6a49d96, "snd_hdac_ext_stream_decouple_locked" },
	{ 0xa87da128, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xedc03953, "iounmap" },
	{ 0x40a5e6f4, "snd_pcm_hw_constraint_minmax" },
	{ 0x5660f30e, "sdw_intel_exit" },
	{ 0x30b67e7, "hda_codec_check_for_state_change" },
	{ 0x4285b390, "hda_codec_jack_wake_enable" },
	{ 0x6532cd95, "sof_xtensa_arch_ops" },
	{ 0x41a05c36, "intel_nhlt_has_endpoint_type" },
	{ 0xee32ea6c, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1127d37c, "snd_hdac_ext_bus_init" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x4fdee11a, "hda_bus_ml_free" },
	{ 0xa0ec9675, "pcpu_hot" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0x2580133b, "sof_ipc4_set_pipeline_state" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2b0ec868, "bpf_trace_run2" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x85ce233b, "__wake_up" },
	{ 0xcef2cc7e, "snd_intel_dsp_driver_probe" },
	{ 0x1dd52d0d, "pci_irq_vector" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x376fc420, "snd_sgbuf_get_addr" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xb340763b, "__dynamic_dev_dbg" },
	{  0xf1a09, "snd_sgbuf_get_chunk_size" },
	{ 0xa5ffa8af, "pci_ioremap_bar" },
	{ 0x43612f5e, "hdac_bus_eml_check_interrupt" },
	{ 0x7020ce17, "sof_pci_probe" },
	{ 0x967be334, "snd_soc_hdac_hda_get_ops" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6a2eb6b2, "hda_codec_i915_exit" },
	{ 0xa4d4f11b, "trace_event_buffer_commit" },
	{ 0x8ee3f77c, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x399edcdb, "hda_codec_resume_cmd_io" },
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0x18b00889, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x6026e687, "snd_hdac_ext_bus_exit" },
	{ 0x62acf1f1, "sof_block_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x6d7602ca, "snd_hdac_ext_stream_clear" },
	{ 0xd3293599, "snd_sof_dsp_only_d0i3_compatible_stream_active" },
	{ 0xf66f693b, "_dev_info" },
	{ 0x59cf63c2, "sdw_intel_startup" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0xf70fdab1, "snd_hdac_ext_bus_link_power" },
	{ 0x396022b0, "snd_sof_dsp_dbg_dump" },
	{ 0x90848f7b, "sdw_intel_process_wakeen_event" },
	{ 0x35d0411c, "sof_mailbox_write" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5c07cb49, "snd_hdac_calc_stream_format" },
	{ 0x109f8eb4, "sof_mailbox_read" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xb1f31cbd, "perf_trace_run_bpf_submit" },
	{ 0x87858149, "hda_bus_ml_put_all" },
	{ 0xa249fd1c, "devm_kfree" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xd3e282fa, "_dev_err" },
	{ 0x7b048da2, "snd_sof_dsp_update_bits_forced" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x39b366e7, "platform_device_unregister" },
	{ 0xaa2965e6, "snd_hdac_ext_stream_release" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xca814b50, "hdac_bus_eml_sdw_map_stream_ch" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x1fa43a85, "sof_client_dev_register" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0xba39aa11, "snd_soc_acpi_find_machine" },
	{ 0x1a5df3a2, "trace_event_reg" },
	{ 0x35b67828, "hda_codec_device_remove" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x30b246b, "snd_soc_dpcm_get_substream" },
	{ 0x6636c9c3, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x4e98c15a, "snd_sof_dsp_update_bits_unlocked" },
	{ 0x5fd3ddf8, "sof_print_oops_and_stack" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x182b2c69, "hda_bus_ml_reset_losidv" },
	{ 0xf4c52d46, "snd_hdac_ext_stream_setup" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0xff6104d0, "snd_pcm_rate_bit_to_rate" },
	{ 0xe27e6f34, "snd_sof_ipc_get_reply" },
	{ 0xf288cd0, "snd_sof_dsp_update_bits" },
	{ 0xaa333977, "hdac_bus_eml_enable_interrupt" },
	{ 0xc3fb5088, "hdac_bus_eml_enable_offload" },
	{ 0xa263ce95, "pci_restore_state" },
	{ 0x29c2e4a6, "snd_sof_pci_update_bits" },
	{ 0xc63924c3, "hdac_bus_eml_ssp_get_hlink" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x1b0abf46, "hdac_bus_eml_dmic_get_hlink" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x20674100, "_dev_warn" },
	{ 0xde77cd60, "snd_hdac_display_power" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0xc9f7373, "sdw_intel_lnl_hw_ops" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x9e592602, "pci_set_master" },
	{ 0xe565407e, "param_ops_charp" },
	{ 0x6c5cec3, "snd_pcm_hw_constraint_mask64" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x958b7595, "dma_set_coherent_mask" },
	{ 0xcfe95b43, "devm_kasprintf" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xa84da00f, "snd_pcm_hw_constraint_integer" },
	{ 0x3bdab5ae, "bpf_trace_run3" },
	{ 0xdaea23d7, "hda_codec_rirb_status_clear" },
	{ 0x9cc0b66a, "hda_codec_suspend_cmd_io" },
	{ 0x6b3aa1e0, "snd_sof_ipc_reply" },
	{ 0xecf9837f, "hda_codec_init_cmd_io" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x1b13f1bf, "hda_codec_stop_cmd_io" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0xe59c8159, "hda_codec_detect_mask" },
	{ 0x31b4b11, "platform_device_register_full" },
	{ 0xc3db3982, "trace_event_buffer_reserve" },
	{ 0x85df9b6c, "strsep" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0xaa9751e3, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x536124c7, "sof_machine_unregister" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1e3494f4, "sof_ipc_tx_message" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x25cf14a9, "sdw_intel_probe" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xf02b64b4, "snd_sof_load_firmware_raw" },
	{ 0xcc400279, "snd_sof_dsp_panic" },
	{ 0x1663758a, "snd_hdac_ext_bus_get_hlink_by_name" },
	{ 0xe3bc1ea4, "snd_sof_suspend" },
	{ 0xe1591292, "snd_hdac_ext_bus_link_set_stream_id" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xb7b836b3, "intel_nhlt_ssp_mclk_mask" },
	{ 0x114385fe, "dma_set_mask" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x734f762e, "snd_pcm_hw_constraint_step" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x754d539c, "strlen" },
	{ 0x92e8e77f, "param_ops_int" },
	{ 0xddc88f11, "intel_nhlt_init" },
	{ 0xa2d8ebe9, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x16c7ab4c, "sof_client_dev_unregister" },
	{ 0x9f6787b5, "sdw_intel_cnl_hw_ops" },
	{ 0x66fd6169, "intel_nhlt_ssp_endpoint_mask" },
	{ 0xd0935c8f, "hda_codec_i915_init" },
	{ 0x4b43aeba, "pci_free_irq_vectors" },
	{ 0xecf1b081, "hda_codec_check_rirb_status" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xdb5a1066, "snd_hdac_ext_stream_reset" },
	{ 0xbb4f9d1f, "sdw_intel_acpi_scan" },
	{ 0x4cdf3a99, "hdac_bus_eml_get_count" },
	{ 0xec287267, "snd_hdac_ext_bus_link_clear_stream_id" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4a86664c, "sof_io_write" },
	{ 0xf4489115, "sof_machine_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xca8bbca9, "snd_sof_pcm_period_elapsed" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x2af78733, "hdac_bus_eml_get_mutex" },
	{ 0x665786c, "snd_soc_acpi_intel_hda_machines" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-intel-hda,snd-sof-intel-hda-mlink,snd-soc-acpi,snd-sof,soundwire-intel,snd-pcm,snd-hda-core,snd-intel-dspcfg,snd-hda-ext-core,snd-sof-xtensa-dsp,snd-sof-pci,snd-soc-hdac-hda,snd-soc-core,snd-intel-sdw-acpi,snd-soc-acpi-intel-match");


MODULE_INFO(srcversion, "DCAF2C267E66E4C1D46EF58");
