#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sof_debug_check_flag, "", "");
KSYMTAB_FUNC(sof_print_oops_and_stack, "", "");
KSYMTAB_FUNC(sof_set_fw_state, "", "");
KSYMTAB_FUNC(snd_sof_device_probe, "", "");
KSYMTAB_FUNC(snd_sof_device_probe_completed, "", "");
KSYMTAB_FUNC(snd_sof_device_remove, "", "");
KSYMTAB_FUNC(snd_sof_device_shutdown, "", "");
KSYMTAB_FUNC(snd_sof_pci_update_bits, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits_unlocked, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits64_unlocked, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits64, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits_forced, "", "");
KSYMTAB_FUNC(snd_sof_dsp_panic, "", "");
KSYMTAB_FUNC(snd_sof_load_firmware_raw, "", "");
KSYMTAB_FUNC(snd_sof_load_firmware_memcpy, "", "");
KSYMTAB_FUNC(snd_sof_run_firmware, "", "");
KSYMTAB_FUNC(snd_sof_fw_unload, "", "");
KSYMTAB_FUNC(sof_ipc_tx_message, "", "");
KSYMTAB_FUNC(sof_ipc_set_get_data, "", "");
KSYMTAB_FUNC(sof_ipc_tx_message_no_pm, "", "");
KSYMTAB_FUNC(snd_sof_ipc_get_reply, "", "");
KSYMTAB_FUNC(snd_sof_ipc_reply, "", "");
KSYMTAB_FUNC(snd_sof_ipc_init, "", "");
KSYMTAB_FUNC(snd_sof_ipc_free, "", "");
KSYMTAB_FUNC(snd_sof_pcm_period_elapsed, "", "");
KSYMTAB_FUNC(sof_pcm_dai_link_fixup, "", "");
KSYMTAB_FUNC(snd_sof_runtime_suspend, "", "");
KSYMTAB_FUNC(snd_sof_runtime_idle, "", "");
KSYMTAB_FUNC(snd_sof_runtime_resume, "", "");
KSYMTAB_FUNC(snd_sof_resume, "", "");
KSYMTAB_FUNC(snd_sof_suspend, "", "");
KSYMTAB_FUNC(snd_sof_prepare, "", "");
KSYMTAB_FUNC(snd_sof_complete, "", "");
KSYMTAB_FUNC(snd_sof_debugfs_add_region_item_iomem, "_gpl", "");
KSYMTAB_FUNC(snd_sof_debugfs_buf_item, "_gpl", "");
KSYMTAB_FUNC(snd_sof_dbg_memory_info_init, "_gpl", "");
KSYMTAB_FUNC(snd_sof_dbg_init, "_gpl", "");
KSYMTAB_FUNC(snd_sof_free_debug, "_gpl", "");
KSYMTAB_FUNC(snd_sof_dsp_dbg_dump, "", "");
KSYMTAB_FUNC(snd_sof_handle_fw_exception, "", "");
KSYMTAB_FUNC(snd_sof_load_topology, "", "");
KSYMTAB_FUNC(sof_io_write, "", "");
KSYMTAB_FUNC(sof_io_read, "", "");
KSYMTAB_FUNC(sof_io_write64, "", "");
KSYMTAB_FUNC(sof_io_read64, "", "");
KSYMTAB_FUNC(sof_mailbox_write, "", "");
KSYMTAB_FUNC(sof_mailbox_read, "", "");
KSYMTAB_FUNC(sof_block_write, "", "");
KSYMTAB_FUNC(sof_block_read, "", "");
KSYMTAB_FUNC(sof_widget_free, "", "");
KSYMTAB_FUNC(sof_widget_setup, "", "");
KSYMTAB_FUNC(snd_sof_dsp_only_d0i3_compatible_stream_active, "", "");
KSYMTAB_FUNC(sof_dai_get_mclk, "", "");
KSYMTAB_FUNC(sof_dai_get_bclk, "", "");
KSYMTAB_FUNC(sof_machine_check, "", "");
KSYMTAB_FUNC(sof_machine_register, "", "");
KSYMTAB_FUNC(sof_machine_unregister, "", "");
KSYMTAB_FUNC(sof_ipc_msg_data, "", "");
KSYMTAB_FUNC(sof_set_stream_data_offset, "", "");
KSYMTAB_FUNC(sof_stream_pcm_open, "", "");
KSYMTAB_FUNC(sof_stream_pcm_close, "", "");
KSYMTAB_FUNC(sof_ipc3_do_rx_work, "", "");
KSYMTAB_FUNC(sof_ipc4_set_pipeline_state, "", "");
KSYMTAB_FUNC(sof_client_dev_register, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_dev_unregister, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_ipc_tx_message, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_ipc_rx_message, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_ipc_set_get_data, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_ipc4_find_module, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_suspend_clients, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_resume_clients, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_debugfs_root, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_dma_dev, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_fw_version, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_ipc_max_payload_size, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_ipc_type, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_core_module_get, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_core_module_put, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_register_ipc_rx_handler, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_unregister_ipc_rx_handler, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_register_fw_state_handler, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_unregister_fw_state_handler, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_fw_state, "_gpl", "SND_SOC_SOF_CLIENT");

SYMBOL_CRC(sof_debug_check_flag, 0x368c6727, "");
SYMBOL_CRC(sof_print_oops_and_stack, 0x5fd3ddf8, "");
SYMBOL_CRC(sof_set_fw_state, 0x46c097a5, "");
SYMBOL_CRC(snd_sof_device_probe, 0xed337abb, "");
SYMBOL_CRC(snd_sof_device_probe_completed, 0x77f3c44b, "");
SYMBOL_CRC(snd_sof_device_remove, 0x68e83b8d, "");
SYMBOL_CRC(snd_sof_device_shutdown, 0xc706a03f, "");
SYMBOL_CRC(snd_sof_pci_update_bits, 0x29c2e4a6, "");
SYMBOL_CRC(snd_sof_dsp_update_bits_unlocked, 0x4e98c15a, "");
SYMBOL_CRC(snd_sof_dsp_update_bits64_unlocked, 0xedd7522c, "");
SYMBOL_CRC(snd_sof_dsp_update_bits, 0x0f288cd0, "");
SYMBOL_CRC(snd_sof_dsp_update_bits64, 0x0f537e68, "");
SYMBOL_CRC(snd_sof_dsp_update_bits_forced, 0x7b048da2, "");
SYMBOL_CRC(snd_sof_dsp_panic, 0xcc400279, "");
SYMBOL_CRC(snd_sof_load_firmware_raw, 0xf02b64b4, "");
SYMBOL_CRC(snd_sof_load_firmware_memcpy, 0x4b7a7c56, "");
SYMBOL_CRC(snd_sof_run_firmware, 0x4eb3dce3, "");
SYMBOL_CRC(snd_sof_fw_unload, 0x1053ab70, "");
SYMBOL_CRC(sof_ipc_tx_message, 0x1e3494f4, "");
SYMBOL_CRC(sof_ipc_set_get_data, 0xba2308b6, "");
SYMBOL_CRC(sof_ipc_tx_message_no_pm, 0xc9c9ff82, "");
SYMBOL_CRC(snd_sof_ipc_get_reply, 0xe27e6f34, "");
SYMBOL_CRC(snd_sof_ipc_reply, 0x6b3aa1e0, "");
SYMBOL_CRC(snd_sof_ipc_init, 0x3224c2f2, "");
SYMBOL_CRC(snd_sof_ipc_free, 0xe324eef4, "");
SYMBOL_CRC(snd_sof_pcm_period_elapsed, 0xca8bbca9, "");
SYMBOL_CRC(sof_pcm_dai_link_fixup, 0x6feb1120, "");
SYMBOL_CRC(snd_sof_runtime_suspend, 0x2b3fc6c0, "");
SYMBOL_CRC(snd_sof_runtime_idle, 0x71700050, "");
SYMBOL_CRC(snd_sof_runtime_resume, 0x754eb7ea, "");
SYMBOL_CRC(snd_sof_resume, 0x21c753d8, "");
SYMBOL_CRC(snd_sof_suspend, 0xe3bc1ea4, "");
SYMBOL_CRC(snd_sof_prepare, 0xb1acbaec, "");
SYMBOL_CRC(snd_sof_complete, 0xc343a9f2, "");
SYMBOL_CRC(snd_sof_debugfs_add_region_item_iomem, 0xad819d26, "_gpl");
SYMBOL_CRC(snd_sof_debugfs_buf_item, 0xc98c9b39, "_gpl");
SYMBOL_CRC(snd_sof_dbg_memory_info_init, 0xdc0c5503, "_gpl");
SYMBOL_CRC(snd_sof_dbg_init, 0xf2595bab, "_gpl");
SYMBOL_CRC(snd_sof_free_debug, 0xf29f5c88, "_gpl");
SYMBOL_CRC(snd_sof_dsp_dbg_dump, 0x396022b0, "");
SYMBOL_CRC(snd_sof_handle_fw_exception, 0xb753a676, "");
SYMBOL_CRC(snd_sof_load_topology, 0x1cb0b3ec, "");
SYMBOL_CRC(sof_io_write, 0x4a86664c, "");
SYMBOL_CRC(sof_io_read, 0xa1f64dbe, "");
SYMBOL_CRC(sof_io_write64, 0xe0eb169c, "");
SYMBOL_CRC(sof_io_read64, 0xee24a2a0, "");
SYMBOL_CRC(sof_mailbox_write, 0x35d0411c, "");
SYMBOL_CRC(sof_mailbox_read, 0x109f8eb4, "");
SYMBOL_CRC(sof_block_write, 0x62acf1f1, "");
SYMBOL_CRC(sof_block_read, 0x2c602eb9, "");
SYMBOL_CRC(sof_widget_free, 0x02924a32, "");
SYMBOL_CRC(sof_widget_setup, 0x6b359973, "");
SYMBOL_CRC(snd_sof_dsp_only_d0i3_compatible_stream_active, 0xd3293599, "");
SYMBOL_CRC(sof_dai_get_mclk, 0x0c77c6f0, "");
SYMBOL_CRC(sof_dai_get_bclk, 0x3c7a06ba, "");
SYMBOL_CRC(sof_machine_check, 0x49d96d81, "");
SYMBOL_CRC(sof_machine_register, 0xf4489115, "");
SYMBOL_CRC(sof_machine_unregister, 0x536124c7, "");
SYMBOL_CRC(sof_ipc_msg_data, 0x4f7327aa, "");
SYMBOL_CRC(sof_set_stream_data_offset, 0x74f26ead, "");
SYMBOL_CRC(sof_stream_pcm_open, 0x6ae44c68, "");
SYMBOL_CRC(sof_stream_pcm_close, 0x59d03b15, "");
SYMBOL_CRC(sof_ipc3_do_rx_work, 0x00bc09a3, "");
SYMBOL_CRC(sof_ipc4_set_pipeline_state, 0x2580133b, "");
SYMBOL_CRC(sof_client_dev_register, 0x1fa43a85, "_gpl");
SYMBOL_CRC(sof_client_dev_unregister, 0x16c7ab4c, "_gpl");
SYMBOL_CRC(sof_client_ipc_tx_message, 0xc3227a2f, "_gpl");
SYMBOL_CRC(sof_client_ipc_rx_message, 0xfee16fac, "_gpl");
SYMBOL_CRC(sof_client_ipc_set_get_data, 0x4a1cda8b, "_gpl");
SYMBOL_CRC(sof_client_ipc4_find_module, 0x67e0671e, "_gpl");
SYMBOL_CRC(sof_suspend_clients, 0x101e63a6, "_gpl");
SYMBOL_CRC(sof_resume_clients, 0xc98386cc, "_gpl");
SYMBOL_CRC(sof_client_get_debugfs_root, 0xe4d7217e, "_gpl");
SYMBOL_CRC(sof_client_get_dma_dev, 0x1f0f2271, "_gpl");
SYMBOL_CRC(sof_client_get_fw_version, 0x8ac9c04d, "_gpl");
SYMBOL_CRC(sof_client_get_ipc_max_payload_size, 0x8fc3e37e, "_gpl");
SYMBOL_CRC(sof_client_get_ipc_type, 0x44f79ce5, "_gpl");
SYMBOL_CRC(sof_client_core_module_get, 0xe040c467, "_gpl");
SYMBOL_CRC(sof_client_core_module_put, 0x8b9ac83d, "_gpl");
SYMBOL_CRC(sof_client_register_ipc_rx_handler, 0x54903a37, "_gpl");
SYMBOL_CRC(sof_client_unregister_ipc_rx_handler, 0xf6e61ef4, "_gpl");
SYMBOL_CRC(sof_client_register_fw_state_handler, 0xcdd63d90, "_gpl");
SYMBOL_CRC(sof_client_unregister_fw_state_handler, 0xae31b2c3, "_gpl");
SYMBOL_CRC(sof_client_get_fw_state, 0x851377c0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x25772e7b, "dpcm_end_walk_at_be" },
	{ 0x61bba7c4, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x619d3d48, "snd_soc_dapm_dai_free_widgets" },
	{ 0xf92cb872, "try_module_get" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xb917d1be, "ida_destroy" },
	{ 0x91bc2008, "snd_dma_alloc_dir_pages" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafe86688, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x8c2a27ba, "auxiliary_device_init" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x2d37c360, "snd_soc_dapm_dai_get_connected_widgets" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x842317de, "trace_raw_output_prep" },
	{ 0xd738977e, "__trace_trigger_soft_disabled" },
	{ 0x53df7429, "finish_wait" },
	{ 0x143e1e65, "request_firmware" },
	{ 0xa87da128, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x56f405d0, "pm_runtime_get_if_active" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xee32ea6c, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xa0ec9675, "pcpu_hot" },
	{ 0xc2dbb623, "add_wait_queue" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x2b0ec868, "bpf_trace_run2" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x85ce233b, "__wake_up" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x6bafa92c, "snd_sof_create_page_table" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xb340763b, "__dynamic_dev_dbg" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xb02ffb74, "debugfs_file_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa4d4f11b, "trace_event_buffer_commit" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x3386f72f, "pci_read_config_dword" },
	{ 0xec788566, "acpi_target_system_state" },
	{ 0x8ee3f77c, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x1cd36367, "devm_snd_soc_register_component" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x122c3a7e, "_printk" },
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0x18b00889, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xb4c1c18e, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xf66f693b, "_dev_info" },
	{ 0x2dd4957f, "debugfs_file_put" },
	{ 0xdebee75d, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x1c335c09, "intel_nhlt_get_endpoint_blob" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0xf5d449b, "snd_soc_rtdcom_lookup" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9cf37c44, "__iowrite32_copy" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x81b1c1f7, "devm_kmemdup" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xb1f31cbd, "perf_trace_run_bpf_submit" },
	{ 0xa249fd1c, "devm_kfree" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xd3e282fa, "_dev_err" },
	{ 0x180271ae, "simple_open" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x39b366e7, "platform_device_unregister" },
	{ 0xe9bba65d, "__auxiliary_device_add" },
	{ 0xc52137ab, "fs_reclaim_release" },
	{ 0x146ded16, "widget_in_list" },
	{ 0xc9037406, "bpf_trace_run5" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x7ba0c905, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0x1a5df3a2, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x2b3aca87, "ida_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x715f5da4, "snd_soc_tplg_component_load" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x2919bfb2, "snd_pcm_set_managed_buffer" },
	{ 0xe163a684, "fs_reclaim_acquire" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0xb69c17f5, "bpf_trace_run1" },
	{ 0xf7f1654c, "device_del" },
	{ 0xc86d171b, "default_llseek" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x20674100, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2b4aba44, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0x3179d3c3, "snd_soc_tplg_component_remove" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x832d6e04, "snd_ctl_notify_one" },
	{ 0xde779b7b, "__xa_insert" },
	{ 0xcfe95b43, "devm_kasprintf" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xa84da00f, "snd_pcm_hw_constraint_integer" },
	{ 0x3bdab5ae, "bpf_trace_run3" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x7b62a7d7, "debugfs_create_file" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x31b4b11, "platform_device_register_full" },
	{ 0xc3db3982, "trace_event_buffer_reserve" },
	{ 0xe70de0fc, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0xaa9751e3, "param_ops_bool" },
	{ 0x8250320e, "snd_dma_buffer_sync" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x19b95610, "xa_destroy" },
	{ 0x64e0a9ce, "xa_find" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xc4688d9e, "remove_wait_queue" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x73f4c1c9, "snd_pcm_period_elapsed" },
	{ 0xf930b65, "xa_find_after" },
	{ 0xe686c705, "kmalloc_trace" },
	{ 0xe0e71af0, "__pm_runtime_suspend" },
	{ 0x734f762e, "snd_pcm_hw_constraint_step" },
	{ 0xb6ba9bb1, "snd_soc_tplg_widget_bind_event" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x754d539c, "strlen" },
	{ 0x92e8e77f, "param_ops_int" },
	{ 0xa2d8ebe9, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x6308ec26, "debugfs_create_dir" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x56f6ee65, "pci_write_config_dword" },
	{ 0x88cb85bb, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xfaf598c6, "snd_ctl_request_layer" },
	{ 0x83b4fd5, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-pcm,snd-sof-utils,snd-intel-dspcfg,snd");


MODULE_INFO(srcversion, "F1359AC3B5A1CB2E158767F");
